require "crv_api_client/version"

module CrvApiClient
  class << self
    attr_writer :configuration
  end

  def self.configuration
    @configuration ||= Utils::Configuration.new
  end

  def self.configure
    yield(configuration)
  end

  require 'soap/mapping'
  require 'xsd/qname'
  require 'soap/rpc/driver'
  autoload :Helpers, 'crv_api_client/helpers'
  autoload :Errors, 'crv_api_client/errors'
  autoload :Api, 'crv_api_client/api'
  autoload :Animals, 'crv_api_client/animals'
  autoload :Reproduction, 'crv_api_client/reproduction'
  autoload :Utils, 'crv_api_client/utils'

end