module CrvApiClient::Api::Animals

  # {http://ws.crvholding.com/animalMessages/}modifyAnimalManagementRequestType
  #   participantId - CrvApiClient::Api::Animals::ParticipantId
  #   animalManagement - CrvApiClient::Api::Animals::AnimalManagement
  class ModifyAnimalManagementRequestType
    attr_accessor :participantId
    attr_accessor :animalManagement

    def initialize(participantId = nil, animalManagement = [])
      @participantId = participantId
      @animalManagement = animalManagement
    end
  end

  # {http://ws.crvholding.com/animalMessages/}addPlannedDepartureRequestType
  #   keeper - CrvApiClient::Api::Animals::ParticipantId
  #   animalSupplyChainValue - CrvApiClient::Api::Animals::AnimalSupplyChainValue
  class AddPlannedDepartureRequestType
    attr_accessor :keeper
    attr_accessor :animalSupplyChainValue

    def initialize(keeper = nil, animalSupplyChainValue = [])
      @keeper = keeper
      @animalSupplyChainValue = animalSupplyChainValue
    end
  end

  # {http://ws.crvholding.com/animalMessages/}animalSupplyChainValue
  #   animalSupplyId - CrvApiClient::Api::Animals::AnimalSupplyId
  #   chainValue - CrvApiClient::Api::Animals::ChainValue
  class AnimalSupplyChainValue
    attr_accessor :animalSupplyId
    attr_accessor :chainValue

    def initialize(animalSupplyId = nil, chainValue = nil)
      @animalSupplyId = animalSupplyId
      @chainValue = chainValue
    end
  end

  # {http://ws.crvholding.com/animalMessages/}deletePlannedDepartureRequestType
  #   keeper - CrvApiClient::Api::Animals::ParticipantId
  #   animalSupplyId - CrvApiClient::Api::Animals::AnimalSupplyId
  class DeletePlannedDepartureRequestType
    attr_accessor :keeper
    attr_accessor :animalSupplyId

    def initialize(keeper = nil, animalSupplyId = [])
      @keeper = keeper
      @animalSupplyId = animalSupplyId
    end
  end

  # {http://ws.crvholding.com/animalMessages/}animalSupplyPlannedDeparture
  #   animalSupplyId - CrvApiClient::Api::Animals::AnimalSupplyId
  #   postpone - CrvApiClient::Api::Animals::DateReason
  #   refusal - CrvApiClient::Api::Animals::DateReason
  #   departure - CrvApiClient::Api::Animals::DateReason
  #   chainValueStatus - CrvApiClient::Api::Animals::ChainValueStatus
  class AnimalSupplyPlannedDeparture
    attr_accessor :animalSupplyId
    attr_accessor :postpone
    attr_accessor :refusal
    attr_accessor :departure
    attr_accessor :chainValueStatus

    def initialize(animalSupplyId = nil, postpone = nil, refusal = nil, departure = nil, chainValueStatus = nil)
      @animalSupplyId = animalSupplyId
      @postpone = postpone
      @refusal = refusal
      @departure = departure
      @chainValueStatus = chainValueStatus
    end
  end

  # {http://ws.crvholding.com/animalMessages/}chainValueStatus
  #   chainValue - CrvApiClient::Api::Animals::ChainValue
  #   chainStatus - SOAP::SOAPString
  class ChainValueStatus
    attr_accessor :chainValue
    attr_accessor :chainStatus

    def initialize(chainValue = nil, chainStatus = nil)
      @chainValue = chainValue
      @chainStatus = chainStatus
    end
  end

  # {http://ws.crvholding.com/animalMessages/}getAverageHerdWeightRequestType
  #   keeper - CrvApiClient::Api::Animals::ParticipantId
  #   year - (any)
  #   quarter - (any)
  class GetAverageHerdWeightRequestType
    attr_accessor :keeper
    attr_accessor :year
    attr_accessor :quarter

    def initialize(keeper = nil, year = nil, quarter = nil)
      @keeper = keeper
      @year = year
      @quarter = quarter
    end
  end

  # {http://ws.crvholding.com/animalMessages/}getAverageHerdWeightResponseType
  #   averageHerdWeightResult - CrvApiClient::Api::Animals::AverageHerdWeight
  class GetAverageHerdWeightResponseType
    attr_accessor :averageHerdWeightResult

    def initialize(averageHerdWeightResult = nil)
      @averageHerdWeightResult = averageHerdWeightResult
    end
  end

  # {http://ws.crvholding.com/animalMessages/}listPlannedDepartureRequestType
  #   keeper - CrvApiClient::Api::Animals::ParticipantId
  #   period - CrvApiClient::Api::Animals::PeriodRange
  #   supplyType - SOAP::SOAPString
  class ListPlannedDepartureRequestType
    attr_accessor :keeper
    attr_accessor :period
    attr_accessor :supplyType

    def initialize(keeper = nil, period = nil, supplyType = nil)
      @keeper = keeper
      @period = period
      @supplyType = supplyType
    end
  end

  # {http://ws.crvholding.com/animalMessages/}listPlannedDepartureResponseType
  #   keeper - CrvApiClient::Api::Animals::ParticipantId
  #   animalSupplyPlannedDeparture - CrvApiClient::Api::Animals::AnimalSupplyPlannedDeparture
  class ListPlannedDepartureResponseType
    attr_accessor :keeper
    attr_accessor :animalSupplyPlannedDeparture

    def initialize(keeper = nil, animalSupplyPlannedDeparture = [])
      @keeper = keeper
      @animalSupplyPlannedDeparture = animalSupplyPlannedDeparture
    end
  end

  # {http://ws.crvholding.com/animalMessages/}listFoodChainInformationRequestType
  #   chainType - SOAP::SOAPString
  #   animal - CrvApiClient::Api::Animals::AnimalId
  class ListFoodChainInformationRequestType
    attr_accessor :chainType
    attr_accessor :animal

    def initialize(chainType = nil, animal = [])
      @chainType = chainType
      @animal = animal
    end
  end

  # {http://ws.crvholding.com/animalMessages/}listFoodChainInformationResponseType
  class ListFoodChainInformationResponseType < ::Array
  end

  # {http://ws.crvholding.com/animalMessages/}animalChainValue
  #   animal - CrvApiClient::Api::Animals::AnimalId
  #   chainValue - CrvApiClient::Api::Animals::ChainValue
  class AnimalChainValue
    attr_accessor :animal
    attr_accessor :chainValue

    def initialize(animal = nil, chainValue = nil)
      @animal = animal
      @chainValue = chainValue
    end
  end

  # {http://ws.crvholding.com/animalMessages/}listPlannedArrivalRequestType
  #   customer - CrvApiClient::Api::Animals::ParticipantId
  #   source - CrvApiClient::Api::Animals::ParticipantId
  #   period - CrvApiClient::Api::Animals::PeriodRange_
  #   supplyType - SOAP::SOAPString
  class ListPlannedArrivalRequestType
    attr_accessor :customer
    attr_accessor :source
    attr_accessor :period
    attr_accessor :supplyType

    def initialize(customer = nil, source = nil, period = nil, supplyType = nil)
      @customer = customer
      @source = source
      @period = period
      @supplyType = supplyType
    end
  end

  # {http://ws.crvholding.com/animalMessages/}listPlannedArrivalResponseType
  #   plannedArrival - CrvApiClient::Api::Animals::PlannedArrival
  #   addresses - CrvApiClient::Api::Animals::Addresses
  class ListPlannedArrivalResponseType
    attr_accessor :plannedArrival
    attr_accessor :addresses

    def initialize(plannedArrival = [], addresses = [])
      @plannedArrival = plannedArrival
      @addresses = addresses
    end
  end

  # {http://ws.crvholding.com/animalMessages/}modifyPlannedArrivalRequestType
  #   customer - CrvApiClient::Api::Animals::ParticipantId
  #   animalArrivalDetail - CrvApiClient::Api::Animals::AnimalArrivalDetail
  class ModifyPlannedArrivalRequestType
    attr_accessor :customer
    attr_accessor :animalArrivalDetail

    def initialize(customer = nil, animalArrivalDetail = [])
      @customer = customer
      @animalArrivalDetail = animalArrivalDetail
    end
  end

  # {http://ws.crvholding.com/animalMessages/}listHerdPedigreeRequestType
  #   keeper - CrvApiClient::Api::Animals::ParticipantId
  class ListHerdPedigreeRequestType
    attr_accessor :keeper

    def initialize(keeper = nil)
      @keeper = keeper
    end
  end

  # {http://ws.crvholding.com/animalMessages/}listHerdPedigreeResponseType
  #   keeper - CrvApiClient::Api::Animals::ParticipantId
  #   animalPedigree - CrvApiClient::Api::Animals::AnimalPedigree
  class ListHerdPedigreeResponseType
    attr_accessor :keeper
    attr_accessor :animalPedigree

    def initialize(keeper = nil, animalPedigree = [])
      @keeper = keeper
      @animalPedigree = animalPedigree
    end
  end

  # {http://ws.crvholding.com/commonTypes/}localTime
  #   hourOfDay - SOAP::SOAPInt
  #   minuteOfHour - SOAP::SOAPInt
  class LocalTime
    attr_accessor :hourOfDay
    attr_accessor :minuteOfHour

    def initialize(hourOfDay = nil, minuteOfHour = nil)
      @hourOfDay = hourOfDay
      @minuteOfHour = minuteOfHour
    end
  end

  # {http://ws.crvholding.com/commonTypes/}localDate
  #   dayOfMonth - SOAP::SOAPInt
  #   monthOfYear - SOAP::SOAPInt
  #   year - SOAP::SOAPInt
  class LocalDate
    attr_accessor :dayOfMonth
    attr_accessor :monthOfYear
    attr_accessor :year

    def initialize(dayOfMonth = nil, monthOfYear = nil, year = nil)
      @dayOfMonth = dayOfMonth
      @monthOfYear = monthOfYear
      @year = year
    end
  end

  # {http://ws.crvholding.com/commonTypes/}periodRange
  #   beginDate - (any)
  #   endDate - (any)
  class PeriodRange
    attr_accessor :beginDate
    attr_accessor :endDate

    def initialize(beginDate = nil, endDate = nil)
      @beginDate = beginDate
      @endDate = endDate
    end
  end

  # {http://ws.crvholding.com/commonTypes/}contextMessage
  #   sessionId - SOAP::SOAPString
  #   processId - SOAP::SOAPString
  #   instanceId - SOAP::SOAPString
  #   username - SOAP::SOAPString
  #   userType - SOAP::SOAPString
  #   password - SOAP::SOAPString
  #   organisation - CrvApiClient::Api::Animals::ParticipantId
  #   provider - CrvApiClient::Api::Animals::ParticipantId
  #   customer - CrvApiClient::Api::Animals::ParticipantId
  #   keeper - CrvApiClient::Api::Animals::ParticipantId
  #   animal - CrvApiClient::Api::Animals::AnimalId
  #   processCode - SOAP::SOAPString
  #   messageSource - SOAP::SOAPString
  #   languageCode - SOAP::SOAPString
  #   timeZone - SOAP::SOAPString
  #   contextMessageDetail - CrvApiClient::Api::Animals::ContextMessageDetail
  class ContextMessage
    attr_accessor :sessionId
    attr_accessor :processId
    attr_accessor :instanceId
    attr_accessor :username
    attr_accessor :userType
    attr_accessor :password
    attr_accessor :organisation
    attr_accessor :provider
    attr_accessor :customer
    attr_accessor :keeper
    attr_accessor :animal
    attr_accessor :processCode
    attr_accessor :messageSource
    attr_accessor :languageCode
    attr_accessor :timeZone
    attr_accessor :contextMessageDetail

    def initialize(sessionId = nil, processId = nil, instanceId = nil, username = nil, userType = nil, password = nil, organisation = nil, provider = nil, customer = nil, keeper = nil, animal = nil, processCode = nil, messageSource = nil, languageCode = nil, timeZone = nil, contextMessageDetail = [])
      @sessionId = sessionId
      @processId = processId
      @instanceId = instanceId
      @username = username
      @userType = userType
      @password = password
      @organisation = organisation
      @provider = provider
      @customer = customer
      @keeper = keeper
      @animal = animal
      @processCode = processCode
      @messageSource = messageSource
      @languageCode = languageCode
      @timeZone = timeZone
      @contextMessageDetail = contextMessageDetail
    end
  end

  # {http://ws.crvholding.com/commonTypes/}contextMessageDetail
  #   contextCode - SOAP::SOAPString
  #   contextValue - SOAP::SOAPString
  class ContextMessageDetail
    attr_accessor :contextCode
    attr_accessor :contextValue

    def initialize(contextCode = nil, contextValue = nil)
      @contextCode = contextCode
      @contextValue = contextValue
    end
  end

  # {http://ws.crvholding.com/commonTypes/}serviceMessage
  #   serviceStatus - SOAP::SOAPString
  #   messageCode - SOAP::SOAPString
  #   messageText - SOAP::SOAPString
  #   messageType - SOAP::SOAPString
  #   sourceType - SOAP::SOAPString
  #   sourceCode - SOAP::SOAPString
  #   serviceMessageDetail - CrvApiClient::Api::Animals::ServiceMessageDetail
  class ServiceMessage
    attr_accessor :serviceStatus
    attr_accessor :messageCode
    attr_accessor :messageText
    attr_accessor :messageType
    attr_accessor :sourceType
    attr_accessor :sourceCode
    attr_accessor :serviceMessageDetail

    def initialize(serviceStatus = nil, messageCode = nil, messageText = nil, messageType = nil, sourceType = nil, sourceCode = nil, serviceMessageDetail = [])
      @serviceStatus = serviceStatus
      @messageCode = messageCode
      @messageText = messageText
      @messageType = messageType
      @sourceType = sourceType
      @sourceCode = sourceCode
      @serviceMessageDetail = serviceMessageDetail
    end
  end

  # {http://ws.crvholding.com/commonTypes/}serviceMessageDetail
  #   serviceStatus - SOAP::SOAPString
  #   codeDetail - CrvApiClient::Api::Animals::CodeDetail
  #   messageCode - SOAP::SOAPString
  #   messageText - SOAP::SOAPString
  #   messageType - SOAP::SOAPString
  class ServiceMessageDetail
    attr_accessor :serviceStatus
    attr_accessor :codeDetail
    attr_accessor :messageCode
    attr_accessor :messageText
    attr_accessor :messageType

    def initialize(serviceStatus = nil, codeDetail = [], messageCode = nil, messageText = nil, messageType = nil)
      @serviceStatus = serviceStatus
      @codeDetail = codeDetail
      @messageCode = messageCode
      @messageText = messageText
      @messageType = messageType
    end
  end

  # {http://ws.crvholding.com/commonTypes/}codeDetail
  #   keyId - SOAP::SOAPString
  #   keyValue - SOAP::SOAPString
  class CodeDetail
    attr_accessor :keyId
    attr_accessor :keyValue

    def initialize(keyId = nil, keyValue = nil)
      @keyId = keyId
      @keyValue = keyValue
    end
  end

  # {http://ws.crvholding.com/commonTypes/}sendNotificationRequestType
  #   notificationType - CrvApiClient::Api::Animals::NotificationType
  #   notificationMessage - CrvApiClient::Api::Animals::NotificationMessageType
  #   email - CrvApiClient::Api::Animals::EmailType
  #   fax - CrvApiClient::Api::Animals::FaxType
  #   sms - CrvApiClient::Api::Animals::SmsType
  #   voice - CrvApiClient::Api::Animals::VoiceType
  #   pager - CrvApiClient::Api::Animals::PagerType
  class SendNotificationRequestType
    attr_accessor :notificationType
    attr_accessor :notificationMessage
    attr_accessor :email
    attr_accessor :fax
    attr_accessor :sms
    attr_accessor :voice
    attr_accessor :pager

    def initialize(notificationType = nil, notificationMessage = [], email = [], fax = [], sms = [], voice = [], pager = [])
      @notificationType = notificationType
      @notificationMessage = notificationMessage
      @email = email
      @fax = fax
      @sms = sms
      @voice = voice
      @pager = pager
    end
  end

  # {http://ws.crvholding.com/commonTypes/}notificationMessageType
  #   messageCode - SOAP::SOAPString
  #   languageCode - SOAP::SOAPString
  #   messageParameter - SOAP::SOAPString
  class NotificationMessageType
    attr_accessor :messageCode
    attr_accessor :languageCode
    attr_accessor :messageParameter

    def initialize(messageCode = nil, languageCode = nil, messageParameter = nil)
      @messageCode = messageCode
      @languageCode = languageCode
      @messageParameter = messageParameter
    end
  end

  # {http://ws.crvholding.com/commonTypes/}emailType
  #   mailTo - SOAP::SOAPString
  #   mailCc - SOAP::SOAPString
  #   mailBcc - SOAP::SOAPString
  #   mailReplyTo - SOAP::SOAPString
  #   subject - SOAP::SOAPString
  #   textBody - SOAP::SOAPString
  class EmailType
    attr_accessor :mailTo
    attr_accessor :mailCc
    attr_accessor :mailBcc
    attr_accessor :mailReplyTo
    attr_accessor :subject
    attr_accessor :textBody

    def initialize(mailTo = nil, mailCc = nil, mailBcc = nil, mailReplyTo = nil, subject = nil, textBody = nil)
      @mailTo = mailTo
      @mailCc = mailCc
      @mailBcc = mailBcc
      @mailReplyTo = mailReplyTo
      @subject = subject
      @textBody = textBody
    end
  end

  # {http://ws.crvholding.com/commonTypes/}faxType
  #   faxNr - SOAP::SOAPString
  #   coverPage - SOAP::SOAPString
  #   textBody - SOAP::SOAPString
  class FaxType
    attr_accessor :faxNr
    attr_accessor :coverPage
    attr_accessor :textBody

    def initialize(faxNr = nil, coverPage = nil, textBody = nil)
      @faxNr = faxNr
      @coverPage = coverPage
      @textBody = textBody
    end
  end

  # {http://ws.crvholding.com/commonTypes/}smsType
  #   fromNr - SOAP::SOAPString
  #   telNr - SOAP::SOAPString
  #   subject - SOAP::SOAPString
  #   textBody - SOAP::SOAPString
  class SmsType
    attr_accessor :fromNr
    attr_accessor :telNr
    attr_accessor :subject
    attr_accessor :textBody

    def initialize(fromNr = nil, telNr = nil, subject = nil, textBody = nil)
      @fromNr = fromNr
      @telNr = telNr
      @subject = subject
      @textBody = textBody
    end
  end

  # {http://ws.crvholding.com/commonTypes/}voiceType
  #   telNr - SOAP::SOAPString
  #   textBody - SOAP::SOAPString
  class VoiceType
    attr_accessor :telNr
    attr_accessor :textBody

    def initialize(telNr = nil, textBody = nil)
      @telNr = telNr
      @textBody = textBody
    end
  end

  # {http://ws.crvholding.com/commonTypes/}pagerType
  #   fromNr - SOAP::SOAPString
  #   pagerNr - SOAP::SOAPString
  #   textBody - SOAP::SOAPString
  class PagerType
    attr_accessor :fromNr
    attr_accessor :pagerNr
    attr_accessor :textBody

    def initialize(fromNr = nil, pagerNr = nil, textBody = nil)
      @fromNr = fromNr
      @pagerNr = pagerNr
      @textBody = textBody
    end
  end

  # {http://ws.crvholding.com/dictionaryTypes/}getLabel
  #   componentCode - SOAP::SOAPString
  #   itemName - SOAP::SOAPString
  #   itemType - SOAP::SOAPString
  #   languageCode - SOAP::SOAPString
  class GetLabel
    attr_accessor :componentCode
    attr_accessor :itemName
    attr_accessor :itemType
    attr_accessor :languageCode

    def initialize(componentCode = nil, itemName = nil, itemType = nil, languageCode = nil)
      @componentCode = componentCode
      @itemName = itemName
      @itemType = itemType
      @languageCode = languageCode
    end
  end

  # {http://ws.crvholding.com/dictionaryTypes/}component
  #   componentCode - SOAP::SOAPString
  #   processCode - SOAP::SOAPString
  #   componentType - SOAP::SOAPString
  #   componentName - SOAP::SOAPString
  #   componentItem - CrvApiClient::Api::Animals::ComponentItem
  class Component
    attr_accessor :componentCode
    attr_accessor :processCode
    attr_accessor :componentType
    attr_accessor :componentName
    attr_accessor :componentItem

    def initialize(componentCode = nil, processCode = nil, componentType = nil, componentName = nil, componentItem = [])
      @componentCode = componentCode
      @processCode = processCode
      @componentType = componentType
      @componentName = componentName
      @componentItem = componentItem
    end
  end

  # {http://ws.crvholding.com/dictionaryTypes/}componentItem
  class ComponentItem < ::Array
  end

  # {http://ws.crvholding.com/dictionaryTypes/}item
  #   itemName - SOAP::SOAPString
  #   moduleCode - SOAP::SOAPString
  #   itemType - SOAP::SOAPString
  #   itemLng - CrvApiClient::Api::Animals::ItemLng
  class Item
    attr_accessor :itemName
    attr_accessor :moduleCode
    attr_accessor :itemType
    attr_accessor :itemLng

    def initialize(itemName = nil, moduleCode = nil, itemType = nil, itemLng = [])
      @itemName = itemName
      @moduleCode = moduleCode
      @itemType = itemType
      @itemLng = itemLng
    end
  end

  # {http://ws.crvholding.com/dictionaryTypes/}itemLng
  #   languageCode - SOAP::SOAPString
  #   itemLabel - SOAP::SOAPString
  class ItemLng
    attr_accessor :languageCode
    attr_accessor :itemLabel

    def initialize(languageCode = nil, itemLabel = nil)
      @languageCode = languageCode
      @itemLabel = itemLabel
    end
  end

  # {http://ws.crvholding.com/dictionaryTypes/}getSystemMessage
  #   messageCode - SOAP::SOAPString
  #   languageCode - SOAP::SOAPString
  #   messageParameter - SOAP::SOAPString
  class GetSystemMessage
    attr_accessor :messageCode
    attr_accessor :languageCode
    attr_accessor :messageParameter

    def initialize(messageCode = nil, languageCode = nil, messageParameter = nil)
      @messageCode = messageCode
      @languageCode = languageCode
      @messageParameter = messageParameter
    end
  end

  # {http://ws.crvholding.com/dictionaryTypes/}systemMessage
  #   message - SOAP::SOAPString
  class SystemMessage
    attr_accessor :message

    def initialize(message = nil)
      @message = message
    end
  end

  # {http://ws.crvholding.com/dictionaryTypes/}listDomain
  #   domain - CrvApiClient::Api::Animals::Domain
  #   languageCode - SOAP::SOAPString
  #   representationType - CrvApiClient::Api::Animals::RepresentationType
  #   actual - CrvApiClient::Api::Animals::BooleanType
  class ListDomain
    attr_accessor :domain
    attr_accessor :languageCode
    attr_accessor :representationType
    attr_accessor :actual

    def initialize(domain = [], languageCode = nil, representationType = nil, actual = nil)
      @domain = domain
      @languageCode = languageCode
      @representationType = representationType
      @actual = actual
    end
  end

  # {http://ws.crvholding.com/dictionaryTypes/}domainValue
  #   domainCode - SOAP::SOAPString
  #   columnValue - CrvApiClient::Api::Animals::ColumnValue
  class DomainValue
    attr_accessor :domainCode
    attr_accessor :columnValue

    def initialize(domainCode = nil, columnValue = [])
      @domainCode = domainCode
      @columnValue = columnValue
    end
  end

  # {http://ws.crvholding.com/dictionaryTypes/}columnValue
  #   value - SOAP::SOAPString
  #   representation - SOAP::SOAPString
  class ColumnValue
    attr_accessor :value
    attr_accessor :representation

    def initialize(value = nil, representation = nil)
      @value = value
      @representation = representation
    end
  end

  # {http://ws.crvholding.com/dictionaryTypes/}domain
  #   domainCode - SOAP::SOAPString
  class Domain
    attr_accessor :domainCode

    def initialize(domainCode = nil)
      @domainCode = domainCode
    end
  end

  # {http://ws.crvholding.com/dictionaryTypes/}timePeriod
  #   beginDate - (any)
  #   beginTime - (any)
  #   endDate - (any)
  #   endTime - (any)
  class TimePeriod
    attr_accessor :beginDate
    attr_accessor :beginTime
    attr_accessor :endDate
    attr_accessor :endTime

    def initialize(beginDate = nil, beginTime = nil, endDate = nil, endTime = nil)
      @beginDate = beginDate
      @beginTime = beginTime
      @endDate = endDate
      @endTime = endTime
    end
  end

  # {http://ws.crvholding.com/dictionaryTypes/}intervalId
  #   nr - SOAP::SOAPString
  #   nrType - SOAP::SOAPString
  class IntervalId
    attr_accessor :nr
    attr_accessor :nrType

    def initialize(nr = nil, nrType = nil)
      @nr = nr
      @nrType = nrType
    end
  end

  # {http://ws.crvholding.com/dictionaryTypes/}animalNumberCountry
  #   countryCd - SOAP::SOAPString
  #   animalNrLength - SOAP::SOAPString
  #   animalNrAlphanumeric - SOAP::SOAPString
  #   sortingOrder - SOAP::SOAPString
  class AnimalNumberCountry
    attr_accessor :countryCd
    attr_accessor :animalNrLength
    attr_accessor :animalNrAlphanumeric
    attr_accessor :sortingOrder

    def initialize(countryCd = nil, animalNrLength = nil, animalNrAlphanumeric = nil, sortingOrder = nil)
      @countryCd = countryCd
      @animalNrLength = animalNrLength
      @animalNrAlphanumeric = animalNrAlphanumeric
      @sortingOrder = sortingOrder
    end
  end

  # {http://ws.crvholding.com/dictionaryTypes/}hourCode
  #   hourCd - SOAP::SOAPString
  #   description - SOAP::SOAPString
  #   hourMutateAllowed - SOAP::SOAPString
  #   hourNecessary - SOAP::SOAPString
  #   addressMutateAllowed - SOAP::SOAPString
  #   addressNecessary - SOAP::SOAPString
  #   activityMutateAllowed - SOAP::SOAPString
  #   activityNecessary - SOAP::SOAPString
  #   kilometresMutateAllowed - SOAP::SOAPString
  #   kilometresNecessary - SOAP::SOAPString
  class HourCode
    attr_accessor :hourCd
    attr_accessor :description
    attr_accessor :hourMutateAllowed
    attr_accessor :hourNecessary
    attr_accessor :addressMutateAllowed
    attr_accessor :addressNecessary
    attr_accessor :activityMutateAllowed
    attr_accessor :activityNecessary
    attr_accessor :kilometresMutateAllowed
    attr_accessor :kilometresNecessary

    def initialize(hourCd = nil, description = nil, hourMutateAllowed = nil, hourNecessary = nil, addressMutateAllowed = nil, addressNecessary = nil, activityMutateAllowed = nil, activityNecessary = nil, kilometresMutateAllowed = nil, kilometresNecessary = nil)
      @hourCd = hourCd
      @description = description
      @hourMutateAllowed = hourMutateAllowed
      @hourNecessary = hourNecessary
      @addressMutateAllowed = addressMutateAllowed
      @addressNecessary = addressNecessary
      @activityMutateAllowed = activityMutateAllowed
      @activityNecessary = activityNecessary
      @kilometresMutateAllowed = kilometresMutateAllowed
      @kilometresNecessary = kilometresNecessary
    end
  end

  # {http://ws.crvholding.com/dictionaryTypes/}parameter
  #   parameterName - SOAP::SOAPString
  #   value - SOAP::SOAPString
  #   valueDescription - SOAP::SOAPString
  #   default - SOAP::SOAPString
  #   sortingOrder - SOAP::SOAPString
  class Parameter
    attr_accessor :parameterName
    attr_accessor :value
    attr_accessor :valueDescription
    attr_accessor :default
    attr_accessor :sortingOrder

    def initialize(parameterName = nil, value = nil, valueDescription = nil, default = nil, sortingOrder = nil)
      @parameterName = parameterName
      @value = value
      @valueDescription = valueDescription
      @default = default
      @sortingOrder = sortingOrder
    end
  end

  # {http://ws.crvholding.com/animalTypes/}animalId
  #   animalNumber - SOAP::SOAPString
  #   animalNumberType - SOAP::SOAPString
  class AnimalId
    attr_accessor :animalNumber
    attr_accessor :animalNumberType

    def initialize(animalNumber = nil, animalNumberType = nil)
      @animalNumber = animalNumber
      @animalNumberType = animalNumberType
    end
  end

  # {http://ws.crvholding.com/animalTypes/}animalDetailsBirth
  #   animalId - CrvApiClient::Api::Animals::AnimalId
  #   animalNumberShort - SOAP::SOAPString
  #   sex - SOAP::SOAPString
  #   colourHair - SOAP::SOAPString
  #   birthDate - (any)
  #   animalName - SOAP::SOAPString
  #   surrogateDam - CrvApiClient::Api::Animals::AnimalId
  #   dam - CrvApiClient::Api::Animals::AnimalId
  #   sire - CrvApiClient::Api::Animals::AnimalId
  #   breedComposition - SOAP::SOAPString
  class AnimalDetailsBirth
    attr_accessor :animalId
    attr_accessor :animalNumberShort
    attr_accessor :sex
    attr_accessor :colourHair
    attr_accessor :birthDate
    attr_accessor :animalName
    attr_accessor :surrogateDam
    attr_accessor :dam
    attr_accessor :sire
    attr_accessor :breedComposition

    def initialize(animalId = nil, animalNumberShort = nil, sex = nil, colourHair = nil, birthDate = nil, animalName = nil, surrogateDam = nil, dam = nil, sire = nil, breedComposition = nil)
      @animalId = animalId
      @animalNumberShort = animalNumberShort
      @sex = sex
      @colourHair = colourHair
      @birthDate = birthDate
      @animalName = animalName
      @surrogateDam = surrogateDam
      @dam = dam
      @sire = sire
      @breedComposition = breedComposition
    end
  end

  # {http://ws.crvholding.com/animalTypes/}animal
  #   animalId - CrvApiClient::Api::Animals::AnimalId
  #   animalNumberShort - SOAP::SOAPString
  #   sex - SOAP::SOAPString
  #   colourHair - SOAP::SOAPString
  #   birthDate - (any)
  #   deathDate - SOAP::SOAPString
  #   animalName - SOAP::SOAPString
  #   breedComposition - SOAP::SOAPString
  #   redFactor - SOAP::SOAPString
  class Animal
    attr_accessor :animalId
    attr_accessor :animalNumberShort
    attr_accessor :sex
    attr_accessor :colourHair
    attr_accessor :birthDate
    attr_accessor :deathDate
    attr_accessor :animalName
    attr_accessor :breedComposition
    attr_accessor :redFactor

    def initialize(animalId = nil, animalNumberShort = nil, sex = nil, colourHair = nil, birthDate = nil, deathDate = nil, animalName = nil, breedComposition = nil, redFactor = nil)
      @animalId = animalId
      @animalNumberShort = animalNumberShort
      @sex = sex
      @colourHair = colourHair
      @birthDate = birthDate
      @deathDate = deathDate
      @animalName = animalName
      @breedComposition = breedComposition
      @redFactor = redFactor
    end
  end

  # {http://ws.crvholding.com/animalTypes/}animalManagement
  #   animalId - CrvApiClient::Api::Animals::AnimalId
  #   animalName - SOAP::SOAPString
  #   farmersAnimalNr - SOAP::SOAPString
  #   animalGroupNr - SOAP::SOAPString
  #   productionPurposeDate - (any)
  #   productionPurpose - SOAP::SOAPString
  class AnimalManagement
    attr_accessor :animalId
    attr_accessor :animalName
    attr_accessor :farmersAnimalNr
    attr_accessor :animalGroupNr
    attr_accessor :productionPurposeDate
    attr_accessor :productionPurpose

    def initialize(animalId = nil, animalName = nil, farmersAnimalNr = nil, animalGroupNr = nil, productionPurposeDate = nil, productionPurpose = nil)
      @animalId = animalId
      @animalName = animalName
      @farmersAnimalNr = farmersAnimalNr
      @animalGroupNr = animalGroupNr
      @productionPurposeDate = productionPurposeDate
      @productionPurpose = productionPurpose
    end
  end

  # {http://ws.crvholding.com/animalTypes/}animalPedigree
  #   animal - CrvApiClient::Api::Animals::AnimalId
  #   animalNrShort - SOAP::SOAPString
  #   animalName - SOAP::SOAPString
  #   farmersAnimalNr - SOAP::SOAPString
  #   sex - SOAP::SOAPString
  #   birthDate - (any)
  #   colourHair - SOAP::SOAPString
  #   pedigree - CrvApiClient::Api::Animals::Pedigree
  #   participantAnimal - CrvApiClient::Api::Animals::ParticipantAnimalId
  #   groupCode - CrvApiClient::Api::Animals::AnimalGroup
  class AnimalPedigree
    attr_accessor :animal
    attr_accessor :animalNrShort
    attr_accessor :animalName
    attr_accessor :farmersAnimalNr
    attr_accessor :sex
    attr_accessor :birthDate
    attr_accessor :colourHair
    attr_accessor :pedigree
    attr_accessor :participantAnimal
    attr_accessor :groupCode

    def initialize(animal = nil, animalNrShort = nil, animalName = nil, farmersAnimalNr = nil, sex = nil, birthDate = nil, colourHair = nil, pedigree = nil, participantAnimal = [], groupCode = [])
      @animal = animal
      @animalNrShort = animalNrShort
      @animalName = animalName
      @farmersAnimalNr = farmersAnimalNr
      @sex = sex
      @birthDate = birthDate
      @colourHair = colourHair
      @pedigree = pedigree
      @participantAnimal = participantAnimal
      @groupCode = groupCode
    end
  end

  # {http://ws.crvholding.com/animalTypes/}animalSupplyId
  #   animal - CrvApiClient::Api::Animals::AnimalId
  #   supplyType - SOAP::SOAPString
  #   supplyCd - SOAP::SOAPString
  #   plannedDepartureDate - (any)
  #   trader - CrvApiClient::Api::Animals::ParticipantId
  #   destination - CrvApiClient::Api::Animals::ParticipantId
  class AnimalSupplyId
    attr_accessor :animal
    attr_accessor :supplyType
    attr_accessor :supplyCd
    attr_accessor :plannedDepartureDate
    attr_accessor :trader
    attr_accessor :destination

    def initialize(animal = nil, supplyType = nil, supplyCd = nil, plannedDepartureDate = nil, trader = nil, destination = nil)
      @animal = animal
      @supplyType = supplyType
      @supplyCd = supplyCd
      @plannedDepartureDate = plannedDepartureDate
      @trader = trader
      @destination = destination
    end
  end

  # {http://ws.crvholding.com/animalTypes/}addresses
  #   participant - CrvApiClient::Api::Animals::Participant
  #   address - CrvApiClient::Api::Animals::Address
  #   trader - CrvApiClient::Api::Animals::ParticipantId
  class Addresses
    attr_accessor :participant
    attr_accessor :address
    attr_accessor :trader

    def initialize(participant = [], address = [], trader = nil)
      @participant = participant
      @address = address
      @trader = trader
    end
  end

  # {http://ws.crvholding.com/animalTypes/}animalArrivalDetail
  #   animalId - CrvApiClient::Api::Animals::AnimalId
  #   plannedArrivalDetail - CrvApiClient::Api::Animals::PlannedArrivalDetail
  class AnimalArrivalDetail
    attr_accessor :animalId
    attr_accessor :plannedArrivalDetail

    def initialize(animalId = [], plannedArrivalDetail = nil)
      @animalId = animalId
      @plannedArrivalDetail = plannedArrivalDetail
    end
  end

  # {http://ws.crvholding.com/animalTypes/}averageHerdWeight
  #   keeper - CrvApiClient::Api::Animals::ParticipantId
  #   referencePeriod - CrvApiClient::Api::Animals::TimePeriod
  #   herdWeightCategoryResult - CrvApiClient::Api::Animals::HerdWeightCategory
  class AverageHerdWeight
    attr_accessor :keeper
    attr_accessor :referencePeriod
    attr_accessor :herdWeightCategoryResult

    def initialize(keeper = nil, referencePeriod = nil, herdWeightCategoryResult = [])
      @keeper = keeper
      @referencePeriod = referencePeriod
      @herdWeightCategoryResult = herdWeightCategoryResult
    end
  end

  # {http://ws.crvholding.com/animalTypes/}breedFraction
  #   breed - SOAP::SOAPString
  #   fraction - SOAP::SOAPString
  class BreedFraction
    attr_accessor :breed
    attr_accessor :fraction

    def initialize(breed = nil, fraction = nil)
      @breed = breed
      @fraction = fraction
    end
  end

  # {http://ws.crvholding.com/animalTypes/}bullDetails
  #   bullId - CrvApiClient::Api::Animals::AnimalId
  #   aiCode - CrvApiClient::Api::Animals::AnimalId
  #   bullName - SOAP::SOAPString
  #   bullShortName - SOAP::SOAPString
  #   birthDate - (any)
  #   colourHair - SOAP::SOAPString
  class BullDetails
    attr_accessor :bullId
    attr_accessor :aiCode
    attr_accessor :bullName
    attr_accessor :bullShortName
    attr_accessor :birthDate
    attr_accessor :colourHair

    def initialize(bullId = nil, aiCode = nil, bullName = nil, bullShortName = nil, birthDate = nil, colourHair = nil)
      @bullId = bullId
      @aiCode = aiCode
      @bullName = bullName
      @bullShortName = bullShortName
      @birthDate = birthDate
      @colourHair = colourHair
    end
  end

  # {http://ws.crvholding.com/animalTypes/}colourCode
  #   countryCode - SOAP::SOAPString
  #   colourCode - SOAP::SOAPString
  class ColourCode
    attr_accessor :countryCode
    attr_accessor :colourCode

    def initialize(countryCode = nil, colourCode = nil)
      @countryCode = countryCode
      @colourCode = colourCode
    end
  end

  # {http://ws.crvholding.com/animalTypes/}chainValue
  #   chainType - SOAP::SOAPString
  #   chainVersion - SOAP::SOAPString
  #   chainRowValue - CrvApiClient::Api::Animals::ChainRowValue
  class ChainValue
    attr_accessor :chainType
    attr_accessor :chainVersion
    attr_accessor :chainRowValue

    def initialize(chainType = nil, chainVersion = nil, chainRowValue = [])
      @chainType = chainType
      @chainVersion = chainVersion
      @chainRowValue = chainRowValue
    end
  end

  # {http://ws.crvholding.com/animalTypes/}chainRowValue
  #   rowCd - SOAP::SOAPString
  #   rowValue - SOAP::SOAPString
  class ChainRowValue
    attr_accessor :rowCd
    attr_accessor :rowValue

    def initialize(rowCd = nil, rowValue = nil)
      @rowCd = rowCd
      @rowValue = rowValue
    end
  end

  # {http://ws.crvholding.com/animalTypes/}dateReason
  #   date - (any)
  #   reason - SOAP::SOAPString
  class DateReason
    attr_accessor :date
    attr_accessor :reason

    def initialize(date = nil, reason = nil)
      @date = date
      @reason = reason
    end
  end

  # {http://ws.crvholding.com/animalTypes/}animalGroup
  #   animalGroupType - SOAP::SOAPString
  #   animalGroupCode - SOAP::SOAPString
  #   animalGroupName - SOAP::SOAPString
  class AnimalGroup
    attr_accessor :animalGroupType
    attr_accessor :animalGroupCode
    attr_accessor :animalGroupName

    def initialize(animalGroupType = nil, animalGroupCode = nil, animalGroupName = nil)
      @animalGroupType = animalGroupType
      @animalGroupCode = animalGroupCode
      @animalGroupName = animalGroupName
    end
  end

  # {http://ws.crvholding.com/animalTypes/}herdWeightCategory
  #   categoryCd - SOAP::SOAPString
  #   avgNoAnimals - (any)
  #   avgWeightAnimals - (any)
  class HerdWeightCategory
    attr_accessor :categoryCd
    attr_accessor :avgNoAnimals
    attr_accessor :avgWeightAnimals

    def initialize(categoryCd = nil, avgNoAnimals = nil, avgWeightAnimals = nil)
      @categoryCd = categoryCd
      @avgNoAnimals = avgNoAnimals
      @avgWeightAnimals = avgWeightAnimals
    end
  end

  # {http://ws.crvholding.com/animalTypes/}listParticipantAnimalRequest
  #   listType - SOAP::SOAPString
  #   participantAnimalRequest - CrvApiClient::Api::Animals::ParticipantAnimalRequest
  class ListParticipantAnimalRequest
    attr_accessor :listType
    attr_accessor :participantAnimalRequest

    def initialize(listType = nil, participantAnimalRequest = [])
      @listType = listType
      @participantAnimalRequest = participantAnimalRequest
    end
  end

  # {http://ws.crvholding.com/animalTypes/}participantAnimalId
  #   numberType - SOAP::SOAPString
  #   numberSubType - SOAP::SOAPString
  #   participantAnimalNr - SOAP::SOAPString
  class ParticipantAnimalId
    attr_accessor :numberType
    attr_accessor :numberSubType
    attr_accessor :participantAnimalNr

    def initialize(numberType = nil, numberSubType = nil, participantAnimalNr = nil)
      @numberType = numberType
      @numberSubType = numberSubType
      @participantAnimalNr = participantAnimalNr
    end
  end

  # {http://ws.crvholding.com/animalTypes/}participantAnimalRequest
  #   numberType - SOAP::SOAPString
  #   numberSubType - SOAP::SOAPString
  class ParticipantAnimalRequest
    attr_accessor :numberType
    attr_accessor :numberSubType

    def initialize(numberType = nil, numberSubType = nil)
      @numberType = numberType
      @numberSubType = numberSubType
    end
  end

  # {http://ws.crvholding.com/animalTypes/}periodRange
  #   beginDate - (any)
  #   endDate - (any)
  class PeriodRange_
    attr_accessor :beginDate
    attr_accessor :endDate

    def initialize(beginDate = nil, endDate = nil)
      @beginDate = beginDate
      @endDate = endDate
    end
  end

  # {http://ws.crvholding.com/animalTypes/}plannedArrivalDetail
  #   supplyCd - SOAP::SOAPString
  #   keeper - CrvApiClient::Api::Animals::ParticipantId
  #   plannedDepartureDate - (any)
  #   foodChainInfo - CrvApiClient::Api::Animals::BooleanType
  #   foodChainInfoStandard - CrvApiClient::Api::Animals::BooleanType
  #   trader - CrvApiClient::Api::Animals::ParticipantId
  #   loadGroup - SOAP::SOAPString
  #   destination - CrvApiClient::Api::Animals::ParticipantId
  #   plannedDeliveryDateTime - (any)
  class PlannedArrivalDetail
    attr_accessor :supplyCd
    attr_accessor :keeper
    attr_accessor :plannedDepartureDate
    attr_accessor :foodChainInfo
    attr_accessor :foodChainInfoStandard
    attr_accessor :trader
    attr_accessor :loadGroup
    attr_accessor :destination
    attr_accessor :plannedDeliveryDateTime

    def initialize(supplyCd = nil, keeper = nil, plannedDepartureDate = nil, foodChainInfo = nil, foodChainInfoStandard = nil, trader = nil, loadGroup = nil, destination = nil, plannedDeliveryDateTime = nil)
      @supplyCd = supplyCd
      @keeper = keeper
      @plannedDepartureDate = plannedDepartureDate
      @foodChainInfo = foodChainInfo
      @foodChainInfoStandard = foodChainInfoStandard
      @trader = trader
      @loadGroup = loadGroup
      @destination = destination
      @plannedDeliveryDateTime = plannedDeliveryDateTime
    end
  end

  # {http://ws.crvholding.com/animalTypes/}pedigree
  #   sire - CrvApiClient::Api::Animals::Animal
  #   dam - CrvApiClient::Api::Animals::Animal
  class Pedigree
    attr_accessor :sire
    attr_accessor :dam

    def initialize(sire = nil, dam = nil)
      @sire = sire
      @dam = dam
    end
  end

  # {http://ws.crvholding.com/animalTypes/}plannedArrival
  #   animal - CrvApiClient::Api::Animals::Animal
  #   plannedArrivalDetail - CrvApiClient::Api::Animals::PlannedArrivalDetail
  #   breedFraction - CrvApiClient::Api::Animals::BreedFraction
  class PlannedArrival
    attr_accessor :animal
    attr_accessor :plannedArrivalDetail
    attr_accessor :breedFraction

    def initialize(animal = [], plannedArrivalDetail = nil, breedFraction = [])
      @animal = animal
      @plannedArrivalDetail = plannedArrivalDetail
      @breedFraction = breedFraction
    end
  end

  # {http://ws.crvholding.com/participantTypes/}participantId
  #   participantCode - SOAP::SOAPString
  #   participantCodeType - SOAP::SOAPString
  #   countryCode - SOAP::SOAPString
  class ParticipantId
    attr_accessor :participantCode
    attr_accessor :participantCodeType
    attr_accessor :countryCode

    def initialize(participantCode = nil, participantCodeType = nil, countryCode = nil)
      @participantCode = participantCode
      @participantCodeType = participantCodeType
      @countryCode = countryCode
    end
  end

  # {http://ws.crvholding.com/participantTypes/}nameAddressLayout
  #   addressType - SOAP::SOAPString
  #   participantName - SOAP::SOAPString
  #   addressLine1 - SOAP::SOAPString
  #   addressLine2 - SOAP::SOAPString
  #   addressLine3 - SOAP::SOAPString
  #   addressLine4 - SOAP::SOAPString
  #   addressLine5 - SOAP::SOAPString
  #   addressLine6 - SOAP::SOAPString
  class NameAddressLayout
    attr_accessor :addressType
    attr_accessor :participantName
    attr_accessor :addressLine1
    attr_accessor :addressLine2
    attr_accessor :addressLine3
    attr_accessor :addressLine4
    attr_accessor :addressLine5
    attr_accessor :addressLine6

    def initialize(addressType = nil, participantName = nil, addressLine1 = nil, addressLine2 = nil, addressLine3 = nil, addressLine4 = nil, addressLine5 = nil, addressLine6 = nil)
      @addressType = addressType
      @participantName = participantName
      @addressLine1 = addressLine1
      @addressLine2 = addressLine2
      @addressLine3 = addressLine3
      @addressLine4 = addressLine4
      @addressLine5 = addressLine5
      @addressLine6 = addressLine6
    end
  end

  # {http://ws.crvholding.com/participantTypes/}address
  #   addressType - SOAP::SOAPString
  #   street - SOAP::SOAPString
  #   houseNr - SOAP::SOAPString
  #   zipCd - SOAP::SOAPString
  #   city - SOAP::SOAPString
  #   regionCd - SOAP::SOAPString
  #   country - SOAP::SOAPString
  #   countryCd - SOAP::SOAPString
  class Address
    attr_accessor :addressType
    attr_accessor :street
    attr_accessor :houseNr
    attr_accessor :zipCd
    attr_accessor :city
    attr_accessor :regionCd
    attr_accessor :country
    attr_accessor :countryCd

    def initialize(addressType = nil, street = nil, houseNr = nil, zipCd = nil, city = nil, regionCd = nil, country = nil, countryCd = nil)
      @addressType = addressType
      @street = street
      @houseNr = houseNr
      @zipCd = zipCd
      @city = city
      @regionCd = regionCd
      @country = country
      @countryCd = countryCd
    end
  end

  # {http://ws.crvholding.com/participantTypes/}participant
  #   participant - CrvApiClient::Api::Animals::ParticipantId
  #   preTitle - SOAP::SOAPString
  #   initials - SOAP::SOAPString
  #   firstname - SOAP::SOAPString
  #   prefix - SOAP::SOAPString
  #   surname - SOAP::SOAPString
  #   postTitle - SOAP::SOAPString
  #   composedName - SOAP::SOAPString
  class Participant
    attr_accessor :participant
    attr_accessor :preTitle
    attr_accessor :initials
    attr_accessor :firstname
    attr_accessor :prefix
    attr_accessor :surname
    attr_accessor :postTitle
    attr_accessor :composedName

    def initialize(participant = nil, preTitle = nil, initials = nil, firstname = nil, prefix = nil, surname = nil, postTitle = nil, composedName = nil)
      @participant = participant
      @preTitle = preTitle
      @initials = initials
      @firstname = firstname
      @prefix = prefix
      @surname = surname
      @postTitle = postTitle
      @composedName = composedName
    end
  end

  # {http://ws.crvholding.com/participantTypes/}connectionDataBasic
  #   emailAddress - SOAP::SOAPString
  #   phoneNr - SOAP::SOAPString
  #   mobilePhone - SOAP::SOAPString
  class ConnectionDataBasic
    attr_accessor :emailAddress
    attr_accessor :phoneNr
    attr_accessor :mobilePhone

    def initialize(emailAddress = nil, phoneNr = nil, mobilePhone = nil)
      @emailAddress = emailAddress
      @phoneNr = phoneNr
      @mobilePhone = mobilePhone
    end
  end

  # {http://ws.crvholding.com/participantTypes/}connection
  #   connectionType - SOAP::SOAPString
  #   connection - SOAP::SOAPString
  #   connectionUse - SOAP::SOAPString
  class Connection
    attr_accessor :connectionType
    attr_accessor :connection
    attr_accessor :connectionUse

    def initialize(connectionType = nil, connection = nil, connectionUse = nil)
      @connectionType = connectionType
      @connection = connection
      @connectionUse = connectionUse
    end
  end

  # {http://ws.crvholding.com/participantTypes/}participantBasic
  #   participant - CrvApiClient::Api::Animals::Participant
  #   address - CrvApiClient::Api::Animals::Address
  #   connectionDataBasic - CrvApiClient::Api::Animals::ConnectionDataBasic
  class ParticipantBasic
    attr_accessor :participant
    attr_accessor :address
    attr_accessor :connectionDataBasic

    def initialize(participant = nil, address = [], connectionDataBasic = nil)
      @participant = participant
      @address = address
      @connectionDataBasic = connectionDataBasic
    end
  end

  # {http://ws.crvholding.com/participantTypes/}participantComplete
  #   participant - CrvApiClient::Api::Animals::Participant
  #   address - CrvApiClient::Api::Animals::Address
  #   connection - CrvApiClient::Api::Animals::Connection
  class ParticipantComplete
    attr_accessor :participant
    attr_accessor :address
    attr_accessor :connection

    def initialize(participant = nil, address = [], connection = [])
      @participant = participant
      @address = address
      @connection = connection
    end
  end

  # {http://ws.crvholding.com/participantTypes/}actualKeeper
  #   participant - CrvApiClient::Api::Animals::ParticipantId
  #   nameAddressLayout - CrvApiClient::Api::Animals::NameAddressLayout
  class ActualKeeper
    attr_accessor :participant
    attr_accessor :nameAddressLayout

    def initialize(participant = nil, nameAddressLayout = nil)
      @participant = participant
      @nameAddressLayout = nameAddressLayout
    end
  end

  # {http://ws.crvholding.com/commonTypes/}booleanType
  class BooleanType < ::String
    C_ = new("")
    F = new("F")
    T = new("T")
  end

  # {http://ws.crvholding.com/commonTypes/}notificationType
  class NotificationType < ::String
    C_ = new("")
    Email = new("email")
    Fax = new("fax")
    Pager = new("pager")
    Sms = new("sms")
    Voice = new("voice")
  end

  # {http://ws.crvholding.com/dictionaryTypes/}representationType
  class RepresentationType < ::String
    CODE = new("CODE")
    NAME = new("NAME")
  end

  # {http://ws.crvholding.com/animalTypes/}countryCode
  class CountryCode < ::String
    BEL = new("BEL")
    LUX = new("LUX")
    NLD = new("NLD")
  end

  # {http://ws.crvholding.com/animalTypes/}keeperType
  class KeeperType < ::String
    UBN = new("UBN")
    UVN = new("UVN")
  end

  # {http://ws.crvholding.com/animalTypes/}sex
  class Sex < ::String
    F = new("F")
    M = new("M")
  end

  # {http://ws.crvholding.com/animalMessages/}modifyAnimalManagementRequest
  #   contextMessage - CrvApiClient::Api::Animals::ContextMessage
  #   requestMessage - CrvApiClient::Api::Animals::ModifyAnimalManagementRequestType
  class ModifyAnimalManagementRequest
    attr_accessor :contextMessage
    attr_accessor :requestMessage

    def initialize(contextMessage = nil, requestMessage = nil)
      @contextMessage = contextMessage
      @requestMessage = requestMessage
    end
  end

  # {http://ws.crvholding.com/animalMessages/}modifyAnimalManagementResponse
  #   responseMessage - SOAP::SOAPString
  #   serviceMessage - CrvApiClient::Api::Animals::ServiceMessage
  class ModifyAnimalManagementResponse
    attr_accessor :responseMessage
    attr_accessor :serviceMessage

    def initialize(responseMessage = nil, serviceMessage = nil)
      @responseMessage = responseMessage
      @serviceMessage = serviceMessage
    end
  end

  # {http://ws.crvholding.com/animalMessages/}addPlannedDepartureRequest
  #   contextMessage - CrvApiClient::Api::Animals::ContextMessage
  #   requestMessage - CrvApiClient::Api::Animals::AddPlannedDepartureRequestType
  class AddPlannedDepartureRequest
    attr_accessor :contextMessage
    attr_accessor :requestMessage

    def initialize(contextMessage = nil, requestMessage = nil)
      @contextMessage = contextMessage
      @requestMessage = requestMessage
    end
  end

  # {http://ws.crvholding.com/animalMessages/}addPlannedDepartureResponse
  #   responseMessage - SOAP::SOAPString
  #   serviceMessage - CrvApiClient::Api::Animals::ServiceMessage
  class AddPlannedDepartureResponse
    attr_accessor :responseMessage
    attr_accessor :serviceMessage

    def initialize(responseMessage = nil, serviceMessage = nil)
      @responseMessage = responseMessage
      @serviceMessage = serviceMessage
    end
  end

  # {http://ws.crvholding.com/animalMessages/}deletePlannedDepartureRequest
  #   contextMessage - CrvApiClient::Api::Animals::ContextMessage
  #   requestMessage - CrvApiClient::Api::Animals::DeletePlannedDepartureRequestType
  class DeletePlannedDepartureRequest
    attr_accessor :contextMessage
    attr_accessor :requestMessage

    def initialize(contextMessage = nil, requestMessage = nil)
      @contextMessage = contextMessage
      @requestMessage = requestMessage
    end
  end

  # {http://ws.crvholding.com/animalMessages/}deletePlannedDepartureResponse
  #   responseMessage - SOAP::SOAPString
  #   serviceMessage - CrvApiClient::Api::Animals::ServiceMessage
  class DeletePlannedDepartureResponse
    attr_accessor :responseMessage
    attr_accessor :serviceMessage

    def initialize(responseMessage = nil, serviceMessage = nil)
      @responseMessage = responseMessage
      @serviceMessage = serviceMessage
    end
  end

  # {http://ws.crvholding.com/animalMessages/}getAverageHerdWeightRequest
  #   contextMessage - CrvApiClient::Api::Animals::ContextMessage
  #   requestMessage - CrvApiClient::Api::Animals::GetAverageHerdWeightRequestType
  class GetAverageHerdWeightRequest
    attr_accessor :contextMessage
    attr_accessor :requestMessage

    def initialize(contextMessage = nil, requestMessage = nil)
      @contextMessage = contextMessage
      @requestMessage = requestMessage
    end
  end

  # {http://ws.crvholding.com/animalMessages/}getAverageHerdWeightResponse
  #   responseMessage - CrvApiClient::Api::Animals::GetAverageHerdWeightResponseType
  #   serviceMessage - CrvApiClient::Api::Animals::ServiceMessage
  class GetAverageHerdWeightResponse
    attr_accessor :responseMessage
    attr_accessor :serviceMessage

    def initialize(responseMessage = nil, serviceMessage = nil)
      @responseMessage = responseMessage
      @serviceMessage = serviceMessage
    end
  end

  # {http://ws.crvholding.com/animalMessages/}listPlannedDepartureRequest
  #   contextMessage - CrvApiClient::Api::Animals::ContextMessage
  #   requestMessage - CrvApiClient::Api::Animals::ListPlannedDepartureRequestType
  class ListPlannedDepartureRequest
    attr_accessor :contextMessage
    attr_accessor :requestMessage

    def initialize(contextMessage = nil, requestMessage = nil)
      @contextMessage = contextMessage
      @requestMessage = requestMessage
    end
  end

  # {http://ws.crvholding.com/animalMessages/}listPlannedDepartureResponse
  #   responseMessage - CrvApiClient::Api::Animals::ListPlannedDepartureResponseType
  #   serviceMessage - CrvApiClient::Api::Animals::ServiceMessage
  class ListPlannedDepartureResponse
    attr_accessor :responseMessage
    attr_accessor :serviceMessage

    def initialize(responseMessage = nil, serviceMessage = nil)
      @responseMessage = responseMessage
      @serviceMessage = serviceMessage
    end
  end

  # {http://ws.crvholding.com/animalMessages/}listFoodChainInformationRequest
  #   contextMessage - CrvApiClient::Api::Animals::ContextMessage
  #   requestMessage - CrvApiClient::Api::Animals::ListFoodChainInformationRequestType
  class ListFoodChainInformationRequest
    attr_accessor :contextMessage
    attr_accessor :requestMessage

    def initialize(contextMessage = nil, requestMessage = nil)
      @contextMessage = contextMessage
      @requestMessage = requestMessage
    end
  end

  # {http://ws.crvholding.com/animalMessages/}listFoodChainInformationResponse
  #   responseMessage - CrvApiClient::Api::Animals::ListFoodChainInformationResponseType
  #   serviceMessage - CrvApiClient::Api::Animals::ServiceMessage
  class ListFoodChainInformationResponse
    attr_accessor :responseMessage
    attr_accessor :serviceMessage

    def initialize(responseMessage = nil, serviceMessage = nil)
      @responseMessage = responseMessage
      @serviceMessage = serviceMessage
    end
  end

  # {http://ws.crvholding.com/animalMessages/}listPlannedArrivalRequest
  #   contextMessage - CrvApiClient::Api::Animals::ContextMessage
  #   requestMessage - CrvApiClient::Api::Animals::ListPlannedArrivalRequestType
  class ListPlannedArrivalRequest
    attr_accessor :contextMessage
    attr_accessor :requestMessage

    def initialize(contextMessage = nil, requestMessage = nil)
      @contextMessage = contextMessage
      @requestMessage = requestMessage
    end
  end

  # {http://ws.crvholding.com/animalMessages/}listPlannedArrivalResponse
  #   responseMessage - CrvApiClient::Api::Animals::ListPlannedArrivalResponseType
  #   serviceMessage - CrvApiClient::Api::Animals::ServiceMessage
  class ListPlannedArrivalResponse
    attr_accessor :responseMessage
    attr_accessor :serviceMessage

    def initialize(responseMessage = nil, serviceMessage = nil)
      @responseMessage = responseMessage
      @serviceMessage = serviceMessage
    end
  end

  # {http://ws.crvholding.com/animalMessages/}modifyPlannedArrivalRequest
  #   contextMessage - CrvApiClient::Api::Animals::ContextMessage
  #   requestMessage - CrvApiClient::Api::Animals::ModifyPlannedArrivalRequestType
  class ModifyPlannedArrivalRequest
    attr_accessor :contextMessage
    attr_accessor :requestMessage

    def initialize(contextMessage = nil, requestMessage = nil)
      @contextMessage = contextMessage
      @requestMessage = requestMessage
    end
  end

  # {http://ws.crvholding.com/animalMessages/}modifyPlannedArrivalResponse
  #   serviceMessage - CrvApiClient::Api::Animals::ServiceMessage
  class ModifyPlannedArrivalResponse
    attr_accessor :serviceMessage

    def initialize(serviceMessage = nil)
      @serviceMessage = serviceMessage
    end
  end

  # {http://ws.crvholding.com/animalMessages/}listHerdPedigreeRequest
  #   contextMessage - CrvApiClient::Api::Animals::ContextMessage
  #   requestMessage - CrvApiClient::Api::Animals::ListHerdPedigreeRequestType
  class ListHerdPedigreeRequest
    attr_accessor :contextMessage
    attr_accessor :requestMessage

    def initialize(contextMessage = nil, requestMessage = nil)
      @contextMessage = contextMessage
      @requestMessage = requestMessage
    end
  end

  # {http://ws.crvholding.com/animalMessages/}listHerdPedigreeResponse
  #   responseMessage - CrvApiClient::Api::Animals::ListHerdPedigreeResponseType
  #   serviceMessage - CrvApiClient::Api::Animals::ServiceMessage
  class ListHerdPedigreeResponse
    attr_accessor :responseMessage
    attr_accessor :serviceMessage

    def initialize(responseMessage = nil, serviceMessage = nil)
      @responseMessage = responseMessage
      @serviceMessage = serviceMessage
    end
  end
end
