module CrvApiClient::Api::Animals

    class RsAnimalPortType < ::SOAP::RPC::Driver

      DefaultEndpointUrl = "https://acceptatie.cr-delta.nl/event/animal/rsAnimal"

      Methods = [
          ["modifyAnimalManagement",
           "modifyAnimalManagement",
           [[:in, "requestStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/animalMessages/", "modifyAnimalManagementRequest"]],
            [:out, "responseStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/animalMessages/", "modifyAnimalManagementResponse"]]],
           {:request_style => :document, :request_use => :literal,
            :response_style => :document, :response_use => :literal,
            :faults => {}}
          ],
          ["addPlannedDeparture",
           "addPlannedDeparture",
           [[:in, "requestStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/animalMessages/", "addPlannedDepartureRequest"]],
            [:out, "responseStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/animalMessages/", "addPlannedDepartureResponse"]]],
           {:request_style => :document, :request_use => :literal,
            :response_style => :document, :response_use => :literal,
            :faults => {}}
          ],
          ["deletePlannedDeparture",
           "deletePlannedDeparture",
           [[:in, "requestStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/animalMessages/", "deletePlannedDepartureRequest"]],
            [:out, "responseStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/animalMessages/", "deletePlannedDepartureResponse"]]],
           {:request_style => :document, :request_use => :literal,
            :response_style => :document, :response_use => :literal,
            :faults => {}}
          ],
          ["listPlannedDeparture",
           "listPlannedDeparture",
           [[:in, "requestStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/animalMessages/", "listPlannedDepartureRequest"]],
            [:out, "responseStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/animalMessages/", "listPlannedDepartureResponse"]]],
           {:request_style => :document, :request_use => :literal,
            :response_style => :document, :response_use => :literal,
            :faults => {}}
          ],
          ["listFoodChainInformation",
           "listFoodChainInformation",
           [[:in, "requestStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/animalMessages/", "listFoodChainInformationRequest"]],
            [:out, "responseStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/animalMessages/", "listFoodChainInformationResponse"]]],
           {:request_style => :document, :request_use => :literal,
            :response_style => :document, :response_use => :literal,
            :faults => {}}
          ],
          ["listPlannedArrival",
           "listPlannedArrival",
           [[:in, "requestStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/animalMessages/", "listPlannedArrivalRequest"]],
            [:out, "responseStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/animalMessages/", "listPlannedArrivalResponse"]]],
           {:request_style => :document, :request_use => :literal,
            :response_style => :document, :response_use => :literal,
            :faults => {}}
          ],
          ["modifyPlannedArrival",
           "modifyPlannedArrival",
           [[:in, "requestStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/animalMessages/", "modifyPlannedArrivalRequest"]],
            [:out, "responseStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/animalMessages/", "modifyPlannedArrivalResponse"]]],
           {:request_style => :document, :request_use => :literal,
            :response_style => :document, :response_use => :literal,
            :faults => {}}
          ],
          ["getAverageHerdWeight",
           "getAverageHerdWeight",
           [[:in, "requestStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/animalMessages/", "getAverageHerdWeightRequest"]],
            [:out, "responseStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/animalMessages/", "getAverageHerdWeightResponse"]]],
           {:request_style => :document, :request_use => :literal,
            :response_style => :document, :response_use => :literal,
            :faults => {}}
          ],
          ["listHerdPedigree",
           "listHerdPedigree",
           [[:in, "requestStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/animalMessages/", "listHerdPedigreeRequest"]],
            [:out, "responseStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/animalMessages/", "listHerdPedigreeResponse"]]],
           {:request_style => :document, :request_use => :literal,
            :response_style => :document, :response_use => :literal,
            :faults => {}}
          ]
      ]

      def initialize(endpoint_url = CrvApiClient.configuration.endpoint_animals)
        endpoint_url ||= DefaultEndpointUrl
        super(endpoint_url, nil)
        self.mapping_registry = ::CrvApiClient::Api::Animals::RsAnimalMappingRegistry::EncodedRegistry
        self.literal_mapping_registry = ::CrvApiClient::Api::Animals::RsAnimalMappingRegistry::LiteralRegistry
        init_methods
      end

      private

      def init_methods
        Methods.each do |definitions|
          opt = definitions.last
          if opt[:request_style] == :document
            add_document_operation(*definitions)
          else
            add_rpc_operation(*definitions)
            qname = definitions[0]
            name = definitions[2]
            if qname.name != name and qname.name.capitalize == name.capitalize
              ::SOAP::Mapping.define_singleton_method(self, qname.name) do |*arg|
                __send__(name, *arg)
              end
            end
          end
        end
      end
    end


  
end
