#!/usr/bin/env ruby
require 'AnimalsDriver.rb'


module CrvApiClient::Animals

  endpoint_url = ARGV.shift
  obj = RsAnimalPortType.new(endpoint_url)

  # run ruby with -d to see SOAP wiredumps.
  obj.wiredump_dev = STDERR if $DEBUG

  # SYNOPSIS
  #   modifyAnimalManagement(requestStream)
  #
  # ARGS
  #   requestStream   ModifyAnimalManagementRequest - {http://ws.crvholding.com/animalMessages/}modifyAnimalManagementRequest
  #
  # RETURNS
  #   responseStream  ModifyAnimalManagementResponse - {http://ws.crvholding.com/animalMessages/}modifyAnimalManagementResponse
  #
  requestStream = nil
  puts obj.modifyAnimalManagement(requestStream)

  # SYNOPSIS
  #   addPlannedDeparture(requestStream)
  #
  # ARGS
  #   requestStream   AddPlannedDepartureRequest - {http://ws.crvholding.com/animalMessages/}addPlannedDepartureRequest
  #
  # RETURNS
  #   responseStream  AddPlannedDepartureResponse - {http://ws.crvholding.com/animalMessages/}addPlannedDepartureResponse
  #
  requestStream = nil
  puts obj.addPlannedDeparture(requestStream)

  # SYNOPSIS
  #   deletePlannedDeparture(requestStream)
  #
  # ARGS
  #   requestStream   DeletePlannedDepartureRequest - {http://ws.crvholding.com/animalMessages/}deletePlannedDepartureRequest
  #
  # RETURNS
  #   responseStream  DeletePlannedDepartureResponse - {http://ws.crvholding.com/animalMessages/}deletePlannedDepartureResponse
  #
  requestStream = nil
  puts obj.deletePlannedDeparture(requestStream)

  # SYNOPSIS
  #   listPlannedDeparture(requestStream)
  #
  # ARGS
  #   requestStream   ListPlannedDepartureRequest - {http://ws.crvholding.com/animalMessages/}listPlannedDepartureRequest
  #
  # RETURNS
  #   responseStream  ListPlannedDepartureResponse - {http://ws.crvholding.com/animalMessages/}listPlannedDepartureResponse
  #
  requestStream = nil
  puts obj.listPlannedDeparture(requestStream)

  # SYNOPSIS
  #   listFoodChainInformation(requestStream)
  #
  # ARGS
  #   requestStream   ListFoodChainInformationRequest - {http://ws.crvholding.com/animalMessages/}listFoodChainInformationRequest
  #
  # RETURNS
  #   responseStream  ListFoodChainInformationResponse - {http://ws.crvholding.com/animalMessages/}listFoodChainInformationResponse
  #
  requestStream = nil
  puts obj.listFoodChainInformation(requestStream)

  # SYNOPSIS
  #   listPlannedArrival(requestStream)
  #
  # ARGS
  #   requestStream   ListPlannedArrivalRequest - {http://ws.crvholding.com/animalMessages/}listPlannedArrivalRequest
  #
  # RETURNS
  #   responseStream  ListPlannedArrivalResponse - {http://ws.crvholding.com/animalMessages/}listPlannedArrivalResponse
  #
  requestStream = nil
  puts obj.listPlannedArrival(requestStream)

  # SYNOPSIS
  #   modifyPlannedArrival(requestStream)
  #
  # ARGS
  #   requestStream   ModifyPlannedArrivalRequest - {http://ws.crvholding.com/animalMessages/}modifyPlannedArrivalRequest
  #
  # RETURNS
  #   responseStream  ModifyPlannedArrivalResponse - {http://ws.crvholding.com/animalMessages/}modifyPlannedArrivalResponse
  #
  requestStream = nil
  puts obj.modifyPlannedArrival(requestStream)

  # SYNOPSIS
  #   getAverageHerdWeight(requestStream)
  #
  # ARGS
  #   requestStream   GetAverageHerdWeightRequest - {http://ws.crvholding.com/animalMessages/}getAverageHerdWeightRequest
  #
  # RETURNS
  #   responseStream  GetAverageHerdWeightResponse - {http://ws.crvholding.com/animalMessages/}getAverageHerdWeightResponse
  #
  requestStream = nil
  puts obj.getAverageHerdWeight(requestStream)

  # SYNOPSIS
  #   listHerdPedigree(requestStream)
  #
  # ARGS
  #   requestStream   ListHerdPedigreeRequest - {http://ws.crvholding.com/animalMessages/}listHerdPedigreeRequest
  #
  # RETURNS
  #   responseStream  ListHerdPedigreeResponse - {http://ws.crvholding.com/animalMessages/}listHerdPedigreeResponse
  #
  requestStream = nil
  puts obj.listHerdPedigree(requestStream)


end
