#!/usr/bin/env ruby
require 'ReproductionDriver.rb'


module CrvApiClient::Reproduction

  endpoint_url = ARGV.shift
  obj = RsReproductionPortType.new(endpoint_url)

# run ruby with -d to see SOAP wiredumps.
  obj.wiredump_dev = STDERR if $DEBUG

# SYNOPSIS
#   listTopGestationCalving(requestStream)
#
# ARGS
#   requestStream   ListTopGestationCalvingRequest - {http://ws.crvholding.com/reproductionMessages/}listTopGestationCalvingRequest
#
# RETURNS
#   responseStream  ListTopGestationCalvingResponse - {http://ws.crvholding.com/reproductionMessages/}listTopGestationCalvingResponse
#
  requestStream = nil
  puts obj.listTopGestationCalving(requestStream)

# SYNOPSIS
#   listFertilization(requestStream)
#
# ARGS
#   requestStream   ListFertilizationRequest - {http://ws.crvholding.com/reproductionMessages/}listFertilizationRequest
#
# RETURNS
#   responseStream  ListFertilizationResponse - {http://ws.crvholding.com/reproductionMessages/}listFertilizationResponse
#
  requestStream = nil
  puts obj.listFertilization(requestStream)

# SYNOPSIS
#   addAnimalReproductionIndication(requestStream)
#
# ARGS
#   requestStream   AddAnimalReproductionIndicationRequest - {http://ws.crvholding.com/reproductionMessages/}addAnimalReproductionIndicationRequest
#
# RETURNS
#   responseStream  AddAnimalReproductionIndicationResponse - {http://ws.crvholding.com/reproductionMessages/}addAnimalReproductionIndicationResponse
#
  requestStream = nil
  puts obj.addAnimalReproductionIndication(requestStream)

# SYNOPSIS
#   listAnimalReproduction(requestStream)
#
# ARGS
#   requestStream   ListAnimalReproductionRequest - {http://ws.crvholding.com/reproductionMessages/}listAnimalReproductionRequest
#
# RETURNS
#   responseStream  ListAnimalReproductionResponse - {http://ws.crvholding.com/reproductionMessages/}listAnimalReproductionResponse
#
  requestStream = nil
  puts obj.listAnimalReproduction(requestStream)

# SYNOPSIS
#   addAiEtDelivery(requestStream)
#
# ARGS
#   requestStream   AddAiEtDeliveryRequest - {http://ws.crvholding.com/reproductionMessages/}addAiEtDeliveryRequest
#
# RETURNS
#   responseStream  AddAiEtDeliveryResponse - {http://ws.crvholding.com/reproductionMessages/}addAiEtDeliveryResponse
#
  requestStream = nil
  puts obj.addAiEtDelivery(requestStream)

# SYNOPSIS
#   addPreferredBull(requestStream)
#
# ARGS
#   requestStream   AddPreferredBullRequest - {http://ws.crvholding.com/reproductionMessages/}addPreferredBullRequest
#
# RETURNS
#   responseStream  AddPreferredBullResponse - {http://ws.crvholding.com/reproductionMessages/}addPreferredBullResponse
#
  requestStream = nil
  puts obj.addPreferredBull(requestStream)

# SYNOPSIS
#   deletePreferredBull(requestStream)
#
# ARGS
#   requestStream   DeletePreferredBullRequest - {http://ws.crvholding.com/reproductionMessages/}deletePreferredBullRequest
#
# RETURNS
#   responseStream  DeletePreferredBullResponse - {http://ws.crvholding.com/reproductionMessages/}deletePreferredBullResponse
#
  requestStream = nil
  puts obj.deletePreferredBull(requestStream)

# SYNOPSIS
#   listPreferredBull(requestStream)
#
# ARGS
#   requestStream   ListPreferredBullRequest - {http://ws.crvholding.com/reproductionMessages/}listPreferredBullRequest
#
# RETURNS
#   responseStream  ListPreferredBullResponse - {http://ws.crvholding.com/reproductionMessages/}listPreferredBullResponse
#
  requestStream = nil
  puts obj.listPreferredBull(requestStream)

# SYNOPSIS
#   listReproductionLastParity(requestStream)
#
# ARGS
#   requestStream   ListReproductionLastParityRequest - {http://ws.crvholding.com/reproductionMessages/}listReproductionLastParityRequest
#
# RETURNS
#   responseStream  ListReproductionLastParityResponse - {http://ws.crvholding.com/reproductionMessages/}listReproductionLastParityResponse
#
  requestStream = nil
  puts obj.listReproductionLastParity(requestStream)

# SYNOPSIS
#   listAnimalReproductionIndication(requestStream)
#
# ARGS
#   requestStream   ListAnimalIndicationRequest - {http://ws.crvholding.com/reproductionMessages/}listAnimalIndicationRequest
#
# RETURNS
#   responseStream  ListAnimalIndicationResponse - {http://ws.crvholding.com/reproductionMessages/}listAnimalIndicationResponse
#
  requestStream = nil
  puts obj.listAnimalReproductionIndication(requestStream)

# SYNOPSIS
#   modifyAnimalReproductionIndication(requestStream)
#
# ARGS
#   requestStream   ModifyAnimalIndicationRequest - {http://ws.crvholding.com/reproductionMessages/}modifyAnimalIndicationRequest
#
# RETURNS
#   responseStream  ModifyAnimalIndicationResponse - {http://ws.crvholding.com/reproductionMessages/}modifyAnimalIndicationResponse
#
  requestStream = nil
  puts obj.modifyAnimalReproductionIndication(requestStream)

# SYNOPSIS
#   getHerdList(parameters)
#
# ARGS
#   parameters      GetHerdListRequestType - {ICARAggregateBusinessInformationEntity:1}GetHerdListRequestType
#
# RETURNS
#   parameters      GetHerdListResponseType - {ICARAggregateBusinessInformationEntity:1}GetHerdListResponseType
#
  parameters = nil
  puts obj.getHerdList(parameters)


end
