module CrvApiClient::Api::Reproduction

  class RsReproductionPortType < ::SOAP::RPC::Driver
    DefaultEndpointUrl = "https://acceptatie.cr-delta.nl/event/reproduction/rsReproduction"

    Methods = [
        ["listTopGestationCalving",
         "listTopGestationCalving",
         [[:in, "requestStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/reproductionMessages/", "listTopGestationCalvingRequest"]],
          [:out, "responseStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/reproductionMessages/", "listTopGestationCalvingResponse"]]],
         {:request_style => :document, :request_use => :literal,
          :response_style => :document, :response_use => :literal,
          :faults => {}}
        ],
        ["listFertilization",
         "listFertilization",
         [[:in, "requestStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/reproductionMessages/", "listFertilizationRequest"]],
          [:out, "responseStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/reproductionMessages/", "listFertilizationResponse"]]],
         {:request_style => :document, :request_use => :literal,
          :response_style => :document, :response_use => :literal,
          :faults => {}}
        ],
        ["addAnimalReproductionIndication",
         "addAnimalReproductionIndication",
         [[:in, "requestStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/reproductionMessages/", "addAnimalReproductionIndicationRequest"]],
          [:out, "responseStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/reproductionMessages/", "addAnimalReproductionIndicationResponse"]]],
         {:request_style => :document, :request_use => :literal,
          :response_style => :document, :response_use => :literal,
          :faults => {}}
        ],
        ["listAnimalReproduction",
         "listAnimalReproduction",
         [[:in, "requestStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/reproductionMessages/", "listAnimalReproductionRequest"]],
          [:out, "responseStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/reproductionMessages/", "listAnimalReproductionResponse"]]],
         {:request_style => :document, :request_use => :literal,
          :response_style => :document, :response_use => :literal,
          :faults => {}}
        ],
        ["addAiEtDelivery",
         "addAiEtDelivery",
         [[:in, "requestStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/reproductionMessages/", "addAiEtDeliveryRequest"]],
          [:out, "responseStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/reproductionMessages/", "addAiEtDeliveryResponse"]]],
         {:request_style => :document, :request_use => :literal,
          :response_style => :document, :response_use => :literal,
          :faults => {}}
        ],
        ["addPreferredBull",
         "addPreferredBull",
         [[:in, "requestStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/reproductionMessages/", "addPreferredBullRequest"]],
          [:out, "responseStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/reproductionMessages/", "addPreferredBullResponse"]]],
         {:request_style => :document, :request_use => :literal,
          :response_style => :document, :response_use => :literal,
          :faults => {}}
        ],
        ["deletePreferredBull",
         "deletePreferredBull",
         [[:in, "requestStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/reproductionMessages/", "deletePreferredBullRequest"]],
          [:out, "responseStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/reproductionMessages/", "deletePreferredBullResponse"]]],
         {:request_style => :document, :request_use => :literal,
          :response_style => :document, :response_use => :literal,
          :faults => {}}
        ],
        ["listPreferredBull",
         "listPreferredBull",
         [[:in, "requestStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/reproductionMessages/", "listPreferredBullRequest"]],
          [:out, "responseStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/reproductionMessages/", "listPreferredBullResponse"]]],
         {:request_style => :document, :request_use => :literal,
          :response_style => :document, :response_use => :literal,
          :faults => {}}
        ],
        ["listReproductionLastParity",
         "listReproductionLastParity",
         [[:in, "requestStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/reproductionMessages/", "listReproductionLastParityRequest"]],
          [:out, "responseStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/reproductionMessages/", "listReproductionLastParityResponse"]]],
         {:request_style => :document, :request_use => :literal,
          :response_style => :document, :response_use => :literal,
          :faults => {}}
        ],
        ["listAnimalReproductionIndication",
         "listAnimalReproductionIndication",
         [[:in, "requestStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/reproductionMessages/", "listAnimalIndicationRequest"]],
          [:out, "responseStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/reproductionMessages/", "listAnimalIndicationResponse"]]],
         {:request_style => :document, :request_use => :literal,
          :response_style => :document, :response_use => :literal,
          :faults => {}}
        ],
        ["modifyAnimalReproductionIndication",
         "modifyAnimalReproductionIndication",
         [[:in, "requestStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/reproductionMessages/", "modifyAnimalIndicationRequest"]],
          [:out, "responseStream", ["::SOAP::SOAPElement", "http://ws.crvholding.com/reproductionMessages/", "modifyAnimalIndicationResponse"]]],
         {:request_style => :document, :request_use => :literal,
          :response_style => :document, :response_use => :literal,
          :faults => {}}
        ],
        ["GetHerdList",
         "getHerdList",
         [[:in, "parameters", ["::SOAP::SOAPElement", "ADEType:1", "GetHerdListRequest"]],
          [:out, "parameters", ["::SOAP::SOAPElement", "ADEType:1", "GetHerdListResponse"]]],
         {:request_style => :document, :request_use => :literal,
          :response_style => :document, :response_use => :literal,
          :faults => {}}
        ]
    ]

    def initialize(endpoint_url = CrvApiClient.configuration.endpoint_reproduction)
      endpoint_url ||= DefaultEndpointUrl
      super(endpoint_url, nil)
      self.mapping_registry = ::CrvApiClient::Api::Reproduction::RsReproductionMappingRegistry::EncodedRegistry
      self.literal_mapping_registry = ::CrvApiClient::Api::Reproduction::RsReproductionMappingRegistry::LiteralRegistry
      init_methods
    end

    private

    def init_methods
      Methods.each do |definitions|
        opt = definitions.last
        if opt[:request_style] == :document
          add_document_operation(*definitions)
        else
          add_rpc_operation(*definitions)
          qname = definitions[0]
          name = definitions[2]
          if qname.name != name and qname.name.capitalize == name.capitalize
            ::SOAP::Mapping.define_singleton_method(self, qname.name) do |*arg|
              __send__(name, *arg)
            end
          end
        end
      end
    end
  end


end

