module CrvApiClient
  module Errors


    class CrvError < StandardError

    end

    class CrvRequestError < CrvError
      attr_reader :data, :code, :type
      def initialize(code, data, type)
        @data = data
        @code = code
        @type = type
      end
    end
    # General animal error class
    class AnimalError < CrvError; end
    # General keeper error class
    class KeeperError < CrvError; end
    # General Request error class
    class RequestError < CrvError; end
    # General Authorization error
    class AuthorizationError < CrvError; end
    # General Authentication error
    class AuthenticationError < CrvError; end



    #code 9
    class AnimalUnknownError < AnimalError; end
    #code 10
    class AnimalDeadError < AnimalError; end
    #code 11
    class AnimalExportedError < AnimalError; end
    #code 12
    class AnimalUnknownKeeperOnReferenceDateError < AnimalError; end


    #code 13
    class KeeperUnknownError < KeeperError; end
    #code 14
    class KeeperNoAccessInvalidCustomerError < KeeperError; end
    #code 15
    class KeeperNoAccessInvalidOrganizationError < KeeperError; end
    #code 16
    class KeeperNoAccessNoEmployeeRelationship < KeeperError; end

    class InvalidValueInMessageError < RequestError; end
    #code 19
    class UsernamePasswordInvalid < AuthenticationError; end
    #code 22
    class UserNotAuthorized < AuthenticationError; end


  end
end