module CrvApiClient::Api::Reproduction

# {http://ws.crvholding.com/reproductionMessages/}listTopGestationCalvingRequestType
  class ListTopGestationCalvingRequestType < ::Array
  end

# {http://ws.crvholding.com/reproductionMessages/}topGestationBreeding
#   cow - CrvApiClient::Api::Reproduction::AnimalId
#   reproductionType - SOAP::SOAPString
#   reproductionDate - (any)
#   calvingDateExp - (any)
#   keeper - CrvApiClient::Api::Reproduction::ParticipantId
#   sire - CrvApiClient::Api::Reproduction::AnimalId
#   dam - CrvApiClient::Api::Reproduction::AnimalId
#   breedCalculation - SOAP::SOAPString
#   breedingIndex - SOAP::SOAPString
#   contractType - CrvApiClient::Api::Reproduction::ContractType
#   countryCd - SOAP::SOAPString
#   workArea - SOAP::SOAPString
  class TopGestationBreeding
    attr_accessor :cow
    attr_accessor :reproductionType
    attr_accessor :reproductionDate
    attr_accessor :calvingDateExp
    attr_accessor :keeper
    attr_accessor :sire
    attr_accessor :dam
    attr_accessor :breedCalculation
    attr_accessor :breedingIndex
    attr_accessor :contractType
    attr_accessor :countryCd
    attr_accessor :workArea

    def initialize(cow = nil, reproductionType = nil, reproductionDate = nil, calvingDateExp = nil, keeper = nil, sire = nil, dam = nil, breedCalculation = nil, breedingIndex = nil, contractType = [], countryCd = nil, workArea = nil)
      @cow = cow
      @reproductionType = reproductionType
      @reproductionDate = reproductionDate
      @calvingDateExp = calvingDateExp
      @keeper = keeper
      @sire = sire
      @dam = dam
      @breedCalculation = breedCalculation
      @breedingIndex = breedingIndex
      @contractType = contractType
      @countryCd = countryCd
      @workArea = workArea
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}contractType
#   contractType - SOAP::SOAPString
  class ContractType
    attr_accessor :contractType

    def initialize(contractType = nil)
      @contractType = contractType
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}listTopGestationCalvingResponseType
  class ListTopGestationCalvingResponseType < ::Array
  end

# {http://ws.crvholding.com/reproductionMessages/}topGestation
#   topGestationBreeding - CrvApiClient::Api::Reproduction::TopGestationBreeding
#   gestationCalving - CrvApiClient::Api::Reproduction::GestationCalving
  class TopGestation
    attr_accessor :topGestationBreeding
    attr_accessor :gestationCalving

    def initialize(topGestationBreeding = nil, gestationCalving = nil)
      @topGestationBreeding = topGestationBreeding
      @gestationCalving = gestationCalving
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}gestationCalving
#   cow - CrvApiClient::Api::Reproduction::AnimalId
#   cowKeeper - CrvApiClient::Api::Reproduction::ActualKeeper
#   gestationDetails - CrvApiClient::Api::Reproduction::LgcGestation
#   calvingAndCalves - CrvApiClient::Api::Reproduction::LgcCalving
  class GestationCalving
    attr_accessor :cow
    attr_accessor :cowKeeper
    attr_accessor :gestationDetails
    attr_accessor :calvingAndCalves

    def initialize(cow = nil, cowKeeper = nil, gestationDetails = nil, calvingAndCalves = [])
      @cow = cow
      @cowKeeper = cowKeeper
      @gestationDetails = gestationDetails
      @calvingAndCalves = calvingAndCalves
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}lgcGestation
#   gestation - CrvApiClient::Api::Reproduction::Gestation
#   gestationReproduction - CrvApiClient::Api::Reproduction::GestationReproduction
#   gestationPedigree - CrvApiClient::Api::Reproduction::Pedigree
  class LgcGestation
    attr_accessor :gestation
    attr_accessor :gestationReproduction
    attr_accessor :gestationPedigree

    def initialize(gestation = nil, gestationReproduction = nil, gestationPedigree = [])
      @gestation = gestation
      @gestationReproduction = gestationReproduction
      @gestationPedigree = gestationPedigree
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}lgcCalving
#   calving - CrvApiClient::Api::Reproduction::Calving
#   calf - CrvApiClient::Api::Reproduction::LgcCalf
  class LgcCalving
    attr_accessor :calving
    attr_accessor :calf

    def initialize(calving = nil, calf = [])
      @calving = calving
      @calf = calf
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}lgcCalf
#   animal - CrvApiClient::Api::Reproduction::Animal
#   calfKeeper - CrvApiClient::Api::Reproduction::ActualKeeper
#   animalPedigree - CrvApiClient::Api::Reproduction::Pedigree
  class LgcCalf
    attr_accessor :animal
    attr_accessor :calfKeeper
    attr_accessor :animalPedigree

    def initialize(animal = nil, calfKeeper = nil, animalPedigree = nil)
      @animal = animal
      @calfKeeper = calfKeeper
      @animalPedigree = animalPedigree
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}listFertilizationRequestType
  class ListFertilizationRequestType < ::Array
  end

# {http://ws.crvholding.com/reproductionMessages/}listFertilizationResponseType
  class ListFertilizationResponseType < ::Array
  end

# {http://ws.crvholding.com/reproductionMessages/}fertilizationRA
#   animal - CrvApiClient::Api::Reproduction::AnimalId
#   reproductionStatus - SOAP::SOAPString
#   fertilization - CrvApiClient::Api::Reproduction::GestationReproduction
  class FertilizationRA
    attr_accessor :animal
    attr_accessor :reproductionStatus
    attr_accessor :fertilization

    def initialize(animal = nil, reproductionStatus = nil, fertilization = [])
      @animal = animal
      @reproductionStatus = reproductionStatus
      @fertilization = fertilization
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}listAnimalReproductionRequestType
#   keeper - CrvApiClient::Api::Reproduction::ParticipantId
#   listParticipantAnimalRequest - CrvApiClient::Api::Reproduction::ListParticipantAnimalRequest
  class ListAnimalReproductionRequestType
    attr_accessor :keeper
    attr_accessor :listParticipantAnimalRequest

    def initialize(keeper = nil, listParticipantAnimalRequest = nil)
      @keeper = keeper
      @listParticipantAnimalRequest = listParticipantAnimalRequest
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}listAnimalReproductionResponseType
#   keeper - CrvApiClient::Api::Reproduction::ParticipantId
#   animalReproduction - CrvApiClient::Api::Reproduction::AnimalReproduction
  class ListAnimalReproductionResponseType
    attr_accessor :keeper
    attr_accessor :animalReproduction

    def initialize(keeper = nil, animalReproduction = [])
      @keeper = keeper
      @animalReproduction = animalReproduction
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}addAnimalReproductionIndicationRequestType
#   keeper - CrvApiClient::Api::Reproduction::ParticipantId
#   animalReproductionIndication - CrvApiClient::Api::Reproduction::AnimalReproductionIndication
  class AddAnimalReproductionIndicationRequestType
    attr_accessor :keeper
    attr_accessor :animalReproductionIndication

    def initialize(keeper = nil, animalReproductionIndication = [])
      @keeper = keeper
      @animalReproductionIndication = animalReproductionIndication
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}animalExaminations
#   nrOfExaminations - SOAP::SOAPString
#   minOfExaminations - SOAP::SOAPString
#   animalExamination - CrvApiClient::Api::Reproduction::AnimalExamination
  class AnimalExaminations
    attr_accessor :nrOfExaminations
    attr_accessor :minOfExaminations
    attr_accessor :animalExamination

    def initialize(nrOfExaminations = nil, minOfExaminations = nil, animalExamination = [])
      @nrOfExaminations = nrOfExaminations
      @minOfExaminations = minOfExaminations
      @animalExamination = animalExamination
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}echograms
#   nrOfEchograms - SOAP::SOAPString
#   minOfEchograms - SOAP::SOAPString
#   animalExamination - CrvApiClient::Api::Reproduction::AnimalExamination
  class Echograms
    attr_accessor :nrOfEchograms
    attr_accessor :minOfEchograms
    attr_accessor :animalExamination

    def initialize(nrOfEchograms = nil, minOfEchograms = nil, animalExamination = [])
      @nrOfEchograms = nrOfEchograms
      @minOfEchograms = minOfEchograms
      @animalExamination = animalExamination
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}pregnancyChecks
#   nrOfPregnancyChecks - SOAP::SOAPString
#   minOfPregnancyChecks - SOAP::SOAPString
#   animalExamination - CrvApiClient::Api::Reproduction::AnimalExamination
  class PregnancyChecks
    attr_accessor :nrOfPregnancyChecks
    attr_accessor :minOfPregnancyChecks
    attr_accessor :animalExamination

    def initialize(nrOfPregnancyChecks = nil, minOfPregnancyChecks = nil, animalExamination = [])
      @nrOfPregnancyChecks = nrOfPregnancyChecks
      @minOfPregnancyChecks = minOfPregnancyChecks
      @animalExamination = animalExamination
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}inheatChecks
#   nrOfInheatChecks - SOAP::SOAPString
#   minOfInheatChecks - SOAP::SOAPString
#   animalExamination - CrvApiClient::Api::Reproduction::AnimalExamination
  class InheatChecks
    attr_accessor :nrOfInheatChecks
    attr_accessor :minOfInheatChecks
    attr_accessor :animalExamination

    def initialize(nrOfInheatChecks = nil, minOfInheatChecks = nil, animalExamination = [])
      @nrOfInheatChecks = nrOfInheatChecks
      @minOfInheatChecks = minOfInheatChecks
      @animalExamination = animalExamination
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}productDelivery
#   registrationTime - (any)
#   productAmount - CrvApiClient::Api::Reproduction::ProductAmount
  class ProductDelivery
    attr_accessor :registrationTime
    attr_accessor :productAmount

    def initialize(registrationTime = nil, productAmount = nil)
      @registrationTime = registrationTime
      @productAmount = productAmount
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}cowNotServed
#   cow - CrvApiClient::Api::Reproduction::AnimalId
#   cowScanned - SOAP::SOAPString
#   bullCd - SOAP::SOAPString
#   bullCdScanned - SOAP::SOAPString
#   chargeNr - SOAP::SOAPString
#   chargeNrScanned - SOAP::SOAPString
#   bull - CrvApiClient::Api::Reproduction::AnimalId
#   semenType - SOAP::SOAPString
#   ownStock - SOAP::SOAPString
#   semenChargeCd - SOAP::SOAPString
#   refuseCd - SOAP::SOAPString
#   registrationTime - (any)
  class CowNotServed
    attr_accessor :cow
    attr_accessor :cowScanned
    attr_accessor :bullCd
    attr_accessor :bullCdScanned
    attr_accessor :chargeNr
    attr_accessor :chargeNrScanned
    attr_accessor :bull
    attr_accessor :semenType
    attr_accessor :ownStock
    attr_accessor :semenChargeCd
    attr_accessor :refuseCd
    attr_accessor :registrationTime

    def initialize(cow = nil, cowScanned = nil, bullCd = nil, bullCdScanned = nil, chargeNr = nil, chargeNrScanned = nil, bull = nil, semenType = nil, ownStock = nil, semenChargeCd = nil, refuseCd = nil, registrationTime = nil)
      @cow = cow
      @cowScanned = cowScanned
      @bullCd = bullCd
      @bullCdScanned = bullCdScanned
      @chargeNr = chargeNr
      @chargeNrScanned = chargeNrScanned
      @bull = bull
      @semenType = semenType
      @ownStock = ownStock
      @semenChargeCd = semenChargeCd
      @refuseCd = refuseCd
      @registrationTime = registrationTime
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}brokenStraw
#   bullCd - SOAP::SOAPString
#   bullCdScanned - SOAP::SOAPString
#   chargeNr - SOAP::SOAPString
#   chargeNrScanned - SOAP::SOAPString
#   bull - CrvApiClient::Api::Reproduction::AnimalId
#   semenType - SOAP::SOAPString
#   ownStock - SOAP::SOAPString
#   semenChargeCd - SOAP::SOAPString
#   registrationTime - (any)
  class BrokenStraw
    attr_accessor :bullCd
    attr_accessor :bullCdScanned
    attr_accessor :chargeNr
    attr_accessor :chargeNrScanned
    attr_accessor :bull
    attr_accessor :semenType
    attr_accessor :ownStock
    attr_accessor :semenChargeCd
    attr_accessor :registrationTime

    def initialize(bullCd = nil, bullCdScanned = nil, chargeNr = nil, chargeNrScanned = nil, bull = nil, semenType = nil, ownStock = nil, semenChargeCd = nil, registrationTime = nil)
      @bullCd = bullCd
      @bullCdScanned = bullCdScanned
      @chargeNr = chargeNr
      @chargeNrScanned = chargeNrScanned
      @bull = bull
      @semenType = semenType
      @ownStock = ownStock
      @semenChargeCd = semenChargeCd
      @registrationTime = registrationTime
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}support
#   supportCd - SOAP::SOAPString
#   nrOfMinutes - SOAP::SOAPString
#   registrationTime - (any)
  class Support
    attr_accessor :supportCd
    attr_accessor :nrOfMinutes
    attr_accessor :registrationTime

    def initialize(supportCd = nil, nrOfMinutes = nil, registrationTime = nil)
      @supportCd = supportCd
      @nrOfMinutes = nrOfMinutes
      @registrationTime = registrationTime
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}siteVisit
#   siteVisitSerialNr - SOAP::SOAPString
#   site - SOAP::SOAPString
#   siteScanned - SOAP::SOAPString
#   orderNr - SOAP::SOAPString
#   statusVisit - SOAP::SOAPString
#   registrationCompletedTime - (any)
#   deliveryCheckCd - SOAP::SOAPString
#   insemination - CrvApiClient::Api::Reproduction::Insemination
#   cowNotServed - CrvApiClient::Api::Reproduction::CowNotServed
#   brokenStraw - CrvApiClient::Api::Reproduction::BrokenStraw
#   productDelivery - CrvApiClient::Api::Reproduction::ProductDelivery
#   support - CrvApiClient::Api::Reproduction::Support
#   inheatChecks - CrvApiClient::Api::Reproduction::InheatChecks
#   pregnancyChecks - CrvApiClient::Api::Reproduction::PregnancyChecks
#   echograms - CrvApiClient::Api::Reproduction::Echograms
#   animalExaminations - CrvApiClient::Api::Reproduction::AnimalExaminations
#   transplantation - CrvApiClient::Api::Reproduction::Transplantation
#   flushing - CrvApiClient::Api::Reproduction::Flushing
  class SiteVisit
    attr_accessor :siteVisitSerialNr
    attr_accessor :site
    attr_accessor :siteScanned
    attr_accessor :orderNr
    attr_accessor :statusVisit
    attr_accessor :registrationCompletedTime
    attr_accessor :deliveryCheckCd
    attr_accessor :insemination
    attr_accessor :cowNotServed
    attr_accessor :brokenStraw
    attr_accessor :productDelivery
    attr_accessor :support
    attr_accessor :inheatChecks
    attr_accessor :pregnancyChecks
    attr_accessor :echograms
    attr_accessor :animalExaminations
    attr_accessor :transplantation
    attr_accessor :flushing

    def initialize(siteVisitSerialNr = nil, site = nil, siteScanned = nil, orderNr = nil, statusVisit = nil, registrationCompletedTime = nil, deliveryCheckCd = nil, insemination = [], cowNotServed = [], brokenStraw = [], productDelivery = [], support = [], inheatChecks = nil, pregnancyChecks = nil, echograms = nil, animalExaminations = nil, transplantation = [], flushing = [])
      @siteVisitSerialNr = siteVisitSerialNr
      @site = site
      @siteScanned = siteScanned
      @orderNr = orderNr
      @statusVisit = statusVisit
      @registrationCompletedTime = registrationCompletedTime
      @deliveryCheckCd = deliveryCheckCd
      @insemination = insemination
      @cowNotServed = cowNotServed
      @brokenStraw = brokenStraw
      @productDelivery = productDelivery
      @support = support
      @inheatChecks = inheatChecks
      @pregnancyChecks = pregnancyChecks
      @echograms = echograms
      @animalExaminations = animalExaminations
      @transplantation = transplantation
      @flushing = flushing
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}addAiEtDeliveryRequestType
#   employee - CrvApiClient::Api::Reproduction::ParticipantId
#   round - SOAP::SOAPString
#   deliveryDate - (any)
#   siteVisit - CrvApiClient::Api::Reproduction::SiteVisit
  class AddAiEtDeliveryRequestType
    attr_accessor :employee
    attr_accessor :round
    attr_accessor :deliveryDate
    attr_accessor :siteVisit

    def initialize(employee = nil, round = nil, deliveryDate = nil, siteVisit = [])
      @employee = employee
      @round = round
      @deliveryDate = deliveryDate
      @siteVisit = siteVisit
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}addPreferredBullRequestType
#   keeper - CrvApiClient::Api::Reproduction::ParticipantId
#   preferredBull - CrvApiClient::Api::Reproduction::AnimalId
  class AddPreferredBullRequestType
    attr_accessor :keeper
    attr_accessor :preferredBull

    def initialize(keeper = nil, preferredBull = [])
      @keeper = keeper
      @preferredBull = preferredBull
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}deletePreferredBullRequestType
#   keeper - CrvApiClient::Api::Reproduction::ParticipantId
#   preferredBull - CrvApiClient::Api::Reproduction::AnimalId
  class DeletePreferredBullRequestType
    attr_accessor :keeper
    attr_accessor :preferredBull

    def initialize(keeper = nil, preferredBull = [])
      @keeper = keeper
      @preferredBull = preferredBull
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}listPreferredBullRequestType
#   keeper - CrvApiClient::Api::Reproduction::ParticipantId
  class ListPreferredBullRequestType
    attr_accessor :keeper

    def initialize(keeper = nil)
      @keeper = keeper
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}listPreferredBullResponseType
#   keeper - CrvApiClient::Api::Reproduction::ParticipantId
#   preferredBullDetails - CrvApiClient::Api::Reproduction::BullDetails
  class ListPreferredBullResponseType
    attr_accessor :keeper
    attr_accessor :preferredBullDetails

    def initialize(keeper = nil, preferredBullDetails = [])
      @keeper = keeper
      @preferredBullDetails = preferredBullDetails
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}listReproductionLastParityRequestType
#   keeper - CrvApiClient::Api::Reproduction::ParticipantId
#   participantAnimalRequest - CrvApiClient::Api::Reproduction::ListParticipantAnimalRequest
  class ListReproductionLastParityRequestType
    attr_accessor :keeper
    attr_accessor :participantAnimalRequest

    def initialize(keeper = nil, participantAnimalRequest = nil)
      @keeper = keeper
      @participantAnimalRequest = participantAnimalRequest
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}listReproductionLastParityResponseType
#   keeper - CrvApiClient::Api::Reproduction::ParticipantId
#   listReproductionLastParity - CrvApiClient::Api::Reproduction::AnimalReproductionLastParity
  class ListReproductionLastParityResponseType
    attr_accessor :keeper
    attr_accessor :listReproductionLastParity

    def initialize(keeper = nil, listReproductionLastParity = [])
      @keeper = keeper
      @listReproductionLastParity = listReproductionLastParity
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}listAnimalIndicationRequestType
#   keeper - CrvApiClient::Api::Reproduction::ParticipantId
#   indication - SOAP::SOAPString
#   indicationCertainty - SOAP::SOAPString
#   active - SOAP::SOAPString
#   period - CrvApiClient::Api::Reproduction::PeriodRange
#   animal - CrvApiClient::Api::Reproduction::AnimalId
  class ListAnimalIndicationRequestType
    attr_accessor :keeper
    attr_accessor :indication
    attr_accessor :indicationCertainty
    attr_accessor :active
    attr_accessor :period
    attr_accessor :animal

    def initialize(keeper = nil, indication = nil, indicationCertainty = nil, active = nil, period = nil, animal = [])
      @keeper = keeper
      @indication = indication
      @indicationCertainty = indicationCertainty
      @active = active
      @period = period
      @animal = animal
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}listAnimalIndicationResponseType
#   keeper - CrvApiClient::Api::Reproduction::ParticipantId
#   indication - SOAP::SOAPString
#   indicationCertainty - SOAP::SOAPString
#   active - SOAP::SOAPString
#   period - CrvApiClient::Api::Reproduction::PeriodRange
#   animalReproductionIndication - CrvApiClient::Api::Reproduction::AnimalReproductionIndication
  class ListAnimalIndicationResponseType
    attr_accessor :keeper
    attr_accessor :indication
    attr_accessor :indicationCertainty
    attr_accessor :active
    attr_accessor :period
    attr_accessor :animalReproductionIndication

    def initialize(keeper = nil, indication = nil, indicationCertainty = nil, active = nil, period = nil, animalReproductionIndication = [])
      @keeper = keeper
      @indication = indication
      @indicationCertainty = indicationCertainty
      @active = active
      @period = period
      @animalReproductionIndication = animalReproductionIndication
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}modifyAnimalIndicationRequestType
#   keeper - CrvApiClient::Api::Reproduction::ParticipantId
#   animal - CrvApiClient::Api::Reproduction::AnimalId
#   indication - SOAP::SOAPString
#   indicationDateTime - (any)
#   indicationCertaintyOld - SOAP::SOAPString
#   indicationCertaintyNew - SOAP::SOAPString
  class ModifyAnimalIndicationRequestType
    attr_accessor :keeper
    attr_accessor :animal
    attr_accessor :indication
    attr_accessor :indicationDateTime
    attr_accessor :indicationCertaintyOld
    attr_accessor :indicationCertaintyNew

    def initialize(keeper = nil, animal = nil, indication = nil, indicationDateTime = nil, indicationCertaintyOld = nil, indicationCertaintyNew = nil)
      @keeper = keeper
      @animal = animal
      @indication = indication
      @indicationDateTime = indicationDateTime
      @indicationCertaintyOld = indicationCertaintyOld
      @indicationCertaintyNew = indicationCertaintyNew
    end
  end

# {http://ws.crvholding.com/commonTypes/}localTime
#   hourOfDay - SOAP::SOAPInt
#   minuteOfHour - SOAP::SOAPInt
  class LocalTime
    attr_accessor :hourOfDay
    attr_accessor :minuteOfHour

    def initialize(hourOfDay = nil, minuteOfHour = nil)
      @hourOfDay = hourOfDay
      @minuteOfHour = minuteOfHour
    end
  end

# {http://ws.crvholding.com/commonTypes/}localDate
#   dayOfMonth - SOAP::SOAPInt
#   monthOfYear - SOAP::SOAPInt
#   year - SOAP::SOAPInt
  class LocalDate
    attr_accessor :dayOfMonth
    attr_accessor :monthOfYear
    attr_accessor :year

    def initialize(dayOfMonth = nil, monthOfYear = nil, year = nil)
      @dayOfMonth = dayOfMonth
      @monthOfYear = monthOfYear
      @year = year
    end
  end

# {http://ws.crvholding.com/commonTypes/}periodRange
#   beginDate - (any)
#   endDate - (any)
  class PeriodRange
    attr_accessor :beginDate
    attr_accessor :endDate

    def initialize(beginDate = nil, endDate = nil)
      @beginDate = beginDate
      @endDate = endDate
    end
  end

# {http://ws.crvholding.com/commonTypes/}contextMessage
#   sessionId - SOAP::SOAPString
#   processId - SOAP::SOAPString
#   instanceId - SOAP::SOAPString
#   username - SOAP::SOAPString
#   userType - SOAP::SOAPString
#   password - SOAP::SOAPString
#   organisation - CrvApiClient::Api::Reproduction::ParticipantId
#   provider - CrvApiClient::Api::Reproduction::ParticipantId
#   customer - CrvApiClient::Api::Reproduction::ParticipantId
#   keeper - CrvApiClient::Api::Reproduction::ParticipantId
#   animal - CrvApiClient::Api::Reproduction::AnimalId
#   processCode - SOAP::SOAPString
#   messageSource - SOAP::SOAPString
#   languageCode - SOAP::SOAPString
#   timeZone - SOAP::SOAPString
#   contextMessageDetail - CrvApiClient::Api::Reproduction::ContextMessageDetail
  class ContextMessage
    attr_accessor :sessionId
    attr_accessor :processId
    attr_accessor :instanceId
    attr_accessor :username
    attr_accessor :userType
    attr_accessor :password
    attr_accessor :organisation
    attr_accessor :provider
    attr_accessor :customer
    attr_accessor :keeper
    attr_accessor :animal
    attr_accessor :processCode
    attr_accessor :messageSource
    attr_accessor :languageCode
    attr_accessor :timeZone
    attr_accessor :contextMessageDetail

    def initialize(sessionId = nil, processId = nil, instanceId = nil, username = nil, userType = nil, password = nil, organisation = nil, provider = nil, customer = nil, keeper = nil, animal = nil, processCode = nil, messageSource = nil, languageCode = nil, timeZone = nil, contextMessageDetail = [])
      @sessionId = sessionId
      @processId = processId
      @instanceId = instanceId
      @username = username
      @userType = userType
      @password = password
      @organisation = organisation
      @provider = provider
      @customer = customer
      @keeper = keeper
      @animal = animal
      @processCode = processCode
      @messageSource = messageSource
      @languageCode = languageCode
      @timeZone = timeZone
      @contextMessageDetail = contextMessageDetail
    end
  end

# {http://ws.crvholding.com/commonTypes/}contextMessageDetail
#   contextCode - SOAP::SOAPString
#   contextValue - SOAP::SOAPString
  class ContextMessageDetail
    attr_accessor :contextCode
    attr_accessor :contextValue

    def initialize(contextCode = nil, contextValue = nil)
      @contextCode = contextCode
      @contextValue = contextValue
    end
  end

# {http://ws.crvholding.com/commonTypes/}serviceMessage
#   serviceStatus - SOAP::SOAPString
#   messageCode - SOAP::SOAPString
#   messageText - SOAP::SOAPString
#   messageType - SOAP::SOAPString
#   sourceType - SOAP::SOAPString
#   sourceCode - SOAP::SOAPString
#   serviceMessageDetail - CrvApiClient::Api::Reproduction::ServiceMessageDetail
  class ServiceMessage
    attr_accessor :serviceStatus
    attr_accessor :messageCode
    attr_accessor :messageText
    attr_accessor :messageType
    attr_accessor :sourceType
    attr_accessor :sourceCode
    attr_accessor :serviceMessageDetail

    def initialize(serviceStatus = nil, messageCode = nil, messageText = nil, messageType = nil, sourceType = nil, sourceCode = nil, serviceMessageDetail = [])
      @serviceStatus = serviceStatus
      @messageCode = messageCode
      @messageText = messageText
      @messageType = messageType
      @sourceType = sourceType
      @sourceCode = sourceCode
      @serviceMessageDetail = serviceMessageDetail
    end
  end

# {http://ws.crvholding.com/commonTypes/}serviceMessageDetail
#   serviceStatus - SOAP::SOAPString
#   codeDetail - CrvApiClient::Api::Reproduction::CodeDetail
#   messageCode - SOAP::SOAPString
#   messageText - SOAP::SOAPString
#   messageType - SOAP::SOAPString
  class ServiceMessageDetail
    attr_accessor :serviceStatus
    attr_accessor :codeDetail
    attr_accessor :messageCode
    attr_accessor :messageText
    attr_accessor :messageType

    def initialize(serviceStatus = nil, codeDetail = [], messageCode = nil, messageText = nil, messageType = nil)
      @serviceStatus = serviceStatus
      @codeDetail = codeDetail
      @messageCode = messageCode
      @messageText = messageText
      @messageType = messageType
    end
  end

# {http://ws.crvholding.com/commonTypes/}codeDetail
#   keyId - SOAP::SOAPString
#   keyValue - SOAP::SOAPString
  class CodeDetail
    attr_accessor :keyId
    attr_accessor :keyValue

    def initialize(keyId = nil, keyValue = nil)
      @keyId = keyId
      @keyValue = keyValue
    end
  end

# {http://ws.crvholding.com/commonTypes/}sendNotificationRequestType
#   notificationType - CrvApiClient::Api::Reproduction::NotificationType
#   notificationMessage - CrvApiClient::Api::Reproduction::NotificationMessageType
#   email - CrvApiClient::Api::Reproduction::EmailType
#   fax - CrvApiClient::Api::Reproduction::FaxType
#   sms - CrvApiClient::Api::Reproduction::SmsType
#   voice - CrvApiClient::Api::Reproduction::VoiceType
#   pager - CrvApiClient::Api::Reproduction::PagerType
  class SendNotificationRequestType
    attr_accessor :notificationType
    attr_accessor :notificationMessage
    attr_accessor :email
    attr_accessor :fax
    attr_accessor :sms
    attr_accessor :voice
    attr_accessor :pager

    def initialize(notificationType = nil, notificationMessage = [], email = [], fax = [], sms = [], voice = [], pager = [])
      @notificationType = notificationType
      @notificationMessage = notificationMessage
      @email = email
      @fax = fax
      @sms = sms
      @voice = voice
      @pager = pager
    end
  end

# {http://ws.crvholding.com/commonTypes/}notificationMessageType
#   messageCode - SOAP::SOAPString
#   languageCode - SOAP::SOAPString
#   messageParameter - SOAP::SOAPString
  class NotificationMessageType
    attr_accessor :messageCode
    attr_accessor :languageCode
    attr_accessor :messageParameter

    def initialize(messageCode = nil, languageCode = nil, messageParameter = nil)
      @messageCode = messageCode
      @languageCode = languageCode
      @messageParameter = messageParameter
    end
  end

# {http://ws.crvholding.com/commonTypes/}emailType
#   mailTo - SOAP::SOAPString
#   mailCc - SOAP::SOAPString
#   mailBcc - SOAP::SOAPString
#   mailReplyTo - SOAP::SOAPString
#   subject - SOAP::SOAPString
#   textBody - SOAP::SOAPString
  class EmailType
    attr_accessor :mailTo
    attr_accessor :mailCc
    attr_accessor :mailBcc
    attr_accessor :mailReplyTo
    attr_accessor :subject
    attr_accessor :textBody

    def initialize(mailTo = nil, mailCc = nil, mailBcc = nil, mailReplyTo = nil, subject = nil, textBody = nil)
      @mailTo = mailTo
      @mailCc = mailCc
      @mailBcc = mailBcc
      @mailReplyTo = mailReplyTo
      @subject = subject
      @textBody = textBody
    end
  end

# {http://ws.crvholding.com/commonTypes/}faxType
#   faxNr - SOAP::SOAPString
#   coverPage - SOAP::SOAPString
#   textBody - SOAP::SOAPString
  class FaxType
    attr_accessor :faxNr
    attr_accessor :coverPage
    attr_accessor :textBody

    def initialize(faxNr = nil, coverPage = nil, textBody = nil)
      @faxNr = faxNr
      @coverPage = coverPage
      @textBody = textBody
    end
  end

# {http://ws.crvholding.com/commonTypes/}smsType
#   fromNr - SOAP::SOAPString
#   telNr - SOAP::SOAPString
#   subject - SOAP::SOAPString
#   textBody - SOAP::SOAPString
  class SmsType
    attr_accessor :fromNr
    attr_accessor :telNr
    attr_accessor :subject
    attr_accessor :textBody

    def initialize(fromNr = nil, telNr = nil, subject = nil, textBody = nil)
      @fromNr = fromNr
      @telNr = telNr
      @subject = subject
      @textBody = textBody
    end
  end

# {http://ws.crvholding.com/commonTypes/}voiceType
#   telNr - SOAP::SOAPString
#   textBody - SOAP::SOAPString
  class VoiceType
    attr_accessor :telNr
    attr_accessor :textBody

    def initialize(telNr = nil, textBody = nil)
      @telNr = telNr
      @textBody = textBody
    end
  end

# {http://ws.crvholding.com/commonTypes/}pagerType
#   fromNr - SOAP::SOAPString
#   pagerNr - SOAP::SOAPString
#   textBody - SOAP::SOAPString
  class PagerType
    attr_accessor :fromNr
    attr_accessor :pagerNr
    attr_accessor :textBody

    def initialize(fromNr = nil, pagerNr = nil, textBody = nil)
      @fromNr = fromNr
      @pagerNr = pagerNr
      @textBody = textBody
    end
  end

# {http://ws.crvholding.com/dictionaryTypes/}getLabel
#   componentCode - SOAP::SOAPString
#   itemName - SOAP::SOAPString
#   itemType - SOAP::SOAPString
#   languageCode - SOAP::SOAPString
  class GetLabel
    attr_accessor :componentCode
    attr_accessor :itemName
    attr_accessor :itemType
    attr_accessor :languageCode

    def initialize(componentCode = nil, itemName = nil, itemType = nil, languageCode = nil)
      @componentCode = componentCode
      @itemName = itemName
      @itemType = itemType
      @languageCode = languageCode
    end
  end

# {http://ws.crvholding.com/dictionaryTypes/}component
#   componentCode - SOAP::SOAPString
#   processCode - SOAP::SOAPString
#   componentType - SOAP::SOAPString
#   componentName - SOAP::SOAPString
#   componentItem - CrvApiClient::Api::Reproduction::ComponentItem
  class Component
    attr_accessor :componentCode
    attr_accessor :processCode
    attr_accessor :componentType
    attr_accessor :componentName
    attr_accessor :componentItem

    def initialize(componentCode = nil, processCode = nil, componentType = nil, componentName = nil, componentItem = [])
      @componentCode = componentCode
      @processCode = processCode
      @componentType = componentType
      @componentName = componentName
      @componentItem = componentItem
    end
  end

# {http://ws.crvholding.com/dictionaryTypes/}componentItem
  class ComponentItem < ::Array
  end

# {http://ws.crvholding.com/dictionaryTypes/}item
#   itemName - SOAP::SOAPString
#   moduleCode - SOAP::SOAPString
#   itemType - SOAP::SOAPString
#   itemLng - CrvApiClient::Api::Reproduction::ItemLng
  class Item
    attr_accessor :itemName
    attr_accessor :moduleCode
    attr_accessor :itemType
    attr_accessor :itemLng

    def initialize(itemName = nil, moduleCode = nil, itemType = nil, itemLng = [])
      @itemName = itemName
      @moduleCode = moduleCode
      @itemType = itemType
      @itemLng = itemLng
    end
  end

# {http://ws.crvholding.com/dictionaryTypes/}itemLng
#   languageCode - SOAP::SOAPString
#   itemLabel - SOAP::SOAPString
  class ItemLng
    attr_accessor :languageCode
    attr_accessor :itemLabel

    def initialize(languageCode = nil, itemLabel = nil)
      @languageCode = languageCode
      @itemLabel = itemLabel
    end
  end

# {http://ws.crvholding.com/dictionaryTypes/}getSystemMessage
#   messageCode - SOAP::SOAPString
#   languageCode - SOAP::SOAPString
#   messageParameter - SOAP::SOAPString
  class GetSystemMessage
    attr_accessor :messageCode
    attr_accessor :languageCode
    attr_accessor :messageParameter

    def initialize(messageCode = nil, languageCode = nil, messageParameter = nil)
      @messageCode = messageCode
      @languageCode = languageCode
      @messageParameter = messageParameter
    end
  end

# {http://ws.crvholding.com/dictionaryTypes/}systemMessage
#   message - SOAP::SOAPString
  class SystemMessage
    attr_accessor :message

    def initialize(message = nil)
      @message = message
    end
  end

# {http://ws.crvholding.com/dictionaryTypes/}listDomain
#   domain - CrvApiClient::Api::Reproduction::Domain
#   languageCode - SOAP::SOAPString
#   representationType - CrvApiClient::Api::Reproduction::RepresentationType
#   actual - CrvApiClient::Api::Reproduction::BooleanType
  class ListDomain
    attr_accessor :domain
    attr_accessor :languageCode
    attr_accessor :representationType
    attr_accessor :actual

    def initialize(domain = [], languageCode = nil, representationType = nil, actual = nil)
      @domain = domain
      @languageCode = languageCode
      @representationType = representationType
      @actual = actual
    end
  end

# {http://ws.crvholding.com/dictionaryTypes/}domainValue
#   domainCode - SOAP::SOAPString
#   columnValue - CrvApiClient::Api::Reproduction::ColumnValue
  class DomainValue
    attr_accessor :domainCode
    attr_accessor :columnValue

    def initialize(domainCode = nil, columnValue = [])
      @domainCode = domainCode
      @columnValue = columnValue
    end
  end

# {http://ws.crvholding.com/dictionaryTypes/}columnValue
#   value - SOAP::SOAPString
#   representation - SOAP::SOAPString
  class ColumnValue
    attr_accessor :value
    attr_accessor :representation

    def initialize(value = nil, representation = nil)
      @value = value
      @representation = representation
    end
  end

# {http://ws.crvholding.com/dictionaryTypes/}domain
#   domainCode - SOAP::SOAPString
  class Domain
    attr_accessor :domainCode

    def initialize(domainCode = nil)
      @domainCode = domainCode
    end
  end

# {http://ws.crvholding.com/dictionaryTypes/}timePeriod
#   beginDate - (any)
#   beginTime - (any)
#   endDate - (any)
#   endTime - (any)
  class TimePeriod
    attr_accessor :beginDate
    attr_accessor :beginTime
    attr_accessor :endDate
    attr_accessor :endTime

    def initialize(beginDate = nil, beginTime = nil, endDate = nil, endTime = nil)
      @beginDate = beginDate
      @beginTime = beginTime
      @endDate = endDate
      @endTime = endTime
    end
  end

# {http://ws.crvholding.com/dictionaryTypes/}intervalId
#   nr - SOAP::SOAPString
#   nrType - SOAP::SOAPString
  class IntervalId
    attr_accessor :nr
    attr_accessor :nrType

    def initialize(nr = nil, nrType = nil)
      @nr = nr
      @nrType = nrType
    end
  end

# {http://ws.crvholding.com/dictionaryTypes/}animalNumberCountry
#   countryCd - SOAP::SOAPString
#   animalNrLength - SOAP::SOAPString
#   animalNrAlphanumeric - SOAP::SOAPString
#   sortingOrder - SOAP::SOAPString
  class AnimalNumberCountry
    attr_accessor :countryCd
    attr_accessor :animalNrLength
    attr_accessor :animalNrAlphanumeric
    attr_accessor :sortingOrder

    def initialize(countryCd = nil, animalNrLength = nil, animalNrAlphanumeric = nil, sortingOrder = nil)
      @countryCd = countryCd
      @animalNrLength = animalNrLength
      @animalNrAlphanumeric = animalNrAlphanumeric
      @sortingOrder = sortingOrder
    end
  end

# {http://ws.crvholding.com/dictionaryTypes/}hourCode
#   hourCd - SOAP::SOAPString
#   description - SOAP::SOAPString
#   hourMutateAllowed - SOAP::SOAPString
#   hourNecessary - SOAP::SOAPString
#   addressMutateAllowed - SOAP::SOAPString
#   addressNecessary - SOAP::SOAPString
#   activityMutateAllowed - SOAP::SOAPString
#   activityNecessary - SOAP::SOAPString
#   kilometresMutateAllowed - SOAP::SOAPString
#   kilometresNecessary - SOAP::SOAPString
  class HourCode
    attr_accessor :hourCd
    attr_accessor :description
    attr_accessor :hourMutateAllowed
    attr_accessor :hourNecessary
    attr_accessor :addressMutateAllowed
    attr_accessor :addressNecessary
    attr_accessor :activityMutateAllowed
    attr_accessor :activityNecessary
    attr_accessor :kilometresMutateAllowed
    attr_accessor :kilometresNecessary

    def initialize(hourCd = nil, description = nil, hourMutateAllowed = nil, hourNecessary = nil, addressMutateAllowed = nil, addressNecessary = nil, activityMutateAllowed = nil, activityNecessary = nil, kilometresMutateAllowed = nil, kilometresNecessary = nil)
      @hourCd = hourCd
      @description = description
      @hourMutateAllowed = hourMutateAllowed
      @hourNecessary = hourNecessary
      @addressMutateAllowed = addressMutateAllowed
      @addressNecessary = addressNecessary
      @activityMutateAllowed = activityMutateAllowed
      @activityNecessary = activityNecessary
      @kilometresMutateAllowed = kilometresMutateAllowed
      @kilometresNecessary = kilometresNecessary
    end
  end

# {http://ws.crvholding.com/dictionaryTypes/}parameter
#   parameterName - SOAP::SOAPString
#   value - SOAP::SOAPString
#   valueDescription - SOAP::SOAPString
#   default - SOAP::SOAPString
#   sortingOrder - SOAP::SOAPString
  class Parameter
    attr_accessor :parameterName
    attr_accessor :value
    attr_accessor :valueDescription
    attr_accessor :default
    attr_accessor :sortingOrder

    def initialize(parameterName = nil, value = nil, valueDescription = nil, default = nil, sortingOrder = nil)
      @parameterName = parameterName
      @value = value
      @valueDescription = valueDescription
      @default = default
      @sortingOrder = sortingOrder
    end
  end

# {http://ws.crvholding.com/dictionaryTypes/}setting
#   settingName - SOAP::SOAPString
#   settingValue - SOAP::SOAPString
  class Setting
    attr_accessor :settingName
    attr_accessor :settingValue

    def initialize(settingName = nil, settingValue = nil)
      @settingName = settingName
      @settingValue = settingValue
    end
  end

# {http://ws.crvholding.com/participantTypes/}participantId
#   participantCode - SOAP::SOAPString
#   participantCodeType - SOAP::SOAPString
#   countryCode - SOAP::SOAPString
  class ParticipantId
    attr_accessor :participantCode
    attr_accessor :participantCodeType
    attr_accessor :countryCode

    def initialize(participantCode = nil, participantCodeType = nil, countryCode = nil)
      @participantCode = participantCode
      @participantCodeType = participantCodeType
      @countryCode = countryCode
    end
  end

# {http://ws.crvholding.com/participantTypes/}nameAddressLayout
#   addressType - SOAP::SOAPString
#   participantName - SOAP::SOAPString
#   addressLine1 - SOAP::SOAPString
#   addressLine2 - SOAP::SOAPString
#   addressLine3 - SOAP::SOAPString
#   addressLine4 - SOAP::SOAPString
#   addressLine5 - SOAP::SOAPString
#   addressLine6 - SOAP::SOAPString
  class NameAddressLayout
    attr_accessor :addressType
    attr_accessor :participantName
    attr_accessor :addressLine1
    attr_accessor :addressLine2
    attr_accessor :addressLine3
    attr_accessor :addressLine4
    attr_accessor :addressLine5
    attr_accessor :addressLine6

    def initialize(addressType = nil, participantName = nil, addressLine1 = nil, addressLine2 = nil, addressLine3 = nil, addressLine4 = nil, addressLine5 = nil, addressLine6 = nil)
      @addressType = addressType
      @participantName = participantName
      @addressLine1 = addressLine1
      @addressLine2 = addressLine2
      @addressLine3 = addressLine3
      @addressLine4 = addressLine4
      @addressLine5 = addressLine5
      @addressLine6 = addressLine6
    end
  end

# {http://ws.crvholding.com/participantTypes/}address
#   addressType - SOAP::SOAPString
#   street - SOAP::SOAPString
#   houseNr - SOAP::SOAPString
#   zipCd - SOAP::SOAPString
#   city - SOAP::SOAPString
#   regionCd - SOAP::SOAPString
#   country - SOAP::SOAPString
#   countryCd - SOAP::SOAPString
  class Address
    attr_accessor :addressType
    attr_accessor :street
    attr_accessor :houseNr
    attr_accessor :zipCd
    attr_accessor :city
    attr_accessor :regionCd
    attr_accessor :country
    attr_accessor :countryCd

    def initialize(addressType = nil, street = nil, houseNr = nil, zipCd = nil, city = nil, regionCd = nil, country = nil, countryCd = nil)
      @addressType = addressType
      @street = street
      @houseNr = houseNr
      @zipCd = zipCd
      @city = city
      @regionCd = regionCd
      @country = country
      @countryCd = countryCd
    end
  end

# {http://ws.crvholding.com/participantTypes/}participant
#   participant - CrvApiClient::Api::Reproduction::ParticipantId
#   preTitle - SOAP::SOAPString
#   initials - SOAP::SOAPString
#   firstname - SOAP::SOAPString
#   prefix - SOAP::SOAPString
#   surname - SOAP::SOAPString
#   postTitle - SOAP::SOAPString
#   composedName - SOAP::SOAPString
  class Participant
    attr_accessor :participant
    attr_accessor :preTitle
    attr_accessor :initials
    attr_accessor :firstname
    attr_accessor :prefix
    attr_accessor :surname
    attr_accessor :postTitle
    attr_accessor :composedName

    def initialize(participant = nil, preTitle = nil, initials = nil, firstname = nil, prefix = nil, surname = nil, postTitle = nil, composedName = nil)
      @participant = participant
      @preTitle = preTitle
      @initials = initials
      @firstname = firstname
      @prefix = prefix
      @surname = surname
      @postTitle = postTitle
      @composedName = composedName
    end
  end

# {http://ws.crvholding.com/participantTypes/}connectionDataBasic
#   emailAddress - SOAP::SOAPString
#   phoneNr - SOAP::SOAPString
#   mobilePhone - SOAP::SOAPString
  class ConnectionDataBasic
    attr_accessor :emailAddress
    attr_accessor :phoneNr
    attr_accessor :mobilePhone

    def initialize(emailAddress = nil, phoneNr = nil, mobilePhone = nil)
      @emailAddress = emailAddress
      @phoneNr = phoneNr
      @mobilePhone = mobilePhone
    end
  end

# {http://ws.crvholding.com/participantTypes/}connection
#   connectionType - SOAP::SOAPString
#   connection - SOAP::SOAPString
#   connectionUse - SOAP::SOAPString
  class Connection
    attr_accessor :connectionType
    attr_accessor :connection
    attr_accessor :connectionUse

    def initialize(connectionType = nil, connection = nil, connectionUse = nil)
      @connectionType = connectionType
      @connection = connection
      @connectionUse = connectionUse
    end
  end

# {http://ws.crvholding.com/participantTypes/}participantBasic
#   participant - CrvApiClient::Api::Reproduction::Participant
#   address - CrvApiClient::Api::Reproduction::Address
#   connectionDataBasic - CrvApiClient::Api::Reproduction::ConnectionDataBasic
  class ParticipantBasic
    attr_accessor :participant
    attr_accessor :address
    attr_accessor :connectionDataBasic

    def initialize(participant = nil, address = [], connectionDataBasic = nil)
      @participant = participant
      @address = address
      @connectionDataBasic = connectionDataBasic
    end
  end

# {http://ws.crvholding.com/participantTypes/}participantComplete
#   participant - CrvApiClient::Api::Reproduction::Participant
#   address - CrvApiClient::Api::Reproduction::Address
#   connection - CrvApiClient::Api::Reproduction::Connection
  class ParticipantComplete
    attr_accessor :participant
    attr_accessor :address
    attr_accessor :connection

    def initialize(participant = nil, address = [], connection = [])
      @participant = participant
      @address = address
      @connection = connection
    end
  end

# {http://ws.crvholding.com/participantTypes/}actualKeeper
#   participant - CrvApiClient::Api::Reproduction::ParticipantId
#   nameAddressLayout - CrvApiClient::Api::Reproduction::NameAddressLayout
  class ActualKeeper
    attr_accessor :participant
    attr_accessor :nameAddressLayout

    def initialize(participant = nil, nameAddressLayout = nil)
      @participant = participant
      @nameAddressLayout = nameAddressLayout
    end
  end

# {http://ws.crvholding.com/animalTypes/}animalId
#   animalNumber - SOAP::SOAPString
#   animalNumberType - SOAP::SOAPString
  class AnimalId
    attr_accessor :animalNumber
    attr_accessor :animalNumberType

    def initialize(animalNumber = nil, animalNumberType = nil)
      @animalNumber = animalNumber
      @animalNumberType = animalNumberType
    end
  end

# {http://ws.crvholding.com/animalTypes/}animalDetailsBirth
#   animalId - CrvApiClient::Api::Reproduction::AnimalId
#   animalNumberShort - SOAP::SOAPString
#   sex - SOAP::SOAPString
#   colourHair - SOAP::SOAPString
#   birthDate - (any)
#   animalName - SOAP::SOAPString
#   surrogateDam - CrvApiClient::Api::Reproduction::AnimalId
#   dam - CrvApiClient::Api::Reproduction::AnimalId
#   sire - CrvApiClient::Api::Reproduction::AnimalId
#   breedComposition - SOAP::SOAPString
  class AnimalDetailsBirth
    attr_accessor :animalId
    attr_accessor :animalNumberShort
    attr_accessor :sex
    attr_accessor :colourHair
    attr_accessor :birthDate
    attr_accessor :animalName
    attr_accessor :surrogateDam
    attr_accessor :dam
    attr_accessor :sire
    attr_accessor :breedComposition

    def initialize(animalId = nil, animalNumberShort = nil, sex = nil, colourHair = nil, birthDate = nil, animalName = nil, surrogateDam = nil, dam = nil, sire = nil, breedComposition = nil)
      @animalId = animalId
      @animalNumberShort = animalNumberShort
      @sex = sex
      @colourHair = colourHair
      @birthDate = birthDate
      @animalName = animalName
      @surrogateDam = surrogateDam
      @dam = dam
      @sire = sire
      @breedComposition = breedComposition
    end
  end

# {http://ws.crvholding.com/animalTypes/}animal
#   animalId - CrvApiClient::Api::Reproduction::AnimalId
#   animalNumberShort - SOAP::SOAPString
#   sex - SOAP::SOAPString
#   colourHair - SOAP::SOAPString
#   birthDate - (any)
#   deathDate - SOAP::SOAPString
#   animalName - SOAP::SOAPString
#   breedComposition - SOAP::SOAPString
#   redFactor - SOAP::SOAPString
  class Animal
    attr_accessor :animalId
    attr_accessor :animalNumberShort
    attr_accessor :sex
    attr_accessor :colourHair
    attr_accessor :birthDate
    attr_accessor :deathDate
    attr_accessor :animalName
    attr_accessor :breedComposition
    attr_accessor :redFactor

    def initialize(animalId = nil, animalNumberShort = nil, sex = nil, colourHair = nil, birthDate = nil, deathDate = nil, animalName = nil, breedComposition = nil, redFactor = nil)
      @animalId = animalId
      @animalNumberShort = animalNumberShort
      @sex = sex
      @colourHair = colourHair
      @birthDate = birthDate
      @deathDate = deathDate
      @animalName = animalName
      @breedComposition = breedComposition
      @redFactor = redFactor
    end
  end

# {http://ws.crvholding.com/animalTypes/}animalManagement
#   animalId - CrvApiClient::Api::Reproduction::AnimalId
#   animalName - SOAP::SOAPString
#   farmersAnimalNr - SOAP::SOAPString
#   animalGroupNr - SOAP::SOAPString
#   productionPurposeDate - (any)
#   productionPurpose - SOAP::SOAPString
  class AnimalManagement
    attr_accessor :animalId
    attr_accessor :animalName
    attr_accessor :farmersAnimalNr
    attr_accessor :animalGroupNr
    attr_accessor :productionPurposeDate
    attr_accessor :productionPurpose

    def initialize(animalId = nil, animalName = nil, farmersAnimalNr = nil, animalGroupNr = nil, productionPurposeDate = nil, productionPurpose = nil)
      @animalId = animalId
      @animalName = animalName
      @farmersAnimalNr = farmersAnimalNr
      @animalGroupNr = animalGroupNr
      @productionPurposeDate = productionPurposeDate
      @productionPurpose = productionPurpose
    end
  end

# {http://ws.crvholding.com/animalTypes/}animalPedigree
#   animal - CrvApiClient::Api::Reproduction::AnimalId
#   animalNrShort - SOAP::SOAPString
#   animalName - SOAP::SOAPString
#   farmersAnimalNr - SOAP::SOAPString
#   sex - SOAP::SOAPString
#   birthDate - (any)
#   colourHair - SOAP::SOAPString
#   pedigree - CrvApiClient::Api::Reproduction::Pedigree
#   participantAnimal - CrvApiClient::Api::Reproduction::ParticipantAnimalId
#   groupCode - CrvApiClient::Api::Reproduction::AnimalGroup
  class AnimalPedigree
    attr_accessor :animal
    attr_accessor :animalNrShort
    attr_accessor :animalName
    attr_accessor :farmersAnimalNr
    attr_accessor :sex
    attr_accessor :birthDate
    attr_accessor :colourHair
    attr_accessor :pedigree
    attr_accessor :participantAnimal
    attr_accessor :groupCode

    def initialize(animal = nil, animalNrShort = nil, animalName = nil, farmersAnimalNr = nil, sex = nil, birthDate = nil, colourHair = nil, pedigree = nil, participantAnimal = [], groupCode = [])
      @animal = animal
      @animalNrShort = animalNrShort
      @animalName = animalName
      @farmersAnimalNr = farmersAnimalNr
      @sex = sex
      @birthDate = birthDate
      @colourHair = colourHair
      @pedigree = pedigree
      @participantAnimal = participantAnimal
      @groupCode = groupCode
    end
  end

# {http://ws.crvholding.com/animalTypes/}animalSupplyId
#   animal - CrvApiClient::Api::Reproduction::AnimalId
#   supplyType - SOAP::SOAPString
#   supplyCd - SOAP::SOAPString
#   plannedDepartureDate - (any)
#   trader - CrvApiClient::Api::Reproduction::ParticipantId
#   destination - CrvApiClient::Api::Reproduction::ParticipantId
  class AnimalSupplyId
    attr_accessor :animal
    attr_accessor :supplyType
    attr_accessor :supplyCd
    attr_accessor :plannedDepartureDate
    attr_accessor :trader
    attr_accessor :destination

    def initialize(animal = nil, supplyType = nil, supplyCd = nil, plannedDepartureDate = nil, trader = nil, destination = nil)
      @animal = animal
      @supplyType = supplyType
      @supplyCd = supplyCd
      @plannedDepartureDate = plannedDepartureDate
      @trader = trader
      @destination = destination
    end
  end

# {http://ws.crvholding.com/animalTypes/}addresses
#   participant - CrvApiClient::Api::Reproduction::Participant
#   address - CrvApiClient::Api::Reproduction::Address
#   trader - CrvApiClient::Api::Reproduction::ParticipantId
  class Addresses
    attr_accessor :participant
    attr_accessor :address
    attr_accessor :trader

    def initialize(participant = [], address = [], trader = nil)
      @participant = participant
      @address = address
      @trader = trader
    end
  end

# {http://ws.crvholding.com/animalTypes/}animalArrivalDetail
#   animalId - CrvApiClient::Api::Reproduction::AnimalId
#   plannedArrivalDetail - CrvApiClient::Api::Reproduction::PlannedArrivalDetail
  class AnimalArrivalDetail
    attr_accessor :animalId
    attr_accessor :plannedArrivalDetail

    def initialize(animalId = [], plannedArrivalDetail = nil)
      @animalId = animalId
      @plannedArrivalDetail = plannedArrivalDetail
    end
  end

# {http://ws.crvholding.com/animalTypes/}averageHerdWeight
#   keeper - CrvApiClient::Api::Reproduction::ParticipantId
#   referencePeriod - CrvApiClient::Api::Reproduction::TimePeriod
#   herdWeightCategoryResult - CrvApiClient::Api::Reproduction::HerdWeightCategory
  class AverageHerdWeight
    attr_accessor :keeper
    attr_accessor :referencePeriod
    attr_accessor :herdWeightCategoryResult

    def initialize(keeper = nil, referencePeriod = nil, herdWeightCategoryResult = [])
      @keeper = keeper
      @referencePeriod = referencePeriod
      @herdWeightCategoryResult = herdWeightCategoryResult
    end
  end

# {http://ws.crvholding.com/animalTypes/}breedFraction
#   breed - SOAP::SOAPString
#   fraction - SOAP::SOAPString
  class BreedFraction
    attr_accessor :breed
    attr_accessor :fraction

    def initialize(breed = nil, fraction = nil)
      @breed = breed
      @fraction = fraction
    end
  end

# {http://ws.crvholding.com/animalTypes/}bullDetails
#   bullId - CrvApiClient::Api::Reproduction::AnimalId
#   aiCode - CrvApiClient::Api::Reproduction::AnimalId
#   bullName - SOAP::SOAPString
#   bullShortName - SOAP::SOAPString
#   birthDate - (any)
#   colourHair - SOAP::SOAPString
  class BullDetails
    attr_accessor :bullId
    attr_accessor :aiCode
    attr_accessor :bullName
    attr_accessor :bullShortName
    attr_accessor :birthDate
    attr_accessor :colourHair

    def initialize(bullId = nil, aiCode = nil, bullName = nil, bullShortName = nil, birthDate = nil, colourHair = nil)
      @bullId = bullId
      @aiCode = aiCode
      @bullName = bullName
      @bullShortName = bullShortName
      @birthDate = birthDate
      @colourHair = colourHair
    end
  end

# {http://ws.crvholding.com/animalTypes/}colourCode
#   countryCode - SOAP::SOAPString
#   colourCode - SOAP::SOAPString
  class ColourCode
    attr_accessor :countryCode
    attr_accessor :colourCode

    def initialize(countryCode = nil, colourCode = nil)
      @countryCode = countryCode
      @colourCode = colourCode
    end
  end

# {http://ws.crvholding.com/animalTypes/}chainValue
#   chainType - SOAP::SOAPString
#   chainVersion - SOAP::SOAPString
#   chainRowValue - CrvApiClient::Api::Reproduction::ChainRowValue
  class ChainValue
    attr_accessor :chainType
    attr_accessor :chainVersion
    attr_accessor :chainRowValue

    def initialize(chainType = nil, chainVersion = nil, chainRowValue = [])
      @chainType = chainType
      @chainVersion = chainVersion
      @chainRowValue = chainRowValue
    end
  end

# {http://ws.crvholding.com/animalTypes/}chainRowValue
#   rowCd - SOAP::SOAPString
#   rowValue - SOAP::SOAPString
  class ChainRowValue
    attr_accessor :rowCd
    attr_accessor :rowValue

    def initialize(rowCd = nil, rowValue = nil)
      @rowCd = rowCd
      @rowValue = rowValue
    end
  end

# {http://ws.crvholding.com/animalTypes/}dateReason
#   date - (any)
#   reason - SOAP::SOAPString
  class DateReason
    attr_accessor :date
    attr_accessor :reason

    def initialize(date = nil, reason = nil)
      @date = date
      @reason = reason
    end
  end

# {http://ws.crvholding.com/animalTypes/}animalGroup
#   animalGroupType - SOAP::SOAPString
#   animalGroupCode - SOAP::SOAPString
#   animalGroupName - SOAP::SOAPString
  class AnimalGroup
    attr_accessor :animalGroupType
    attr_accessor :animalGroupCode
    attr_accessor :animalGroupName

    def initialize(animalGroupType = nil, animalGroupCode = nil, animalGroupName = nil)
      @animalGroupType = animalGroupType
      @animalGroupCode = animalGroupCode
      @animalGroupName = animalGroupName
    end
  end

# {http://ws.crvholding.com/animalTypes/}herdWeightCategory
#   categoryCd - SOAP::SOAPString
#   avgNoAnimals - (any)
#   avgWeightAnimals - (any)
  class HerdWeightCategory
    attr_accessor :categoryCd
    attr_accessor :avgNoAnimals
    attr_accessor :avgWeightAnimals

    def initialize(categoryCd = nil, avgNoAnimals = nil, avgWeightAnimals = nil)
      @categoryCd = categoryCd
      @avgNoAnimals = avgNoAnimals
      @avgWeightAnimals = avgWeightAnimals
    end
  end

# {http://ws.crvholding.com/animalTypes/}listParticipantAnimalRequest
#   listType - SOAP::SOAPString
#   participantAnimalRequest - CrvApiClient::Api::Reproduction::ParticipantAnimalRequest
  class ListParticipantAnimalRequest
    attr_accessor :listType
    attr_accessor :participantAnimalRequest

    def initialize(listType = nil, participantAnimalRequest = [])
      @listType = listType
      @participantAnimalRequest = participantAnimalRequest
    end
  end

# {http://ws.crvholding.com/animalTypes/}participantAnimalId
#   numberType - SOAP::SOAPString
#   numberSubType - SOAP::SOAPString
#   participantAnimalNr - SOAP::SOAPString
  class ParticipantAnimalId
    attr_accessor :numberType
    attr_accessor :numberSubType
    attr_accessor :participantAnimalNr

    def initialize(numberType = nil, numberSubType = nil, participantAnimalNr = nil)
      @numberType = numberType
      @numberSubType = numberSubType
      @participantAnimalNr = participantAnimalNr
    end
  end

# {http://ws.crvholding.com/animalTypes/}participantAnimalRequest
#   numberType - SOAP::SOAPString
#   numberSubType - SOAP::SOAPString
  class ParticipantAnimalRequest
    attr_accessor :numberType
    attr_accessor :numberSubType

    def initialize(numberType = nil, numberSubType = nil)
      @numberType = numberType
      @numberSubType = numberSubType
    end
  end

# {http://ws.crvholding.com/animalTypes/}periodRange
#   beginDate - (any)
#   endDate - (any)
  class PeriodRange_
    attr_accessor :beginDate
    attr_accessor :endDate

    def initialize(beginDate = nil, endDate = nil)
      @beginDate = beginDate
      @endDate = endDate
    end
  end

# {http://ws.crvholding.com/animalTypes/}plannedArrivalDetail
#   supplyCd - SOAP::SOAPString
#   keeper - CrvApiClient::Api::Reproduction::ParticipantId
#   plannedDepartureDate - (any)
#   foodChainInfo - CrvApiClient::Api::Reproduction::BooleanType
#   foodChainInfoStandard - CrvApiClient::Api::Reproduction::BooleanType
#   trader - CrvApiClient::Api::Reproduction::ParticipantId
#   loadGroup - SOAP::SOAPString
#   destination - CrvApiClient::Api::Reproduction::ParticipantId
#   plannedDeliveryDateTime - (any)
  class PlannedArrivalDetail
    attr_accessor :supplyCd
    attr_accessor :keeper
    attr_accessor :plannedDepartureDate
    attr_accessor :foodChainInfo
    attr_accessor :foodChainInfoStandard
    attr_accessor :trader
    attr_accessor :loadGroup
    attr_accessor :destination
    attr_accessor :plannedDeliveryDateTime

    def initialize(supplyCd = nil, keeper = nil, plannedDepartureDate = nil, foodChainInfo = nil, foodChainInfoStandard = nil, trader = nil, loadGroup = nil, destination = nil, plannedDeliveryDateTime = nil)
      @supplyCd = supplyCd
      @keeper = keeper
      @plannedDepartureDate = plannedDepartureDate
      @foodChainInfo = foodChainInfo
      @foodChainInfoStandard = foodChainInfoStandard
      @trader = trader
      @loadGroup = loadGroup
      @destination = destination
      @plannedDeliveryDateTime = plannedDeliveryDateTime
    end
  end

# {http://ws.crvholding.com/animalTypes/}pedigree
#   sire - CrvApiClient::Api::Reproduction::Animal
#   dam - CrvApiClient::Api::Reproduction::Animal
  class Pedigree
    attr_accessor :sire
    attr_accessor :dam

    def initialize(sire = nil, dam = nil)
      @sire = sire
      @dam = dam
    end
  end

# {http://ws.crvholding.com/animalTypes/}plannedArrival
#   animal - CrvApiClient::Api::Reproduction::Animal
#   plannedArrivalDetail - CrvApiClient::Api::Reproduction::PlannedArrivalDetail
#   breedFraction - CrvApiClient::Api::Reproduction::BreedFraction
  class PlannedArrival
    attr_accessor :animal
    attr_accessor :plannedArrivalDetail
    attr_accessor :breedFraction

    def initialize(animal = [], plannedArrivalDetail = nil, breedFraction = [])
      @animal = animal
      @plannedArrivalDetail = plannedArrivalDetail
      @breedFraction = breedFraction
    end
  end

# {http://ws.crvholding.com/logisticsTypes/}semenAmount
#   bullCd - SOAP::SOAPString
#   semenType - SOAP::SOAPString
#   amount - SOAP::SOAPString
  class SemenAmount
    attr_accessor :bullCd
    attr_accessor :semenType
    attr_accessor :amount

    def initialize(bullCd = nil, semenType = nil, amount = nil)
      @bullCd = bullCd
      @semenType = semenType
      @amount = amount
    end
  end

# {http://ws.crvholding.com/logisticsTypes/}distributionRound
#   employee - CrvApiClient::Api::Reproduction::ParticipantId_
#   deliveryDate - (any)
#   round - SOAP::SOAPString
#   district - SOAP::SOAPString
#   routeCd - SOAP::SOAPString
#   licensePlate - SOAP::SOAPString
#   startKilometres - SOAP::SOAPString
#   endKilometres - SOAP::SOAPString
#   kilometres - SOAP::SOAPString
#   mainDepot - SOAP::SOAPString
#   privateDepot - SOAP::SOAPString
  class DistributionRound
    attr_accessor :employee
    attr_accessor :deliveryDate
    attr_accessor :round
    attr_accessor :district
    attr_accessor :routeCd
    attr_accessor :licensePlate
    attr_accessor :startKilometres
    attr_accessor :endKilometres
    attr_accessor :kilometres
    attr_accessor :mainDepot
    attr_accessor :privateDepot

    def initialize(employee = nil, deliveryDate = nil, round = nil, district = nil, routeCd = nil, licensePlate = nil, startKilometres = nil, endKilometres = nil, kilometres = nil, mainDepot = nil, privateDepot = nil)
      @employee = employee
      @deliveryDate = deliveryDate
      @round = round
      @district = district
      @routeCd = routeCd
      @licensePlate = licensePlate
      @startKilometres = startKilometres
      @endKilometres = endKilometres
      @kilometres = kilometres
      @mainDepot = mainDepot
      @privateDepot = privateDepot
    end
  end

# {http://ws.crvholding.com/logisticsTypes/}orderConfirmation
#   orderNr - SOAP::SOAPString
#   orderLineNr - SOAP::SOAPString
#   amount - SOAP::SOAPString
#   registrationTime - (any)
  class OrderConfirmation
    attr_accessor :orderNr
    attr_accessor :orderLineNr
    attr_accessor :amount
    attr_accessor :registrationTime

    def initialize(orderNr = nil, orderLineNr = nil, amount = nil, registrationTime = nil)
      @orderNr = orderNr
      @orderLineNr = orderLineNr
      @amount = amount
      @registrationTime = registrationTime
    end
  end

# {http://ws.crvholding.com/logisticsTypes/}semenRemoval
#   depot - SOAP::SOAPString
#   removalReasonCd - SOAP::SOAPString
#   registrationTime - (any)
#   semenRemoved - CrvApiClient::Api::Reproduction::SemenAmount
  class SemenRemoval
    attr_accessor :depot
    attr_accessor :removalReasonCd
    attr_accessor :registrationTime
    attr_accessor :semenRemoved

    def initialize(depot = nil, removalReasonCd = nil, registrationTime = nil, semenRemoved = nil)
      @depot = depot
      @removalReasonCd = removalReasonCd
      @registrationTime = registrationTime
      @semenRemoved = semenRemoved
    end
  end

# {http://ws.crvholding.com/logisticsTypes/}semenTransfer
#   depotFrom - SOAP::SOAPString
#   depotTo - SOAP::SOAPString
#   registrationTime - (any)
#   semenTransfered - CrvApiClient::Api::Reproduction::SemenAmount
  class SemenTransfer
    attr_accessor :depotFrom
    attr_accessor :depotTo
    attr_accessor :registrationTime
    attr_accessor :semenTransfered

    def initialize(depotFrom = nil, depotTo = nil, registrationTime = nil, semenTransfered = [])
      @depotFrom = depotFrom
      @depotTo = depotTo
      @registrationTime = registrationTime
      @semenTransfered = semenTransfered
    end
  end

# {http://ws.crvholding.com/logisticsTypes/}timeRegistration
#   hourCd - SOAP::SOAPString
#   nrOfAddresses - SOAP::SOAPString
#   nrOfActivities - SOAP::SOAPString
#   minutes - SOAP::SOAPString
#   kilometres - SOAP::SOAPString
#   registrationTime - (any)
  class TimeRegistration
    attr_accessor :hourCd
    attr_accessor :nrOfAddresses
    attr_accessor :nrOfActivities
    attr_accessor :minutes
    attr_accessor :kilometres
    attr_accessor :registrationTime

    def initialize(hourCd = nil, nrOfAddresses = nil, nrOfActivities = nil, minutes = nil, kilometres = nil, registrationTime = nil)
      @hourCd = hourCd
      @nrOfAddresses = nrOfAddresses
      @nrOfActivities = nrOfActivities
      @minutes = minutes
      @kilometres = kilometres
      @registrationTime = registrationTime
    end
  end

# {http://ws.crvholding.com/logisticsTypes/}announcement
#   announcementText - SOAP::SOAPString
  class Announcement
    attr_accessor :announcementText

    def initialize(announcementText = nil)
      @announcementText = announcementText
    end
  end

# {http://ws.crvholding.com/logisticsTypes/}depot
#   depot - SOAP::SOAPString
#   depotName - SOAP::SOAPString
#   city - SOAP::SOAPString
#   semenStock - CrvApiClient::Api::Reproduction::SemenAmount
#   semenOrder - CrvApiClient::Api::Reproduction::SemenOrder
  class Depot
    attr_accessor :depot
    attr_accessor :depotName
    attr_accessor :city
    attr_accessor :semenStock
    attr_accessor :semenOrder

    def initialize(depot = nil, depotName = nil, city = nil, semenStock = [], semenOrder = [])
      @depot = depot
      @depotName = depotName
      @city = city
      @semenStock = semenStock
      @semenOrder = semenOrder
    end
  end

# {http://ws.crvholding.com/logisticsTypes/}employeeOnRoute
#   employee - CrvApiClient::Api::Reproduction::ParticipantId
#   employeeName - SOAP::SOAPString
#   routeCd - SOAP::SOAPString
#   nrOfAddresses - SOAP::SOAPString
#   nrOfActivities - SOAP::SOAPString
  class EmployeeOnRoute
    attr_accessor :employee
    attr_accessor :employeeName
    attr_accessor :routeCd
    attr_accessor :nrOfAddresses
    attr_accessor :nrOfActivities

    def initialize(employee = nil, employeeName = nil, routeCd = nil, nrOfAddresses = nil, nrOfActivities = nil)
      @employee = employee
      @employeeName = employeeName
      @routeCd = routeCd
      @nrOfAddresses = nrOfAddresses
      @nrOfActivities = nrOfActivities
    end
  end

# {http://ws.crvholding.com/logisticsTypes/}semenOrder
#   site - SOAP::SOAPString
#   orderNr - SOAP::SOAPString
#   orderLineNr - SOAP::SOAPString
#   deliveryDate - (any)
#   semenOrdered - CrvApiClient::Api::Reproduction::SemenAmount
  class SemenOrder
    attr_accessor :site
    attr_accessor :orderNr
    attr_accessor :orderLineNr
    attr_accessor :deliveryDate
    attr_accessor :semenOrdered

    def initialize(site = nil, orderNr = nil, orderLineNr = nil, deliveryDate = nil, semenOrdered = nil)
      @site = site
      @orderNr = orderNr
      @orderLineNr = orderLineNr
      @deliveryDate = deliveryDate
      @semenOrdered = semenOrdered
    end
  end

# {http://ws.crvholding.com/logisticsTypes/}embryoCollection
#   embryoCollectionNr - SOAP::SOAPString
#   sire - CrvApiClient::Api::Reproduction::AnimalId
#   sireName - SOAP::SOAPString
#   dam - CrvApiClient::Api::Reproduction::AnimalId
#   damName - SOAP::SOAPString
#   semenType - SOAP::SOAPString
#   embryoCollectionDate - (any)
  class EmbryoCollection
    attr_accessor :embryoCollectionNr
    attr_accessor :sire
    attr_accessor :sireName
    attr_accessor :dam
    attr_accessor :damName
    attr_accessor :semenType
    attr_accessor :embryoCollectionDate

    def initialize(embryoCollectionNr = nil, sire = nil, sireName = nil, dam = nil, damName = nil, semenType = nil, embryoCollectionDate = nil)
      @embryoCollectionNr = embryoCollectionNr
      @sire = sire
      @sireName = sireName
      @dam = dam
      @damName = damName
      @semenType = semenType
      @embryoCollectionDate = embryoCollectionDate
    end
  end

# {http://ws.crvholding.com/logisticsTypes/}participantId
#   participantCode - SOAP::SOAPString
#   participantCodeType - SOAP::SOAPString
#   countryCode - SOAP::SOAPString
  class ParticipantId_
    attr_accessor :participantCode
    attr_accessor :participantCodeType
    attr_accessor :countryCode

    def initialize(participantCode = nil, participantCodeType = nil, countryCode = nil)
      @participantCode = participantCode
      @participantCodeType = participantCodeType
      @countryCode = countryCode
    end
  end

# {http://ws.crvholding.com/reproductionTypes/}animalIndication
#   animal - CrvApiClient::Api::Reproduction::AnimalId
#   indicationType - SOAP::SOAPString
#   indication - SOAP::SOAPString
#   indicationDateTime - (any)
#   indicationExpirationDateTime - (any)
#   indicationCertainty - SOAP::SOAPString
#   indicatorCode - SOAP::SOAPString
#   indicatorCodeType - SOAP::SOAPString
  class AnimalIndication
    attr_accessor :animal
    attr_accessor :indicationType
    attr_accessor :indication
    attr_accessor :indicationDateTime
    attr_accessor :indicationExpirationDateTime
    attr_accessor :indicationCertainty
    attr_accessor :indicatorCode
    attr_accessor :indicatorCodeType

    def initialize(animal = nil, indicationType = nil, indication = nil, indicationDateTime = nil, indicationExpirationDateTime = nil, indicationCertainty = nil, indicatorCode = nil, indicatorCodeType = nil)
      @animal = animal
      @indicationType = indicationType
      @indication = indication
      @indicationDateTime = indicationDateTime
      @indicationExpirationDateTime = indicationExpirationDateTime
      @indicationCertainty = indicationCertainty
      @indicatorCode = indicatorCode
      @indicatorCodeType = indicatorCodeType
    end
  end

# {http://ws.crvholding.com/reproductionTypes/}calving
#   calvingDate - (any)
#   parity - SOAP::SOAPString
#   gestationLength - SOAP::SOAPString
#   calvingEaseScore - SOAP::SOAPString
  class Calving
    attr_accessor :calvingDate
    attr_accessor :parity
    attr_accessor :gestationLength
    attr_accessor :calvingEaseScore

    def initialize(calvingDate = nil, parity = nil, gestationLength = nil, calvingEaseScore = nil)
      @calvingDate = calvingDate
      @parity = parity
      @gestationLength = gestationLength
      @calvingEaseScore = calvingEaseScore
    end
  end

# {http://ws.crvholding.com/reproductionTypes/}gestation
#   reproductionDate - (any)
#   calvingDateExp - (any)
#   gestationStatus - SOAP::SOAPString
  class Gestation
    attr_accessor :reproductionDate
    attr_accessor :calvingDateExp
    attr_accessor :gestationStatus

    def initialize(reproductionDate = nil, calvingDateExp = nil, gestationStatus = nil)
      @reproductionDate = reproductionDate
      @calvingDateExp = calvingDateExp
      @gestationStatus = gestationStatus
    end
  end

# {http://ws.crvholding.com/reproductionTypes/}gestationReproduction
#   reproductionType - SOAP::SOAPString
#   reproductionDate - (any)
#   endDateRWB - (any)
  class GestationReproduction
    attr_accessor :reproductionType
    attr_accessor :reproductionDate
    attr_accessor :endDateRWB

    def initialize(reproductionType = nil, reproductionDate = nil, endDateRWB = nil)
      @reproductionType = reproductionType
      @reproductionDate = reproductionDate
      @endDateRWB = endDateRWB
    end
  end

# {http://ws.crvholding.com/reproductionTypes/}animalReproduction
#   animal - CrvApiClient::Api::Reproduction::AnimalId
#   animalNrShort - SOAP::SOAPString
#   animalName - SOAP::SOAPString
#   farmersAnimalNr - SOAP::SOAPString
#   sex - SOAP::SOAPString
#   birthDate - (any)
#   colourHair - SOAP::SOAPString
#   dam - CrvApiClient::Api::Reproduction::AnimalId
#   sire - CrvApiClient::Api::Reproduction::AnimalId
#   sireName - SOAP::SOAPString
#   lastCalvingDate - (any)
#   lastInseminationDate - (any)
#   serviceSire - CrvApiClient::Api::Reproduction::AnimalId
#   serviceSireName - SOAP::SOAPString
#   lastDryDate - (any)
#   expectedCalvingDate - (any)
#   reproductionStatus - SOAP::SOAPString
#   lastInHeatDate - (any)
#   participantAnimal - CrvApiClient::Api::Reproduction::ParticipantAnimalId
  class AnimalReproduction
    attr_accessor :animal
    attr_accessor :animalNrShort
    attr_accessor :animalName
    attr_accessor :farmersAnimalNr
    attr_accessor :sex
    attr_accessor :birthDate
    attr_accessor :colourHair
    attr_accessor :dam
    attr_accessor :sire
    attr_accessor :sireName
    attr_accessor :lastCalvingDate
    attr_accessor :lastInseminationDate
    attr_accessor :serviceSire
    attr_accessor :serviceSireName
    attr_accessor :lastDryDate
    attr_accessor :expectedCalvingDate
    attr_accessor :reproductionStatus
    attr_accessor :lastInHeatDate
    attr_accessor :participantAnimal

    def initialize(animal = nil, animalNrShort = nil, animalName = nil, farmersAnimalNr = nil, sex = nil, birthDate = nil, colourHair = nil, dam = nil, sire = nil, sireName = nil, lastCalvingDate = nil, lastInseminationDate = nil, serviceSire = nil, serviceSireName = nil, lastDryDate = nil, expectedCalvingDate = nil, reproductionStatus = nil, lastInHeatDate = nil, participantAnimal = [])
      @animal = animal
      @animalNrShort = animalNrShort
      @animalName = animalName
      @farmersAnimalNr = farmersAnimalNr
      @sex = sex
      @birthDate = birthDate
      @colourHair = colourHair
      @dam = dam
      @sire = sire
      @sireName = sireName
      @lastCalvingDate = lastCalvingDate
      @lastInseminationDate = lastInseminationDate
      @serviceSire = serviceSire
      @serviceSireName = serviceSireName
      @lastDryDate = lastDryDate
      @expectedCalvingDate = expectedCalvingDate
      @reproductionStatus = reproductionStatus
      @lastInHeatDate = lastInHeatDate
      @participantAnimal = participantAnimal
    end
  end

# {http://ws.crvholding.com/reproductionTypes/}animalReproductionLastParity
#   animal - CrvApiClient::Api::Reproduction::AnimalId
#   animalNrShort - SOAP::SOAPString
#   animalName - SOAP::SOAPString
#   farmersAnimalNr - SOAP::SOAPString
#   calving - CrvApiClient::Api::Reproduction::Calving
#   lastInseminationDate - (any)
#   serviceSire - CrvApiClient::Api::Reproduction::AnimalId
#   serviceSireName - SOAP::SOAPString
#   serviceSireSemenType - SOAP::SOAPString
#   dryDate - (any)
#   expectedCalvingDate - (any)
#   reproductionStatus - SOAP::SOAPString
#   lastInHeatDate - (any)
#   participantAnimal - CrvApiClient::Api::Reproduction::ParticipantAnimalId
#   nrOfInseminations - (any)
#   lastPregnancyCheckDate - (any)
#   pregnancyCheckResult - SOAP::SOAPString
  class AnimalReproductionLastParity
    attr_accessor :animal
    attr_accessor :animalNrShort
    attr_accessor :animalName
    attr_accessor :farmersAnimalNr
    attr_accessor :calving
    attr_accessor :lastInseminationDate
    attr_accessor :serviceSire
    attr_accessor :serviceSireName
    attr_accessor :serviceSireSemenType
    attr_accessor :dryDate
    attr_accessor :expectedCalvingDate
    attr_accessor :reproductionStatus
    attr_accessor :lastInHeatDate
    attr_accessor :participantAnimal
    attr_accessor :nrOfInseminations
    attr_accessor :lastPregnancyCheckDate
    attr_accessor :pregnancyCheckResult

    def initialize(animal = nil, animalNrShort = nil, animalName = nil, farmersAnimalNr = nil, calving = nil, lastInseminationDate = nil, serviceSire = [], serviceSireName = nil, serviceSireSemenType = nil, dryDate = nil, expectedCalvingDate = nil, reproductionStatus = nil, lastInHeatDate = nil, participantAnimal = [], nrOfInseminations = nil, lastPregnancyCheckDate = nil, pregnancyCheckResult = nil)
      @animal = animal
      @animalNrShort = animalNrShort
      @animalName = animalName
      @farmersAnimalNr = farmersAnimalNr
      @calving = calving
      @lastInseminationDate = lastInseminationDate
      @serviceSire = serviceSire
      @serviceSireName = serviceSireName
      @serviceSireSemenType = serviceSireSemenType
      @dryDate = dryDate
      @expectedCalvingDate = expectedCalvingDate
      @reproductionStatus = reproductionStatus
      @lastInHeatDate = lastInHeatDate
      @participantAnimal = participantAnimal
      @nrOfInseminations = nrOfInseminations
      @lastPregnancyCheckDate = lastPregnancyCheckDate
      @pregnancyCheckResult = pregnancyCheckResult
    end
  end

# {http://ws.crvholding.com/reproductionTypes/}animalReproductionIndication
#   animal - CrvApiClient::Api::Reproduction::AnimalId
#   participantAnimal - CrvApiClient::Api::Reproduction::ParticipantAnimalId
#   indication - SOAP::SOAPString
#   indicationDateTime - (any)
#   indicationExpirationDateTime - (any)
#   indicationCertainty - SOAP::SOAPString
#   indicator - CrvApiClient::Api::Reproduction::ParticipantId
  class AnimalReproductionIndication
    attr_accessor :animal
    attr_accessor :participantAnimal
    attr_accessor :indication
    attr_accessor :indicationDateTime
    attr_accessor :indicationExpirationDateTime
    attr_accessor :indicationCertainty
    attr_accessor :indicator

    def initialize(animal = nil, participantAnimal = nil, indication = nil, indicationDateTime = nil, indicationExpirationDateTime = nil, indicationCertainty = nil, indicator = nil)
      @animal = animal
      @participantAnimal = participantAnimal
      @indication = indication
      @indicationDateTime = indicationDateTime
      @indicationExpirationDateTime = indicationExpirationDateTime
      @indicationCertainty = indicationCertainty
      @indicator = indicator
    end
  end

# {http://ws.crvholding.com/reproductionTypes/}inseminationForFlushing
#   serialNr - SOAP::SOAPString
#   inseminationDate - (any)
#   bull - CrvApiClient::Api::Reproduction::AnimalId
#   bullCd - SOAP::SOAPString
#   semenType - SOAP::SOAPString
  class InseminationForFlushing
    attr_accessor :serialNr
    attr_accessor :inseminationDate
    attr_accessor :bull
    attr_accessor :bullCd
    attr_accessor :semenType

    def initialize(serialNr = nil, inseminationDate = nil, bull = nil, bullCd = nil, semenType = nil)
      @serialNr = serialNr
      @inseminationDate = inseminationDate
      @bull = bull
      @bullCd = bullCd
      @semenType = semenType
    end
  end

# {http://ws.crvholding.com/reproductionTypes/}animalExamination
#   cow - CrvApiClient::Api::Reproduction::AnimalId
#   cowScanned - SOAP::SOAPString
#   examinationCd - SOAP::SOAPString
#   examinationResult - SOAP::SOAPString
#   registrationTime - (any)
#   productAmount - CrvApiClient::Api::Reproduction::ProductAmount
  class AnimalExamination
    attr_accessor :cow
    attr_accessor :cowScanned
    attr_accessor :examinationCd
    attr_accessor :examinationResult
    attr_accessor :registrationTime
    attr_accessor :productAmount

    def initialize(cow = nil, cowScanned = nil, examinationCd = nil, examinationResult = nil, registrationTime = nil, productAmount = [])
      @cow = cow
      @cowScanned = cowScanned
      @examinationCd = examinationCd
      @examinationResult = examinationResult
      @registrationTime = registrationTime
      @productAmount = productAmount
    end
  end

# {http://ws.crvholding.com/reproductionTypes/}embryoFrozen
#   embryoSerialNr - SOAP::SOAPString
#   trypsineBatchNr - SOAP::SOAPString
#   mediumBatchNr - SOAP::SOAPString
#   containerNr - SOAP::SOAPString
#   canisterNr - SOAP::SOAPString
#   qualityCd - SOAP::SOAPString
#   stageCd - SOAP::SOAPString
  class EmbryoFrozen
    attr_accessor :embryoSerialNr
    attr_accessor :trypsineBatchNr
    attr_accessor :mediumBatchNr
    attr_accessor :containerNr
    attr_accessor :canisterNr
    attr_accessor :qualityCd
    attr_accessor :stageCd

    def initialize(embryoSerialNr = nil, trypsineBatchNr = nil, mediumBatchNr = nil, containerNr = nil, canisterNr = nil, qualityCd = nil, stageCd = nil)
      @embryoSerialNr = embryoSerialNr
      @trypsineBatchNr = trypsineBatchNr
      @mediumBatchNr = mediumBatchNr
      @containerNr = containerNr
      @canisterNr = canisterNr
      @qualityCd = qualityCd
      @stageCd = stageCd
    end
  end

# {http://ws.crvholding.com/reproductionTypes/}flushing
#   dam - CrvApiClient::Api::Reproduction::AnimalId
#   embryoCollectionNr - SOAP::SOAPString
#   flushingSolutionBatchNr - SOAP::SOAPString
#   holdingSolutionBatchNr - SOAP::SOAPString
#   numberOfOocyte - SOAP::SOAPString
#   numberOfEmbryo - SOAP::SOAPString
#   numberOfEmbryoFrozen - SOAP::SOAPString
#   debtor - CrvApiClient::Api::Reproduction::ParticipantId_
#   registrationTime - (any)
#   inseminationForFlushing - CrvApiClient::Api::Reproduction::InseminationForFlushing
#   embryoFrozen - CrvApiClient::Api::Reproduction::EmbryoFrozen
  class Flushing
    attr_accessor :dam
    attr_accessor :embryoCollectionNr
    attr_accessor :flushingSolutionBatchNr
    attr_accessor :holdingSolutionBatchNr
    attr_accessor :numberOfOocyte
    attr_accessor :numberOfEmbryo
    attr_accessor :numberOfEmbryoFrozen
    attr_accessor :debtor
    attr_accessor :registrationTime
    attr_accessor :inseminationForFlushing
    attr_accessor :embryoFrozen

    def initialize(dam = nil, embryoCollectionNr = nil, flushingSolutionBatchNr = nil, holdingSolutionBatchNr = nil, numberOfOocyte = nil, numberOfEmbryo = nil, numberOfEmbryoFrozen = nil, debtor = nil, registrationTime = nil, inseminationForFlushing = [], embryoFrozen = [])
      @dam = dam
      @embryoCollectionNr = embryoCollectionNr
      @flushingSolutionBatchNr = flushingSolutionBatchNr
      @holdingSolutionBatchNr = holdingSolutionBatchNr
      @numberOfOocyte = numberOfOocyte
      @numberOfEmbryo = numberOfEmbryo
      @numberOfEmbryoFrozen = numberOfEmbryoFrozen
      @debtor = debtor
      @registrationTime = registrationTime
      @inseminationForFlushing = inseminationForFlushing
      @embryoFrozen = embryoFrozen
    end
  end

# {http://ws.crvholding.com/reproductionTypes/}insemination
#   cow - CrvApiClient::Api::Reproduction::AnimalId
#   cowScanned - SOAP::SOAPString
#   bullCd - SOAP::SOAPString
#   bullCdScanned - SOAP::SOAPString
#   chargeNr - SOAP::SOAPString
#   chargeNrScanned - SOAP::SOAPString
#   bull - CrvApiClient::Api::Reproduction::AnimalId
#   semenType - SOAP::SOAPString
#   ownStock - SOAP::SOAPString
#   semenChargeCd - SOAP::SOAPString
#   fertilityScore - SOAP::SOAPString
#   examinationCd - SOAP::SOAPString
#   inseminationForFlushing - SOAP::SOAPString
#   registrationTime - (any)
  class Insemination
    attr_accessor :cow
    attr_accessor :cowScanned
    attr_accessor :bullCd
    attr_accessor :bullCdScanned
    attr_accessor :chargeNr
    attr_accessor :chargeNrScanned
    attr_accessor :bull
    attr_accessor :semenType
    attr_accessor :ownStock
    attr_accessor :semenChargeCd
    attr_accessor :fertilityScore
    attr_accessor :examinationCd
    attr_accessor :inseminationForFlushing
    attr_accessor :registrationTime

    def initialize(cow = nil, cowScanned = nil, bullCd = nil, bullCdScanned = nil, chargeNr = nil, chargeNrScanned = nil, bull = nil, semenType = nil, ownStock = nil, semenChargeCd = nil, fertilityScore = nil, examinationCd = nil, inseminationForFlushing = nil, registrationTime = nil)
      @cow = cow
      @cowScanned = cowScanned
      @bullCd = bullCd
      @bullCdScanned = bullCdScanned
      @chargeNr = chargeNr
      @chargeNrScanned = chargeNrScanned
      @bull = bull
      @semenType = semenType
      @ownStock = ownStock
      @semenChargeCd = semenChargeCd
      @fertilityScore = fertilityScore
      @examinationCd = examinationCd
      @inseminationForFlushing = inseminationForFlushing
      @registrationTime = registrationTime
    end
  end

# {http://ws.crvholding.com/reproductionTypes/}indications
#   indication - SOAP::SOAPString
#   indicationDateTime - (any)
#   indicationCertaintyOld - SOAP::SOAPString
#   indicationCertaintyNew - SOAP::SOAPString
  class Indications
    attr_accessor :indication
    attr_accessor :indicationDateTime
    attr_accessor :indicationCertaintyOld
    attr_accessor :indicationCertaintyNew

    def initialize(indication = nil, indicationDateTime = nil, indicationCertaintyOld = nil, indicationCertaintyNew = nil)
      @indication = indication
      @indicationDateTime = indicationDateTime
      @indicationCertaintyOld = indicationCertaintyOld
      @indicationCertaintyNew = indicationCertaintyNew
    end
  end

# {http://ws.crvholding.com/reproductionTypes/}transplantation
#   cow - CrvApiClient::Api::Reproduction::AnimalId
#   cowScanned - SOAP::SOAPString
#   recipientRejected - SOAP::SOAPString
#   embryoCollectionNr - SOAP::SOAPString
#   embryoSerialNr - SOAP::SOAPString
#   chargeEmbryo - SOAP::SOAPString
#   sire - CrvApiClient::Api::Reproduction::AnimalId
#   bullCdSire - SOAP::SOAPString
#   dam - CrvApiClient::Api::Reproduction::AnimalId
#   embryoCollectionDate - (any)
#   debtor - CrvApiClient::Api::Reproduction::ParticipantId_
#   registrationTime - (any)
  class Transplantation
    attr_accessor :cow
    attr_accessor :cowScanned
    attr_accessor :recipientRejected
    attr_accessor :embryoCollectionNr
    attr_accessor :embryoSerialNr
    attr_accessor :chargeEmbryo
    attr_accessor :sire
    attr_accessor :bullCdSire
    attr_accessor :dam
    attr_accessor :embryoCollectionDate
    attr_accessor :debtor
    attr_accessor :registrationTime

    def initialize(cow = nil, cowScanned = nil, recipientRejected = nil, embryoCollectionNr = nil, embryoSerialNr = nil, chargeEmbryo = nil, sire = nil, bullCdSire = nil, dam = nil, embryoCollectionDate = nil, debtor = nil, registrationTime = nil)
      @cow = cow
      @cowScanned = cowScanned
      @recipientRejected = recipientRejected
      @embryoCollectionNr = embryoCollectionNr
      @embryoSerialNr = embryoSerialNr
      @chargeEmbryo = chargeEmbryo
      @sire = sire
      @bullCdSire = bullCdSire
      @dam = dam
      @embryoCollectionDate = embryoCollectionDate
      @debtor = debtor
      @registrationTime = registrationTime
    end
  end

# {http://ws.crvholding.com/productTypes/}productDescription
#   productCd - SOAP::SOAPString
#   description - SOAP::SOAPString
  class ProductDescription
    attr_accessor :productCd
    attr_accessor :description

    def initialize(productCd = nil, description = nil)
      @productCd = productCd
      @description = description
    end
  end

# {http://ws.crvholding.com/productTypes/}bullDetails
#   bullCd - SOAP::SOAPString
#   bullName - SOAP::SOAPString
#   bull - CrvApiClient::Api::Reproduction::AnimalId
#   sireName - SOAP::SOAPString
#   damSireName - SOAP::SOAPString
#   colourHair - SOAP::SOAPString
#   breedFactor1 - SOAP::SOAPString
#   breedFactor2 - SOAP::SOAPString
  class BullDetails_
    attr_accessor :bullCd
    attr_accessor :bullName
    attr_accessor :bull
    attr_accessor :sireName
    attr_accessor :damSireName
    attr_accessor :colourHair
    attr_accessor :breedFactor1
    attr_accessor :breedFactor2

    def initialize(bullCd = nil, bullName = nil, bull = nil, sireName = nil, damSireName = nil, colourHair = nil, breedFactor1 = nil, breedFactor2 = nil)
      @bullCd = bullCd
      @bullName = bullName
      @bull = bull
      @sireName = sireName
      @damSireName = damSireName
      @colourHair = colourHair
      @breedFactor1 = breedFactor1
      @breedFactor2 = breedFactor2
    end
  end

# {http://ws.crvholding.com/productTypes/}productAmount
#   productCd - SOAP::SOAPString
#   batchNr - SOAP::SOAPString
#   amount - SOAP::SOAPString
  class ProductAmount
    attr_accessor :productCd
    attr_accessor :batchNr
    attr_accessor :amount

    def initialize(productCd = nil, batchNr = nil, amount = nil)
      @productCd = productCd
      @batchNr = batchNr
      @amount = amount
    end
  end

# {http://ws.crvholding.com/breedingTypes/}animalOffer
#   animalOfferType - SOAP::SOAPString
#   animalId - CrvApiClient::Api::Reproduction::AnimalId
#   owner - CrvApiClient::Api::Reproduction::ParticipantId
#   keeper - CrvApiClient::Api::Reproduction::ParticipantId
#   agreement - CrvApiClient::Api::Reproduction::BooleanType
#   ibrFree - CrvApiClient::Api::Reproduction::BooleanType
  class AnimalOffer
    attr_accessor :animalOfferType
    attr_accessor :animalId
    attr_accessor :owner
    attr_accessor :keeper
    attr_accessor :agreement
    attr_accessor :ibrFree

    def initialize(animalOfferType = nil, animalId = nil, owner = nil, keeper = nil, agreement = nil, ibrFree = nil)
      @animalOfferType = animalOfferType
      @animalId = animalId
      @owner = owner
      @keeper = keeper
      @agreement = agreement
      @ibrFree = ibrFree
    end
  end

# {http://ws.crvholding.com/breedingTypes/}animalBullAdvice
#   animalId - CrvApiClient::Api::Reproduction::AnimalId
#   recommendedBull - CrvApiClient::Api::Reproduction::RecommendedBull
#   missingAdvice - CrvApiClient::Api::Reproduction::MissingAdvice
  class AnimalBullAdvice
    attr_accessor :animalId
    attr_accessor :recommendedBull
    attr_accessor :missingAdvice

    def initialize(animalId = nil, recommendedBull = [], missingAdvice = [])
      @animalId = animalId
      @recommendedBull = recommendedBull
      @missingAdvice = missingAdvice
    end
  end

# {http://ws.crvholding.com/breedingTypes/}animalDetailsBreeding
#   animalId - CrvApiClient::Api::Reproduction::AnimalId
#   animalName - SOAP::SOAPString
#   breedCalculation - SOAP::SOAPString
#   contractNumber - SOAP::SOAPString
#   embryoNumber - SOAP::SOAPString
  class AnimalDetailsBreeding
    attr_accessor :animalId
    attr_accessor :animalName
    attr_accessor :breedCalculation
    attr_accessor :contractNumber
    attr_accessor :embryoNumber

    def initialize(animalId = nil, animalName = nil, breedCalculation = nil, contractNumber = nil, embryoNumber = nil)
      @animalId = animalId
      @animalName = animalName
      @breedCalculation = breedCalculation
      @contractNumber = contractNumber
      @embryoNumber = embryoNumber
    end
  end

# {http://ws.crvholding.com/breedingTypes/}animalOfferAnalysisRequest
#   requestDate - SOAP::SOAPString
#   requestTime - SOAP::SOAPString
#   analysisType - SOAP::SOAPString
#   analysisName - SOAP::SOAPString
#   requested - CrvApiClient::Api::Reproduction::BooleanType
  class AnimalOfferAnalysisRequest
    attr_accessor :requestDate
    attr_accessor :requestTime
    attr_accessor :analysisType
    attr_accessor :analysisName
    attr_accessor :requested

    def initialize(requestDate = nil, requestTime = nil, analysisType = nil, analysisName = nil, requested = nil)
      @requestDate = requestDate
      @requestTime = requestTime
      @analysisType = analysisType
      @analysisName = analysisName
      @requested = requested
    end
  end

# {http://ws.crvholding.com/breedingTypes/}animalOfferAnalysis
#   analysisType - SOAP::SOAPString
#   analysisName - SOAP::SOAPString
  class AnimalOfferAnalysis
    attr_accessor :analysisType
    attr_accessor :analysisName

    def initialize(analysisType = nil, analysisName = nil)
      @analysisType = analysisType
      @analysisName = analysisName
    end
  end

# {http://ws.crvholding.com/breedingTypes/}analysisRequest
#   analysisType - SOAP::SOAPString
#   requested - CrvApiClient::Api::Reproduction::BooleanType
  class AnalysisRequest
    attr_accessor :analysisType
    attr_accessor :requested

    def initialize(analysisType = nil, requested = nil)
      @analysisType = analysisType
      @requested = requested
    end
  end

# {http://ws.crvholding.com/breedingTypes/}animalOfferStatus
#   statusDate - SOAP::SOAPString
#   statusTime - SOAP::SOAPString
#   registrant - CrvApiClient::Api::Reproduction::ParticipantId
#   registrantName - SOAP::SOAPString
#   processCode - SOAP::SOAPString
#   processName - SOAP::SOAPString
#   statusType - SOAP::SOAPString
#   statusDescription - SOAP::SOAPString
  class AnimalOfferStatus
    attr_accessor :statusDate
    attr_accessor :statusTime
    attr_accessor :registrant
    attr_accessor :registrantName
    attr_accessor :processCode
    attr_accessor :processName
    attr_accessor :statusType
    attr_accessor :statusDescription

    def initialize(statusDate = nil, statusTime = nil, registrant = nil, registrantName = nil, processCode = nil, processName = nil, statusType = nil, statusDescription = nil)
      @statusDate = statusDate
      @statusTime = statusTime
      @registrant = registrant
      @registrantName = registrantName
      @processCode = processCode
      @processName = processName
      @statusType = statusType
      @statusDescription = statusDescription
    end
  end

# {http://ws.crvholding.com/breedingTypes/}missingAdvice
#   ranking - SOAP::SOAPString
#   missingAdviceType - SOAP::SOAPString
  class MissingAdvice
    attr_accessor :ranking
    attr_accessor :missingAdviceType

    def initialize(ranking = nil, missingAdviceType = nil)
      @ranking = ranking
      @missingAdviceType = missingAdviceType
    end
  end

# {http://ws.crvholding.com/breedingTypes/}recommendedBull
#   ranking - SOAP::SOAPString
#   name - SOAP::SOAPString
#   aiCode - CrvApiClient::Api::Reproduction::AnimalId
#   semenType - SOAP::SOAPString
  class RecommendedBull
    attr_accessor :ranking
    attr_accessor :name
    attr_accessor :aiCode
    attr_accessor :semenType

    def initialize(ranking = nil, name = nil, aiCode = nil, semenType = nil)
      @ranking = ranking
      @name = name
      @aiCode = aiCode
      @semenType = semenType
    end
  end

# {ICARAggregateBusinessInformationEntity:1}GetHerdListRequestType
#   messageHeader - CrvApiClient::Api::Reproduction::ADEExchangedDocumentType
#   standardRequest - CrvApiClient::Api::Reproduction::StandardRequestType
#   specificRequestGetHerdList - CrvApiClient::Api::Reproduction::SpecificRequestGetHerdListType
  class GetHerdListRequestType
    attr_accessor :messageHeader
    attr_accessor :standardRequest
    attr_accessor :specificRequestGetHerdList

    def initialize(messageHeader = nil, standardRequest = nil, specificRequestGetHerdList = nil)
      @messageHeader = messageHeader
      @standardRequest = standardRequest
      @specificRequestGetHerdList = specificRequestGetHerdList
    end
  end

# {ICARAggregateBusinessInformationEntity:1}GetHerdListResponseType
#   messageHeader - CrvApiClient::Api::Reproduction::ADEExchangedDocumentType
#   standardResponse - CrvApiClient::Api::Reproduction::StandardResponseType
#   specificResponseGetHerdList - CrvApiClient::Api::Reproduction::SpecificResponseGetHerdListType
  class GetHerdListResponseType
    attr_accessor :messageHeader
    attr_accessor :standardResponse
    attr_accessor :specificResponseGetHerdList

    def initialize(messageHeader = nil, standardResponse = nil, specificResponseGetHerdList = nil)
      @messageHeader = messageHeader
      @standardResponse = standardResponse
      @specificResponseGetHerdList = specificResponseGetHerdList
    end
  end

# {ICARAggregateBusinessInformationEntity:1}UpdateAnimalRequestType
#   messageHeader - CrvApiClient::Api::Reproduction::ADEExchangedDocumentType
#   standardRequest - CrvApiClient::Api::Reproduction::StandardRequestType
#   specificRequestAnimal - CrvApiClient::Api::Reproduction::SpecificRequestAnimalType
  class UpdateAnimalRequestType
    attr_accessor :messageHeader
    attr_accessor :standardRequest
    attr_accessor :specificRequestAnimal

    def initialize(messageHeader = nil, standardRequest = nil, specificRequestAnimal = nil)
      @messageHeader = messageHeader
      @standardRequest = standardRequest
      @specificRequestAnimal = specificRequestAnimal
    end
  end

# {ICARAggregateBusinessInformationEntity:1}UpdateAnimalResponseType
#   messageHeader - CrvApiClient::Api::Reproduction::ADEExchangedDocumentType
#   standardResponse - CrvApiClient::Api::Reproduction::StandardResponseType
#   specificResponse - CrvApiClient::Api::Reproduction::SpecificResponseType
  class UpdateAnimalResponseType
    attr_accessor :messageHeader
    attr_accessor :standardResponse
    attr_accessor :specificResponse

    def initialize(messageHeader = nil, standardResponse = nil, specificResponse = nil)
      @messageHeader = messageHeader
      @standardResponse = standardResponse
      @specificResponse = specificResponse
    end
  end

# {ICARAggregateBusinessInformationEntity:1}UpdateDeviceRequestType
#   messageHeader - CrvApiClient::Api::Reproduction::ADEExchangedDocumentType
#   standardRequest - CrvApiClient::Api::Reproduction::StandardRequestType
#   specificRequestDevice - CrvApiClient::Api::Reproduction::SpecificRequestDeviceType
  class UpdateDeviceRequestType
    attr_accessor :messageHeader
    attr_accessor :standardRequest
    attr_accessor :specificRequestDevice

    def initialize(messageHeader = nil, standardRequest = nil, specificRequestDevice = nil)
      @messageHeader = messageHeader
      @standardRequest = standardRequest
      @specificRequestDevice = specificRequestDevice
    end
  end

# {ICARAggregateBusinessInformationEntity:1}UpdateDeviceResponseType
#   messageHeader - CrvApiClient::Api::Reproduction::ADEExchangedDocumentType
#   standardResponse - CrvApiClient::Api::Reproduction::StandardResponseType
#   specificResponse - CrvApiClient::Api::Reproduction::SpecificResponseType
  class UpdateDeviceResponseType
    attr_accessor :messageHeader
    attr_accessor :standardResponse
    attr_accessor :specificResponse

    def initialize(messageHeader = nil, standardResponse = nil, specificResponse = nil)
      @messageHeader = messageHeader
      @standardResponse = standardResponse
      @specificResponse = specificResponse
    end
  end

# {ICARAggregateBusinessInformationEntity:1}UpdateLivestockLocationRequestType
#   messageHeader - CrvApiClient::Api::Reproduction::ADEExchangedDocumentType
#   standardRequest - CrvApiClient::Api::Reproduction::StandardRequestType
#   specificRequestLivestockLocation - CrvApiClient::Api::Reproduction::SpecificRequestLivestockLocationType
  class UpdateLivestockLocationRequestType
    attr_accessor :messageHeader
    attr_accessor :standardRequest
    attr_accessor :specificRequestLivestockLocation

    def initialize(messageHeader = nil, standardRequest = nil, specificRequestLivestockLocation = nil)
      @messageHeader = messageHeader
      @standardRequest = standardRequest
      @specificRequestLivestockLocation = specificRequestLivestockLocation
    end
  end

# {ICARAggregateBusinessInformationEntity:1}UpdateLivestockLocationResponseType
#   messageHeader - CrvApiClient::Api::Reproduction::ADEExchangedDocumentType
#   standardResponse - CrvApiClient::Api::Reproduction::StandardResponseType
#   specificResponse - CrvApiClient::Api::Reproduction::SpecificResponseType
  class UpdateLivestockLocationResponseType
    attr_accessor :messageHeader
    attr_accessor :standardResponse
    attr_accessor :specificResponse

    def initialize(messageHeader = nil, standardResponse = nil, specificResponse = nil)
      @messageHeader = messageHeader
      @standardResponse = standardResponse
      @specificResponse = specificResponse
    end
  end

# {ICARAggregateBusinessInformationEntity:1}UpdateMilkingResultRequestType
#   messageHeader - CrvApiClient::Api::Reproduction::ADEExchangedDocumentType
#   standardRequest - CrvApiClient::Api::Reproduction::StandardRequestType
#   specificRequestMilingResult - CrvApiClient::Api::Reproduction::SpecificRequestMilkingResultType
  class UpdateMilkingResultRequestType
    attr_accessor :messageHeader
    attr_accessor :standardRequest
    attr_accessor :specificRequestMilingResult

    def initialize(messageHeader = nil, standardRequest = nil, specificRequestMilingResult = nil)
      @messageHeader = messageHeader
      @standardRequest = standardRequest
      @specificRequestMilingResult = specificRequestMilingResult
    end
  end

# {ICARAggregateBusinessInformationEntity:1}UpdateMilkingResultResponseType
#   messageHeader - CrvApiClient::Api::Reproduction::ADEExchangedDocumentType
#   standardResponse - CrvApiClient::Api::Reproduction::StandardResponseType
#   specificResponse - CrvApiClient::Api::Reproduction::SpecificResponseType
  class UpdateMilkingResultResponseType
    attr_accessor :messageHeader
    attr_accessor :standardResponse
    attr_accessor :specificResponse

    def initialize(messageHeader = nil, standardResponse = nil, specificResponse = nil)
      @messageHeader = messageHeader
      @standardResponse = standardResponse
      @specificResponse = specificResponse
    end
  end

# {ICARAggregateBusinessInformationEntity:1}ADEExchangedDocumentType
#   identifier - CrvApiClient::Api::Reproduction::IDType
#   issueing - (any)
#   version - (any)
#   type - CrvApiClient::Api::Reproduction::CodeType
#   language - CrvApiClient::Api::Reproduction::CodeType
#   senderParty - CrvApiClient::Api::Reproduction::ADEPartyType
#   recipientParty - CrvApiClient::Api::Reproduction::ADEPartyType
  class ADEExchangedDocumentType
    attr_accessor :identifier
    attr_accessor :issueing
    attr_accessor :version
    attr_accessor :type
    attr_accessor :language
    attr_accessor :senderParty
    attr_accessor :recipientParty

    def initialize(identifier = nil, issueing = nil, version = nil, type = nil, language = nil, senderParty = nil, recipientParty = nil)
      @identifier = identifier
      @issueing = issueing
      @version = version
      @type = type
      @language = language
      @senderParty = senderParty
      @recipientParty = recipientParty
    end
  end

# {ICARAggregateBusinessInformationEntity:1}ADEPartyType
#   name - CrvApiClient::Api::Reproduction::NameType
#   iD - CrvApiClient::Api::Reproduction::IDType
#   country - CrvApiClient::Api::Reproduction::ISOTwoletterCountryCodeIdentifierContentType
  class ADEPartyType
    attr_accessor :name
    attr_accessor :iD
    attr_accessor :country

    def initialize(name = nil, iD = nil, country = nil)
      @name = name
      @iD = iD
      @country = country
    end
  end

# {ICARAggregateBusinessInformationEntity:1}SpecificRequestGetHerdListType
#   dataToBeCompressed - (any)
#   specificRequestDetail - CrvApiClient::Api::Reproduction::SpecificRequestGetHerdListType::SpecificRequestDetail
  class SpecificRequestGetHerdListType

    # inner class for member: SpecificRequestDetail
    # {ICARAggregateBusinessInformationEntity:1}SpecificRequestDetail
    #   ticketRequest - CrvApiClient::Api::Reproduction::TicketRequestType
    #   herdListRequest - CrvApiClient::Api::Reproduction::HerdListRequestType
    class SpecificRequestDetail
      attr_accessor :ticketRequest
      attr_accessor :herdListRequest

      def initialize(ticketRequest = nil, herdListRequest = nil)
        @ticketRequest = ticketRequest
        @herdListRequest = herdListRequest
      end
    end

    attr_accessor :dataToBeCompressed
    attr_accessor :specificRequestDetail

    def initialize(dataToBeCompressed = nil, specificRequestDetail = nil)
      @dataToBeCompressed = dataToBeCompressed
      @specificRequestDetail = specificRequestDetail
    end
  end

# {ICARAggregateBusinessInformationEntity:1}SpecificResponseGetHerdListType
#   ticketResponse - CrvApiClient::Api::Reproduction::TicketResponseType
#   herdListMessage - CrvApiClient::Api::Reproduction::HerdListMessageType
#   getHerdListResponseZipMessage - CrvApiClient::Api::Reproduction::ZipMessageType
  class SpecificResponseGetHerdListType
    attr_accessor :ticketResponse
    attr_accessor :herdListMessage
    attr_accessor :getHerdListResponseZipMessage

    def initialize(ticketResponse = nil, herdListMessage = nil, getHerdListResponseZipMessage = nil)
      @ticketResponse = ticketResponse
      @herdListMessage = herdListMessage
      @getHerdListResponseZipMessage = getHerdListResponseZipMessage
    end
  end

# {ICARAggregateBusinessInformationEntity:1}SpecificRequestAnimalType
#   ticketRequest - CrvApiClient::Api::Reproduction::TicketRequestType
#   animalListMessage - CrvApiClient::Api::Reproduction::AnimalListMessageType
#   updateAnimalRequestZipMessage - CrvApiClient::Api::Reproduction::ZipMessageType
  class SpecificRequestAnimalType
    attr_accessor :ticketRequest
    attr_accessor :animalListMessage
    attr_accessor :updateAnimalRequestZipMessage

    def initialize(ticketRequest = nil, animalListMessage = nil, updateAnimalRequestZipMessage = nil)
      @ticketRequest = ticketRequest
      @animalListMessage = animalListMessage
      @updateAnimalRequestZipMessage = updateAnimalRequestZipMessage
    end
  end

# {ICARAggregateBusinessInformationEntity:1}SpecificRequestDeviceType
#   ticketRequest - CrvApiClient::Api::Reproduction::TicketRequestType
#   deviceListMessage - CrvApiClient::Api::Reproduction::DeviceListMessageType
#   updateDeviceRequestZipMessage - CrvApiClient::Api::Reproduction::ZipMessageType
  class SpecificRequestDeviceType
    attr_accessor :ticketRequest
    attr_accessor :deviceListMessage
    attr_accessor :updateDeviceRequestZipMessage

    def initialize(ticketRequest = nil, deviceListMessage = nil, updateDeviceRequestZipMessage = nil)
      @ticketRequest = ticketRequest
      @deviceListMessage = deviceListMessage
      @updateDeviceRequestZipMessage = updateDeviceRequestZipMessage
    end
  end

# {ICARAggregateBusinessInformationEntity:1}SpecificRequestLivestockLocationType
#   ticketRequest - CrvApiClient::Api::Reproduction::TicketRequestType
#   livestockLocation - CrvApiClient::Api::Reproduction::LivestockLocationType
#   updateLivestockLocationrequestZipMessage - CrvApiClient::Api::Reproduction::ZipMessageType
  class SpecificRequestLivestockLocationType
    attr_accessor :ticketRequest
    attr_accessor :livestockLocation
    attr_accessor :updateLivestockLocationrequestZipMessage

    def initialize(ticketRequest = nil, livestockLocation = nil, updateLivestockLocationrequestZipMessage = nil)
      @ticketRequest = ticketRequest
      @livestockLocation = livestockLocation
      @updateLivestockLocationrequestZipMessage = updateLivestockLocationrequestZipMessage
    end
  end

# {ICARAggregateBusinessInformationEntity:1}SpecificRequestMilkingResultType
#   ticketRequest - CrvApiClient::Api::Reproduction::TicketRequestType
#   milkingResult - CrvApiClient::Api::Reproduction::MilkingResultType
#   updateMilkingResultRequestZipMessage - CrvApiClient::Api::Reproduction::ZipMessageType
  class SpecificRequestMilkingResultType
    attr_accessor :ticketRequest
    attr_accessor :milkingResult
    attr_accessor :updateMilkingResultRequestZipMessage

    def initialize(ticketRequest = nil, milkingResult = nil, updateMilkingResultRequestZipMessage = nil)
      @ticketRequest = ticketRequest
      @milkingResult = milkingResult
      @updateMilkingResultRequestZipMessage = updateMilkingResultRequestZipMessage
    end
  end

# {ICARAggregateBusinessInformationEntity:1}StandardRequestType
#   authenticationToken - CrvApiClient::Api::Reproduction::TextType
#   authentificationLogin - CrvApiClient::Api::Reproduction::StandardRequestType::AuthentificationLogin
  class StandardRequestType

    # inner class for member: AuthentificationLogin
    # {ICARAggregateBusinessInformationEntity:1}AuthentificationLogin
    #   userName - CrvApiClient::Api::Reproduction::TextType
    #   password - CrvApiClient::Api::Reproduction::TextType
    class AuthentificationLogin
      attr_accessor :userName
      attr_accessor :password

      def initialize(userName = nil, password = nil)
        @userName = userName
        @password = password
      end
    end

    attr_accessor :authenticationToken
    attr_accessor :authentificationLogin

    def initialize(authenticationToken = nil, authentificationLogin = nil)
      @authenticationToken = authenticationToken
      @authentificationLogin = authentificationLogin
    end
  end

# {ICARAggregateBusinessInformationEntity:1}ZipMessageType
#   zIPMessage - CrvApiClient::Api::Reproduction::BinaryObjectType
  class ZipMessageType
    attr_accessor :zIPMessage

    def initialize(zIPMessage = nil)
      @zIPMessage = zIPMessage
    end
  end

# {ICARAggregateBusinessInformationEntity:1}TicketResponseType
#   ticketID - CrvApiClient::Api::Reproduction::IDType
#   notBefore - (any)
  class TicketResponseType
    attr_accessor :ticketID
    attr_accessor :notBefore

    def initialize(ticketID = nil, notBefore = nil)
      @ticketID = ticketID
      @notBefore = notBefore
    end
  end

# {ICARAggregateBusinessInformationEntity:1}TicketRequestType
#   ticketID - CrvApiClient::Api::Reproduction::IDType
  class TicketRequestType
    attr_accessor :ticketID

    def initialize(ticketID = nil)
      @ticketID = ticketID
    end
  end

# {ICARAggregateBusinessInformationEntity:1}HerdListRequestType
#   gender - CrvApiClient::Api::Reproduction::GenderCodeType
#   periode - CrvApiClient::Api::Reproduction::MeasureType
#   location - CrvApiClient::Api::Reproduction::IDType
  class HerdListRequestType
    attr_accessor :gender
    attr_accessor :periode
    attr_accessor :location

    def initialize(gender = nil, periode = nil, location = nil)
      @gender = gender
      @periode = periode
      @location = location
    end
  end

# {ICARAggregateBusinessInformationEntity:1}AnimalListMessageType
  class AnimalListMessageType < ::Array

    # {ICARAggregateBusinessInformationEntity:1}AnimalDetail
    #   animalCoreDataSet - CrvApiClient::Api::Reproduction::AnimalCoreDataSetType
    class AnimalDetail
      attr_accessor :animalCoreDataSet

      def initialize(animalCoreDataSet = nil)
        @animalCoreDataSet = animalCoreDataSet
      end
    end
  end

# {ICARAggregateBusinessInformationEntity:1}DeviceListMessageType
  class DeviceListMessageType < ::Array
  end

# {ICARAggregateBusinessInformationEntity:1}DeviceType
#   identifier - CrvApiClient::Api::Reproduction::IDType
#   manufacturer - CrvApiClient::Api::Reproduction::ManufacturerCodeType
#   softwareVersion - CrvApiClient::Api::Reproduction::TextType
#   hardwareVersion - CrvApiClient::Api::Reproduction::TextType
  class DeviceType
    attr_accessor :identifier
    attr_accessor :manufacturer
    attr_accessor :softwareVersion
    attr_accessor :hardwareVersion

    def initialize(identifier = nil, manufacturer = nil, softwareVersion = nil, hardwareVersion = nil)
      @identifier = identifier
      @manufacturer = manufacturer
      @softwareVersion = softwareVersion
      @hardwareVersion = hardwareVersion
    end
  end

# {ICARAggregateBusinessInformationEntity:1}AnimalCoreDataSetType
#   identifier - CrvApiClient::Api::Reproduction::IDType
#   alternativeIdentity - CrvApiClient::Api::Reproduction::AnimalIdentityType
#   specie - CrvApiClient::Api::Reproduction::SpecieCodeType
#   gender - CrvApiClient::Api::Reproduction::GenderCodeType
#   birth - (any)
  class AnimalCoreDataSetType
    attr_accessor :identifier
    attr_accessor :alternativeIdentity
    attr_accessor :specie
    attr_accessor :gender
    attr_accessor :birth

    def initialize(identifier = nil, alternativeIdentity = [], specie = nil, gender = nil, birth = nil)
      @identifier = identifier
      @alternativeIdentity = alternativeIdentity
      @specie = specie
      @gender = gender
      @birth = birth
    end
  end

# {ICARAggregateBusinessInformationEntity:1}AnimalExtendedDataSetType
#   lastLocalization - (any)
#   lastParturition - (any)
#   lastInsemination - (any)
  class AnimalExtendedDataSetType
    attr_accessor :lastLocalization
    attr_accessor :lastParturition
    attr_accessor :lastInsemination

    def initialize(lastLocalization = nil, lastParturition = nil, lastInsemination = nil)
      @lastLocalization = lastLocalization
      @lastParturition = lastParturition
      @lastInsemination = lastInsemination
    end
  end

# {ICARAggregateBusinessInformationEntity:1}AnimalIdentityType
#   identifier - CrvApiClient::Api::Reproduction::IDType
#   label - CrvApiClient::Api::Reproduction::LabelCodeType
  class AnimalIdentityType
    attr_accessor :identifier
    attr_accessor :label

    def initialize(identifier = nil, label = nil)
      @identifier = identifier
      @label = label
    end
  end

# {ICARAggregateBusinessInformationEntity:1}AnimalMilkingResultType
#   animalIdentity - CrvApiClient::Api::Reproduction::AnimalIdentityType
#   location - CrvApiClient::Api::Reproduction::IDType
#   milkingStartingTime - (any)
#   milkingDuration - CrvApiClient::Api::Reproduction::MeasureType
#   milkingVisitDuration - CrvApiClient::Api::Reproduction::MeasureType
#   milkingType - CrvApiClient::Api::Reproduction::MilkingTypeCodeType
#   milkingMilkWeight - CrvApiClient::Api::Reproduction::MeasureType
#   milkingSucces - (any)
#   milkingParlourUnit - CrvApiClient::Api::Reproduction::TextType
#   milkingBoxNumber - CrvApiClient::Api::Reproduction::TextType
#   characteristics - CrvApiClient::Api::Reproduction::MilkCharacteristicsType
#   quarterMilking - CrvApiClient::Api::Reproduction::QuarterMilkingType
#   animalMilkingSample - CrvApiClient::Api::Reproduction::AnimalMilkingSampleType
#   milkingDeviceID - CrvApiClient::Api::Reproduction::IDType
#   measureDeviceID - CrvApiClient::Api::Reproduction::IDType
  class AnimalMilkingResultType
    attr_accessor :animalIdentity
    attr_accessor :location
    attr_accessor :milkingStartingTime
    attr_accessor :milkingDuration
    attr_accessor :milkingVisitDuration
    attr_accessor :milkingType
    attr_accessor :milkingMilkWeight
    attr_accessor :milkingSucces
    attr_accessor :milkingParlourUnit
    attr_accessor :milkingBoxNumber
    attr_accessor :characteristics
    attr_accessor :quarterMilking
    attr_accessor :animalMilkingSample
    attr_accessor :milkingDeviceID
    attr_accessor :measureDeviceID

    def initialize(animalIdentity = nil, location = nil, milkingStartingTime = nil, milkingDuration = nil, milkingVisitDuration = nil, milkingType = nil, milkingMilkWeight = nil, milkingSucces = nil, milkingParlourUnit = nil, milkingBoxNumber = nil, characteristics = [], quarterMilking = [], animalMilkingSample = nil, milkingDeviceID = nil, measureDeviceID = nil)
      @animalIdentity = animalIdentity
      @location = location
      @milkingStartingTime = milkingStartingTime
      @milkingDuration = milkingDuration
      @milkingVisitDuration = milkingVisitDuration
      @milkingType = milkingType
      @milkingMilkWeight = milkingMilkWeight
      @milkingSucces = milkingSucces
      @milkingParlourUnit = milkingParlourUnit
      @milkingBoxNumber = milkingBoxNumber
      @characteristics = characteristics
      @quarterMilking = quarterMilking
      @animalMilkingSample = animalMilkingSample
      @milkingDeviceID = milkingDeviceID
      @measureDeviceID = measureDeviceID
    end
  end

# {ICARAggregateBusinessInformationEntity:1}AnimalMilkingSampleType
#   bottleIdentifierType - CrvApiClient::Api::Reproduction::BottleIdentifierCodeType
#   rackNumber - CrvApiClient::Api::Reproduction::IDType
#   bottlePosition - CrvApiClient::Api::Reproduction::IDType
#   bottleIdentifier - CrvApiClient::Api::Reproduction::IDType
#   validSampleFillingIndicator - CrvApiClient::Api::Reproduction::ValidSampleFillingIndicatorCodeType
  class AnimalMilkingSampleType
    attr_accessor :bottleIdentifierType
    attr_accessor :rackNumber
    attr_accessor :bottlePosition
    attr_accessor :bottleIdentifier
    attr_accessor :validSampleFillingIndicator

    def initialize(bottleIdentifierType = nil, rackNumber = nil, bottlePosition = nil, bottleIdentifier = nil, validSampleFillingIndicator = nil)
      @bottleIdentifierType = bottleIdentifierType
      @rackNumber = rackNumber
      @bottlePosition = bottlePosition
      @bottleIdentifier = bottleIdentifier
      @validSampleFillingIndicator = validSampleFillingIndicator
    end
  end

# {ICARAggregateBusinessInformationEntity:1}ErrorType
#   errorID - CrvApiClient::Api::Reproduction::TextType
#   errorSeverity - CrvApiClient::Api::Reproduction::ErrorSeverityCodeType
#   errorDescription - CrvApiClient::Api::Reproduction::TextType
  class ErrorType
    attr_accessor :errorID
    attr_accessor :errorSeverity
    attr_accessor :errorDescription

    def initialize(errorID = nil, errorSeverity = nil, errorDescription = nil)
      @errorID = errorID
      @errorSeverity = errorSeverity
      @errorDescription = errorDescription
    end
  end

# {ICARAggregateBusinessInformationEntity:1}HerdListMessageType
#   location - CrvApiClient::Api::Reproduction::LivestockLocationType
#   herdListAnimalDescription - CrvApiClient::Api::Reproduction::HerdListLineType
  class HerdListMessageType
    attr_accessor :location
    attr_accessor :herdListAnimalDescription

    def initialize(location = nil, herdListAnimalDescription = [])
      @location = location
      @herdListAnimalDescription = herdListAnimalDescription
    end
  end

# {ICARAggregateBusinessInformationEntity:1}LivestockLocationType
#   identifier - CrvApiClient::Api::Reproduction::IDType
#   identifierType - CrvApiClient::Api::Reproduction::LivestockLocationIdentifierCodeType
#   name - CrvApiClient::Api::Reproduction::NameType
#   country - CrvApiClient::Api::Reproduction::ISOTwoletterCountryCodeIdentifierContentType
#   type - CrvApiClient::Api::Reproduction::LivestockLocationTypeCodeType
  class LivestockLocationType
    attr_accessor :identifier
    attr_accessor :identifierType
    attr_accessor :name
    attr_accessor :country
    attr_accessor :type

    def initialize(identifier = nil, identifierType = nil, name = nil, country = nil, type = nil)
      @identifier = identifier
      @identifierType = identifierType
      @name = name
      @country = country
      @type = type
    end
  end

# {ICARAggregateBusinessInformationEntity:1}MilkingLocationType
#   identification - CrvApiClient::Api::Reproduction::IDType
#   name - CrvApiClient::Api::Reproduction::NameType
#   country - CrvApiClient::Api::Reproduction::ISOTwoletterCountryCodeIdentifierContentType
#   type - CrvApiClient::Api::Reproduction::CodeType
  class MilkingLocationType
    attr_accessor :identification
    attr_accessor :name
    attr_accessor :country
    attr_accessor :type

    def initialize(identification = nil, name = nil, country = nil, type = nil)
      @identification = identification
      @name = name
      @country = country
      @type = type
    end
  end

# {ICARAggregateBusinessInformationEntity:1}MilkingResultType
  class MilkingResultType < ::Array
  end

# {ICARAggregateBusinessInformationEntity:1}HerdListLineType
#   animalCoreDataSet - CrvApiClient::Api::Reproduction::AnimalCoreDataSetType
#   animalExtendedDataSet - CrvApiClient::Api::Reproduction::AnimalExtendedDataSetType
  class HerdListLineType
    attr_accessor :animalCoreDataSet
    attr_accessor :animalExtendedDataSet

    def initialize(animalCoreDataSet = nil, animalExtendedDataSet = nil)
      @animalCoreDataSet = animalCoreDataSet
      @animalExtendedDataSet = animalExtendedDataSet
    end
  end

# {ICARAggregateBusinessInformationEntity:1}MilkCharacteristicsType
#   milkCharacteristicCode - CrvApiClient::Api::Reproduction::MilkCharacteristicCodeType
#   milkCharacteristicValue - CrvApiClient::Api::Reproduction::MeasureType
  class MilkCharacteristicsType
    attr_accessor :milkCharacteristicCode
    attr_accessor :milkCharacteristicValue

    def initialize(milkCharacteristicCode = nil, milkCharacteristicValue = nil)
      @milkCharacteristicCode = milkCharacteristicCode
      @milkCharacteristicValue = milkCharacteristicValue
    end
  end

# {ICARAggregateBusinessInformationEntity:1}QuarterMilkingType
#   quarterID - CrvApiClient::Api::Reproduction::QuarterCodeType
#   quarterMilkingDuration - CrvApiClient::Api::Reproduction::MeasureType
#   quarterMilkingWeight - CrvApiClient::Api::Reproduction::MeasureType
#   quarterCharacteristics - CrvApiClient::Api::Reproduction::MilkCharacteristicsType
#   quarterSampling - CrvApiClient::Api::Reproduction::AnimalMilkingSampleType
  class QuarterMilkingType
    attr_accessor :quarterID
    attr_accessor :quarterMilkingDuration
    attr_accessor :quarterMilkingWeight
    attr_accessor :quarterCharacteristics
    attr_accessor :quarterSampling

    def initialize(quarterID = nil, quarterMilkingDuration = nil, quarterMilkingWeight = nil, quarterCharacteristics = [], quarterSampling = nil)
      @quarterID = quarterID
      @quarterMilkingDuration = quarterMilkingDuration
      @quarterMilkingWeight = quarterMilkingWeight
      @quarterCharacteristics = quarterCharacteristics
      @quarterSampling = quarterSampling
    end
  end

# {ICARAggregateBusinessInformationEntity:1}SpecificResponseType
#   requestProcessingTicket - CrvApiClient::Api::Reproduction::TicketResponseType
  class SpecificResponseType
    attr_accessor :requestProcessingTicket

    def initialize(requestProcessingTicket = nil)
      @requestProcessingTicket = requestProcessingTicket
    end
  end

# {ICARAggregateBusinessInformationEntity:1}StandardResponseType
#   requestProcessingStatus - CrvApiClient::Api::Reproduction::RequestProcessingStatusCodeType
#   requestID - CrvApiClient::Api::Reproduction::IDType
#   requestProcessingError - CrvApiClient::Api::Reproduction::ErrorType
  class StandardResponseType
    attr_accessor :requestProcessingStatus
    attr_accessor :requestID
    attr_accessor :requestProcessingError

    def initialize(requestProcessingStatus = nil, requestID = nil, requestProcessingError = [])
      @requestProcessingStatus = requestProcessingStatus
      @requestID = requestID
      @requestProcessingError = requestProcessingError
    end
  end

# {urn:un:unece:uncefact:data:standard:UnqualifiedDataType:13}AmountType
#   xmlattr_currencyID - SOAP::SOAPToken
  class AmountType < ::String
    AttrCurrencyID = XSD::QName.new(nil, "currencyID")

    def __xmlattr
      @__xmlattr ||= {}
    end

    def xmlattr_currencyID
      __xmlattr[AttrCurrencyID]
    end

    def xmlattr_currencyID=(value)
      __xmlattr[AttrCurrencyID] = value
    end

    def initialize(*arg)
      super
      @__xmlattr = {}
    end
  end

# {urn:un:unece:uncefact:data:standard:UnqualifiedDataType:13}BinaryObjectType
#   xmlattr_format - SOAP::SOAPString
#   xmlattr_mimeCode - SOAP::SOAPToken
#   xmlattr_encodingCode - SOAP::SOAPToken
#   xmlattr_characterSetCode - SOAP::SOAPToken
#   xmlattr_uri - SOAP::SOAPAnyURI
#   xmlattr_filename - SOAP::SOAPString
  class BinaryObjectType < ::String
    AttrCharacterSetCode = XSD::QName.new(nil, "characterSetCode")
    AttrEncodingCode = XSD::QName.new(nil, "encodingCode")
    AttrFilename = XSD::QName.new(nil, "filename")
    AttrFormat = XSD::QName.new(nil, "format")
    AttrMimeCode = XSD::QName.new(nil, "mimeCode")
    AttrUri = XSD::QName.new(nil, "uri")

    def __xmlattr
      @__xmlattr ||= {}
    end

    def xmlattr_format
      __xmlattr[AttrFormat]
    end

    def xmlattr_format=(value)
      __xmlattr[AttrFormat] = value
    end

    def xmlattr_mimeCode
      __xmlattr[AttrMimeCode]
    end

    def xmlattr_mimeCode=(value)
      __xmlattr[AttrMimeCode] = value
    end

    def xmlattr_encodingCode
      __xmlattr[AttrEncodingCode]
    end

    def xmlattr_encodingCode=(value)
      __xmlattr[AttrEncodingCode] = value
    end

    def xmlattr_characterSetCode
      __xmlattr[AttrCharacterSetCode]
    end

    def xmlattr_characterSetCode=(value)
      __xmlattr[AttrCharacterSetCode] = value
    end

    def xmlattr_uri
      __xmlattr[AttrUri]
    end

    def xmlattr_uri=(value)
      __xmlattr[AttrUri] = value
    end

    def xmlattr_filename
      __xmlattr[AttrFilename]
    end

    def xmlattr_filename=(value)
      __xmlattr[AttrFilename] = value
    end

    def initialize(*arg)
      super
      @__xmlattr = {}
    end
  end

# {urn:un:unece:uncefact:data:standard:UnqualifiedDataType:13}GraphicType
#   xmlattr_format - SOAP::SOAPString
#   xmlattr_mimeCode - SOAP::SOAPToken
#   xmlattr_encodingCode - SOAP::SOAPToken
#   xmlattr_uri - SOAP::SOAPAnyURI
#   xmlattr_filename - SOAP::SOAPString
  class GraphicType < ::String
    AttrEncodingCode = XSD::QName.new(nil, "encodingCode")
    AttrFilename = XSD::QName.new(nil, "filename")
    AttrFormat = XSD::QName.new(nil, "format")
    AttrMimeCode = XSD::QName.new(nil, "mimeCode")
    AttrUri = XSD::QName.new(nil, "uri")

    def __xmlattr
      @__xmlattr ||= {}
    end

    def xmlattr_format
      __xmlattr[AttrFormat]
    end

    def xmlattr_format=(value)
      __xmlattr[AttrFormat] = value
    end

    def xmlattr_mimeCode
      __xmlattr[AttrMimeCode]
    end

    def xmlattr_mimeCode=(value)
      __xmlattr[AttrMimeCode] = value
    end

    def xmlattr_encodingCode
      __xmlattr[AttrEncodingCode]
    end

    def xmlattr_encodingCode=(value)
      __xmlattr[AttrEncodingCode] = value
    end

    def xmlattr_uri
      __xmlattr[AttrUri]
    end

    def xmlattr_uri=(value)
      __xmlattr[AttrUri] = value
    end

    def xmlattr_filename
      __xmlattr[AttrFilename]
    end

    def xmlattr_filename=(value)
      __xmlattr[AttrFilename] = value
    end

    def initialize(*arg)
      super
      @__xmlattr = {}
    end
  end

# {urn:un:unece:uncefact:data:standard:UnqualifiedDataType:13}PictureType
#   xmlattr_format - SOAP::SOAPString
#   xmlattr_mimeCode - SOAP::SOAPToken
#   xmlattr_encodingCode - SOAP::SOAPToken
#   xmlattr_uri - SOAP::SOAPAnyURI
#   xmlattr_filename - SOAP::SOAPString
  class PictureType < ::String
    AttrEncodingCode = XSD::QName.new(nil, "encodingCode")
    AttrFilename = XSD::QName.new(nil, "filename")
    AttrFormat = XSD::QName.new(nil, "format")
    AttrMimeCode = XSD::QName.new(nil, "mimeCode")
    AttrUri = XSD::QName.new(nil, "uri")

    def __xmlattr
      @__xmlattr ||= {}
    end

    def xmlattr_format
      __xmlattr[AttrFormat]
    end

    def xmlattr_format=(value)
      __xmlattr[AttrFormat] = value
    end

    def xmlattr_mimeCode
      __xmlattr[AttrMimeCode]
    end

    def xmlattr_mimeCode=(value)
      __xmlattr[AttrMimeCode] = value
    end

    def xmlattr_encodingCode
      __xmlattr[AttrEncodingCode]
    end

    def xmlattr_encodingCode=(value)
      __xmlattr[AttrEncodingCode] = value
    end

    def xmlattr_uri
      __xmlattr[AttrUri]
    end

    def xmlattr_uri=(value)
      __xmlattr[AttrUri] = value
    end

    def xmlattr_filename
      __xmlattr[AttrFilename]
    end

    def xmlattr_filename=(value)
      __xmlattr[AttrFilename] = value
    end

    def initialize(*arg)
      super
      @__xmlattr = {}
    end
  end

# {urn:un:unece:uncefact:data:standard:UnqualifiedDataType:13}SoundType
#   xmlattr_format - SOAP::SOAPString
#   xmlattr_mimeCode - SOAP::SOAPToken
#   xmlattr_encodingCode - SOAP::SOAPToken
#   xmlattr_uri - SOAP::SOAPAnyURI
#   xmlattr_filename - SOAP::SOAPString
  class SoundType < ::String
    AttrEncodingCode = XSD::QName.new(nil, "encodingCode")
    AttrFilename = XSD::QName.new(nil, "filename")
    AttrFormat = XSD::QName.new(nil, "format")
    AttrMimeCode = XSD::QName.new(nil, "mimeCode")
    AttrUri = XSD::QName.new(nil, "uri")

    def __xmlattr
      @__xmlattr ||= {}
    end

    def xmlattr_format
      __xmlattr[AttrFormat]
    end

    def xmlattr_format=(value)
      __xmlattr[AttrFormat] = value
    end

    def xmlattr_mimeCode
      __xmlattr[AttrMimeCode]
    end

    def xmlattr_mimeCode=(value)
      __xmlattr[AttrMimeCode] = value
    end

    def xmlattr_encodingCode
      __xmlattr[AttrEncodingCode]
    end

    def xmlattr_encodingCode=(value)
      __xmlattr[AttrEncodingCode] = value
    end

    def xmlattr_uri
      __xmlattr[AttrUri]
    end

    def xmlattr_uri=(value)
      __xmlattr[AttrUri] = value
    end

    def xmlattr_filename
      __xmlattr[AttrFilename]
    end

    def xmlattr_filename=(value)
      __xmlattr[AttrFilename] = value
    end

    def initialize(*arg)
      super
      @__xmlattr = {}
    end
  end

# {urn:un:unece:uncefact:data:standard:UnqualifiedDataType:13}VideoType
#   xmlattr_format - SOAP::SOAPString
#   xmlattr_mimeCode - SOAP::SOAPToken
#   xmlattr_encodingCode - SOAP::SOAPToken
#   xmlattr_uri - SOAP::SOAPAnyURI
#   xmlattr_filename - SOAP::SOAPString
  class VideoType < ::String
    AttrEncodingCode = XSD::QName.new(nil, "encodingCode")
    AttrFilename = XSD::QName.new(nil, "filename")
    AttrFormat = XSD::QName.new(nil, "format")
    AttrMimeCode = XSD::QName.new(nil, "mimeCode")
    AttrUri = XSD::QName.new(nil, "uri")

    def __xmlattr
      @__xmlattr ||= {}
    end

    def xmlattr_format
      __xmlattr[AttrFormat]
    end

    def xmlattr_format=(value)
      __xmlattr[AttrFormat] = value
    end

    def xmlattr_mimeCode
      __xmlattr[AttrMimeCode]
    end

    def xmlattr_mimeCode=(value)
      __xmlattr[AttrMimeCode] = value
    end

    def xmlattr_encodingCode
      __xmlattr[AttrEncodingCode]
    end

    def xmlattr_encodingCode=(value)
      __xmlattr[AttrEncodingCode] = value
    end

    def xmlattr_uri
      __xmlattr[AttrUri]
    end

    def xmlattr_uri=(value)
      __xmlattr[AttrUri] = value
    end

    def xmlattr_filename
      __xmlattr[AttrFilename]
    end

    def xmlattr_filename=(value)
      __xmlattr[AttrFilename] = value
    end

    def initialize(*arg)
      super
      @__xmlattr = {}
    end
  end

# {urn:un:unece:uncefact:data:standard:UnqualifiedDataType:13}CodeType
#   xmlattr_listID - SOAP::SOAPToken
#   xmlattr_listAgencyID - SOAP::SOAPToken
#   xmlattr_listAgencyName - SOAP::SOAPString
#   xmlattr_listName - SOAP::SOAPString
#   xmlattr_listVersionID - SOAP::SOAPToken
#   xmlattr_name - SOAP::SOAPString
#   xmlattr_languageID - SOAP::SOAPLanguage
#   xmlattr_listURI - SOAP::SOAPAnyURI
#   xmlattr_listSchemeURI - SOAP::SOAPAnyURI
  class CodeType < ::String
    AttrLanguageID = XSD::QName.new(nil, "languageID")
    AttrListAgencyID = XSD::QName.new(nil, "listAgencyID")
    AttrListAgencyName = XSD::QName.new(nil, "listAgencyName")
    AttrListID = XSD::QName.new(nil, "listID")
    AttrListName = XSD::QName.new(nil, "listName")
    AttrListSchemeURI = XSD::QName.new(nil, "listSchemeURI")
    AttrListURI = XSD::QName.new(nil, "listURI")
    AttrListVersionID = XSD::QName.new(nil, "listVersionID")
    AttrName = XSD::QName.new(nil, "name")

    def __xmlattr
      @__xmlattr ||= {}
    end

    def xmlattr_listID
      __xmlattr[AttrListID]
    end

    def xmlattr_listID=(value)
      __xmlattr[AttrListID] = value
    end

    def xmlattr_listAgencyID
      __xmlattr[AttrListAgencyID]
    end

    def xmlattr_listAgencyID=(value)
      __xmlattr[AttrListAgencyID] = value
    end

    def xmlattr_listAgencyName
      __xmlattr[AttrListAgencyName]
    end

    def xmlattr_listAgencyName=(value)
      __xmlattr[AttrListAgencyName] = value
    end

    def xmlattr_listName
      __xmlattr[AttrListName]
    end

    def xmlattr_listName=(value)
      __xmlattr[AttrListName] = value
    end

    def xmlattr_listVersionID
      __xmlattr[AttrListVersionID]
    end

    def xmlattr_listVersionID=(value)
      __xmlattr[AttrListVersionID] = value
    end

    def xmlattr_name
      __xmlattr[AttrName]
    end

    def xmlattr_name=(value)
      __xmlattr[AttrName] = value
    end

    def xmlattr_languageID
      __xmlattr[AttrLanguageID]
    end

    def xmlattr_languageID=(value)
      __xmlattr[AttrLanguageID] = value
    end

    def xmlattr_listURI
      __xmlattr[AttrListURI]
    end

    def xmlattr_listURI=(value)
      __xmlattr[AttrListURI] = value
    end

    def xmlattr_listSchemeURI
      __xmlattr[AttrListSchemeURI]
    end

    def xmlattr_listSchemeURI=(value)
      __xmlattr[AttrListSchemeURI] = value
    end

    def initialize(*arg)
      super
      @__xmlattr = {}
    end
  end

# {urn:un:unece:uncefact:data:standard:UnqualifiedDataType:13}IDType
#   xmlattr_schemeID - SOAP::SOAPToken
#   xmlattr_schemeName - SOAP::SOAPString
#   xmlattr_schemeAgencyID - SOAP::SOAPToken
#   xmlattr_schemeAgencyName - SOAP::SOAPString
#   xmlattr_schemeVersionID - SOAP::SOAPToken
#   xmlattr_schemeDataURI - SOAP::SOAPAnyURI
#   xmlattr_schemeURI - SOAP::SOAPAnyURI
  class IDType < ::String
    AttrSchemeAgencyID = XSD::QName.new(nil, "schemeAgencyID")
    AttrSchemeAgencyName = XSD::QName.new(nil, "schemeAgencyName")
    AttrSchemeDataURI = XSD::QName.new(nil, "schemeDataURI")
    AttrSchemeID = XSD::QName.new(nil, "schemeID")
    AttrSchemeName = XSD::QName.new(nil, "schemeName")
    AttrSchemeURI = XSD::QName.new(nil, "schemeURI")
    AttrSchemeVersionID = XSD::QName.new(nil, "schemeVersionID")

    def __xmlattr
      @__xmlattr ||= {}
    end

    def xmlattr_schemeID
      __xmlattr[AttrSchemeID]
    end

    def xmlattr_schemeID=(value)
      __xmlattr[AttrSchemeID] = value
    end

    def xmlattr_schemeName
      __xmlattr[AttrSchemeName]
    end

    def xmlattr_schemeName=(value)
      __xmlattr[AttrSchemeName] = value
    end

    def xmlattr_schemeAgencyID
      __xmlattr[AttrSchemeAgencyID]
    end

    def xmlattr_schemeAgencyID=(value)
      __xmlattr[AttrSchemeAgencyID] = value
    end

    def xmlattr_schemeAgencyName
      __xmlattr[AttrSchemeAgencyName]
    end

    def xmlattr_schemeAgencyName=(value)
      __xmlattr[AttrSchemeAgencyName] = value
    end

    def xmlattr_schemeVersionID
      __xmlattr[AttrSchemeVersionID]
    end

    def xmlattr_schemeVersionID=(value)
      __xmlattr[AttrSchemeVersionID] = value
    end

    def xmlattr_schemeDataURI
      __xmlattr[AttrSchemeDataURI]
    end

    def xmlattr_schemeDataURI=(value)
      __xmlattr[AttrSchemeDataURI] = value
    end

    def xmlattr_schemeURI
      __xmlattr[AttrSchemeURI]
    end

    def xmlattr_schemeURI=(value)
      __xmlattr[AttrSchemeURI] = value
    end

    def initialize(*arg)
      super
      @__xmlattr = {}
    end
  end

# {urn:un:unece:uncefact:data:standard:UnqualifiedDataType:13}MeasureType
#   xmlattr_unitCode - SOAP::SOAPToken
  class MeasureType < ::String
    AttrUnitCode = XSD::QName.new(nil, "unitCode")

    def __xmlattr
      @__xmlattr ||= {}
    end

    def xmlattr_unitCode
      __xmlattr[AttrUnitCode]
    end

    def xmlattr_unitCode=(value)
      __xmlattr[AttrUnitCode] = value
    end

    def initialize(*arg)
      super
      @__xmlattr = {}
    end
  end

# {urn:un:unece:uncefact:data:standard:UnqualifiedDataType:13}QuantityType
#   xmlattr_unitCode - SOAP::SOAPToken
  class QuantityType < ::String
    AttrUnitCode = XSD::QName.new(nil, "unitCode")

    def __xmlattr
      @__xmlattr ||= {}
    end

    def xmlattr_unitCode
      __xmlattr[AttrUnitCode]
    end

    def xmlattr_unitCode=(value)
      __xmlattr[AttrUnitCode] = value
    end

    def initialize(*arg)
      super
      @__xmlattr = {}
    end
  end

# {urn:un:unece:uncefact:data:standard:UnqualifiedDataType:13}TextType
#   xmlattr_languageID - SOAP::SOAPLanguage
  class TextType < ::String
    AttrLanguageID = XSD::QName.new(nil, "languageID")

    def __xmlattr
      @__xmlattr ||= {}
    end

    def xmlattr_languageID
      __xmlattr[AttrLanguageID]
    end

    def xmlattr_languageID=(value)
      __xmlattr[AttrLanguageID] = value
    end

    def initialize(*arg)
      super
      @__xmlattr = {}
    end
  end

# {urn:un:unece:uncefact:data:standard:UnqualifiedDataType:13}NameType
#   xmlattr_languageID - SOAP::SOAPLanguage
  class NameType < ::String
    AttrLanguageID = XSD::QName.new(nil, "languageID")

    def __xmlattr
      @__xmlattr ||= {}
    end

    def xmlattr_languageID
      __xmlattr[AttrLanguageID]
    end

    def xmlattr_languageID=(value)
      __xmlattr[AttrLanguageID] = value
    end

    def initialize(*arg)
      super
      @__xmlattr = {}
    end
  end

# {http://ws.crvholding.com/commonTypes/}booleanType
  class BooleanType < ::String
    C_ = new("")
    F = new("F")
    T = new("T")
  end

# {http://ws.crvholding.com/commonTypes/}notificationType
  class NotificationType < ::String
    C_ = new("")
    Email = new("email")
    Fax = new("fax")
    Pager = new("pager")
    Sms = new("sms")
    Voice = new("voice")
  end

# {http://ws.crvholding.com/dictionaryTypes/}representationType
  class RepresentationType < ::String
    CODE = new("CODE")
    NAME = new("NAME")
  end

# {http://ws.crvholding.com/animalTypes/}countryCode
  class CountryCode < ::String
    BEL = new("BEL")
    LUX = new("LUX")
    NLD = new("NLD")
  end

# {http://ws.crvholding.com/animalTypes/}keeperType
  class KeeperType < ::String
    UBN = new("UBN")
    UVN = new("UVN")
  end

# {http://ws.crvholding.com/animalTypes/}sex
  class Sex < ::String
    F = new("F")
    M = new("M")
  end

# {urn:un:unece:uncefact:codelist:standard:IANA:MIMEMediaType:2013-01-03}MIMEMediaTypeContentType
  class MIMEMediaTypeContentType < ::String
    Application1dInterleavedParityfec = new("application/1d-interleaved-parityfec")
    Application3gppImsXml = new("application/3gpp-ims+xml")
    ApplicationActivemessage = new("application/activemessage")
    ApplicationAndrewInset = new("application/andrew-inset")
    ApplicationApplefile = new("application/applefile")
    ApplicationAtomXml = new("application/atom+xml")
    ApplicationAtomcatXml = new("application/atomcat+xml")
    ApplicationAtomdeletedXml = new("application/atomdeleted+xml")
    ApplicationAtomicmail = new("application/atomicmail")
    ApplicationAtomsvcXml = new("application/atomsvc+xml")
    ApplicationAuthPolicyXml = new("application/auth-policy+xml")
    ApplicationBatchSMTP = new("application/batch-SMTP")
    ApplicationBeepXml = new("application/beep+xml")
    ApplicationCSTAdataXml = new("application/CSTAdata+xml")
    ApplicationCalendarXml = new("application/calendar+xml")
    ApplicationCals1840 = new("application/cals-1840")
    ApplicationCcmpXml = new("application/ccmp+xml")
    ApplicationCcxmlXml = new("application/ccxml+xml")
    ApplicationCdmiCapability = new("application/cdmi-capability")
    ApplicationCdmiContainer = new("application/cdmi-container")
    ApplicationCdmiDomain = new("application/cdmi-domain")
    ApplicationCdmiObject = new("application/cdmi-object")
    ApplicationCdmiQueue = new("application/cdmi-queue")
    ApplicationCea2018Xml = new("application/cea-2018+xml")
    ApplicationCellmlXml = new("application/cellml+xml")
    ApplicationCfw = new("application/cfw")
    ApplicationCnrpXml = new("application/cnrp+xml")
    ApplicationCommonground = new("application/commonground")
    ApplicationConferenceInfoXml = new("application/conference-info+xml")
    ApplicationCplXml = new("application/cpl+xml")
    ApplicationCstaXml = new("application/csta+xml")
    ApplicationCybercash = new("application/cybercash")
    ApplicationDavmountXml = new("application/davmount+xml")
    ApplicationDcaRft = new("application/dca-rft")
    ApplicationDecDx = new("application/dec-dx")
    ApplicationDialogInfoXml = new("application/dialog-info+xml")
    ApplicationDicom = new("application/dicom")
    ApplicationDns = new("application/dns")
    ApplicationDskppXml = new("application/dskpp+xml")
    ApplicationDsscDer = new("application/dssc+der")
    ApplicationDsscXml = new("application/dssc+xml")
    ApplicationDvcs = new("application/dvcs")
    ApplicationEDIConsent = new("application/EDI-Consent")
    ApplicationEDIFACT = new("application/EDIFACT")
    ApplicationEDIX12 = new("application/EDI-X12")
    ApplicationEcmascript = new("application/ecmascript")
    ApplicationEmmaXml = new("application/emma+xml")
    ApplicationEppXml = new("application/epp+xml")
    ApplicationEshop = new("application/eshop")
    ApplicationExample = new("application/example")
    ApplicationExi = new("application/exi")
    ApplicationFastinfoset = new("application/fastinfoset")
    ApplicationFastsoap = new("application/fastsoap")
    ApplicationFdtXml = new("application/fdt+xml")
    ApplicationFits = new("application/fits")
    ApplicationFontTdpfr = new("application/font-tdpfr")
    ApplicationFrameworkAttributesXml = new("application/framework-attributes+xml")
    ApplicationGzip = new("application/gzip")
    ApplicationH224 = new("application/H224")
    ApplicationHeldXml = new("application/held+xml")
    ApplicationHttp = new("application/http")
    ApplicationHyperstudio = new("application/hyperstudio")
    ApplicationIbeKeyRequestXml = new("application/ibe-key-request+xml")
    ApplicationIbePkgReplyXml = new("application/ibe-pkg-reply+xml")
    ApplicationIbePpData = new("application/ibe-pp-data")
    ApplicationIges = new("application/iges")
    ApplicationImIscomposingXml = new("application/im-iscomposing+xml")
    ApplicationIndex = new("application/index")
    ApplicationIndexCmd = new("application/index.cmd")
    ApplicationIndexObj = new("application/index.obj")
    ApplicationIndexResponse = new("application/index.response")
    ApplicationIndexVnd = new("application/index.vnd")
    ApplicationInkmlXml = new("application/inkml+xml")
    ApplicationIotp = new("application/iotp")
    ApplicationIpfix = new("application/ipfix")
    ApplicationIpp = new("application/ipp")
    ApplicationIsup = new("application/isup")
    ApplicationJavascript = new("application/javascript")
    ApplicationJson = new("application/json")
    ApplicationKpmlRequestXml = new("application/kpml-request+xml")
    ApplicationKpmlResponseXml = new("application/kpml-response+xml")
    ApplicationLinkFormat = new("application/link-format")
    ApplicationLostXml = new("application/lost+xml")
    ApplicationLostsyncXml = new("application/lostsync+xml")
    ApplicationMacBinhex40 = new("application/mac-binhex40")
    ApplicationMacwriteii = new("application/macwriteii")
    ApplicationMadsXml = new("application/mads+xml")
    ApplicationMarc = new("application/marc")
    ApplicationMarcxmlXml = new("application/marcxml+xml")
    ApplicationMathematica = new("application/mathematica")
    ApplicationMathmlContentXml = new("application/mathml-content+xml")
    ApplicationMathmlPresentationXml = new("application/mathml-presentation+xml")
    ApplicationMathmlXml = new("application/mathml+xml")
    ApplicationMbmsAssociatedProcedureDescriptionXml = new("application/mbms-associated-procedure-description+xml")
    ApplicationMbmsDeregisterXml = new("application/mbms-deregister+xml")
    ApplicationMbmsEnvelopeXml = new("application/mbms-envelope+xml")
    ApplicationMbmsMskResponseXml = new("application/mbms-msk-response+xml")
    ApplicationMbmsMskXml = new("application/mbms-msk+xml")
    ApplicationMbmsProtectionDescriptionXml = new("application/mbms-protection-description+xml")
    ApplicationMbmsReceptionReportXml = new("application/mbms-reception-report+xml")
    ApplicationMbmsRegisterResponseXml = new("application/mbms-register-response+xml")
    ApplicationMbmsRegisterXml = new("application/mbms-register+xml")
    ApplicationMbmsUserServiceDescriptionXml = new("application/mbms-user-service-description+xml")
    ApplicationMbox = new("application/mbox")
    ApplicationMedia_controlXml = new("application/media_control+xml")
    ApplicationMediaservercontrolXml = new("application/mediaservercontrol+xml")
    ApplicationMetalink4Xml = new("application/metalink4+xml")
    ApplicationMetsXml = new("application/mets+xml")
    ApplicationMikey = new("application/mikey")
    ApplicationModsXml = new("application/mods+xml")
    ApplicationMossKeys = new("application/moss-keys")
    ApplicationMossSignature = new("application/moss-signature")
    ApplicationMosskeyData = new("application/mosskey-data")
    ApplicationMosskeyRequest = new("application/mosskey-request")
    ApplicationMp21 = new("application/mp21")
    ApplicationMp4 = new("application/mp4")
    ApplicationMpeg4Generic = new("application/mpeg4-generic")
    ApplicationMpeg4Iod = new("application/mpeg4-iod")
    ApplicationMpeg4IodXmt = new("application/mpeg4-iod-xmt")
    ApplicationMscIvrXml = new("application/msc-ivr+xml")
    ApplicationMscMixerXml = new("application/msc-mixer+xml")
    ApplicationMsword = new("application/msword")
    ApplicationMxf = new("application/mxf")
    ApplicationNasdata = new("application/nasdata")
    ApplicationNewsCheckgroups = new("application/news-checkgroups")
    ApplicationNewsGroupinfo = new("application/news-groupinfo")
    ApplicationNewsTransmission = new("application/news-transmission")
    ApplicationNlsmlXml = new("application/nlsml+xml")
    ApplicationNss = new("application/nss")
    ApplicationOcspRequest = new("application/ocsp-request")
    ApplicationOcspResponse = new("application/ocsp-response")
    ApplicationOctetStream = new("application/octet-stream")
    ApplicationOda = new("application/oda")
    ApplicationOebpsPackageXml = new("application/oebps-package+xml")
    ApplicationOgg = new("application/ogg")
    ApplicationOxps = new("application/oxps")
    ApplicationParityfec = new("application/parityfec")
    ApplicationPatchOpsErrorXml = new("application/patch-ops-error+xml")
    ApplicationPdf = new("application/pdf")
    ApplicationPgpEncrypted = new("application/pgp-encrypted")
    ApplicationPgpKeys = new("application/pgp-keys")
    ApplicationPgpSignature = new("application/pgp-signature")
    ApplicationPidfDiffXml = new("application/pidf-diff+xml")
    ApplicationPidfXml = new("application/pidf+xml")
    ApplicationPkcs10 = new("application/pkcs10")
    ApplicationPkcs7Mime = new("application/pkcs7-mime")
    ApplicationPkcs7Signature = new("application/pkcs7-signature")
    ApplicationPkcs8 = new("application/pkcs8")
    ApplicationPkixAttrCert = new("application/pkix-attr-cert")
    ApplicationPkixCert = new("application/pkix-cert")
    ApplicationPkixCrl = new("application/pkix-crl")
    ApplicationPkixPkipath = new("application/pkix-pkipath")
    ApplicationPkixcmp = new("application/pkixcmp")
    ApplicationPlsXml = new("application/pls+xml")
    ApplicationPocSettingsXml = new("application/poc-settings+xml")
    ApplicationPostscript = new("application/postscript")
    ApplicationPrsAlvestrandTitraxSheet = new("application/prs.alvestrand.titrax-sheet")
    ApplicationPrsCww = new("application/prs.cww")
    ApplicationPrsNprend = new("application/prs.nprend")
    ApplicationPrsPlucker = new("application/prs.plucker")
    ApplicationPrsRdfXmlCrypt = new("application/prs.rdf-xml-crypt")
    ApplicationPrsXsfXml = new("application/prs.xsf+xml")
    ApplicationPskcXml = new("application/pskc+xml")
    ApplicationQsig = new("application/qsig")
    ApplicationRaptorfec = new("application/raptorfec")
    ApplicationRdfXml = new("application/rdf+xml")
    ApplicationReginfoXml = new("application/reginfo+xml")
    ApplicationRelaxNgCompactSyntax = new("application/relax-ng-compact-syntax")
    ApplicationRemotePrinting = new("application/remote-printing")
    ApplicationResourceListsDiffXml = new("application/resource-lists-diff+xml")
    ApplicationResourceListsXml = new("application/resource-lists+xml")
    ApplicationRiscos = new("application/riscos")
    ApplicationRlmiXml = new("application/rlmi+xml")
    ApplicationRlsServicesXml = new("application/rls-services+xml")
    ApplicationRpkiGhostbusters = new("application/rpki-ghostbusters")
    ApplicationRpkiManifest = new("application/rpki-manifest")
    ApplicationRpkiRoa = new("application/rpki-roa")
    ApplicationRpkiUpdown = new("application/rpki-updown")
    ApplicationRtf = new("application/rtf")
    ApplicationRtx = new("application/rtx")
    ApplicationSamlassertionXml = new("application/samlassertion+xml")
    ApplicationSamlmetadataXml = new("application/samlmetadata+xml")
    ApplicationSbmlXml = new("application/sbml+xml")
    ApplicationScvpCvRequest = new("application/scvp-cv-request")
    ApplicationScvpCvResponse = new("application/scvp-cv-response")
    ApplicationScvpVpRequest = new("application/scvp-vp-request")
    ApplicationScvpVpResponse = new("application/scvp-vp-response")
    ApplicationSdp = new("application/sdp")
    ApplicationSetPayment = new("application/set-payment")
    ApplicationSetPaymentInitiation = new("application/set-payment-initiation")
    ApplicationSetRegistration = new("application/set-registration")
    ApplicationSetRegistrationInitiation = new("application/set-registration-initiation")
    ApplicationSgml = new("application/sgml")
    ApplicationSgmlOpenCatalog = new("application/sgml-open-catalog")
    ApplicationShfXml = new("application/shf+xml")
    ApplicationSieve = new("application/sieve")
    ApplicationSimpleFilterXml = new("application/simple-filter+xml")
    ApplicationSimpleMessageSummary = new("application/simple-message-summary")
    ApplicationSimpleSymbolContainer = new("application/simpleSymbolContainer")
    ApplicationSlate = new("application/slate")
    ApplicationSmilOBSOLETE = new("application/smil (OBSOLETE)")
    ApplicationSmilXml = new("application/smil+xml")
    ApplicationSmpte336m = new("application/smpte336m")
    ApplicationSoapFastinfoset = new("application/soap+fastinfoset")
    ApplicationSoapXml = new("application/soap+xml")
    ApplicationSparqlQuery = new("application/sparql-query")
    ApplicationSparqlResultsXml = new("application/sparql-results+xml")
    ApplicationSpiritsEventXml = new("application/spirits-event+xml")
    ApplicationSrgs = new("application/srgs")
    ApplicationSrgsXml = new("application/srgs+xml")
    ApplicationSruXml = new("application/sru+xml")
    ApplicationSsmlXml = new("application/ssml+xml")
    ApplicationTampApexUpdate = new("application/tamp-apex-update")
    ApplicationTampApexUpdateConfirm = new("application/tamp-apex-update-confirm")
    ApplicationTampCommunityUpdate = new("application/tamp-community-update")
    ApplicationTampCommunityUpdateConfirm = new("application/tamp-community-update-confirm")
    ApplicationTampError = new("application/tamp-error")
    ApplicationTampSequenceAdjust = new("application/tamp-sequence-adjust")
    ApplicationTampSequenceAdjustConfirm = new("application/tamp-sequence-adjust-confirm")
    ApplicationTampStatusQuery = new("application/tamp-status-query")
    ApplicationTampStatusResponse = new("application/tamp-status-response")
    ApplicationTampUpdate = new("application/tamp-update")
    ApplicationTampUpdateConfirm = new("application/tamp-update-confirm")
    ApplicationTeiXml = new("application/tei+xml")
    ApplicationThraudXml = new("application/thraud+xml")
    ApplicationTimestampQuery = new("application/timestamp-query")
    ApplicationTimestampReply = new("application/timestamp-reply")
    ApplicationTimestampedData = new("application/timestamped-data")
    ApplicationTveTrigger = new("application/tve-trigger")
    ApplicationUlpfec = new("application/ulpfec")
    ApplicationVcardXml = new("application/vcard+xml")
    ApplicationVemmi = new("application/vemmi")
    ApplicationVnd3MPostItNotes = new("application/vnd.3M.Post-it-Notes")
    ApplicationVnd3gpp2BcmcsinfoXml = new("application/vnd.3gpp2.bcmcsinfo+xml")
    ApplicationVnd3gpp2Sms = new("application/vnd.3gpp2.sms")
    ApplicationVnd3gpp2Tcap = new("application/vnd.3gpp2.tcap")
    ApplicationVnd3gppBsfXml = new("application/vnd.3gpp.bsf+xml")
    ApplicationVnd3gppPicBwLarge = new("application/vnd.3gpp.pic-bw-large")
    ApplicationVnd3gppPicBwSmall = new("application/vnd.3gpp.pic-bw-small")
    ApplicationVnd3gppPicBwVar = new("application/vnd.3gpp.pic-bw-var")
    ApplicationVnd3gppSms = new("application/vnd.3gpp.sms")
    ApplicationVndAccpacSimplyAso = new("application/vnd.accpac.simply.aso")
    ApplicationVndAccpacSimplyImp = new("application/vnd.accpac.simply.imp")
    ApplicationVndAcucobol = new("application/vnd.acucobol")
    ApplicationVndAcucorp = new("application/vnd.acucorp")
    ApplicationVndAdobeFormscentralFcdt = new("application/vnd.adobe.formscentral.fcdt")
    ApplicationVndAdobeFxp = new("application/vnd.adobe.fxp")
    ApplicationVndAdobePartialUpload = new("application/vnd.adobe.partial-upload")
    ApplicationVndAdobeXdpXml = new("application/vnd.adobe.xdp+xml")
    ApplicationVndAdobeXfdf = new("application/vnd.adobe.xfdf")
    ApplicationVndAetherImp = new("application/vnd.aether.imp")
    ApplicationVndAhBarcode = new("application/vnd.ah-barcode")
    ApplicationVndAheadSpace = new("application/vnd.ahead.space")
    ApplicationVndAirzipFilesecureAzf = new("application/vnd.airzip.filesecure.azf")
    ApplicationVndAirzipFilesecureAzs = new("application/vnd.airzip.filesecure.azs")
    ApplicationVndAmericandynamicsAcc = new("application/vnd.americandynamics.acc")
    ApplicationVndAmigaAmi = new("application/vnd.amiga.ami")
    ApplicationVndAmundsenMazeXml = new("application/vnd.amundsen.maze+xml")
    ApplicationVndAnserWebCertificateIssueInitiation = new("application/vnd.anser-web-certificate-issue-initiation")
    ApplicationVndAntixGameComponent = new("application/vnd.antix.game-component")
    ApplicationVndAppleInstallerXml = new("application/vnd.apple.installer+xml")
    ApplicationVndAppleMpegurl = new("application/vnd.apple.mpegurl")
    ApplicationVndArastraSwiOBSOLETE = new("application/vnd.arastra.swi (OBSOLETE)")
    ApplicationVndAristanetworksSwi = new("application/vnd.aristanetworks.swi")
    ApplicationVndAstraeaSoftwareIota = new("application/vnd.astraea-software.iota")
    ApplicationVndAudiograph = new("application/vnd.audiograph")
    ApplicationVndAutopackage = new("application/vnd.autopackage")
    ApplicationVndAvistarXml = new("application/vnd.avistar+xml")
    ApplicationVndBalsamiqBmmlXml = new("application/vnd.balsamiq.bmml+xml")
    ApplicationVndBlueiceMultipass = new("application/vnd.blueice.multipass")
    ApplicationVndBluetoothEpOob = new("application/vnd.bluetooth.ep.oob")
    ApplicationVndBmi = new("application/vnd.bmi")
    ApplicationVndBusinessobjects = new("application/vnd.businessobjects")
    ApplicationVndCabJscript = new("application/vnd.cab-jscript")
    ApplicationVndCanonCpdl = new("application/vnd.canon-cpdl")
    ApplicationVndCanonLips = new("application/vnd.canon-lips")
    ApplicationVndCendioThinlincClientconf = new("application/vnd.cendio.thinlinc.clientconf")
    ApplicationVndCenturySystemsTcp_stream = new("application/vnd.century-systems.tcp_stream")
    ApplicationVndChemdrawXml = new("application/vnd.chemdraw+xml")
    ApplicationVndChipnutsKaraokeMmd = new("application/vnd.chipnuts.karaoke-mmd")
    ApplicationVndCinderella = new("application/vnd.cinderella")
    ApplicationVndCirpackIsdnExt = new("application/vnd.cirpack.isdn-ext")
    ApplicationVndClaymore = new("application/vnd.claymore")
    ApplicationVndCloantoRp9 = new("application/vnd.cloanto.rp9")
    ApplicationVndClonkC4group = new("application/vnd.clonk.c4group")
    ApplicationVndCluetrustCartomobileConfig = new("application/vnd.cluetrust.cartomobile-config")
    ApplicationVndCluetrustCartomobileConfigPkg = new("application/vnd.cluetrust.cartomobile-config-pkg")
    ApplicationVndCollectionJson = new("application/vnd.collection+json")
    ApplicationVndCollectionNextJson = new("application/vnd.collection.next+json")
    ApplicationVndCommerceBattelle = new("application/vnd.commerce-battelle")
    ApplicationVndCommonspace = new("application/vnd.commonspace")
    ApplicationVndContactCmsg = new("application/vnd.contact.cmsg")
    ApplicationVndCosmocaller = new("application/vnd.cosmocaller")
    ApplicationVndCrickClicker = new("application/vnd.crick.clicker")
    ApplicationVndCrickClickerKeyboard = new("application/vnd.crick.clicker.keyboard")
    ApplicationVndCrickClickerPalette = new("application/vnd.crick.clicker.palette")
    ApplicationVndCrickClickerTemplate = new("application/vnd.crick.clicker.template")
    ApplicationVndCrickClickerWordbank = new("application/vnd.crick.clicker.wordbank")
    ApplicationVndCriticaltoolsWbsXml = new("application/vnd.criticaltools.wbs+xml")
    ApplicationVndCtcPosml = new("application/vnd.ctc-posml")
    ApplicationVndCtctWsXml = new("application/vnd.ctct.ws+xml")
    ApplicationVndCupsPdf = new("application/vnd.cups-pdf")
    ApplicationVndCupsPostscript = new("application/vnd.cups-postscript")
    ApplicationVndCupsPpd = new("application/vnd.cups-ppd")
    ApplicationVndCupsRaster = new("application/vnd.cups-raster")
    ApplicationVndCupsRaw = new("application/vnd.cups-raw")
    ApplicationVndCurl = new("application/vnd.curl")
    ApplicationVndCyanDeanRootXml = new("application/vnd.cyan.dean.root+xml")
    ApplicationVndCybank = new("application/vnd.cybank")
    ApplicationVndDart = new("application/vnd.dart")
    ApplicationVndDataVisionRdz = new("application/vnd.data-vision.rdz")
    ApplicationVndDeceData = new("application/vnd.dece.data")
    ApplicationVndDeceTtmlXml = new("application/vnd.dece.ttml+xml")
    ApplicationVndDeceUnspecified = new("application/vnd.dece.unspecified")
    ApplicationVndDeceZip = new("application/vnd.dece.zip")
    ApplicationVndDenovoFcselayoutLink = new("application/vnd.denovo.fcselayout-link")
    ApplicationVndDirBiPlateDlNosuffix = new("application/vnd.dir-bi.plate-dl-nosuffix")
    ApplicationVndDmDelegationXml = new("application/vnd.dm.delegation+xml")
    ApplicationVndDna = new("application/vnd.dna")
    ApplicationVndDolbyMobile1 = new("application/vnd.dolby.mobile.1")
    ApplicationVndDolbyMobile2 = new("application/vnd.dolby.mobile.2")
    ApplicationVndDpgraph = new("application/vnd.dpgraph")
    ApplicationVndDreamfactory = new("application/vnd.dreamfactory")
    ApplicationVndDtgLocal = new("application/vnd.dtg.local")
    ApplicationVndDtgLocalFlash = new("application/vnd.dtg.local.flash")
    ApplicationVndDtgLocalHtml = new("application/vnd.dtg.local.html")
    ApplicationVndDvbAit = new("application/vnd.dvb.ait")
    ApplicationVndDvbDvbj = new("application/vnd.dvb.dvbj")
    ApplicationVndDvbEsgcontainer = new("application/vnd.dvb.esgcontainer")
    ApplicationVndDvbIpdcdftnotifaccess = new("application/vnd.dvb.ipdcdftnotifaccess")
    ApplicationVndDvbIpdcesgaccess = new("application/vnd.dvb.ipdcesgaccess")
    ApplicationVndDvbIpdcesgaccess2 = new("application/vnd.dvb.ipdcesgaccess2")
    ApplicationVndDvbIpdcesgpdd = new("application/vnd.dvb.ipdcesgpdd")
    ApplicationVndDvbIpdcroaming = new("application/vnd.dvb.ipdcroaming")
    ApplicationVndDvbIptvAlfecBase = new("application/vnd.dvb.iptv.alfec-base")
    ApplicationVndDvbIptvAlfecEnhancement = new("application/vnd.dvb.iptv.alfec-enhancement")
    ApplicationVndDvbNotifAggregateRootXml = new("application/vnd.dvb.notif-aggregate-root+xml")
    ApplicationVndDvbNotifContainerXml = new("application/vnd.dvb.notif-container+xml")
    ApplicationVndDvbNotifGenericXml = new("application/vnd.dvb.notif-generic+xml")
    ApplicationVndDvbNotifIaMsglistXml = new("application/vnd.dvb.notif-ia-msglist+xml")
    ApplicationVndDvbNotifIaRegistrationRequestXml = new("application/vnd.dvb.notif-ia-registration-request+xml")
    ApplicationVndDvbNotifIaRegistrationResponseXml = new("application/vnd.dvb.notif-ia-registration-response+xml")
    ApplicationVndDvbNotifInitXml = new("application/vnd.dvb.notif-init+xml")
    ApplicationVndDvbPfr = new("application/vnd.dvb.pfr")
    ApplicationVndDvbService = new("application/vnd.dvb.service")
    ApplicationVndDxr = new("application/vnd.dxr")
    ApplicationVndDynageo = new("application/vnd.dynageo")
    ApplicationVndEasykaraokeCdgdownload = new("application/vnd.easykaraoke.cdgdownload")
    ApplicationVndEcdisUpdate = new("application/vnd.ecdis-update")
    ApplicationVndEcowinChart = new("application/vnd.ecowin.chart")
    ApplicationVndEcowinFilerequest = new("application/vnd.ecowin.filerequest")
    ApplicationVndEcowinFileupdate = new("application/vnd.ecowin.fileupdate")
    ApplicationVndEcowinSeries = new("application/vnd.ecowin.series")
    ApplicationVndEcowinSeriesrequest = new("application/vnd.ecowin.seriesrequest")
    ApplicationVndEcowinSeriesupdate = new("application/vnd.ecowin.seriesupdate")
    ApplicationVndEmclientAccessrequestXml = new("application/vnd.emclient.accessrequest+xml")
    ApplicationVndEnliven = new("application/vnd.enliven")
    ApplicationVndEprintsDataXml = new("application/vnd.eprints.data+xml")
    ApplicationVndEpsonEsf = new("application/vnd.epson.esf")
    ApplicationVndEpsonMsf = new("application/vnd.epson.msf")
    ApplicationVndEpsonQuickanime = new("application/vnd.epson.quickanime")
    ApplicationVndEpsonSalt = new("application/vnd.epson.salt")
    ApplicationVndEpsonSsf = new("application/vnd.epson.ssf")
    ApplicationVndEricssonQuickcall = new("application/vnd.ericsson.quickcall")
    ApplicationVndEszigno3Xml = new("application/vnd.eszigno3+xml")
    ApplicationVndEtsiAocXml = new("application/vnd.etsi.aoc+xml")
    ApplicationVndEtsiCugXml = new("application/vnd.etsi.cug+xml")
    ApplicationVndEtsiIptvcommandXml = new("application/vnd.etsi.iptvcommand+xml")
    ApplicationVndEtsiIptvdiscoveryXml = new("application/vnd.etsi.iptvdiscovery+xml")
    ApplicationVndEtsiIptvprofileXml = new("application/vnd.etsi.iptvprofile+xml")
    ApplicationVndEtsiIptvsadBcXml = new("application/vnd.etsi.iptvsad-bc+xml")
    ApplicationVndEtsiIptvsadCodXml = new("application/vnd.etsi.iptvsad-cod+xml")
    ApplicationVndEtsiIptvsadNpvrXml = new("application/vnd.etsi.iptvsad-npvr+xml")
    ApplicationVndEtsiIptvserviceXml = new("application/vnd.etsi.iptvservice+xml")
    ApplicationVndEtsiIptvsyncXml = new("application/vnd.etsi.iptvsync+xml")
    ApplicationVndEtsiIptvueprofileXml = new("application/vnd.etsi.iptvueprofile+xml")
    ApplicationVndEtsiMcidXml = new("application/vnd.etsi.mcid+xml")
    ApplicationVndEtsiOverloadControlPolicyDatasetXml = new("application/vnd.etsi.overload-control-policy-dataset+xml")
    ApplicationVndEtsiSciXml = new("application/vnd.etsi.sci+xml")
    ApplicationVndEtsiSimservsXml = new("application/vnd.etsi.simservs+xml")
    ApplicationVndEtsiTslDer = new("application/vnd.etsi.tsl.der")
    ApplicationVndEtsiTslXml = new("application/vnd.etsi.tsl+xml")
    ApplicationVndEudoraData = new("application/vnd.eudora.data")
    ApplicationVndEzpixAlbum = new("application/vnd.ezpix-album")
    ApplicationVndEzpixPackage = new("application/vnd.ezpix-package")
    ApplicationVndFSecureMobile = new("application/vnd.f-secure.mobile")
    ApplicationVndFdf = new("application/vnd.fdf")
    ApplicationVndFdsnMseed = new("application/vnd.fdsn.mseed")
    ApplicationVndFdsnSeed = new("application/vnd.fdsn.seed")
    ApplicationVndFfsns = new("application/vnd.ffsns")
    ApplicationVndFints = new("application/vnd.fints")
    ApplicationVndFloGraphIt = new("application/vnd.FloGraphIt")
    ApplicationVndFluxtimeClip = new("application/vnd.fluxtime.clip")
    ApplicationVndFontFontforgeSfd = new("application/vnd.font-fontforge-sfd")
    ApplicationVndFramemaker = new("application/vnd.framemaker")
    ApplicationVndFrogansFnc = new("application/vnd.frogans.fnc")
    ApplicationVndFrogansLtf = new("application/vnd.frogans.ltf")
    ApplicationVndFscWeblaunch = new("application/vnd.fsc.weblaunch")
    ApplicationVndFujitsuOasys = new("application/vnd.fujitsu.oasys")
    ApplicationVndFujitsuOasys2 = new("application/vnd.fujitsu.oasys2")
    ApplicationVndFujitsuOasys3 = new("application/vnd.fujitsu.oasys3")
    ApplicationVndFujitsuOasysgp = new("application/vnd.fujitsu.oasysgp")
    ApplicationVndFujitsuOasysprs = new("application/vnd.fujitsu.oasysprs")
    ApplicationVndFujixeroxART4 = new("application/vnd.fujixerox.ART4")
    ApplicationVndFujixeroxARTEX = new("application/vnd.fujixerox.ART-EX")
    ApplicationVndFujixeroxDdd = new("application/vnd.fujixerox.ddd")
    ApplicationVndFujixeroxDocuworks = new("application/vnd.fujixerox.docuworks")
    ApplicationVndFujixeroxDocuworksBinder = new("application/vnd.fujixerox.docuworks.binder")
    ApplicationVndFujixeroxHBPL = new("application/vnd.fujixerox.HBPL")
    ApplicationVndFutMisnet = new("application/vnd.fut-misnet")
    ApplicationVndFuzzysheet = new("application/vnd.fuzzysheet")
    ApplicationVndGenomatixTuxedo = new("application/vnd.genomatix.tuxedo")
    ApplicationVndGeocubeXmlOBSOLETE = new("application/vnd.geocube+xml (OBSOLETE)")
    ApplicationVndGeogebraFile = new("application/vnd.geogebra.file")
    ApplicationVndGeogebraTool = new("application/vnd.geogebra.tool")
    ApplicationVndGeometryExplorer = new("application/vnd.geometry-explorer")
    ApplicationVndGeonext = new("application/vnd.geonext")
    ApplicationVndGeoplan = new("application/vnd.geoplan")
    ApplicationVndGeospace = new("application/vnd.geospace")
    ApplicationVndGlobalplatformCardContentMgt = new("application/vnd.globalplatform.card-content-mgt")
    ApplicationVndGlobalplatformCardContentMgtResponse = new("application/vnd.globalplatform.card-content-mgt-response")
    ApplicationVndGmxOBSOLETE = new("application/vnd.gmx (OBSOLETE)")
    ApplicationVndGoogleEarthKmlXml = new("application/vnd.google-earth.kml+xml")
    ApplicationVndGoogleEarthKmz = new("application/vnd.google-earth.kmz")
    ApplicationVndGrafeq = new("application/vnd.grafeq")
    ApplicationVndGridmp = new("application/vnd.gridmp")
    ApplicationVndGrooveAccount = new("application/vnd.groove-account")
    ApplicationVndGrooveHelp = new("application/vnd.groove-help")
    ApplicationVndGrooveIdentityMessage = new("application/vnd.groove-identity-message")
    ApplicationVndGrooveInjector = new("application/vnd.groove-injector")
    ApplicationVndGrooveToolMessage = new("application/vnd.groove-tool-message")
    ApplicationVndGrooveToolTemplate = new("application/vnd.groove-tool-template")
    ApplicationVndGrooveVcard = new("application/vnd.groove-vcard")
    ApplicationVndHalJson = new("application/vnd.hal+json")
    ApplicationVndHalXml = new("application/vnd.hal+xml")
    ApplicationVndHandHeldEntertainmentXml = new("application/vnd.HandHeld-Entertainment+xml")
    ApplicationVndHbci = new("application/vnd.hbci")
    ApplicationVndHclBireports = new("application/vnd.hcl-bireports")
    ApplicationVndHheLessonPlayer = new("application/vnd.hhe.lesson-player")
    ApplicationVndHpHPGL = new("application/vnd.hp-HPGL")
    ApplicationVndHpHpid = new("application/vnd.hp-hpid")
    ApplicationVndHpHps = new("application/vnd.hp-hps")
    ApplicationVndHpJlyt = new("application/vnd.hp-jlyt")
    ApplicationVndHpPCL = new("application/vnd.hp-PCL")
    ApplicationVndHpPCLXL = new("application/vnd.hp-PCLXL")
    ApplicationVndHttphone = new("application/vnd.httphone")
    ApplicationVndHydrostatixSofData = new("application/vnd.hydrostatix.sof-data")
    ApplicationVndHzn3dCrossword = new("application/vnd.hzn-3d-crossword")
    ApplicationVndIbmAfplinedata = new("application/vnd.ibm.afplinedata")
    ApplicationVndIbmElectronicMedia = new("application/vnd.ibm.electronic-media")
    ApplicationVndIbmMiniPay = new("application/vnd.ibm.MiniPay")
    ApplicationVndIbmModcap = new("application/vnd.ibm.modcap")
    ApplicationVndIbmRightsManagement = new("application/vnd.ibm.rights-management")
    ApplicationVndIbmSecureContainer = new("application/vnd.ibm.secure-container")
    ApplicationVndIccprofile = new("application/vnd.iccprofile")
    ApplicationVndIeee1905 = new("application/vnd.ieee.1905")
    ApplicationVndIgloader = new("application/vnd.igloader")
    ApplicationVndImmervisionIvp = new("application/vnd.immervision-ivp")
    ApplicationVndImmervisionIvu = new("application/vnd.immervision-ivu")
    ApplicationVndInformedcontrolRmsXml = new("application/vnd.informedcontrol.rms+xml")
    ApplicationVndInformixVisionary = new("application/vnd.informix-visionary")
    ApplicationVndInfotechProject = new("application/vnd.infotech.project")
    ApplicationVndInfotechProjectXml = new("application/vnd.infotech.project+xml")
    ApplicationVndInnopathWampNotification = new("application/vnd.innopath.wamp.notification")
    ApplicationVndInsorsIgm = new("application/vnd.insors.igm")
    ApplicationVndInterconFormnet = new("application/vnd.intercon.formnet")
    ApplicationVndIntergeo = new("application/vnd.intergeo")
    ApplicationVndIntertrustDigibox = new("application/vnd.intertrust.digibox")
    ApplicationVndIntertrustNncp = new("application/vnd.intertrust.nncp")
    ApplicationVndIntuQbo = new("application/vnd.intu.qbo")
    ApplicationVndIntuQfx = new("application/vnd.intu.qfx")
    ApplicationVndIptcG2ConceptitemXml = new("application/vnd.iptc.g2.conceptitem+xml")
    ApplicationVndIptcG2KnowledgeitemXml = new("application/vnd.iptc.g2.knowledgeitem+xml")
    ApplicationVndIptcG2NewsitemXml = new("application/vnd.iptc.g2.newsitem+xml")
    ApplicationVndIptcG2NewsmessageXml = new("application/vnd.iptc.g2.newsmessage+xml")
    ApplicationVndIptcG2PackageitemXml = new("application/vnd.iptc.g2.packageitem+xml")
    ApplicationVndIptcG2PlanningitemXml = new("application/vnd.iptc.g2.planningitem+xml")
    ApplicationVndIpunpluggedRcprofile = new("application/vnd.ipunplugged.rcprofile")
    ApplicationVndIrepositoryPackageXml = new("application/vnd.irepository.package+xml")
    ApplicationVndIsXpr = new("application/vnd.is-xpr")
    ApplicationVndIsacFcs = new("application/vnd.isac.fcs")
    ApplicationVndJam = new("application/vnd.jam")
    ApplicationVndJapannetDirectoryService = new("application/vnd.japannet-directory-service")
    ApplicationVndJapannetJpnstoreWakeup = new("application/vnd.japannet-jpnstore-wakeup")
    ApplicationVndJapannetPaymentWakeup = new("application/vnd.japannet-payment-wakeup")
    ApplicationVndJapannetRegistration = new("application/vnd.japannet-registration")
    ApplicationVndJapannetRegistrationWakeup = new("application/vnd.japannet-registration-wakeup")
    ApplicationVndJapannetSetstoreWakeup = new("application/vnd.japannet-setstore-wakeup")
    ApplicationVndJapannetVerification = new("application/vnd.japannet-verification")
    ApplicationVndJapannetVerificationWakeup = new("application/vnd.japannet-verification-wakeup")
    ApplicationVndJcpJavameMidletRms = new("application/vnd.jcp.javame.midlet-rms")
    ApplicationVndJisp = new("application/vnd.jisp")
    ApplicationVndJoostJodaArchive = new("application/vnd.joost.joda-archive")
    ApplicationVndJskIsdnNgn = new("application/vnd.jsk.isdn-ngn")
    ApplicationVndKahootz = new("application/vnd.kahootz")
    ApplicationVndKdeKarbon = new("application/vnd.kde.karbon")
    ApplicationVndKdeKchart = new("application/vnd.kde.kchart")
    ApplicationVndKdeKformula = new("application/vnd.kde.kformula")
    ApplicationVndKdeKivio = new("application/vnd.kde.kivio")
    ApplicationVndKdeKontour = new("application/vnd.kde.kontour")
    ApplicationVndKdeKpresenter = new("application/vnd.kde.kpresenter")
    ApplicationVndKdeKspread = new("application/vnd.kde.kspread")
    ApplicationVndKdeKword = new("application/vnd.kde.kword")
    ApplicationVndKenameaapp = new("application/vnd.kenameaapp")
    ApplicationVndKidspiration = new("application/vnd.kidspiration")
    ApplicationVndKinar = new("application/vnd.Kinar")
    ApplicationVndKoan = new("application/vnd.koan")
    ApplicationVndKodakDescriptor = new("application/vnd.kodak-descriptor")
    ApplicationVndLasLasXml = new("application/vnd.las.las+xml")
    ApplicationVndLibertyRequestXml = new("application/vnd.liberty-request+xml")
    ApplicationVndLlamagraphicsLifeBalanceDesktop = new("application/vnd.llamagraphics.life-balance.desktop")
    ApplicationVndLlamagraphicsLifeBalanceExchangeXml = new("application/vnd.llamagraphics.life-balance.exchange+xml")
    ApplicationVndLotus123 = new("application/vnd.lotus-1-2-3")
    ApplicationVndLotusApproach = new("application/vnd.lotus-approach")
    ApplicationVndLotusFreelance = new("application/vnd.lotus-freelance")
    ApplicationVndLotusNotes = new("application/vnd.lotus-notes")
    ApplicationVndLotusOrganizer = new("application/vnd.lotus-organizer")
    ApplicationVndLotusScreencam = new("application/vnd.lotus-screencam")
    ApplicationVndLotusWordpro = new("application/vnd.lotus-wordpro")
    ApplicationVndMFER = new("application/vnd.MFER")
    ApplicationVndMacportsPortpkg = new("application/vnd.macports.portpkg")
    ApplicationVndMarlinDrmActiontokenXml = new("application/vnd.marlin.drm.actiontoken+xml")
    ApplicationVndMarlinDrmConftokenXml = new("application/vnd.marlin.drm.conftoken+xml")
    ApplicationVndMarlinDrmLicenseXml = new("application/vnd.marlin.drm.license+xml")
    ApplicationVndMarlinDrmMdcf = new("application/vnd.marlin.drm.mdcf")
    ApplicationVndMcd = new("application/vnd.mcd")
    ApplicationVndMedcalcdata = new("application/vnd.medcalcdata")
    ApplicationVndMediastationCdkey = new("application/vnd.mediastation.cdkey")
    ApplicationVndMeridianSlingshot = new("application/vnd.meridian-slingshot")
    ApplicationVndMfmp = new("application/vnd.mfmp")
    ApplicationVndMicrografxFlo = new("application/vnd.micrografx.flo")
    ApplicationVndMicrografxIgx = new("application/vnd.micrografx.igx")
    ApplicationVndMif = new("application/vnd.mif")
    ApplicationVndMinisoftHp3000Save = new("application/vnd.minisoft-hp3000-save")
    ApplicationVndMitsubishiMistyGuardTrustweb = new("application/vnd.mitsubishi.misty-guard.trustweb")
    ApplicationVndMobiusDAF = new("application/vnd.Mobius.DAF")
    ApplicationVndMobiusDIS = new("application/vnd.Mobius.DIS")
    ApplicationVndMobiusMBK = new("application/vnd.Mobius.MBK")
    ApplicationVndMobiusMQY = new("application/vnd.Mobius.MQY")
    ApplicationVndMobiusMSL = new("application/vnd.Mobius.MSL")
    ApplicationVndMobiusPLC = new("application/vnd.Mobius.PLC")
    ApplicationVndMobiusTXF = new("application/vnd.Mobius.TXF")
    ApplicationVndMophunApplication = new("application/vnd.mophun.application")
    ApplicationVndMophunCertificate = new("application/vnd.mophun.certificate")
    ApplicationVndMotorolaFlexsuite = new("application/vnd.motorola.flexsuite")
    ApplicationVndMotorolaFlexsuiteAdsi = new("application/vnd.motorola.flexsuite.adsi")
    ApplicationVndMotorolaFlexsuiteFis = new("application/vnd.motorola.flexsuite.fis")
    ApplicationVndMotorolaFlexsuiteGotap = new("application/vnd.motorola.flexsuite.gotap")
    ApplicationVndMotorolaFlexsuiteKmr = new("application/vnd.motorola.flexsuite.kmr")
    ApplicationVndMotorolaFlexsuiteTtc = new("application/vnd.motorola.flexsuite.ttc")
    ApplicationVndMotorolaFlexsuiteWem = new("application/vnd.motorola.flexsuite.wem")
    ApplicationVndMotorolaIprm = new("application/vnd.motorola.iprm")
    ApplicationVndMozillaXulXml = new("application/vnd.mozilla.xul+xml")
    ApplicationVndMsArtgalry = new("application/vnd.ms-artgalry")
    ApplicationVndMsAsf = new("application/vnd.ms-asf")
    ApplicationVndMsCabCompressed = new("application/vnd.ms-cab-compressed")
    ApplicationVndMsExcel = new("application/vnd.ms-excel")
    ApplicationVndMsExcelAddinMacroEnabled12 = new("application/vnd.ms-excel.addin.macroEnabled.12")
    ApplicationVndMsExcelSheetBinaryMacroEnabled12 = new("application/vnd.ms-excel.sheet.binary.macroEnabled.12")
    ApplicationVndMsExcelSheetMacroEnabled12 = new("application/vnd.ms-excel.sheet.macroEnabled.12")
    ApplicationVndMsExcelTemplateMacroEnabled12 = new("application/vnd.ms-excel.template.macroEnabled.12")
    ApplicationVndMsFontobject = new("application/vnd.ms-fontobject")
    ApplicationVndMsHtmlhelp = new("application/vnd.ms-htmlhelp")
    ApplicationVndMsIms = new("application/vnd.ms-ims")
    ApplicationVndMsLrm = new("application/vnd.ms-lrm")
    ApplicationVndMsOfficeActiveXXml = new("application/vnd.ms-office.activeX+xml")
    ApplicationVndMsOfficetheme = new("application/vnd.ms-officetheme")
    ApplicationVndMsPlayreadyInitiatorXml = new("application/vnd.ms-playready.initiator+xml")
    ApplicationVndMsPowerpoint = new("application/vnd.ms-powerpoint")
    ApplicationVndMsPowerpointAddinMacroEnabled12 = new("application/vnd.ms-powerpoint.addin.macroEnabled.12")
    ApplicationVndMsPowerpointPresentationMacroEnabled12 = new("application/vnd.ms-powerpoint.presentation.macroEnabled.12")
    ApplicationVndMsPowerpointSlideMacroEnabled12 = new("application/vnd.ms-powerpoint.slide.macroEnabled.12")
    ApplicationVndMsPowerpointSlideshowMacroEnabled12 = new("application/vnd.ms-powerpoint.slideshow.macroEnabled.12")
    ApplicationVndMsPowerpointTemplateMacroEnabled12 = new("application/vnd.ms-powerpoint.template.macroEnabled.12")
    ApplicationVndMsProject = new("application/vnd.ms-project")
    ApplicationVndMsTnef = new("application/vnd.ms-tnef")
    ApplicationVndMsWmdrmLicChlgReq = new("application/vnd.ms-wmdrm.lic-chlg-req")
    ApplicationVndMsWmdrmLicResp = new("application/vnd.ms-wmdrm.lic-resp")
    ApplicationVndMsWmdrmMeterChlgReq = new("application/vnd.ms-wmdrm.meter-chlg-req")
    ApplicationVndMsWmdrmMeterResp = new("application/vnd.ms-wmdrm.meter-resp")
    ApplicationVndMsWordDocumentMacroEnabled12 = new("application/vnd.ms-word.document.macroEnabled.12")
    ApplicationVndMsWordTemplateMacroEnabled12 = new("application/vnd.ms-word.template.macroEnabled.12")
    ApplicationVndMsWorks = new("application/vnd.ms-works")
    ApplicationVndMsWpl = new("application/vnd.ms-wpl")
    ApplicationVndMsXpsdocument = new("application/vnd.ms-xpsdocument")
    ApplicationVndMseq = new("application/vnd.mseq")
    ApplicationVndMsign = new("application/vnd.msign")
    ApplicationVndMultiadCreator = new("application/vnd.multiad.creator")
    ApplicationVndMultiadCreatorCif = new("application/vnd.multiad.creator.cif")
    ApplicationVndMusicNiff = new("application/vnd.music-niff")
    ApplicationVndMusician = new("application/vnd.musician")
    ApplicationVndMuveeStyle = new("application/vnd.muvee.style")
    ApplicationVndMynfc = new("application/vnd.mynfc")
    ApplicationVndNcdControl = new("application/vnd.ncd.control")
    ApplicationVndNcdReference = new("application/vnd.ncd.reference")
    ApplicationVndNervana = new("application/vnd.nervana")
    ApplicationVndNetfpx = new("application/vnd.netfpx")
    ApplicationVndNeurolanguageNlu = new("application/vnd.neurolanguage.nlu")
    ApplicationVndNintendoNitroRom = new("application/vnd.nintendo.nitro.rom")
    ApplicationVndNitf = new("application/vnd.nitf")
    ApplicationVndNoblenetDirectory = new("application/vnd.noblenet-directory")
    ApplicationVndNoblenetSealer = new("application/vnd.noblenet-sealer")
    ApplicationVndNoblenetWeb = new("application/vnd.noblenet-web")
    ApplicationVndNokiaCatalogs = new("application/vnd.nokia.catalogs")
    ApplicationVndNokiaConmlWbxml = new("application/vnd.nokia.conml+wbxml")
    ApplicationVndNokiaConmlXml = new("application/vnd.nokia.conml+xml")
    ApplicationVndNokiaISDSRadioPresets = new("application/vnd.nokia.iSDS-radio-presets")
    ApplicationVndNokiaIptvConfigXml = new("application/vnd.nokia.iptv.config+xml")
    ApplicationVndNokiaLandmarkWbxml = new("application/vnd.nokia.landmark+wbxml")
    ApplicationVndNokiaLandmarkXml = new("application/vnd.nokia.landmark+xml")
    ApplicationVndNokiaLandmarkcollectionXml = new("application/vnd.nokia.landmarkcollection+xml")
    ApplicationVndNokiaNGageAcXml = new("application/vnd.nokia.n-gage.ac+xml")
    ApplicationVndNokiaNGageData = new("application/vnd.nokia.n-gage.data")
    ApplicationVndNokiaNGageSymbianInstall = new("application/vnd.nokia.n-gage.symbian.install")
    ApplicationVndNokiaNcd = new("application/vnd.nokia.ncd")
    ApplicationVndNokiaPcdWbxml = new("application/vnd.nokia.pcd+wbxml")
    ApplicationVndNokiaPcdXml = new("application/vnd.nokia.pcd+xml")
    ApplicationVndNokiaRadioPreset = new("application/vnd.nokia.radio-preset")
    ApplicationVndNokiaRadioPresets = new("application/vnd.nokia.radio-presets")
    ApplicationVndNovadigmEDM = new("application/vnd.novadigm.EDM")
    ApplicationVndNovadigmEDX = new("application/vnd.novadigm.EDX")
    ApplicationVndNovadigmEXT = new("application/vnd.novadigm.EXT")
    ApplicationVndNttLocalContentShare = new("application/vnd.ntt-local.content-share")
    ApplicationVndNttLocalFileTransfer = new("application/vnd.ntt-local.file-transfer")
    ApplicationVndNttLocalSipTa_remote = new("application/vnd.ntt-local.sip-ta_remote")
    ApplicationVndNttLocalSipTa_tcp_stream = new("application/vnd.ntt-local.sip-ta_tcp_stream")
    ApplicationVndOasisOpendocumentChart = new("application/vnd.oasis.opendocument.chart")
    ApplicationVndOasisOpendocumentChartTemplate = new("application/vnd.oasis.opendocument.chart-template")
    ApplicationVndOasisOpendocumentDatabase = new("application/vnd.oasis.opendocument.database")
    ApplicationVndOasisOpendocumentFormula = new("application/vnd.oasis.opendocument.formula")
    ApplicationVndOasisOpendocumentFormulaTemplate = new("application/vnd.oasis.opendocument.formula-template")
    ApplicationVndOasisOpendocumentGraphics = new("application/vnd.oasis.opendocument.graphics")
    ApplicationVndOasisOpendocumentGraphicsTemplate = new("application/vnd.oasis.opendocument.graphics-template")
    ApplicationVndOasisOpendocumentImage = new("application/vnd.oasis.opendocument.image")
    ApplicationVndOasisOpendocumentImageTemplate = new("application/vnd.oasis.opendocument.image-template")
    ApplicationVndOasisOpendocumentPresentation = new("application/vnd.oasis.opendocument.presentation")
    ApplicationVndOasisOpendocumentPresentationTemplate = new("application/vnd.oasis.opendocument.presentation-template")
    ApplicationVndOasisOpendocumentSpreadsheet = new("application/vnd.oasis.opendocument.spreadsheet")
    ApplicationVndOasisOpendocumentSpreadsheetTemplate = new("application/vnd.oasis.opendocument.spreadsheet-template")
    ApplicationVndOasisOpendocumentText = new("application/vnd.oasis.opendocument.text")
    ApplicationVndOasisOpendocumentTextMaster = new("application/vnd.oasis.opendocument.text-master")
    ApplicationVndOasisOpendocumentTextTemplate = new("application/vnd.oasis.opendocument.text-template")
    ApplicationVndOasisOpendocumentTextWeb = new("application/vnd.oasis.opendocument.text-web")
    ApplicationVndObn = new("application/vnd.obn")
    ApplicationVndOftnL10nJson = new("application/vnd.oftn.l10n+json")
    ApplicationVndOipfContentaccessdownloadXml = new("application/vnd.oipf.contentaccessdownload+xml")
    ApplicationVndOipfContentaccessstreamingXml = new("application/vnd.oipf.contentaccessstreaming+xml")
    ApplicationVndOipfCspgHexbinary = new("application/vnd.oipf.cspg-hexbinary")
    ApplicationVndOipfDaeSvgXml = new("application/vnd.oipf.dae.svg+xml")
    ApplicationVndOipfDaeXhtmlXml = new("application/vnd.oipf.dae.xhtml+xml")
    ApplicationVndOipfMippvcontrolmessageXml = new("application/vnd.oipf.mippvcontrolmessage+xml")
    ApplicationVndOipfPaeGem = new("application/vnd.oipf.pae.gem")
    ApplicationVndOipfSpdiscoveryXml = new("application/vnd.oipf.spdiscovery+xml")
    ApplicationVndOipfSpdlistXml = new("application/vnd.oipf.spdlist+xml")
    ApplicationVndOipfUeprofileXml = new("application/vnd.oipf.ueprofile+xml")
    ApplicationVndOipfUserprofileXml = new("application/vnd.oipf.userprofile+xml")
    ApplicationVndOlpcSugar = new("application/vnd.olpc-sugar")
    ApplicationVndOmaBcastAssociatedProcedureParameterXml = new("application/vnd.oma.bcast.associated-procedure-parameter+xml")
    ApplicationVndOmaBcastDrmTriggerXml = new("application/vnd.oma.bcast.drm-trigger+xml")
    ApplicationVndOmaBcastImdXml = new("application/vnd.oma.bcast.imd+xml")
    ApplicationVndOmaBcastLtkm = new("application/vnd.oma.bcast.ltkm")
    ApplicationVndOmaBcastNotificationXml = new("application/vnd.oma.bcast.notification+xml")
    ApplicationVndOmaBcastProvisioningtrigger = new("application/vnd.oma.bcast.provisioningtrigger")
    ApplicationVndOmaBcastSgboot = new("application/vnd.oma.bcast.sgboot")
    ApplicationVndOmaBcastSgddXml = new("application/vnd.oma.bcast.sgdd+xml")
    ApplicationVndOmaBcastSgdu = new("application/vnd.oma.bcast.sgdu")
    ApplicationVndOmaBcastSimpleSymbolContainer = new("application/vnd.oma.bcast.simple-symbol-container")
    ApplicationVndOmaBcastSmartcardTriggerXml = new("application/vnd.oma.bcast.smartcard-trigger+xml")
    ApplicationVndOmaBcastSprovXml = new("application/vnd.oma.bcast.sprov+xml")
    ApplicationVndOmaBcastStkm = new("application/vnd.oma.bcast.stkm")
    ApplicationVndOmaCabAddressBookXml = new("application/vnd.oma.cab-address-book+xml")
    ApplicationVndOmaCabFeatureHandlerXml = new("application/vnd.oma.cab-feature-handler+xml")
    ApplicationVndOmaCabPccXml = new("application/vnd.oma.cab-pcc+xml")
    ApplicationVndOmaCabSubsInviteXml = new("application/vnd.oma.cab-subs-invite+xml")
    ApplicationVndOmaCabUserPrefsXml = new("application/vnd.oma.cab-user-prefs+xml")
    ApplicationVndOmaDcd = new("application/vnd.oma.dcd")
    ApplicationVndOmaDcdc = new("application/vnd.oma.dcdc")
    ApplicationVndOmaDd2Xml = new("application/vnd.oma.dd2+xml")
    ApplicationVndOmaDrmRisdXml = new("application/vnd.oma.drm.risd+xml")
    ApplicationVndOmaGroupUsageListXml = new("application/vnd.oma.group-usage-list+xml")
    ApplicationVndOmaPalXml = new("application/vnd.oma.pal+xml")
    ApplicationVndOmaPocDetailedProgressReportXml = new("application/vnd.oma.poc.detailed-progress-report+xml")
    ApplicationVndOmaPocFinalReportXml = new("application/vnd.oma.poc.final-report+xml")
    ApplicationVndOmaPocGroupsXml = new("application/vnd.oma.poc.groups+xml")
    ApplicationVndOmaPocInvocationDescriptorXml = new("application/vnd.oma.poc.invocation-descriptor+xml")
    ApplicationVndOmaPocOptimizedProgressReportXml = new("application/vnd.oma.poc.optimized-progress-report+xml")
    ApplicationVndOmaPush = new("application/vnd.oma.push")
    ApplicationVndOmaScidmMessagesXml = new("application/vnd.oma.scidm.messages+xml")
    ApplicationVndOmaScwsConfig = new("application/vnd.oma-scws-config")
    ApplicationVndOmaScwsHttpRequest = new("application/vnd.oma-scws-http-request")
    ApplicationVndOmaScwsHttpResponse = new("application/vnd.oma-scws-http-response")
    ApplicationVndOmaXcapDirectoryXml = new("application/vnd.oma.xcap-directory+xml")
    ApplicationVndOmadsEmailXml = new("application/vnd.omads-email+xml")
    ApplicationVndOmadsFileXml = new("application/vnd.omads-file+xml")
    ApplicationVndOmadsFolderXml = new("application/vnd.omads-folder+xml")
    ApplicationVndOmalocSuplInit = new("application/vnd.omaloc-supl-init")
    ApplicationVndOpenofficeorgExtension = new("application/vnd.openofficeorg.extension")
    ApplicationVndOpenxmlformatsOfficedocumentCustomPropertiesXml = new("application/vnd.openxmlformats-officedocument.custom-properties+xml")
    ApplicationVndOpenxmlformatsOfficedocumentCustomXmlPropertiesXml = new("application/vnd.openxmlformats-officedocument.customXmlProperties+xml")
    ApplicationVndOpenxmlformatsOfficedocumentDrawingXml = new("application/vnd.openxmlformats-officedocument.drawing+xml")
    ApplicationVndOpenxmlformatsOfficedocumentDrawingmlChartXml = new("application/vnd.openxmlformats-officedocument.drawingml.chart+xml")
    ApplicationVndOpenxmlformatsOfficedocumentDrawingmlChartshapesXml = new("application/vnd.openxmlformats-officedocument.drawingml.chartshapes+xml")
    ApplicationVndOpenxmlformatsOfficedocumentDrawingmlDiagramColorsXml = new("application/vnd.openxmlformats-officedocument.drawingml.diagramColors+xml")
    ApplicationVndOpenxmlformatsOfficedocumentDrawingmlDiagramDataXml = new("application/vnd.openxmlformats-officedocument.drawingml.diagramData+xml")
    ApplicationVndOpenxmlformatsOfficedocumentDrawingmlDiagramLayoutXml = new("application/vnd.openxmlformats-officedocument.drawingml.diagramLayout+xml")
    ApplicationVndOpenxmlformatsOfficedocumentDrawingmlDiagramStyleXml = new("application/vnd.openxmlformats-officedocument.drawingml.diagramStyle+xml")
    ApplicationVndOpenxmlformatsOfficedocumentExtendedPropertiesXml = new("application/vnd.openxmlformats-officedocument.extended-properties+xml")
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlCommentAuthorsXml = new("application/vnd.openxmlformats-officedocument.presentationml.commentAuthors+xml")
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlCommentsXml = new("application/vnd.openxmlformats-officedocument.presentationml.comments+xml")
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlHandoutMasterXml = new("application/vnd.openxmlformats-officedocument.presentationml.handoutMaster+xml")
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlNotesMasterXml = new("application/vnd.openxmlformats-officedocument.presentationml.notesMaster+xml")
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlNotesSlideXml = new("application/vnd.openxmlformats-officedocument.presentationml.notesSlide+xml")
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlPresPropsXml = new("application/vnd.openxmlformats-officedocument.presentationml.presProps+xml")
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlPresentation = new("application/vnd.openxmlformats-officedocument.presentationml.presentation")
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlPresentationMainXml = new("application/vnd.openxmlformats-officedocument.presentationml.presentation.main+xml")
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlSlide = new("application/vnd.openxmlformats-officedocument.presentationml.slide")
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlSlideLayoutXml = new("application/vnd.openxmlformats-officedocument.presentationml.slideLayout+xml")
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlSlideMasterXml = new("application/vnd.openxmlformats-officedocument.presentationml.slideMaster+xml")
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlSlideUpdateInfoXml = new("application/vnd.openxmlformats-officedocument.presentationml.slideUpdateInfo+xml")
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlSlideXml = new("application/vnd.openxmlformats-officedocument.presentationml.slide+xml")
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlSlideshow = new("application/vnd.openxmlformats-officedocument.presentationml.slideshow")
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlSlideshowMainXml = new("application/vnd.openxmlformats-officedocument.presentationml.slideshow.main+xml")
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlTableStylesXml = new("application/vnd.openxmlformats-officedocument.presentationml.tableStyles+xml")
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlTagsXml = new("application/vnd.openxmlformats-officedocument.presentationml.tags+xml")
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlTemplate = new("application/vnd.openxmlformats-officedocument.presentationml.template")
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlTemplateMainXml = new("application/vnd.openxmlformats-officedocument.presentationml.template.main+xml")
    ApplicationVndOpenxmlformatsOfficedocumentPresentationmlViewPropsXml = new("application/vnd.openxmlformats-officedocument.presentationml.viewProps+xml")
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlCalcChainXml = new("application/vnd.openxmlformats-officedocument.spreadsheetml.calcChain+xml")
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlChartsheetXml = new("application/vnd.openxmlformats-officedocument.spreadsheetml.chartsheet+xml")
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlCommentsXml = new("application/vnd.openxmlformats-officedocument.spreadsheetml.comments+xml")
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlConnectionsXml = new("application/vnd.openxmlformats-officedocument.spreadsheetml.connections+xml")
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlDialogsheetXml = new("application/vnd.openxmlformats-officedocument.spreadsheetml.dialogsheet+xml")
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlExternalLinkXml = new("application/vnd.openxmlformats-officedocument.spreadsheetml.externalLink+xml")
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlPivotCacheDefinitionXml = new("application/vnd.openxmlformats-officedocument.spreadsheetml.pivotCacheDefinition+xml")
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlPivotCacheRecordsXml = new("application/vnd.openxmlformats-officedocument.spreadsheetml.pivotCacheRecords+xml")
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlPivotTableXml = new("application/vnd.openxmlformats-officedocument.spreadsheetml.pivotTable+xml")
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlQueryTableXml = new("application/vnd.openxmlformats-officedocument.spreadsheetml.queryTable+xml")
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlRevisionHeadersXml = new("application/vnd.openxmlformats-officedocument.spreadsheetml.revisionHeaders+xml")
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlRevisionLogXml = new("application/vnd.openxmlformats-officedocument.spreadsheetml.revisionLog+xml")
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlSharedStringsXml = new("application/vnd.openxmlformats-officedocument.spreadsheetml.sharedStrings+xml")
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlSheet = new("application/vnd.openxmlformats-officedocument.spreadsheetml.sheet")
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlSheetMainXml = new("application/vnd.openxmlformats-officedocument.spreadsheetml.sheet.main+xml")
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlSheetMetadataXml = new("application/vnd.openxmlformats-officedocument.spreadsheetml.sheetMetadata+xml")
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlStylesXml = new("application/vnd.openxmlformats-officedocument.spreadsheetml.styles+xml")
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlTableSingleCellsXml = new("application/vnd.openxmlformats-officedocument.spreadsheetml.tableSingleCells+xml")
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlTableXml = new("application/vnd.openxmlformats-officedocument.spreadsheetml.table+xml")
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlTemplate = new("application/vnd.openxmlformats-officedocument.spreadsheetml.template")
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlTemplateMainXml = new("application/vnd.openxmlformats-officedocument.spreadsheetml.template.main+xml")
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlUserNamesXml = new("application/vnd.openxmlformats-officedocument.spreadsheetml.userNames+xml")
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlVolatileDependenciesXml = new("application/vnd.openxmlformats-officedocument.spreadsheetml.volatileDependencies+xml")
    ApplicationVndOpenxmlformatsOfficedocumentSpreadsheetmlWorksheetXml = new("application/vnd.openxmlformats-officedocument.spreadsheetml.worksheet+xml")
    ApplicationVndOpenxmlformatsOfficedocumentThemeOverrideXml = new("application/vnd.openxmlformats-officedocument.themeOverride+xml")
    ApplicationVndOpenxmlformatsOfficedocumentThemeXml = new("application/vnd.openxmlformats-officedocument.theme+xml")
    ApplicationVndOpenxmlformatsOfficedocumentVmlDrawing = new("application/vnd.openxmlformats-officedocument.vmlDrawing")
    ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlCommentsXml = new("application/vnd.openxmlformats-officedocument.wordprocessingml.comments+xml")
    ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlDocument = new("application/vnd.openxmlformats-officedocument.wordprocessingml.document")
    ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlDocumentGlossaryXml = new("application/vnd.openxmlformats-officedocument.wordprocessingml.document.glossary+xml")
    ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlDocumentMainXml = new("application/vnd.openxmlformats-officedocument.wordprocessingml.document.main+xml")
    ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlEndnotesXml = new("application/vnd.openxmlformats-officedocument.wordprocessingml.endnotes+xml")
    ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlFontTableXml = new("application/vnd.openxmlformats-officedocument.wordprocessingml.fontTable+xml")
    ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlFooterXml = new("application/vnd.openxmlformats-officedocument.wordprocessingml.footer+xml")
    ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlFootnotesXml = new("application/vnd.openxmlformats-officedocument.wordprocessingml.footnotes+xml")
    ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlNumberingXml = new("application/vnd.openxmlformats-officedocument.wordprocessingml.numbering+xml")
    ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlSettingsXml = new("application/vnd.openxmlformats-officedocument.wordprocessingml.settings+xml")
    ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlStylesXml = new("application/vnd.openxmlformats-officedocument.wordprocessingml.styles+xml")
    ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlTemplate = new("application/vnd.openxmlformats-officedocument.wordprocessingml.template")
    ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlTemplateMainXml = new("application/vnd.openxmlformats-officedocument.wordprocessingml.template.main+xml")
    ApplicationVndOpenxmlformatsOfficedocumentWordprocessingmlWebSettingsXml = new("application/vnd.openxmlformats-officedocument.wordprocessingml.webSettings+xml")
    ApplicationVndOpenxmlformatsPackageCorePropertiesXml = new("application/vnd.openxmlformats-package.core-properties+xml")
    ApplicationVndOpenxmlformatsPackageDigitalSignatureXmlsignatureXml = new("application/vnd.openxmlformats-package.digital-signature-xmlsignature+xml")
    ApplicationVndOpenxmlformatsPackageRelationshipsXml = new("application/vnd.openxmlformats-package.relationships+xml")
    ApplicationVndOrangeIndata = new("application/vnd.orange.indata")
    ApplicationVndOsaNetdeploy = new("application/vnd.osa.netdeploy")
    ApplicationVndOsgeoMapguidePackage = new("application/vnd.osgeo.mapguide.package")
    ApplicationVndOsgiBundle = new("application/vnd.osgi.bundle")
    ApplicationVndOsgiDp = new("application/vnd.osgi.dp")
    ApplicationVndOsgiSubsystem = new("application/vnd.osgi.subsystem")
    ApplicationVndOtpsCtKipXml = new("application/vnd.otps.ct-kip+xml")
    ApplicationVndPalm = new("application/vnd.palm")
    ApplicationVndPaosXml = new("application/vnd.paos.xml")
    ApplicationVndPawaafile = new("application/vnd.pawaafile")
    ApplicationVndPgFormat = new("application/vnd.pg.format")
    ApplicationVndPgOsasli = new("application/vnd.pg.osasli")
    ApplicationVndPiaccessApplicationLicence = new("application/vnd.piaccess.application-licence")
    ApplicationVndPicsel = new("application/vnd.picsel")
    ApplicationVndPmiWidget = new("application/vnd.pmi.widget")
    ApplicationVndPocGroupAdvertisementXml = new("application/vnd.poc.group-advertisement+xml")
    ApplicationVndPocketlearn = new("application/vnd.pocketlearn")
    ApplicationVndPowerbuilder6 = new("application/vnd.powerbuilder6")
    ApplicationVndPowerbuilder6S = new("application/vnd.powerbuilder6-s")
    ApplicationVndPowerbuilder7 = new("application/vnd.powerbuilder7")
    ApplicationVndPowerbuilder75 = new("application/vnd.powerbuilder75")
    ApplicationVndPowerbuilder75S = new("application/vnd.powerbuilder75-s")
    ApplicationVndPowerbuilder7S = new("application/vnd.powerbuilder7-s")
    ApplicationVndPreminet = new("application/vnd.preminet")
    ApplicationVndPreviewsystemsBox = new("application/vnd.previewsystems.box")
    ApplicationVndProteusMagazine = new("application/vnd.proteus.magazine")
    ApplicationVndPublishareDeltaTree = new("application/vnd.publishare-delta-tree")
    ApplicationVndPviPtid1 = new("application/vnd.pvi.ptid1")
    ApplicationVndPwgMultiplexed = new("application/vnd.pwg-multiplexed")
    ApplicationVndPwgXhtmlPrintXml = new("application/vnd.pwg-xhtml-print+xml")
    ApplicationVndQualcommBrewAppRes = new("application/vnd.qualcomm.brew-app-res")
    ApplicationVndQuarkQuarkXPress = new("application/vnd.Quark.QuarkXPress")
    ApplicationVndQuobjectQuoxdocument = new("application/vnd.quobject-quoxdocument")
    ApplicationVndRadisysMomlXml = new("application/vnd.radisys.moml+xml")
    ApplicationVndRadisysMsmlAuditConfXml = new("application/vnd.radisys.msml-audit-conf+xml")
    ApplicationVndRadisysMsmlAuditConnXml = new("application/vnd.radisys.msml-audit-conn+xml")
    ApplicationVndRadisysMsmlAuditDialogXml = new("application/vnd.radisys.msml-audit-dialog+xml")
    ApplicationVndRadisysMsmlAuditStreamXml = new("application/vnd.radisys.msml-audit-stream+xml")
    ApplicationVndRadisysMsmlAuditXml = new("application/vnd.radisys.msml-audit+xml")
    ApplicationVndRadisysMsmlConfXml = new("application/vnd.radisys.msml-conf+xml")
    ApplicationVndRadisysMsmlDialogBaseXml = new("application/vnd.radisys.msml-dialog-base+xml")
    ApplicationVndRadisysMsmlDialogFaxDetectXml = new("application/vnd.radisys.msml-dialog-fax-detect+xml")
    ApplicationVndRadisysMsmlDialogFaxSendrecvXml = new("application/vnd.radisys.msml-dialog-fax-sendrecv+xml")
    ApplicationVndRadisysMsmlDialogGroupXml = new("application/vnd.radisys.msml-dialog-group+xml")
    ApplicationVndRadisysMsmlDialogSpeechXml = new("application/vnd.radisys.msml-dialog-speech+xml")
    ApplicationVndRadisysMsmlDialogTransformXml = new("application/vnd.radisys.msml-dialog-transform+xml")
    ApplicationVndRadisysMsmlDialogXml = new("application/vnd.radisys.msml-dialog+xml")
    ApplicationVndRadisysMsmlXml = new("application/vnd.radisys.msml+xml")
    ApplicationVndRainstorData = new("application/vnd.rainstor.data")
    ApplicationVndRapid = new("application/vnd.rapid")
    ApplicationVndRealvncBed = new("application/vnd.realvnc.bed")
    ApplicationVndRecordareMusicxml = new("application/vnd.recordare.musicxml")
    ApplicationVndRecordareMusicxmlXml = new("application/vnd.recordare.musicxml+xml")
    ApplicationVndRenLearnRlprint = new("application/vnd.RenLearn.rlprint")
    ApplicationVndRigCryptonote = new("application/vnd.rig.cryptonote")
    ApplicationVndRoute66Link66Xml = new("application/vnd.route66.link66+xml")
    ApplicationVndRs274x = new("application/vnd.rs-274x")
    ApplicationVndRuckusDownload = new("application/vnd.ruckus.download")
    ApplicationVndS3sms = new("application/vnd.s3sms")
    ApplicationVndSailingtrackerTrack = new("application/vnd.sailingtracker.track")
    ApplicationVndSbmCid = new("application/vnd.sbm.cid")
    ApplicationVndSbmMid2 = new("application/vnd.sbm.mid2")
    ApplicationVndScribus = new("application/vnd.scribus")
    ApplicationVndSealed3df = new("application/vnd.sealed.3df")
    ApplicationVndSealedCsf = new("application/vnd.sealed.csf")
    ApplicationVndSealedDoc = new("application/vnd.sealed.doc")
    ApplicationVndSealedEml = new("application/vnd.sealed.eml")
    ApplicationVndSealedMht = new("application/vnd.sealed.mht")
    ApplicationVndSealedNet = new("application/vnd.sealed.net")
    ApplicationVndSealedPpt = new("application/vnd.sealed.ppt")
    ApplicationVndSealedTiff = new("application/vnd.sealed.tiff")
    ApplicationVndSealedXls = new("application/vnd.sealed.xls")
    ApplicationVndSealedmediaSoftsealHtml = new("application/vnd.sealedmedia.softseal.html")
    ApplicationVndSealedmediaSoftsealPdf = new("application/vnd.sealedmedia.softseal.pdf")
    ApplicationVndSeemail = new("application/vnd.seemail")
    ApplicationVndSema = new("application/vnd.sema")
    ApplicationVndSemd = new("application/vnd.semd")
    ApplicationVndSemf = new("application/vnd.semf")
    ApplicationVndShanaInformedFormdata = new("application/vnd.shana.informed.formdata")
    ApplicationVndShanaInformedFormtemplate = new("application/vnd.shana.informed.formtemplate")
    ApplicationVndShanaInformedInterchange = new("application/vnd.shana.informed.interchange")
    ApplicationVndShanaInformedPackage = new("application/vnd.shana.informed.package")
    ApplicationVndSimTechMindMapper = new("application/vnd.SimTech-MindMapper")
    ApplicationVndSmaf = new("application/vnd.smaf")
    ApplicationVndSmartNotebook = new("application/vnd.smart.notebook")
    ApplicationVndSmartTeacher = new("application/vnd.smart.teacher")
    ApplicationVndSoftware602FillerFormXml = new("application/vnd.software602.filler.form+xml")
    ApplicationVndSoftware602FillerFormXmlZip = new("application/vnd.software602.filler.form-xml-zip")
    ApplicationVndSolentSdkmXml = new("application/vnd.solent.sdkm+xml")
    ApplicationVndSpotfireDxp = new("application/vnd.spotfire.dxp")
    ApplicationVndSpotfireSfs = new("application/vnd.spotfire.sfs")
    ApplicationVndSssCod = new("application/vnd.sss-cod")
    ApplicationVndSssDtf = new("application/vnd.sss-dtf")
    ApplicationVndSssNtf = new("application/vnd.sss-ntf")
    ApplicationVndStepmaniaPackage = new("application/vnd.stepmania.package")
    ApplicationVndStepmaniaStepchart = new("application/vnd.stepmania.stepchart")
    ApplicationVndStreetStream = new("application/vnd.street-stream")
    ApplicationVndSunWadlXml = new("application/vnd.sun.wadl+xml")
    ApplicationVndSusCalendar = new("application/vnd.sus-calendar")
    ApplicationVndSvd = new("application/vnd.svd")
    ApplicationVndSwiftviewIcs = new("application/vnd.swiftview-ics")
    ApplicationVndSyncmlDmNotification = new("application/vnd.syncml.dm.notification")
    ApplicationVndSyncmlDmWbxml = new("application/vnd.syncml.dm+wbxml")
    ApplicationVndSyncmlDmXml = new("application/vnd.syncml.dm+xml")
    ApplicationVndSyncmlDmddfWbxml = new("application/vnd.syncml.dmddf+wbxml")
    ApplicationVndSyncmlDmddfXml = new("application/vnd.syncml.dmddf+xml")
    ApplicationVndSyncmlDmtndsWbxml = new("application/vnd.syncml.dmtnds+wbxml")
    ApplicationVndSyncmlDmtndsXml = new("application/vnd.syncml.dmtnds+xml")
    ApplicationVndSyncmlDsNotification = new("application/vnd.syncml.ds.notification")
    ApplicationVndSyncmlXml = new("application/vnd.syncml+xml")
    ApplicationVndTaoIntentModuleArchive = new("application/vnd.tao.intent-module-archive")
    ApplicationVndTcpdumpPcap = new("application/vnd.tcpdump.pcap")
    ApplicationVndTmobileLivetv = new("application/vnd.tmobile-livetv")
    ApplicationVndTridTpt = new("application/vnd.trid.tpt")
    ApplicationVndTriscapeMxs = new("application/vnd.triscape.mxs")
    ApplicationVndTrueapp = new("application/vnd.trueapp")
    ApplicationVndTruedoc = new("application/vnd.truedoc")
    ApplicationVndUbisoftWebplayer = new("application/vnd.ubisoft.webplayer")
    ApplicationVndUfdl = new("application/vnd.ufdl")
    ApplicationVndUiqTheme = new("application/vnd.uiq.theme")
    ApplicationVndUmajin = new("application/vnd.umajin")
    ApplicationVndUnity = new("application/vnd.unity")
    ApplicationVndUomlXml = new("application/vnd.uoml+xml")
    ApplicationVndUplanetAlert = new("application/vnd.uplanet.alert")
    ApplicationVndUplanetAlertWbxml = new("application/vnd.uplanet.alert-wbxml")
    ApplicationVndUplanetBearerChoice = new("application/vnd.uplanet.bearer-choice")
    ApplicationVndUplanetBearerChoiceWbxml = new("application/vnd.uplanet.bearer-choice-wbxml")
    ApplicationVndUplanetCacheop = new("application/vnd.uplanet.cacheop")
    ApplicationVndUplanetCacheopWbxml = new("application/vnd.uplanet.cacheop-wbxml")
    ApplicationVndUplanetChannel = new("application/vnd.uplanet.channel")
    ApplicationVndUplanetChannelWbxml = new("application/vnd.uplanet.channel-wbxml")
    ApplicationVndUplanetList = new("application/vnd.uplanet.list")
    ApplicationVndUplanetListWbxml = new("application/vnd.uplanet.list-wbxml")
    ApplicationVndUplanetListcmd = new("application/vnd.uplanet.listcmd")
    ApplicationVndUplanetListcmdWbxml = new("application/vnd.uplanet.listcmd-wbxml")
    ApplicationVndUplanetSignal = new("application/vnd.uplanet.signal")
    ApplicationVndVcx = new("application/vnd.vcx")
    ApplicationVndVdStudy = new("application/vnd.vd-study")
    ApplicationVndVectorworks = new("application/vnd.vectorworks")
    ApplicationVndVerimatrixVcas = new("application/vnd.verimatrix.vcas")
    ApplicationVndVidsoftVidconference = new("application/vnd.vidsoft.vidconference")
    ApplicationVndVisio = new("application/vnd.visio")
    ApplicationVndVisionary = new("application/vnd.visionary")
    ApplicationVndVividenceScriptfile = new("application/vnd.vividence.scriptfile")
    ApplicationVndVsf = new("application/vnd.vsf")
    ApplicationVndWapSic = new("application/vnd.wap.sic")
    ApplicationVndWapSlc = new("application/vnd.wap.slc")
    ApplicationVndWapWbxml = new("application/vnd.wap.wbxml")
    ApplicationVndWapWmlc = new("application/vnd.wap.wmlc")
    ApplicationVndWapWmlscriptc = new("application/vnd.wap.wmlscriptc")
    ApplicationVndWebturbo = new("application/vnd.webturbo")
    ApplicationVndWfaWsc = new("application/vnd.wfa.wsc")
    ApplicationVndWmc = new("application/vnd.wmc")
    ApplicationVndWmfBootstrap = new("application/vnd.wmf.bootstrap")
    ApplicationVndWolframMathematica = new("application/vnd.wolfram.mathematica")
    ApplicationVndWolframMathematicaPackage = new("application/vnd.wolfram.mathematica.package")
    ApplicationVndWolframPlayer = new("application/vnd.wolfram.player")
    ApplicationVndWordperfect = new("application/vnd.wordperfect")
    ApplicationVndWqd = new("application/vnd.wqd")
    ApplicationVndWrqHp3000Labelled = new("application/vnd.wrq-hp3000-labelled")
    ApplicationVndWtStf = new("application/vnd.wt.stf")
    ApplicationVndWvCspWbxml = new("application/vnd.wv.csp+wbxml")
    ApplicationVndWvCspXml = new("application/vnd.wv.csp+xml")
    ApplicationVndWvSspXml = new("application/vnd.wv.ssp+xml")
    ApplicationVndXara = new("application/vnd.xara")
    ApplicationVndXfdl = new("application/vnd.xfdl")
    ApplicationVndXfdlWebform = new("application/vnd.xfdl.webform")
    ApplicationVndXmiXml = new("application/vnd.xmi+xml")
    ApplicationVndXmpieCpkg = new("application/vnd.xmpie.cpkg")
    ApplicationVndXmpieDpkg = new("application/vnd.xmpie.dpkg")
    ApplicationVndXmpiePlan = new("application/vnd.xmpie.plan")
    ApplicationVndXmpiePpkg = new("application/vnd.xmpie.ppkg")
    ApplicationVndXmpieXlim = new("application/vnd.xmpie.xlim")
    ApplicationVndYamahaHvDic = new("application/vnd.yamaha.hv-dic")
    ApplicationVndYamahaHvScript = new("application/vnd.yamaha.hv-script")
    ApplicationVndYamahaHvVoice = new("application/vnd.yamaha.hv-voice")
    ApplicationVndYamahaOpenscoreformat = new("application/vnd.yamaha.openscoreformat")
    ApplicationVndYamahaOpenscoreformatOsfpvgXml = new("application/vnd.yamaha.openscoreformat.osfpvg+xml")
    ApplicationVndYamahaRemoteSetup = new("application/vnd.yamaha.remote-setup")
    ApplicationVndYamahaSmafAudio = new("application/vnd.yamaha.smaf-audio")
    ApplicationVndYamahaSmafPhrase = new("application/vnd.yamaha.smaf-phrase")
    ApplicationVndYamahaThroughNgn = new("application/vnd.yamaha.through-ngn")
    ApplicationVndYamahaTunnelUdpencap = new("application/vnd.yamaha.tunnel-udpencap")
    ApplicationVndYellowriverCustomMenu = new("application/vnd.yellowriver-custom-menu")
    ApplicationVndZul = new("application/vnd.zul")
    ApplicationVndZzazzDeckXml = new("application/vnd.zzazz.deck+xml")
    ApplicationVoicexmlXml = new("application/voicexml+xml")
    ApplicationVqRtcpxr = new("application/vq-rtcpxr")
    ApplicationWatcherinfoXml = new("application/watcherinfo+xml")
    ApplicationWhoisppQuery = new("application/whoispp-query")
    ApplicationWhoisppResponse = new("application/whoispp-response")
    ApplicationWidget = new("application/widget")
    ApplicationWita = new("application/wita")
    ApplicationWordperfect51 = new("application/wordperfect5.1")
    ApplicationWsdlXml = new("application/wsdl+xml")
    ApplicationWspolicyXml = new("application/wspolicy+xml")
    ApplicationX400Bp = new("application/x400-bp")
    ApplicationXcapAttXml = new("application/xcap-att+xml")
    ApplicationXcapCapsXml = new("application/xcap-caps+xml")
    ApplicationXcapDiffXml = new("application/xcap-diff+xml")
    ApplicationXcapElXml = new("application/xcap-el+xml")
    ApplicationXcapErrorXml = new("application/xcap-error+xml")
    ApplicationXcapNsXml = new("application/xcap-ns+xml")
    ApplicationXconConferenceInfoDiffXml = new("application/xcon-conference-info-diff+xml")
    ApplicationXconConferenceInfoXml = new("application/xcon-conference-info+xml")
    ApplicationXencXml = new("application/xenc+xml")
    ApplicationXhtmlVoiceXmlObsolete = new("application/xhtml-voice+xml (Obsolete)")
    ApplicationXhtmlXml = new("application/xhtml+xml")
    ApplicationXml = new("application/xml")
    ApplicationXmlDtd = new("application/xml-dtd")
    ApplicationXmlExternalParsedEntity = new("application/xml-external-parsed-entity")
    ApplicationXmppXml = new("application/xmpp+xml")
    ApplicationXopXml = new("application/xop+xml")
    ApplicationXsltXml = new("application/xslt+xml")
    ApplicationXvXml = new("application/xv+xml")
    ApplicationYang = new("application/yang")
    ApplicationYinXml = new("application/yin+xml")
    ApplicationZip = new("application/zip")
    ApplicationZlib = new("application/zlib")
    Audio1dInterleavedParityfec = new("audio/1d-interleaved-parityfec")
    Audio32kadpcm = new("audio/32kadpcm")
    Audio3gpp = new("audio/3gpp")
    Audio3gpp2 = new("audio/3gpp2")
    AudioAMR = new("audio/AMR")
    AudioAMRWB = new("audio/AMR-WB")
    AudioATRAC3 = new("audio/ATRAC3")
    AudioATRACADVANCEDLOSSLESS = new("audio/ATRAC-ADVANCED-LOSSLESS")
    AudioATRACX = new("audio/ATRAC-X")
    AudioAc3 = new("audio/ac3")
    AudioAmrWb = new("audio/amr-wb+")
    AudioAsc = new("audio/asc")
    AudioBV16 = new("audio/BV16")
    AudioBV32 = new("audio/BV32")
    AudioBasic = new("audio/basic")
    AudioCN = new("audio/CN")
    AudioClearmode = new("audio/clearmode")
    AudioDAT12 = new("audio/DAT12")
    AudioDV = new("audio/DV")
    AudioDVI4 = new("audio/DVI4")
    AudioDls = new("audio/dls")
    AudioDsrEs201108 = new("audio/dsr-es201108")
    AudioDsrEs202050 = new("audio/dsr-es202050")
    AudioDsrEs202211 = new("audio/dsr-es202211")
    AudioDsrEs202212 = new("audio/dsr-es202212")
    AudioEVRC = new("audio/EVRC")
    AudioEVRC0 = new("audio/EVRC0")
    AudioEVRC1 = new("audio/EVRC1")
    AudioEVRCB = new("audio/EVRCB")
    AudioEVRCB0 = new("audio/EVRCB0")
    AudioEVRCB1 = new("audio/EVRCB1")
    AudioEVRCQCP = new("audio/EVRC-QCP")
    AudioEVRCWB = new("audio/EVRCWB")
    AudioEVRCWB0 = new("audio/EVRCWB0")
    AudioEVRCWB1 = new("audio/EVRCWB1")
    AudioEac3 = new("audio/eac3")
    AudioExample = new("audio/example")
    AudioFwdred = new("audio/fwdred")
    AudioG719 = new("audio/G719")
    AudioG722 = new("audio/G722")
    AudioG7221 = new("audio/G7221")
    AudioG723 = new("audio/G723")
    AudioG72616 = new("audio/G726-16")
    AudioG72624 = new("audio/G726-24")
    AudioG72632 = new("audio/G726-32")
    AudioG72640 = new("audio/G726-40")
    AudioG728 = new("audio/G728")
    AudioG729 = new("audio/G729")
    AudioG7291 = new("audio/G7291")
    AudioG729D = new("audio/G729D")
    AudioG729E = new("audio/G729E")
    AudioGSM = new("audio/GSM")
    AudioGSMEFR = new("audio/GSM-EFR")
    AudioGSMHR08 = new("audio/GSM-HR-08")
    AudioILBC = new("audio/iLBC")
    AudioIpMr_v25 = new("audio/ip-mr_v2.5")
    AudioL16 = new("audio/L16")
    AudioL20 = new("audio/L20")
    AudioL24 = new("audio/L24")
    AudioL8 = new("audio/L8")
    AudioLPC = new("audio/LPC")
    AudioMP4ALATM = new("audio/MP4A-LATM")
    AudioMPA = new("audio/MPA")
    AudioMobileXmf = new("audio/mobile-xmf")
    AudioMp4 = new("audio/mp4")
    AudioMpaRobust = new("audio/mpa-robust")
    AudioMpeg = new("audio/mpeg")
    AudioMpeg4Generic = new("audio/mpeg4-generic")
    AudioOgg = new("audio/ogg")
    AudioPCMA = new("audio/PCMA")
    AudioPCMAWB = new("audio/PCMA-WB")
    AudioPCMU = new("audio/PCMU")
    AudioPCMUWB = new("audio/PCMU-WB")
    AudioParityfec = new("audio/parityfec")
    AudioPrsSid = new("audio/prs.sid")
    AudioQCELP = new("audio/QCELP")
    AudioRED = new("audio/RED")
    AudioRaptorfec = new("audio/raptorfec")
    AudioRtpEncAescm128 = new("audio/rtp-enc-aescm128")
    AudioRtpMidi = new("audio/rtp-midi")
    AudioRtx = new("audio/rtx")
    AudioSMV = new("audio/SMV")
    AudioSMV0 = new("audio/SMV0")
    AudioSMVQCP = new("audio/SMV-QCP")
    AudioSpMidi = new("audio/sp-midi")
    AudioSpeex = new("audio/speex")
    AudioT140c = new("audio/t140c")
    AudioT38 = new("audio/t38")
    AudioTelephoneEvent = new("audio/telephone-event")
    AudioTone = new("audio/tone")
    AudioUEMCLIP = new("audio/UEMCLIP")
    AudioUlpfec = new("audio/ulpfec")
    AudioVDVI = new("audio/VDVI")
    AudioVMRWB = new("audio/VMR-WB")
    AudioVnd3gppIufp = new("audio/vnd.3gpp.iufp")
    AudioVnd4SB = new("audio/vnd.4SB")
    AudioVndAudiokoz = new("audio/vnd.audiokoz")
    AudioVndCELP = new("audio/vnd.CELP")
    AudioVndCiscoNse = new("audio/vnd.cisco.nse")
    AudioVndCmlesRadioEvents = new("audio/vnd.cmles.radio-events")
    AudioVndCnsAnp1 = new("audio/vnd.cns.anp1")
    AudioVndCnsInf1 = new("audio/vnd.cns.inf1")
    AudioVndDeceAudio = new("audio/vnd.dece.audio")
    AudioVndDigitalWinds = new("audio/vnd.digital-winds")
    AudioVndDlnaAdts = new("audio/vnd.dlna.adts")
    AudioVndDolbyHeaac1 = new("audio/vnd.dolby.heaac.1")
    AudioVndDolbyHeaac2 = new("audio/vnd.dolby.heaac.2")
    AudioVndDolbyMlp = new("audio/vnd.dolby.mlp")
    AudioVndDolbyMps = new("audio/vnd.dolby.mps")
    AudioVndDolbyPl2 = new("audio/vnd.dolby.pl2")
    AudioVndDolbyPl2x = new("audio/vnd.dolby.pl2x")
    AudioVndDolbyPl2z = new("audio/vnd.dolby.pl2z")
    AudioVndDolbyPulse1 = new("audio/vnd.dolby.pulse.1")
    AudioVndDra = new("audio/vnd.dra")
    AudioVndDts = new("audio/vnd.dts")
    AudioVndDtsHd = new("audio/vnd.dts.hd")
    AudioVndDvbFile = new("audio/vnd.dvb.file")
    AudioVndEveradPlj = new("audio/vnd.everad.plj")
    AudioVndHnsAudio = new("audio/vnd.hns.audio")
    AudioVndLucentVoice = new("audio/vnd.lucent.voice")
    AudioVndMsPlayreadyMediaPya = new("audio/vnd.ms-playready.media.pya")
    AudioVndNokiaMobileXmf = new("audio/vnd.nokia.mobile-xmf")
    AudioVndNortelVbk = new("audio/vnd.nortel.vbk")
    AudioVndNueraEcelp4800 = new("audio/vnd.nuera.ecelp4800")
    AudioVndNueraEcelp7470 = new("audio/vnd.nuera.ecelp7470")
    AudioVndNueraEcelp9600 = new("audio/vnd.nuera.ecelp9600")
    AudioVndOctelSbc = new("audio/vnd.octel.sbc")
    AudioVndQcelpDEPRECATEDPleaseUseAudioQcelp = new("audio/vnd.qcelp - DEPRECATED - Please use audio/qcelp")
    AudioVndRhetorex32kadpcm = new("audio/vnd.rhetorex.32kadpcm")
    AudioVndRip = new("audio/vnd.rip")
    AudioVndSealedmediaSoftsealMpeg = new("audio/vnd.sealedmedia.softseal.mpeg")
    AudioVndVmxCvsd = new("audio/vnd.vmx.cvsd")
    AudioVorbis = new("audio/vorbis")
    AudioVorbisConfig = new("audio/vorbis-config")
    ImageCgm = new("image/cgm")
    ImageExample = new("image/example")
    ImageFits = new("image/fits")
    ImageG3fax = new("image/g3fax")
    ImageGif = new("image/gif")
    ImageIef = new("image/ief")
    ImageJp2 = new("image/jp2")
    ImageJpeg = new("image/jpeg")
    ImageJpm = new("image/jpm")
    ImageJpx = new("image/jpx")
    ImageKtx = new("image/ktx")
    ImageNaplps = new("image/naplps")
    ImagePng = new("image/png")
    ImagePrsBtif = new("image/prs.btif")
    ImagePrsPti = new("image/prs.pti")
    ImagePwgRaster = new("image/pwg-raster")
    ImageSvgXml = new("image/svg+xml")
    ImageT38 = new("image/t38")
    ImageTiff = new("image/tiff")
    ImageTiffFx = new("image/tiff-fx")
    ImageVndAdobePhotoshop = new("image/vnd.adobe.photoshop")
    ImageVndAirzipAcceleratorAzv = new("image/vnd.airzip.accelerator.azv")
    ImageVndCnsInf2 = new("image/vnd.cns.inf2")
    ImageVndDeceGraphic = new("image/vnd.dece.graphic")
    ImageVndDjvu = new("image/vnd.djvu")
    ImageVndDvbSubtitle = new("image/vnd.dvb.subtitle")
    ImageVndDwg = new("image/vnd.dwg")
    ImageVndDxf = new("image/vnd.dxf")
    ImageVndFastbidsheet = new("image/vnd.fastbidsheet")
    ImageVndFpx = new("image/vnd.fpx")
    ImageVndFst = new("image/vnd.fst")
    ImageVndFujixeroxEdmicsMmr = new("image/vnd.fujixerox.edmics-mmr")
    ImageVndFujixeroxEdmicsRlc = new("image/vnd.fujixerox.edmics-rlc")
    ImageVndGlobalgraphicsPgb = new("image/vnd.globalgraphics.pgb")
    ImageVndMicrosoftIcon = new("image/vnd.microsoft.icon")
    ImageVndMix = new("image/vnd.mix")
    ImageVndMsModi = new("image/vnd.ms-modi")
    ImageVndNetFpx = new("image/vnd.net-fpx")
    ImageVndRadiance = new("image/vnd.radiance")
    ImageVndSealedPng = new("image/vnd.sealed.png")
    ImageVndSealedmediaSoftsealGif = new("image/vnd.sealedmedia.softseal.gif")
    ImageVndSealedmediaSoftsealJpg = new("image/vnd.sealedmedia.softseal.jpg")
    ImageVndSvf = new("image/vnd.svf")
    ImageVndWapWbmp = new("image/vnd.wap.wbmp")
    ImageVndXiff = new("image/vnd.xiff")
    MessageCPIM = new("message/CPIM")
    MessageDeliveryStatus = new("message/delivery-status")
    MessageDispositionNotification = new("message/disposition-notification")
    MessageExample = new("message/example")
    MessageExternalBody = new("message/external-body")
    MessageFeedbackReport = new("message/feedback-report")
    MessageGlobal = new("message/global")
    MessageGlobalDeliveryStatus = new("message/global-delivery-status")
    MessageGlobalDispositionNotification = new("message/global-disposition-notification")
    MessageGlobalHeaders = new("message/global-headers")
    MessageHttp = new("message/http")
    MessageImdnXml = new("message/imdn+xml")
    MessageNewsOBSOLETE = new("message/news (OBSOLETE)")
    MessagePartial = new("message/partial")
    MessageRfc822 = new("message/rfc822")
    MessageSHttp = new("message/s-http")
    MessageSip = new("message/sip")
    MessageSipfrag = new("message/sipfrag")
    MessageTrackingStatus = new("message/tracking-status")
    MessageVndSiSimpOBSOLETE = new("message/vnd.si.simp (OBSOLETE)")
    ModelExample = new("model/example")
    ModelIges = new("model/iges")
    ModelMesh = new("model/mesh")
    ModelVndColladaXml = new("model/vnd.collada+xml")
    ModelVndDwf = new("model/vnd.dwf")
    ModelVndFlatland3dml = new("model/vnd.flatland.3dml")
    ModelVndGdl = new("model/vnd.gdl")
    ModelVndGsGdl = new("model/vnd.gs-gdl")
    ModelVndGtw = new("model/vnd.gtw")
    ModelVndMomlXml = new("model/vnd.moml+xml")
    ModelVndMts = new("model/vnd.mts")
    ModelVndParasolidTransmitBinary = new("model/vnd.parasolid.transmit.binary")
    ModelVndParasolidTransmitText = new("model/vnd.parasolid.transmit.text")
    ModelVndVtu = new("model/vnd.vtu")
    ModelVrml = new("model/vrml")
    MultipartAlternative = new("multipart/alternative")
    MultipartAppledouble = new("multipart/appledouble")
    MultipartByteranges = new("multipart/byteranges")
    MultipartDigest = new("multipart/digest")
    MultipartEncrypted = new("multipart/encrypted")
    MultipartExample = new("multipart/example")
    MultipartFormData = new("multipart/form-data")
    MultipartHeaderSet = new("multipart/header-set")
    MultipartMixed = new("multipart/mixed")
    MultipartParallel = new("multipart/parallel")
    MultipartRelated = new("multipart/related")
    MultipartReport = new("multipart/report")
    MultipartSigned = new("multipart/signed")
    MultipartVoiceMessage = new("multipart/voice-message")
    Text1dInterleavedParityfec = new("text/1d-interleaved-parityfec")
    TextCalendar = new("text/calendar")
    TextCss = new("text/css")
    TextCsv = new("text/csv")
    TextDirectoryDeprecated = new("text/directory (deprecated)")
    TextDns = new("text/dns")
    TextEcmascriptObsolete = new("text/ecmascript (obsolete)")
    TextEnriched = new("text/enriched")
    TextExample = new("text/example")
    TextFwdred = new("text/fwdred")
    TextGrammarRefList = new("text/grammar-ref-list")
    TextHtml = new("text/html")
    TextJavascriptObsolete = new("text/javascript (obsolete)")
    TextJcrCnd = new("text/jcr-cnd")
    TextMizar = new("text/mizar")
    TextN3 = new("text/n3")
    TextParityfec = new("text/parityfec")
    TextPlain = new("text/plain")
    TextPrsFallensteinRst = new("text/prs.fallenstein.rst")
    TextPrsLinesTag = new("text/prs.lines.tag")
    TextRED = new("text/RED")
    TextRaptorfec = new("text/raptorfec")
    TextRfc822Headers = new("text/rfc822-headers")
    TextRichtext = new("text/richtext")
    TextRtf = new("text/rtf")
    TextRtpEncAescm128 = new("text/rtp-enc-aescm128")
    TextRtx = new("text/rtx")
    TextSgml = new("text/sgml")
    TextT140 = new("text/t140")
    TextTabSeparatedValues = new("text/tab-separated-values")
    TextTroff = new("text/troff")
    TextTurtle = new("text/turtle")
    TextUlpfec = new("text/ulpfec")
    TextUriList = new("text/uri-list")
    TextVcard = new("text/vcard")
    TextVndAbc = new("text/vnd.abc")
    TextVndCurl = new("text/vnd.curl")
    TextVndDMClientScript = new("text/vnd.DMClientScript")
    TextVndDvbSubtitle = new("text/vnd.dvb.subtitle")
    TextVndEsmertecThemeDescriptor = new("text/vnd.esmertec.theme-descriptor")
    TextVndFly = new("text/vnd.fly")
    TextVndFmiFlexstor = new("text/vnd.fmi.flexstor")
    TextVndGraphviz = new("text/vnd.graphviz")
    TextVndIPTCNITF = new("text/vnd.IPTC.NITF")
    TextVndIPTCNewsML = new("text/vnd.IPTC.NewsML")
    TextVndIn3d3dml = new("text/vnd.in3d.3dml")
    TextVndIn3dSpot = new("text/vnd.in3d.spot")
    TextVndLatexZ = new("text/vnd.latex-z")
    TextVndMotorolaReflex = new("text/vnd.motorola.reflex")
    TextVndMsMediapackage = new("text/vnd.ms-mediapackage")
    TextVndNet2phoneCommcenterCommand = new("text/vnd.net2phone.commcenter.command")
    TextVndRadisysMsmlBasicLayout = new("text/vnd.radisys.msml-basic-layout")
    TextVndSiUricatalogueOBSOLETE = new("text/vnd.si.uricatalogue (OBSOLETE)")
    TextVndSunJ2meAppDescriptor = new("text/vnd.sun.j2me.app-descriptor")
    TextVndTrolltechLinguist = new("text/vnd.trolltech.linguist")
    TextVndWapSi = new("text/vnd.wap.si")
    TextVndWapSl = new("text/vnd.wap.sl")
    TextVndWapWml = new("text/vnd.wap.wml")
    TextVndWapWmlscript = new("text/vnd.wap.wmlscript")
    TextXml = new("text/xml")
    TextXmlExternalParsedEntity = new("text/xml-external-parsed-entity")
    Video1dInterleavedParityfec = new("video/1d-interleaved-parityfec")
    Video3gpp = new("video/3gpp")
    Video3gpp2 = new("video/3gpp2")
    Video3gppTt = new("video/3gpp-tt")
    VideoBMPEG = new("video/BMPEG")
    VideoBT656 = new("video/BT656")
    VideoCelB = new("video/CelB")
    VideoDV = new("video/DV")
    VideoExample = new("video/example")
    VideoH261 = new("video/H261")
    VideoH263 = new("video/H263")
    VideoH2631998 = new("video/H263-1998")
    VideoH2632000 = new("video/H263-2000")
    VideoH264 = new("video/H264")
    VideoH264RCDO = new("video/H264-RCDO")
    VideoH264SVC = new("video/H264-SVC")
    VideoJPEG = new("video/JPEG")
    VideoJpeg2000 = new("video/jpeg2000")
    VideoMJ2 = new("video/MJ2")
    VideoMP1S = new("video/MP1S")
    VideoMP2P = new("video/MP2P")
    VideoMP2T = new("video/MP2T")
    VideoMP4VES = new("video/MP4V-ES")
    VideoMPV = new("video/MPV")
    VideoMp4 = new("video/mp4")
    VideoMpeg = new("video/mpeg")
    VideoMpeg4Generic = new("video/mpeg4-generic")
    VideoNv = new("video/nv")
    VideoOgg = new("video/ogg")
    VideoParityfec = new("video/parityfec")
    VideoPointer = new("video/pointer")
    VideoQuicktime = new("video/quicktime")
    VideoRaptorfec = new("video/raptorfec")
    VideoRaw = new("video/raw")
    VideoRtpEncAescm128 = new("video/rtp-enc-aescm128")
    VideoRtx = new("video/rtx")
    VideoSMPTE292M = new("video/SMPTE292M")
    VideoUlpfec = new("video/ulpfec")
    VideoVc1 = new("video/vc1")
    VideoVndCCTV = new("video/vnd.CCTV")
    VideoVndDeceHd = new("video/vnd.dece.hd")
    VideoVndDeceMobile = new("video/vnd.dece.mobile")
    VideoVndDeceMp4 = new("video/vnd.dece.mp4")
    VideoVndDecePd = new("video/vnd.dece.pd")
    VideoVndDeceSd = new("video/vnd.dece.sd")
    VideoVndDeceVideo = new("video/vnd.dece.video")
    VideoVndDirectvMpeg = new("video/vnd.directv.mpeg")
    VideoVndDirectvMpegTts = new("video/vnd.directv.mpeg-tts")
    VideoVndDlnaMpegTts = new("video/vnd.dlna.mpeg-tts")
    VideoVndDvbFile = new("video/vnd.dvb.file")
    VideoVndFvt = new("video/vnd.fvt")
    VideoVndHnsVideo = new("video/vnd.hns.video")
    VideoVndIptvforum1dparityfec1010 = new("video/vnd.iptvforum.1dparityfec-1010")
    VideoVndIptvforum1dparityfec2005 = new("video/vnd.iptvforum.1dparityfec-2005")
    VideoVndIptvforum2dparityfec1010 = new("video/vnd.iptvforum.2dparityfec-1010")
    VideoVndIptvforum2dparityfec2005 = new("video/vnd.iptvforum.2dparityfec-2005")
    VideoVndIptvforumTtsavc = new("video/vnd.iptvforum.ttsavc")
    VideoVndIptvforumTtsmpeg2 = new("video/vnd.iptvforum.ttsmpeg2")
    VideoVndMotorolaVideo = new("video/vnd.motorola.video")
    VideoVndMotorolaVideop = new("video/vnd.motorola.videop")
    VideoVndMpegurl = new("video/vnd.mpegurl")
    VideoVndMsPlayreadyMediaPyv = new("video/vnd.ms-playready.media.pyv")
    VideoVndNokiaInterleavedMultimedia = new("video/vnd.nokia.interleaved-multimedia")
    VideoVndNokiaVideovoip = new("video/vnd.nokia.videovoip")
    VideoVndObjectvideo = new("video/vnd.objectvideo")
    VideoVndSealedMpeg1 = new("video/vnd.sealed.mpeg1")
    VideoVndSealedMpeg4 = new("video/vnd.sealed.mpeg4")
    VideoVndSealedSwf = new("video/vnd.sealed.swf")
    VideoVndSealedmediaSoftsealMov = new("video/vnd.sealedmedia.softseal.mov")
    VideoVndUvvuMp4 = new("video/vnd.uvvu.mp4")
    VideoVndVivo = new("video/vnd.vivo")
  end

# {urn:un:unece:uncefact:codelist:standard:6:Recommendation20:8}MeasurementUnitCommonCodeContentType
  class MeasurementUnitCommonCodeContentType < ::String
    A1 = new("A1")
    A10 = new("A10")
    A11 = new("A11")
    A12 = new("A12")
    A13 = new("A13")
    A14 = new("A14")
    A15 = new("A15")
    A16 = new("A16")
    A17 = new("A17")
    A18 = new("A18")
    A19 = new("A19")
    A2 = new("A2")
    A20 = new("A20")
    A21 = new("A21")
    A22 = new("A22")
    A23 = new("A23")
    A24 = new("A24")
    A25 = new("A25")
    A26 = new("A26")
    A27 = new("A27")
    A28 = new("A28")
    A29 = new("A29")
    A3 = new("A3")
    A30 = new("A30")
    A31 = new("A31")
    A32 = new("A32")
    A33 = new("A33")
    A34 = new("A34")
    A35 = new("A35")
    A36 = new("A36")
    A37 = new("A37")
    A38 = new("A38")
    A39 = new("A39")
    A4 = new("A4")
    A40 = new("A40")
    A41 = new("A41")
    A42 = new("A42")
    A43 = new("A43")
    A44 = new("A44")
    A45 = new("A45")
    A47 = new("A47")
    A48 = new("A48")
    A49 = new("A49")
    A5 = new("A5")
    A50 = new("A50")
    A51 = new("A51")
    A52 = new("A52")
    A53 = new("A53")
    A54 = new("A54")
    A55 = new("A55")
    A56 = new("A56")
    A57 = new("A57")
    A58 = new("A58")
    A59 = new("A59")
    A6 = new("A6")
    A60 = new("A60")
    A61 = new("A61")
    A62 = new("A62")
    A63 = new("A63")
    A64 = new("A64")
    A65 = new("A65")
    A66 = new("A66")
    A67 = new("A67")
    A68 = new("A68")
    A69 = new("A69")
    A7 = new("A7")
    A70 = new("A70")
    A71 = new("A71")
    A73 = new("A73")
    A74 = new("A74")
    A75 = new("A75")
    A76 = new("A76")
    A77 = new("A77")
    A78 = new("A78")
    A79 = new("A79")
    A8 = new("A8")
    A80 = new("A80")
    A81 = new("A81")
    A82 = new("A82")
    A83 = new("A83")
    A84 = new("A84")
    A85 = new("A85")
    A86 = new("A86")
    A87 = new("A87")
    A88 = new("A88")
    A89 = new("A89")
    A9 = new("A9")
    A90 = new("A90")
    A91 = new("A91")
    A93 = new("A93")
    A94 = new("A94")
    A95 = new("A95")
    A96 = new("A96")
    A97 = new("A97")
    A98 = new("A98")
    A99 = new("A99")
    AA = new("AA")
    AB = new("AB")
    ACR = new("ACR")
    ACT = new("ACT")
    AD = new("AD")
    AE = new("AE")
    AH = new("AH")
    AI = new("AI")
    AK = new("AK")
    AL = new("AL")
    AMH = new("AMH")
    AMP = new("AMP")
    ANN = new("ANN")
    APZ = new("APZ")
    AQ = new("AQ")
    ARE = new("ARE")
    AS = new("AS")
    ASM = new("ASM")
    ASU = new("ASU")
    ATM = new("ATM")
    ATT = new("ATT")
    AY = new("AY")
    AZ = new("AZ")
    B1 = new("B1")
    B10 = new("B10")
    B11 = new("B11")
    B12 = new("B12")
    B13 = new("B13")
    B14 = new("B14")
    B15 = new("B15")
    B16 = new("B16")
    B17 = new("B17")
    B18 = new("B18")
    B19 = new("B19")
    B20 = new("B20")
    B21 = new("B21")
    B22 = new("B22")
    B23 = new("B23")
    B24 = new("B24")
    B25 = new("B25")
    B26 = new("B26")
    B27 = new("B27")
    B28 = new("B28")
    B29 = new("B29")
    B3 = new("B3")
    B30 = new("B30")
    B31 = new("B31")
    B32 = new("B32")
    B33 = new("B33")
    B34 = new("B34")
    B35 = new("B35")
    B36 = new("B36")
    B37 = new("B37")
    B38 = new("B38")
    B39 = new("B39")
    B4 = new("B4")
    B40 = new("B40")
    B41 = new("B41")
    B42 = new("B42")
    B43 = new("B43")
    B44 = new("B44")
    B45 = new("B45")
    B46 = new("B46")
    B47 = new("B47")
    B48 = new("B48")
    B49 = new("B49")
    B50 = new("B50")
    B51 = new("B51")
    B52 = new("B52")
    B53 = new("B53")
    B54 = new("B54")
    B55 = new("B55")
    B56 = new("B56")
    B57 = new("B57")
    B58 = new("B58")
    B59 = new("B59")
    B60 = new("B60")
    B61 = new("B61")
    B62 = new("B62")
    B63 = new("B63")
    B64 = new("B64")
    B65 = new("B65")
    B66 = new("B66")
    B67 = new("B67")
    B68 = new("B68")
    B69 = new("B69")
    B7 = new("B7")
    B70 = new("B70")
    B71 = new("B71")
    B72 = new("B72")
    B73 = new("B73")
    B74 = new("B74")
    B75 = new("B75")
    B76 = new("B76")
    B77 = new("B77")
    B78 = new("B78")
    B79 = new("B79")
    B8 = new("B8")
    B80 = new("B80")
    B81 = new("B81")
    B82 = new("B82")
    B83 = new("B83")
    B84 = new("B84")
    B85 = new("B85")
    B86 = new("B86")
    B87 = new("B87")
    B88 = new("B88")
    B89 = new("B89")
    B90 = new("B90")
    B91 = new("B91")
    B92 = new("B92")
    B93 = new("B93")
    B94 = new("B94")
    B95 = new("B95")
    B96 = new("B96")
    B97 = new("B97")
    B98 = new("B98")
    B99 = new("B99")
    BAR = new("BAR")
    BB = new("BB")
    BFT = new("BFT")
    BHP = new("BHP")
    BIL = new("BIL")
    BLD = new("BLD")
    BLL = new("BLL")
    BP = new("BP")
    BQL = new("BQL")
    BTU = new("BTU")
    BUA = new("BUA")
    BUI = new("BUI")
    C0 = new("C0")
    C10 = new("C10")
    C11 = new("C11")
    C12 = new("C12")
    C13 = new("C13")
    C14 = new("C14")
    C15 = new("C15")
    C16 = new("C16")
    C17 = new("C17")
    C18 = new("C18")
    C19 = new("C19")
    C20 = new("C20")
    C21 = new("C21")
    C22 = new("C22")
    C23 = new("C23")
    C24 = new("C24")
    C25 = new("C25")
    C26 = new("C26")
    C27 = new("C27")
    C28 = new("C28")
    C29 = new("C29")
    C3 = new("C3")
    C30 = new("C30")
    C31 = new("C31")
    C32 = new("C32")
    C33 = new("C33")
    C34 = new("C34")
    C35 = new("C35")
    C36 = new("C36")
    C37 = new("C37")
    C38 = new("C38")
    C39 = new("C39")
    C40 = new("C40")
    C41 = new("C41")
    C42 = new("C42")
    C43 = new("C43")
    C44 = new("C44")
    C45 = new("C45")
    C46 = new("C46")
    C47 = new("C47")
    C48 = new("C48")
    C49 = new("C49")
    C50 = new("C50")
    C51 = new("C51")
    C52 = new("C52")
    C53 = new("C53")
    C54 = new("C54")
    C55 = new("C55")
    C56 = new("C56")
    C57 = new("C57")
    C58 = new("C58")
    C59 = new("C59")
    C60 = new("C60")
    C61 = new("C61")
    C62 = new("C62")
    C63 = new("C63")
    C64 = new("C64")
    C65 = new("C65")
    C66 = new("C66")
    C67 = new("C67")
    C68 = new("C68")
    C69 = new("C69")
    C7 = new("C7")
    C70 = new("C70")
    C71 = new("C71")
    C72 = new("C72")
    C73 = new("C73")
    C74 = new("C74")
    C75 = new("C75")
    C76 = new("C76")
    C78 = new("C78")
    C79 = new("C79")
    C8 = new("C8")
    C80 = new("C80")
    C81 = new("C81")
    C82 = new("C82")
    C83 = new("C83")
    C84 = new("C84")
    C85 = new("C85")
    C86 = new("C86")
    C87 = new("C87")
    C88 = new("C88")
    C89 = new("C89")
    C9 = new("C9")
    C90 = new("C90")
    C91 = new("C91")
    C92 = new("C92")
    C93 = new("C93")
    C94 = new("C94")
    C95 = new("C95")
    C96 = new("C96")
    C97 = new("C97")
    C99 = new("C99")
    CCT = new("CCT")
    CDL = new("CDL")
    CEL = new("CEL")
    CEN = new("CEN")
    CG = new("CG")
    CGM = new("CGM")
    CKG = new("CKG")
    CLF = new("CLF")
    CLT = new("CLT")
    CMK = new("CMK")
    CMQ = new("CMQ")
    CMT = new("CMT")
    CNP = new("CNP")
    CNT = new("CNT")
    COU = new("COU")
    CTG = new("CTG")
    CTM = new("CTM")
    CTN = new("CTN")
    CUR = new("CUR")
    CWA = new("CWA")
    CWI = new("CWI")
    C_10 = new("10")
    C_11 = new("11")
    C_13 = new("13")
    C_14 = new("14")
    C_15 = new("15")
    C_1I = new("1I")
    C_20 = new("20")
    C_21 = new("21")
    C_22 = new("22")
    C_23 = new("23")
    C_24 = new("24")
    C_25 = new("25")
    C_27 = new("27")
    C_28 = new("28")
    C_2A = new("2A")
    C_2B = new("2B")
    C_2C = new("2C")
    C_2G = new("2G")
    C_2H = new("2H")
    C_2I = new("2I")
    C_2J = new("2J")
    C_2K = new("2K")
    C_2L = new("2L")
    C_2M = new("2M")
    C_2N = new("2N")
    C_2P = new("2P")
    C_2Q = new("2Q")
    C_2R = new("2R")
    C_2U = new("2U")
    C_2X = new("2X")
    C_2Y = new("2Y")
    C_2Z = new("2Z")
    C_33 = new("33")
    C_34 = new("34")
    C_35 = new("35")
    C_37 = new("37")
    C_38 = new("38")
    C_3B = new("3B")
    C_3C = new("3C")
    C_40 = new("40")
    C_41 = new("41")
    C_4C = new("4C")
    C_4G = new("4G")
    C_4H = new("4H")
    C_4K = new("4K")
    C_4L = new("4L")
    C_4M = new("4M")
    C_4N = new("4N")
    C_4O = new("4O")
    C_4P = new("4P")
    C_4Q = new("4Q")
    C_4R = new("4R")
    C_4T = new("4T")
    C_4U = new("4U")
    C_4W = new("4W")
    C_4X = new("4X")
    C_56 = new("56")
    C_57 = new("57")
    C_58 = new("58")
    C_59 = new("59")
    C_5A = new("5A")
    C_5B = new("5B")
    C_5E = new("5E")
    C_5J = new("5J")
    C_60 = new("60")
    C_61 = new("61")
    C_64 = new("64")
    C_66 = new("66")
    C_74 = new("74")
    C_76 = new("76")
    C_77 = new("77")
    C_78 = new("78")
    C_80 = new("80")
    C_81 = new("81")
    C_84 = new("84")
    C_85 = new("85")
    C_87 = new("87")
    C_89 = new("89")
    C_91 = new("91")
    C_NIL = new("NIL")
    D03 = new("D03")
    D04 = new("D04")
    D1 = new("D1")
    D10 = new("D10")
    D11 = new("D11")
    D12 = new("D12")
    D13 = new("D13")
    D15 = new("D15")
    D16 = new("D16")
    D17 = new("D17")
    D18 = new("D18")
    D19 = new("D19")
    D2 = new("D2")
    D20 = new("D20")
    D21 = new("D21")
    D22 = new("D22")
    D23 = new("D23")
    D24 = new("D24")
    D25 = new("D25")
    D26 = new("D26")
    D27 = new("D27")
    D29 = new("D29")
    D30 = new("D30")
    D31 = new("D31")
    D32 = new("D32")
    D33 = new("D33")
    D34 = new("D34")
    D35 = new("D35")
    D36 = new("D36")
    D37 = new("D37")
    D38 = new("D38")
    D39 = new("D39")
    D41 = new("D41")
    D42 = new("D42")
    D43 = new("D43")
    D44 = new("D44")
    D45 = new("D45")
    D46 = new("D46")
    D47 = new("D47")
    D48 = new("D48")
    D49 = new("D49")
    D5 = new("D5")
    D50 = new("D50")
    D51 = new("D51")
    D52 = new("D52")
    D53 = new("D53")
    D54 = new("D54")
    D55 = new("D55")
    D56 = new("D56")
    D57 = new("D57")
    D58 = new("D58")
    D59 = new("D59")
    D6 = new("D6")
    D60 = new("D60")
    D61 = new("D61")
    D62 = new("D62")
    D63 = new("D63")
    D65 = new("D65")
    D68 = new("D68")
    D69 = new("D69")
    D70 = new("D70")
    D71 = new("D71")
    D72 = new("D72")
    D73 = new("D73")
    D74 = new("D74")
    D75 = new("D75")
    D76 = new("D76")
    D77 = new("D77")
    D78 = new("D78")
    D80 = new("D80")
    D81 = new("D81")
    D82 = new("D82")
    D83 = new("D83")
    D85 = new("D85")
    D86 = new("D86")
    D87 = new("D87")
    D88 = new("D88")
    D89 = new("D89")
    D9 = new("D9")
    D91 = new("D91")
    D93 = new("D93")
    D94 = new("D94")
    D95 = new("D95")
    DAA = new("DAA")
    DAD = new("DAD")
    DAY = new("DAY")
    DB = new("DB")
    DD = new("DD")
    DEC = new("DEC")
    DG = new("DG")
    DJ = new("DJ")
    DLT = new("DLT")
    DMA = new("DMA")
    DMK = new("DMK")
    DMO = new("DMO")
    DMQ = new("DMQ")
    DMT = new("DMT")
    DN = new("DN")
    DPC = new("DPC")
    DPR = new("DPR")
    DPT = new("DPT")
    DRA = new("DRA")
    DRI = new("DRI")
    DRL = new("DRL")
    DT = new("DT")
    DTN = new("DTN")
    DU = new("DU")
    DWT = new("DWT")
    DX = new("DX")
    DZN = new("DZN")
    DZP = new("DZP")
    E01 = new("E01")
    E07 = new("E07")
    E08 = new("E08")
    E09 = new("E09")
    E10 = new("E10")
    E11 = new("E11")
    E12 = new("E12")
    E14 = new("E14")
    E15 = new("E15")
    E16 = new("E16")
    E17 = new("E17")
    E18 = new("E18")
    E19 = new("E19")
    E20 = new("E20")
    E21 = new("E21")
    E22 = new("E22")
    E23 = new("E23")
    E25 = new("E25")
    E27 = new("E27")
    E28 = new("E28")
    E30 = new("E30")
    E31 = new("E31")
    E32 = new("E32")
    E33 = new("E33")
    E34 = new("E34")
    E35 = new("E35")
    E36 = new("E36")
    E37 = new("E37")
    E38 = new("E38")
    E39 = new("E39")
    E4 = new("E4")
    E40 = new("E40")
    E41 = new("E41")
    E42 = new("E42")
    E43 = new("E43")
    E44 = new("E44")
    E45 = new("E45")
    E46 = new("E46")
    E47 = new("E47")
    E48 = new("E48")
    E49 = new("E49")
    E50 = new("E50")
    E51 = new("E51")
    E52 = new("E52")
    E53 = new("E53")
    E54 = new("E54")
    E55 = new("E55")
    E56 = new("E56")
    E57 = new("E57")
    E58 = new("E58")
    E59 = new("E59")
    E60 = new("E60")
    E61 = new("E61")
    E62 = new("E62")
    E63 = new("E63")
    E64 = new("E64")
    E65 = new("E65")
    E66 = new("E66")
    E67 = new("E67")
    E68 = new("E68")
    E69 = new("E69")
    E70 = new("E70")
    E71 = new("E71")
    E72 = new("E72")
    E73 = new("E73")
    E74 = new("E74")
    E75 = new("E75")
    E76 = new("E76")
    E77 = new("E77")
    E78 = new("E78")
    E79 = new("E79")
    E80 = new("E80")
    E81 = new("E81")
    E82 = new("E82")
    E83 = new("E83")
    E84 = new("E84")
    E85 = new("E85")
    E86 = new("E86")
    E87 = new("E87")
    E88 = new("E88")
    E89 = new("E89")
    E90 = new("E90")
    E91 = new("E91")
    E92 = new("E92")
    E93 = new("E93")
    E94 = new("E94")
    E95 = new("E95")
    E96 = new("E96")
    E97 = new("E97")
    E98 = new("E98")
    E99 = new("E99")
    EA = new("EA")
    EB = new("EB")
    EQ = new("EQ")
    F01 = new("F01")
    F02 = new("F02")
    F03 = new("F03")
    F04 = new("F04")
    F05 = new("F05")
    F06 = new("F06")
    F07 = new("F07")
    F08 = new("F08")
    F10 = new("F10")
    F11 = new("F11")
    F12 = new("F12")
    F13 = new("F13")
    F14 = new("F14")
    F15 = new("F15")
    F16 = new("F16")
    F17 = new("F17")
    F18 = new("F18")
    F19 = new("F19")
    F20 = new("F20")
    F21 = new("F21")
    F22 = new("F22")
    F23 = new("F23")
    F24 = new("F24")
    F25 = new("F25")
    F26 = new("F26")
    F27 = new("F27")
    F28 = new("F28")
    F29 = new("F29")
    F30 = new("F30")
    F31 = new("F31")
    F32 = new("F32")
    F33 = new("F33")
    F34 = new("F34")
    F35 = new("F35")
    F36 = new("F36")
    F37 = new("F37")
    F38 = new("F38")
    F39 = new("F39")
    F40 = new("F40")
    F41 = new("F41")
    F42 = new("F42")
    F43 = new("F43")
    F44 = new("F44")
    F45 = new("F45")
    F46 = new("F46")
    F47 = new("F47")
    F48 = new("F48")
    F49 = new("F49")
    F50 = new("F50")
    F51 = new("F51")
    F52 = new("F52")
    F53 = new("F53")
    F54 = new("F54")
    F55 = new("F55")
    F56 = new("F56")
    F57 = new("F57")
    F58 = new("F58")
    F59 = new("F59")
    F60 = new("F60")
    F61 = new("F61")
    F62 = new("F62")
    F63 = new("F63")
    F64 = new("F64")
    F65 = new("F65")
    F66 = new("F66")
    F67 = new("F67")
    F68 = new("F68")
    F69 = new("F69")
    F70 = new("F70")
    F71 = new("F71")
    F72 = new("F72")
    F73 = new("F73")
    F74 = new("F74")
    F75 = new("F75")
    F76 = new("F76")
    F77 = new("F77")
    F78 = new("F78")
    F79 = new("F79")
    F80 = new("F80")
    F81 = new("F81")
    F82 = new("F82")
    F83 = new("F83")
    F84 = new("F84")
    F85 = new("F85")
    F86 = new("F86")
    F87 = new("F87")
    F88 = new("F88")
    F89 = new("F89")
    F90 = new("F90")
    F91 = new("F91")
    F92 = new("F92")
    F93 = new("F93")
    F94 = new("F94")
    F95 = new("F95")
    F96 = new("F96")
    F97 = new("F97")
    F98 = new("F98")
    F99 = new("F99")
    FAH = new("FAH")
    FAR = new("FAR")
    FBM = new("FBM")
    FC = new("FC")
    FF = new("FF")
    FH = new("FH")
    FIT = new("FIT")
    FL = new("FL")
    FOT = new("FOT")
    FP = new("FP")
    FR = new("FR")
    FS = new("FS")
    FTK = new("FTK")
    FTQ = new("FTQ")
    G01 = new("G01")
    G04 = new("G04")
    G05 = new("G05")
    G06 = new("G06")
    G08 = new("G08")
    G09 = new("G09")
    G10 = new("G10")
    G11 = new("G11")
    G12 = new("G12")
    G13 = new("G13")
    G14 = new("G14")
    G15 = new("G15")
    G16 = new("G16")
    G17 = new("G17")
    G18 = new("G18")
    G19 = new("G19")
    G2 = new("G2")
    G20 = new("G20")
    G21 = new("G21")
    G23 = new("G23")
    G24 = new("G24")
    G25 = new("G25")
    G26 = new("G26")
    G27 = new("G27")
    G28 = new("G28")
    G29 = new("G29")
    G3 = new("G3")
    G30 = new("G30")
    G31 = new("G31")
    G32 = new("G32")
    G33 = new("G33")
    G34 = new("G34")
    G35 = new("G35")
    G36 = new("G36")
    G37 = new("G37")
    G38 = new("G38")
    G39 = new("G39")
    G40 = new("G40")
    G41 = new("G41")
    G42 = new("G42")
    G43 = new("G43")
    G44 = new("G44")
    G45 = new("G45")
    G46 = new("G46")
    G47 = new("G47")
    G48 = new("G48")
    G49 = new("G49")
    G50 = new("G50")
    G51 = new("G51")
    G52 = new("G52")
    G53 = new("G53")
    G54 = new("G54")
    G55 = new("G55")
    G56 = new("G56")
    G57 = new("G57")
    G58 = new("G58")
    G59 = new("G59")
    G60 = new("G60")
    G61 = new("G61")
    G62 = new("G62")
    G63 = new("G63")
    G64 = new("G64")
    G65 = new("G65")
    G66 = new("G66")
    G67 = new("G67")
    G68 = new("G68")
    G69 = new("G69")
    G70 = new("G70")
    G71 = new("G71")
    G72 = new("G72")
    G73 = new("G73")
    G74 = new("G74")
    G75 = new("G75")
    G76 = new("G76")
    G77 = new("G77")
    G78 = new("G78")
    G79 = new("G79")
    G80 = new("G80")
    G81 = new("G81")
    G82 = new("G82")
    G83 = new("G83")
    G84 = new("G84")
    G85 = new("G85")
    G86 = new("G86")
    G87 = new("G87")
    G88 = new("G88")
    G89 = new("G89")
    G90 = new("G90")
    G91 = new("G91")
    G92 = new("G92")
    G93 = new("G93")
    G94 = new("G94")
    G95 = new("G95")
    G96 = new("G96")
    G97 = new("G97")
    G98 = new("G98")
    G99 = new("G99")
    GB = new("GB")
    GBQ = new("GBQ")
    GDW = new("GDW")
    GE = new("GE")
    GF = new("GF")
    GFI = new("GFI")
    GGR = new("GGR")
    GIA = new("GIA")
    GIC = new("GIC")
    GII = new("GII")
    GIP = new("GIP")
    GJ = new("GJ")
    GL = new("GL")
    GLD = new("GLD")
    GLI = new("GLI")
    GLL = new("GLL")
    GM = new("GM")
    GO = new("GO")
    GP = new("GP")
    GQ = new("GQ")
    GRM = new("GRM")
    GRN = new("GRN")
    GRO = new("GRO")
    GRT = new("GRT")
    GT = new("GT")
    GV = new("GV")
    GWH = new("GWH")
    H03 = new("H03")
    H04 = new("H04")
    H05 = new("H05")
    H06 = new("H06")
    H07 = new("H07")
    H08 = new("H08")
    H09 = new("H09")
    H10 = new("H10")
    H11 = new("H11")
    H12 = new("H12")
    H13 = new("H13")
    H14 = new("H14")
    H15 = new("H15")
    H16 = new("H16")
    H18 = new("H18")
    H19 = new("H19")
    H20 = new("H20")
    H21 = new("H21")
    H22 = new("H22")
    H23 = new("H23")
    H24 = new("H24")
    H25 = new("H25")
    H26 = new("H26")
    H27 = new("H27")
    H28 = new("H28")
    H29 = new("H29")
    H30 = new("H30")
    H31 = new("H31")
    H32 = new("H32")
    H33 = new("H33")
    H34 = new("H34")
    H35 = new("H35")
    H36 = new("H36")
    H37 = new("H37")
    H38 = new("H38")
    H39 = new("H39")
    H40 = new("H40")
    H41 = new("H41")
    H42 = new("H42")
    H43 = new("H43")
    H44 = new("H44")
    H45 = new("H45")
    H46 = new("H46")
    H47 = new("H47")
    H48 = new("H48")
    H49 = new("H49")
    H50 = new("H50")
    H51 = new("H51")
    H52 = new("H52")
    H53 = new("H53")
    H54 = new("H54")
    H55 = new("H55")
    H56 = new("H56")
    H57 = new("H57")
    H58 = new("H58")
    H59 = new("H59")
    H60 = new("H60")
    H61 = new("H61")
    H62 = new("H62")
    H63 = new("H63")
    H64 = new("H64")
    H65 = new("H65")
    H66 = new("H66")
    H67 = new("H67")
    H68 = new("H68")
    H69 = new("H69")
    H70 = new("H70")
    H71 = new("H71")
    H72 = new("H72")
    H73 = new("H73")
    H74 = new("H74")
    H75 = new("H75")
    H76 = new("H76")
    H77 = new("H77")
    H78 = new("H78")
    H79 = new("H79")
    H80 = new("H80")
    H81 = new("H81")
    H82 = new("H82")
    H83 = new("H83")
    H84 = new("H84")
    H85 = new("H85")
    H87 = new("H87")
    H88 = new("H88")
    H89 = new("H89")
    H90 = new("H90")
    H91 = new("H91")
    H92 = new("H92")
    H93 = new("H93")
    H94 = new("H94")
    H95 = new("H95")
    H96 = new("H96")
    H98 = new("H98")
    H99 = new("H99")
    HA = new("HA")
    HAR = new("HAR")
    HBA = new("HBA")
    HBX = new("HBX")
    HC = new("HC")
    HDW = new("HDW")
    HEA = new("HEA")
    HGM = new("HGM")
    HH = new("HH")
    HIU = new("HIU")
    HJ = new("HJ")
    HKM = new("HKM")
    HLT = new("HLT")
    HM = new("HM")
    HMQ = new("HMQ")
    HMT = new("HMT")
    HN = new("HN")
    HP = new("HP")
    HPA = new("HPA")
    HTZ = new("HTZ")
    HUR = new("HUR")
    IA = new("IA")
    IE = new("IE")
    INH = new("INH")
    INK = new("INK")
    INQ = new("INQ")
    ISD = new("ISD")
    IU = new("IU")
    IV = new("IV")
    J10 = new("J10")
    J12 = new("J12")
    J13 = new("J13")
    J14 = new("J14")
    J15 = new("J15")
    J16 = new("J16")
    J17 = new("J17")
    J18 = new("J18")
    J19 = new("J19")
    J2 = new("J2")
    J20 = new("J20")
    J21 = new("J21")
    J22 = new("J22")
    J23 = new("J23")
    J24 = new("J24")
    J25 = new("J25")
    J26 = new("J26")
    J27 = new("J27")
    J28 = new("J28")
    J29 = new("J29")
    J30 = new("J30")
    J31 = new("J31")
    J32 = new("J32")
    J33 = new("J33")
    J34 = new("J34")
    J35 = new("J35")
    J36 = new("J36")
    J38 = new("J38")
    J39 = new("J39")
    J40 = new("J40")
    J41 = new("J41")
    J42 = new("J42")
    J43 = new("J43")
    J44 = new("J44")
    J45 = new("J45")
    J46 = new("J46")
    J47 = new("J47")
    J48 = new("J48")
    J49 = new("J49")
    J50 = new("J50")
    J51 = new("J51")
    J52 = new("J52")
    J53 = new("J53")
    J54 = new("J54")
    J55 = new("J55")
    J56 = new("J56")
    J57 = new("J57")
    J58 = new("J58")
    J59 = new("J59")
    J60 = new("J60")
    J61 = new("J61")
    J62 = new("J62")
    J63 = new("J63")
    J64 = new("J64")
    J65 = new("J65")
    J66 = new("J66")
    J67 = new("J67")
    J68 = new("J68")
    J69 = new("J69")
    J70 = new("J70")
    J71 = new("J71")
    J72 = new("J72")
    J73 = new("J73")
    J74 = new("J74")
    J75 = new("J75")
    J76 = new("J76")
    J78 = new("J78")
    J79 = new("J79")
    J81 = new("J81")
    J82 = new("J82")
    J83 = new("J83")
    J84 = new("J84")
    J85 = new("J85")
    J87 = new("J87")
    J89 = new("J89")
    J90 = new("J90")
    J91 = new("J91")
    J92 = new("J92")
    J93 = new("J93")
    J94 = new("J94")
    J95 = new("J95")
    J96 = new("J96")
    J97 = new("J97")
    J98 = new("J98")
    J99 = new("J99")
    JE = new("JE")
    JK = new("JK")
    JM = new("JM")
    JNT = new("JNT")
    JOU = new("JOU")
    JPS = new("JPS")
    JWL = new("JWL")
    K1 = new("K1")
    K10 = new("K10")
    K11 = new("K11")
    K12 = new("K12")
    K13 = new("K13")
    K14 = new("K14")
    K15 = new("K15")
    K16 = new("K16")
    K17 = new("K17")
    K18 = new("K18")
    K19 = new("K19")
    K2 = new("K2")
    K20 = new("K20")
    K21 = new("K21")
    K22 = new("K22")
    K23 = new("K23")
    K24 = new("K24")
    K25 = new("K25")
    K26 = new("K26")
    K27 = new("K27")
    K28 = new("K28")
    K3 = new("K3")
    K30 = new("K30")
    K31 = new("K31")
    K32 = new("K32")
    K33 = new("K33")
    K34 = new("K34")
    K35 = new("K35")
    K36 = new("K36")
    K37 = new("K37")
    K38 = new("K38")
    K39 = new("K39")
    K40 = new("K40")
    K41 = new("K41")
    K42 = new("K42")
    K43 = new("K43")
    K45 = new("K45")
    K46 = new("K46")
    K47 = new("K47")
    K48 = new("K48")
    K49 = new("K49")
    K5 = new("K5")
    K50 = new("K50")
    K51 = new("K51")
    K52 = new("K52")
    K53 = new("K53")
    K54 = new("K54")
    K55 = new("K55")
    K58 = new("K58")
    K59 = new("K59")
    K6 = new("K6")
    K60 = new("K60")
    K61 = new("K61")
    K62 = new("K62")
    K63 = new("K63")
    K64 = new("K64")
    K65 = new("K65")
    K66 = new("K66")
    K67 = new("K67")
    K68 = new("K68")
    K69 = new("K69")
    K70 = new("K70")
    K71 = new("K71")
    K73 = new("K73")
    K74 = new("K74")
    K75 = new("K75")
    K76 = new("K76")
    K77 = new("K77")
    K78 = new("K78")
    K79 = new("K79")
    K80 = new("K80")
    K81 = new("K81")
    K82 = new("K82")
    K83 = new("K83")
    K84 = new("K84")
    K85 = new("K85")
    K86 = new("K86")
    K87 = new("K87")
    K88 = new("K88")
    K89 = new("K89")
    K90 = new("K90")
    K91 = new("K91")
    K92 = new("K92")
    K93 = new("K93")
    K94 = new("K94")
    K95 = new("K95")
    K96 = new("K96")
    K97 = new("K97")
    K98 = new("K98")
    K99 = new("K99")
    KA = new("KA")
    KAT = new("KAT")
    KB = new("KB")
    KBA = new("KBA")
    KCC = new("KCC")
    KDW = new("KDW")
    KEL = new("KEL")
    KGM = new("KGM")
    KGS = new("KGS")
    KHY = new("KHY")
    KHZ = new("KHZ")
    KI = new("KI")
    KIC = new("KIC")
    KIP = new("KIP")
    KJ = new("KJ")
    KJO = new("KJO")
    KL = new("KL")
    KLK = new("KLK")
    KLX = new("KLX")
    KMA = new("KMA")
    KMH = new("KMH")
    KMK = new("KMK")
    KMQ = new("KMQ")
    KMT = new("KMT")
    KNI = new("KNI")
    KNS = new("KNS")
    KNT = new("KNT")
    KO = new("KO")
    KPA = new("KPA")
    KPH = new("KPH")
    KPO = new("KPO")
    KPP = new("KPP")
    KR = new("KR")
    KSD = new("KSD")
    KSH = new("KSH")
    KT = new("KT")
    KTN = new("KTN")
    KUR = new("KUR")
    KVA = new("KVA")
    KVR = new("KVR")
    KVT = new("KVT")
    KW = new("KW")
    KWH = new("KWH")
    KWO = new("KWO")
    KWT = new("KWT")
    KX = new("KX")
    L10 = new("L10")
    L11 = new("L11")
    L12 = new("L12")
    L13 = new("L13")
    L14 = new("L14")
    L15 = new("L15")
    L16 = new("L16")
    L17 = new("L17")
    L18 = new("L18")
    L19 = new("L19")
    L2 = new("L2")
    L20 = new("L20")
    L21 = new("L21")
    L23 = new("L23")
    L24 = new("L24")
    L25 = new("L25")
    L26 = new("L26")
    L27 = new("L27")
    L28 = new("L28")
    L29 = new("L29")
    L30 = new("L30")
    L31 = new("L31")
    L32 = new("L32")
    L33 = new("L33")
    L34 = new("L34")
    L35 = new("L35")
    L36 = new("L36")
    L37 = new("L37")
    L38 = new("L38")
    L39 = new("L39")
    L40 = new("L40")
    L41 = new("L41")
    L42 = new("L42")
    L43 = new("L43")
    L44 = new("L44")
    L45 = new("L45")
    L46 = new("L46")
    L47 = new("L47")
    L48 = new("L48")
    L49 = new("L49")
    L50 = new("L50")
    L51 = new("L51")
    L52 = new("L52")
    L53 = new("L53")
    L54 = new("L54")
    L55 = new("L55")
    L56 = new("L56")
    L57 = new("L57")
    L58 = new("L58")
    L59 = new("L59")
    L60 = new("L60")
    L63 = new("L63")
    L64 = new("L64")
    L65 = new("L65")
    L66 = new("L66")
    L67 = new("L67")
    L68 = new("L68")
    L69 = new("L69")
    L70 = new("L70")
    L71 = new("L71")
    L72 = new("L72")
    L73 = new("L73")
    L74 = new("L74")
    L75 = new("L75")
    L76 = new("L76")
    L77 = new("L77")
    L78 = new("L78")
    L79 = new("L79")
    L80 = new("L80")
    L81 = new("L81")
    L82 = new("L82")
    L83 = new("L83")
    L84 = new("L84")
    L85 = new("L85")
    L86 = new("L86")
    L87 = new("L87")
    L88 = new("L88")
    L89 = new("L89")
    L90 = new("L90")
    L91 = new("L91")
    L92 = new("L92")
    L93 = new("L93")
    L94 = new("L94")
    L95 = new("L95")
    L96 = new("L96")
    L98 = new("L98")
    L99 = new("L99")
    LA = new("LA")
    LAC = new("LAC")
    LBR = new("LBR")
    LBT = new("LBT")
    LD = new("LD")
    LEF = new("LEF")
    LF = new("LF")
    LH = new("LH")
    LK = new("LK")
    LM = new("LM")
    LN = new("LN")
    LO = new("LO")
    LP = new("LP")
    LPA = new("LPA")
    LR = new("LR")
    LS = new("LS")
    LTN = new("LTN")
    LTR = new("LTR")
    LUB = new("LUB")
    LUM = new("LUM")
    LUX = new("LUX")
    LY = new("LY")
    M1 = new("M1")
    M10 = new("M10")
    M11 = new("M11")
    M12 = new("M12")
    M13 = new("M13")
    M14 = new("M14")
    M15 = new("M15")
    M16 = new("M16")
    M17 = new("M17")
    M18 = new("M18")
    M19 = new("M19")
    M20 = new("M20")
    M21 = new("M21")
    M22 = new("M22")
    M23 = new("M23")
    M24 = new("M24")
    M25 = new("M25")
    M26 = new("M26")
    M27 = new("M27")
    M29 = new("M29")
    M30 = new("M30")
    M31 = new("M31")
    M32 = new("M32")
    M33 = new("M33")
    M34 = new("M34")
    M35 = new("M35")
    M36 = new("M36")
    M37 = new("M37")
    M38 = new("M38")
    M39 = new("M39")
    M4 = new("M4")
    M40 = new("M40")
    M41 = new("M41")
    M42 = new("M42")
    M43 = new("M43")
    M44 = new("M44")
    M45 = new("M45")
    M46 = new("M46")
    M47 = new("M47")
    M48 = new("M48")
    M49 = new("M49")
    M5 = new("M5")
    M50 = new("M50")
    M51 = new("M51")
    M52 = new("M52")
    M53 = new("M53")
    M55 = new("M55")
    M56 = new("M56")
    M57 = new("M57")
    M58 = new("M58")
    M59 = new("M59")
    M60 = new("M60")
    M61 = new("M61")
    M62 = new("M62")
    M63 = new("M63")
    M64 = new("M64")
    M65 = new("M65")
    M66 = new("M66")
    M67 = new("M67")
    M68 = new("M68")
    M69 = new("M69")
    M7 = new("M7")
    M70 = new("M70")
    M71 = new("M71")
    M72 = new("M72")
    M73 = new("M73")
    M74 = new("M74")
    M75 = new("M75")
    M76 = new("M76")
    M77 = new("M77")
    M78 = new("M78")
    M79 = new("M79")
    M80 = new("M80")
    M81 = new("M81")
    M82 = new("M82")
    M83 = new("M83")
    M84 = new("M84")
    M85 = new("M85")
    M86 = new("M86")
    M87 = new("M87")
    M88 = new("M88")
    M89 = new("M89")
    M9 = new("M9")
    M90 = new("M90")
    M91 = new("M91")
    M92 = new("M92")
    M93 = new("M93")
    M94 = new("M94")
    M95 = new("M95")
    M96 = new("M96")
    M97 = new("M97")
    M98 = new("M98")
    M99 = new("M99")
    MAH = new("MAH")
    MAL = new("MAL")
    MAM = new("MAM")
    MAR = new("MAR")
    MAW = new("MAW")
    MBE = new("MBE")
    MBF = new("MBF")
    MBR = new("MBR")
    MC = new("MC")
    MCU = new("MCU")
    MD = new("MD")
    MGM = new("MGM")
    MHZ = new("MHZ")
    MIK = new("MIK")
    MIL = new("MIL")
    MIN = new("MIN")
    MIO = new("MIO")
    MIU = new("MIU")
    MLD = new("MLD")
    MLT = new("MLT")
    MMK = new("MMK")
    MMQ = new("MMQ")
    MMT = new("MMT")
    MND = new("MND")
    MON = new("MON")
    MPA = new("MPA")
    MQH = new("MQH")
    MQS = new("MQS")
    MSK = new("MSK")
    MTK = new("MTK")
    MTQ = new("MTQ")
    MTR = new("MTR")
    MTS = new("MTS")
    MVA = new("MVA")
    MWH = new("MWH")
    N1 = new("N1")
    N10 = new("N10")
    N11 = new("N11")
    N12 = new("N12")
    N13 = new("N13")
    N14 = new("N14")
    N15 = new("N15")
    N16 = new("N16")
    N17 = new("N17")
    N18 = new("N18")
    N19 = new("N19")
    N20 = new("N20")
    N21 = new("N21")
    N22 = new("N22")
    N23 = new("N23")
    N24 = new("N24")
    N25 = new("N25")
    N26 = new("N26")
    N27 = new("N27")
    N28 = new("N28")
    N29 = new("N29")
    N3 = new("N3")
    N30 = new("N30")
    N31 = new("N31")
    N32 = new("N32")
    N33 = new("N33")
    N34 = new("N34")
    N35 = new("N35")
    N36 = new("N36")
    N37 = new("N37")
    N38 = new("N38")
    N39 = new("N39")
    N40 = new("N40")
    N41 = new("N41")
    N42 = new("N42")
    N43 = new("N43")
    N44 = new("N44")
    N45 = new("N45")
    N46 = new("N46")
    N47 = new("N47")
    N48 = new("N48")
    N49 = new("N49")
    N50 = new("N50")
    N51 = new("N51")
    N52 = new("N52")
    N53 = new("N53")
    N54 = new("N54")
    N55 = new("N55")
    N56 = new("N56")
    N57 = new("N57")
    N58 = new("N58")
    N59 = new("N59")
    N60 = new("N60")
    N61 = new("N61")
    N62 = new("N62")
    N63 = new("N63")
    N64 = new("N64")
    N65 = new("N65")
    N66 = new("N66")
    N67 = new("N67")
    N68 = new("N68")
    N69 = new("N69")
    N70 = new("N70")
    N71 = new("N71")
    N72 = new("N72")
    N73 = new("N73")
    N74 = new("N74")
    N75 = new("N75")
    N76 = new("N76")
    N77 = new("N77")
    N78 = new("N78")
    N79 = new("N79")
    N80 = new("N80")
    N81 = new("N81")
    N82 = new("N82")
    N83 = new("N83")
    N84 = new("N84")
    N85 = new("N85")
    N86 = new("N86")
    N87 = new("N87")
    N88 = new("N88")
    N89 = new("N89")
    N90 = new("N90")
    N91 = new("N91")
    N92 = new("N92")
    N93 = new("N93")
    N94 = new("N94")
    N95 = new("N95")
    N96 = new("N96")
    N97 = new("N97")
    N98 = new("N98")
    N99 = new("N99")
    NA = new("NA")
    NAR = new("NAR")
    NCL = new("NCL")
    NEW = new("NEW")
    NF = new("NF")
    NIU = new("NIU")
    NL = new("NL")
    NMI = new("NMI")
    NMP = new("NMP")
    NPR = new("NPR")
    NPT = new("NPT")
    NQ = new("NQ")
    NR = new("NR")
    NT = new("NT")
    NTT = new("NTT")
    NU = new("NU")
    NX = new("NX")
    OA = new("OA")
    ODE = new("ODE")
    OHM = new("OHM")
    ON = new("ON")
    ONZ = new("ONZ")
    OT = new("OT")
    OZ = new("OZ")
    OZA = new("OZA")
    OZI = new("OZI")
    P1 = new("P1")
    P10 = new("P10")
    P11 = new("P11")
    P12 = new("P12")
    P13 = new("P13")
    P14 = new("P14")
    P15 = new("P15")
    P16 = new("P16")
    P17 = new("P17")
    P18 = new("P18")
    P19 = new("P19")
    P2 = new("P2")
    P20 = new("P20")
    P21 = new("P21")
    P22 = new("P22")
    P23 = new("P23")
    P24 = new("P24")
    P25 = new("P25")
    P26 = new("P26")
    P27 = new("P27")
    P28 = new("P28")
    P29 = new("P29")
    P30 = new("P30")
    P31 = new("P31")
    P32 = new("P32")
    P33 = new("P33")
    P34 = new("P34")
    P35 = new("P35")
    P36 = new("P36")
    P37 = new("P37")
    P38 = new("P38")
    P39 = new("P39")
    P40 = new("P40")
    P41 = new("P41")
    P42 = new("P42")
    P43 = new("P43")
    P44 = new("P44")
    P45 = new("P45")
    P46 = new("P46")
    P47 = new("P47")
    P48 = new("P48")
    P49 = new("P49")
    P5 = new("P5")
    P50 = new("P50")
    P51 = new("P51")
    P52 = new("P52")
    P53 = new("P53")
    P54 = new("P54")
    P55 = new("P55")
    P56 = new("P56")
    P57 = new("P57")
    P58 = new("P58")
    P59 = new("P59")
    P60 = new("P60")
    P61 = new("P61")
    P62 = new("P62")
    P63 = new("P63")
    P64 = new("P64")
    P65 = new("P65")
    P66 = new("P66")
    P67 = new("P67")
    P68 = new("P68")
    P69 = new("P69")
    P70 = new("P70")
    P71 = new("P71")
    P72 = new("P72")
    P73 = new("P73")
    P74 = new("P74")
    P75 = new("P75")
    P76 = new("P76")
    P77 = new("P77")
    P78 = new("P78")
    P79 = new("P79")
    P80 = new("P80")
    P81 = new("P81")
    P82 = new("P82")
    P83 = new("P83")
    P84 = new("P84")
    P85 = new("P85")
    P86 = new("P86")
    P87 = new("P87")
    P88 = new("P88")
    P89 = new("P89")
    P90 = new("P90")
    P91 = new("P91")
    P92 = new("P92")
    P93 = new("P93")
    P94 = new("P94")
    P95 = new("P95")
    P96 = new("P96")
    P97 = new("P97")
    P98 = new("P98")
    P99 = new("P99")
    PAL = new("PAL")
    PD = new("PD")
    PFL = new("PFL")
    PGL = new("PGL")
    PI = new("PI")
    PLA = new("PLA")
    PO = new("PO")
    PQ = new("PQ")
    PR = new("PR")
    PS = new("PS")
    PT = new("PT")
    PTD = new("PTD")
    PTI = new("PTI")
    PTL = new("PTL")
    Q10 = new("Q10")
    Q11 = new("Q11")
    Q12 = new("Q12")
    Q13 = new("Q13")
    Q14 = new("Q14")
    Q15 = new("Q15")
    Q16 = new("Q16")
    Q17 = new("Q17")
    Q18 = new("Q18")
    Q19 = new("Q19")
    Q20 = new("Q20")
    Q21 = new("Q21")
    Q22 = new("Q22")
    Q23 = new("Q23")
    Q24 = new("Q24")
    Q25 = new("Q25")
    Q26 = new("Q26")
    Q27 = new("Q27")
    Q28 = new("Q28")
    Q29 = new("Q29")
    Q3 = new("Q3")
    Q30 = new("Q30")
    QA = new("QA")
    QAN = new("QAN")
    QB = new("QB")
    QR = new("QR")
    QT = new("QT")
    QTD = new("QTD")
    QTI = new("QTI")
    QTL = new("QTL")
    QTR = new("QTR")
    R1 = new("R1")
    R9 = new("R9")
    RH = new("RH")
    RM = new("RM")
    ROM = new("ROM")
    RP = new("RP")
    RPM = new("RPM")
    RPS = new("RPS")
    RT = new("RT")
    S3 = new("S3")
    S4 = new("S4")
    SAN = new("SAN")
    SCO = new("SCO")
    SCR = new("SCR")
    SEC = new("SEC")
    SET = new("SET")
    SG = new("SG")
    SHT = new("SHT")
    SIE = new("SIE")
    SMI = new("SMI")
    SQ = new("SQ")
    SQR = new("SQR")
    SR = new("SR")
    STC = new("STC")
    STI = new("STI")
    STK = new("STK")
    STL = new("STL")
    STN = new("STN")
    STW = new("STW")
    SW = new("SW")
    SX = new("SX")
    SYR = new("SYR")
    T0 = new("T0")
    T3 = new("T3")
    TAH = new("TAH")
    TAN = new("TAN")
    TI = new("TI")
    TIC = new("TIC")
    TIP = new("TIP")
    TKM = new("TKM")
    TMS = new("TMS")
    TNE = new("TNE")
    TP = new("TP")
    TPR = new("TPR")
    TQD = new("TQD")
    TRL = new("TRL")
    TST = new("TST")
    TTS = new("TTS")
    U1 = new("U1")
    U2 = new("U2")
    UA = new("UA")
    UB = new("UB")
    UC = new("UC")
    VA = new("VA")
    VLT = new("VLT")
    VP = new("VP")
    W2 = new("W2")
    WA = new("WA")
    WB = new("WB")
    WCD = new("WCD")
    WE = new("WE")
    WEB = new("WEB")
    WEE = new("WEE")
    WG = new("WG")
    WHR = new("WHR")
    WM = new("WM")
    WSD = new("WSD")
    WTT = new("WTT")
    WW = new("WW")
    X1 = new("X1")
    YDK = new("YDK")
    YDQ = new("YDQ")
    YRD = new("YRD")
    Z11 = new("Z11")
    ZP = new("ZP")
    ZZ = new("ZZ")
  end

# {urn:un:unece:uncefact:codelist:standard:IANA:CharacterSetCode:2013-01-08}CharacterSetCodeContentType
  class CharacterSetCodeContentType < ::String
    C_10 = new("10")
    C_100 = new("100")
    C_1000 = new("1000")
    C_1001 = new("1001")
    C_1002 = new("1002")
    C_1003 = new("1003")
    C_1004 = new("1004")
    C_1005 = new("1005")
    C_1006 = new("1006")
    C_1007 = new("1007")
    C_1008 = new("1008")
    C_1009 = new("1009")
    C_101 = new("101")
    C_1010 = new("1010")
    C_1011 = new("1011")
    C_1012 = new("1012")
    C_1013 = new("1013")
    C_1014 = new("1014")
    C_1015 = new("1015")
    C_1016 = new("1016")
    C_1017 = new("1017")
    C_1018 = new("1018")
    C_1019 = new("1019")
    C_102 = new("102")
    C_1020 = new("1020")
    C_103 = new("103")
    C_104 = new("104")
    C_105 = new("105")
    C_106 = new("106")
    C_109 = new("109")
    C_11 = new("11")
    C_110 = new("110")
    C_111 = new("111")
    C_112 = new("112")
    C_113 = new("113")
    C_114 = new("114")
    C_115 = new("115")
    C_116 = new("116")
    C_117 = new("117")
    C_118 = new("118")
    C_119 = new("119")
    C_12 = new("12")
    C_13 = new("13")
    C_14 = new("14")
    C_15 = new("15")
    C_16 = new("16")
    C_17 = new("17")
    C_18 = new("18")
    C_19 = new("19")
    C_20 = new("20")
    C_2000 = new("2000")
    C_2001 = new("2001")
    C_2002 = new("2002")
    C_2003 = new("2003")
    C_2004 = new("2004")
    C_2005 = new("2005")
    C_2006 = new("2006")
    C_2007 = new("2007")
    C_2008 = new("2008")
    C_2009 = new("2009")
    C_2010 = new("2010")
    C_2011 = new("2011")
    C_2012 = new("2012")
    C_2013 = new("2013")
    C_2014 = new("2014")
    C_2015 = new("2015")
    C_2016 = new("2016")
    C_2017 = new("2017")
    C_2018 = new("2018")
    C_2019 = new("2019")
    C_2020 = new("2020")
    C_2021 = new("2021")
    C_2022 = new("2022")
    C_2023 = new("2023")
    C_2024 = new("2024")
    C_2025 = new("2025")
    C_2026 = new("2026")
    C_2027 = new("2027")
    C_2028 = new("2028")
    C_2029 = new("2029")
    C_2030 = new("2030")
    C_2031 = new("2031")
    C_2032 = new("2032")
    C_2033 = new("2033")
    C_2034 = new("2034")
    C_2035 = new("2035")
    C_2036 = new("2036")
    C_2037 = new("2037")
    C_2038 = new("2038")
    C_2039 = new("2039")
    C_2040 = new("2040")
    C_2041 = new("2041")
    C_2042 = new("2042")
    C_2043 = new("2043")
    C_2044 = new("2044")
    C_2045 = new("2045")
    C_2046 = new("2046")
    C_2047 = new("2047")
    C_2048 = new("2048")
    C_2049 = new("2049")
    C_2050 = new("2050")
    C_2051 = new("2051")
    C_2052 = new("2052")
    C_2053 = new("2053")
    C_2054 = new("2054")
    C_2055 = new("2055")
    C_2056 = new("2056")
    C_2057 = new("2057")
    C_2058 = new("2058")
    C_2059 = new("2059")
    C_2060 = new("2060")
    C_2061 = new("2061")
    C_2062 = new("2062")
    C_2063 = new("2063")
    C_2064 = new("2064")
    C_2065 = new("2065")
    C_2066 = new("2066")
    C_2067 = new("2067")
    C_2068 = new("2068")
    C_2069 = new("2069")
    C_2070 = new("2070")
    C_2071 = new("2071")
    C_2072 = new("2072")
    C_2073 = new("2073")
    C_2074 = new("2074")
    C_2075 = new("2075")
    C_2076 = new("2076")
    C_2077 = new("2077")
    C_2078 = new("2078")
    C_2079 = new("2079")
    C_2080 = new("2080")
    C_2081 = new("2081")
    C_2082 = new("2082")
    C_2083 = new("2083")
    C_2084 = new("2084")
    C_2085 = new("2085")
    C_2086 = new("2086")
    C_2087 = new("2087")
    C_2088 = new("2088")
    C_2089 = new("2089")
    C_2090 = new("2090")
    C_2091 = new("2091")
    C_2092 = new("2092")
    C_2093 = new("2093")
    C_2094 = new("2094")
    C_2095 = new("2095")
    C_2096 = new("2096")
    C_2097 = new("2097")
    C_2098 = new("2098")
    C_2099 = new("2099")
    C_21 = new("21")
    C_2100 = new("2100")
    C_2101 = new("2101")
    C_2102 = new("2102")
    C_2103 = new("2103")
    C_2104 = new("2104")
    C_2105 = new("2105")
    C_2106 = new("2106")
    C_2107 = new("2107")
    C_2108 = new("2108")
    C_2109 = new("2109")
    C_22 = new("22")
    C_2250 = new("2250")
    C_2251 = new("2251")
    C_2252 = new("2252")
    C_2253 = new("2253")
    C_2254 = new("2254")
    C_2255 = new("2255")
    C_2256 = new("2256")
    C_2257 = new("2257")
    C_2258 = new("2258")
    C_2259 = new("2259")
    C_2260 = new("2260")
    C_23 = new("23")
    C_24 = new("24")
    C_25 = new("25")
    C_26 = new("26")
    C_27 = new("27")
    C_28 = new("28")
    C_29 = new("29")
    C_3 = new("3")
    C_30 = new("30")
    C_31 = new("31")
    C_32 = new("32")
    C_33 = new("33")
    C_34 = new("34")
    C_35 = new("35")
    C_36 = new("36")
    C_37 = new("37")
    C_38 = new("38")
    C_39 = new("39")
    C_4 = new("4")
    C_40 = new("40")
    C_41 = new("41")
    C_42 = new("42")
    C_43 = new("43")
    C_44 = new("44")
    C_45 = new("45")
    C_46 = new("46")
    C_47 = new("47")
    C_48 = new("48")
    C_49 = new("49")
    C_5 = new("5")
    C_50 = new("50")
    C_51 = new("51")
    C_52 = new("52")
    C_53 = new("53")
    C_54 = new("54")
    C_55 = new("55")
    C_56 = new("56")
    C_57 = new("57")
    C_58 = new("58")
    C_59 = new("59")
    C_6 = new("6")
    C_60 = new("60")
    C_61 = new("61")
    C_62 = new("62")
    C_63 = new("63")
    C_64 = new("64")
    C_65 = new("65")
    C_66 = new("66")
    C_67 = new("67")
    C_68 = new("68")
    C_69 = new("69")
    C_7 = new("7")
    C_70 = new("70")
    C_71 = new("71")
    C_72 = new("72")
    C_73 = new("73")
    C_74 = new("74")
    C_75 = new("75")
    C_76 = new("76")
    C_77 = new("77")
    C_78 = new("78")
    C_79 = new("79")
    C_8 = new("8")
    C_80 = new("80")
    C_81 = new("81")
    C_82 = new("82")
    C_83 = new("83")
    C_84 = new("84")
    C_85 = new("85")
    C_86 = new("86")
    C_87 = new("87")
    C_88 = new("88")
    C_89 = new("89")
    C_9 = new("9")
    C_90 = new("90")
    C_91 = new("91")
    C_92 = new("92")
    C_93 = new("93")
    C_94 = new("94")
    C_95 = new("95")
    C_96 = new("96")
    C_97 = new("97")
    C_98 = new("98")
    C_99 = new("99")
  end

# {urn:un:unece:uncefact:codelist:standard:5:ISO42173A:2012-08-31}ISO3AlphaCurrencyCodeContentType
  class ISO3AlphaCurrencyCodeContentType < ::String
    AED = new("AED")
    AFN = new("AFN")
    ALL = new("ALL")
    AMD = new("AMD")
    ANG = new("ANG")
    AOA = new("AOA")
    ARS = new("ARS")
    AUD = new("AUD")
    AWG = new("AWG")
    AZN = new("AZN")
    BAM = new("BAM")
    BBD = new("BBD")
    BDT = new("BDT")
    BGN = new("BGN")
    BHD = new("BHD")
    BIF = new("BIF")
    BMD = new("BMD")
    BND = new("BND")
    BOB = new("BOB")
    BOV = new("BOV")
    BRL = new("BRL")
    BSD = new("BSD")
    BTN = new("BTN")
    BWP = new("BWP")
    BYR = new("BYR")
    BZD = new("BZD")
    CAD = new("CAD")
    CDF = new("CDF")
    CHE = new("CHE")
    CHF = new("CHF")
    CHW = new("CHW")
    CLF = new("CLF")
    CLP = new("CLP")
    CNY = new("CNY")
    COP = new("COP")
    COU = new("COU")
    CRC = new("CRC")
    CUC = new("CUC")
    CUP = new("CUP")
    CVE = new("CVE")
    CZK = new("CZK")
    DJF = new("DJF")
    DKK = new("DKK")
    DOP = new("DOP")
    DZD = new("DZD")
    EGP = new("EGP")
    ERN = new("ERN")
    ETB = new("ETB")
    EUR = new("EUR")
    FJD = new("FJD")
    FKP = new("FKP")
    GBP = new("GBP")
    GEL = new("GEL")
    GHS = new("GHS")
    GIP = new("GIP")
    GMD = new("GMD")
    GNF = new("GNF")
    GTQ = new("GTQ")
    GYD = new("GYD")
    HKD = new("HKD")
    HNL = new("HNL")
    HRK = new("HRK")
    HTG = new("HTG")
    HUF = new("HUF")
    IDR = new("IDR")
    ILS = new("ILS")
    INR = new("INR")
    IQD = new("IQD")
    IRR = new("IRR")
    ISK = new("ISK")
    JMD = new("JMD")
    JOD = new("JOD")
    JPY = new("JPY")
    KES = new("KES")
    KGS = new("KGS")
    KHR = new("KHR")
    KMF = new("KMF")
    KPW = new("KPW")
    KRW = new("KRW")
    KWD = new("KWD")
    KYD = new("KYD")
    KZT = new("KZT")
    LAK = new("LAK")
    LBP = new("LBP")
    LKR = new("LKR")
    LRD = new("LRD")
    LSL = new("LSL")
    LTL = new("LTL")
    LVL = new("LVL")
    LYD = new("LYD")
    MAD = new("MAD")
    MDL = new("MDL")
    MGA = new("MGA")
    MKD = new("MKD")
    MMK = new("MMK")
    MNT = new("MNT")
    MOP = new("MOP")
    MRO = new("MRO")
    MUR = new("MUR")
    MVR = new("MVR")
    MWK = new("MWK")
    MXN = new("MXN")
    MXV = new("MXV")
    MYR = new("MYR")
    MZN = new("MZN")
    NAD = new("NAD")
    NGN = new("NGN")
    NIO = new("NIO")
    NOK = new("NOK")
    NPR = new("NPR")
    NZD = new("NZD")
    OMR = new("OMR")
    PAB = new("PAB")
    PEN = new("PEN")
    PGK = new("PGK")
    PHP = new("PHP")
    PKR = new("PKR")
    PLN = new("PLN")
    PYG = new("PYG")
    QAR = new("QAR")
    RON = new("RON")
    RSD = new("RSD")
    RUB = new("RUB")
    RWF = new("RWF")
    SAR = new("SAR")
    SBD = new("SBD")
    SCR = new("SCR")
    SDG = new("SDG")
    SEK = new("SEK")
    SGD = new("SGD")
    SHP = new("SHP")
    SLL = new("SLL")
    SOS = new("SOS")
    SRD = new("SRD")
    SSP = new("SSP")
    STD = new("STD")
    SVC = new("SVC")
    SYP = new("SYP")
    SZL = new("SZL")
    THB = new("THB")
    TJS = new("TJS")
    TMT = new("TMT")
    TND = new("TND")
    TOP = new("TOP")
    TRY = new("TRY")
    TTD = new("TTD")
    TWD = new("TWD")
    TZS = new("TZS")
    UAH = new("UAH")
    UGX = new("UGX")
    USD = new("USD")
    USN = new("USN")
    USS = new("USS")
    UYI = new("UYI")
    UYU = new("UYU")
    UZS = new("UZS")
    VEF = new("VEF")
    VND = new("VND")
    VUV = new("VUV")
    WST = new("WST")
    XAF = new("XAF")
    XAG = new("XAG")
    XAU = new("XAU")
    XBA = new("XBA")
    XBB = new("XBB")
    XBC = new("XBC")
    XBD = new("XBD")
    XCD = new("XCD")
    XDR = new("XDR")
    XFU = new("XFU")
    XOF = new("XOF")
    XPD = new("XPD")
    XPF = new("XPF")
    XPT = new("XPT")
    XSU = new("XSU")
    XTS = new("XTS")
    XUA = new("XUA")
    XXX = new("XXX")
    YER = new("YER")
    ZAR = new("ZAR")
    ZMW = new("ZMW")
    ZWL = new("ZWL")
  end

# {urn:un:unece:uncefact:codelist:standard:6:0133:40106}CharacterSetEncodingCodeContentType
  class CharacterSetEncodingCodeContentType < ::String
    C_1 = new("1")
    C_2 = new("2")
    C_3 = new("3")
    C_4 = new("4")
    C_5 = new("5")
    C_6 = new("6")
    C_7 = new("7")
    C_8 = new("8")
    Zzz = new("zzz")
  end

# {urn:un:unece:uncefact:codelist:standard:6:3055:D12A}AgencyIdentificationCodeContentType
  class AgencyIdentificationCodeContentType < ::String
    C_1 = new("1")
    C_10 = new("10")
    C_100 = new("100")
    C_101 = new("101")
    C_102 = new("102")
    C_103 = new("103")
    C_104 = new("104")
    C_105 = new("105")
    C_106 = new("106")
    C_107 = new("107")
    C_108 = new("108")
    C_109 = new("109")
    C_11 = new("11")
    C_110 = new("110")
    C_111 = new("111")
    C_112 = new("112")
    C_113 = new("113")
    C_114 = new("114")
    C_116 = new("116")
    C_117 = new("117")
    C_118 = new("118")
    C_119 = new("119")
    C_12 = new("12")
    C_120 = new("120")
    C_121 = new("121")
    C_122 = new("122")
    C_123 = new("123")
    C_124 = new("124")
    C_125 = new("125")
    C_126 = new("126")
    C_127 = new("127")
    C_128 = new("128")
    C_129 = new("129")
    C_13 = new("13")
    C_130 = new("130")
    C_131 = new("131")
    C_132 = new("132")
    C_133 = new("133")
    C_134 = new("134")
    C_135 = new("135")
    C_136 = new("136")
    C_137 = new("137")
    C_138 = new("138")
    C_139 = new("139")
    C_14 = new("14")
    C_140 = new("140")
    C_141 = new("141")
    C_142 = new("142")
    C_143 = new("143")
    C_144 = new("144")
    C_145 = new("145")
    C_146 = new("146")
    C_147 = new("147")
    C_148 = new("148")
    C_149 = new("149")
    C_15 = new("15")
    C_150 = new("150")
    C_151 = new("151")
    C_152 = new("152")
    C_153 = new("153")
    C_154 = new("154")
    C_155 = new("155")
    C_156 = new("156")
    C_157 = new("157")
    C_158 = new("158")
    C_159 = new("159")
    C_16 = new("16")
    C_160 = new("160")
    C_161 = new("161")
    C_162 = new("162")
    C_163 = new("163")
    C_164 = new("164")
    C_165 = new("165")
    C_166 = new("166")
    C_167 = new("167")
    C_168 = new("168")
    C_169 = new("169")
    C_17 = new("17")
    C_170 = new("170")
    C_171 = new("171")
    C_172 = new("172")
    C_173 = new("173")
    C_174 = new("174")
    C_175 = new("175")
    C_176 = new("176")
    C_177 = new("177")
    C_178 = new("178")
    C_179 = new("179")
    C_18 = new("18")
    C_180 = new("180")
    C_181 = new("181")
    C_182 = new("182")
    C_183 = new("183")
    C_184 = new("184")
    C_185 = new("185")
    C_186 = new("186")
    C_187 = new("187")
    C_188 = new("188")
    C_189 = new("189")
    C_19 = new("19")
    C_190 = new("190")
    C_191 = new("191")
    C_192 = new("192")
    C_193 = new("193")
    C_194 = new("194")
    C_195 = new("195")
    C_196 = new("196")
    C_197 = new("197")
    C_198 = new("198")
    C_199 = new("199")
    C_2 = new("2")
    C_20 = new("20")
    C_200 = new("200")
    C_201 = new("201")
    C_202 = new("202")
    C_203 = new("203")
    C_204 = new("204")
    C_205 = new("205")
    C_206 = new("206")
    C_207 = new("207")
    C_208 = new("208")
    C_209 = new("209")
    C_21 = new("21")
    C_210 = new("210")
    C_211 = new("211")
    C_212 = new("212")
    C_213 = new("213")
    C_214 = new("214")
    C_215 = new("215")
    C_216 = new("216")
    C_217 = new("217")
    C_218 = new("218")
    C_219 = new("219")
    C_22 = new("22")
    C_220 = new("220")
    C_221 = new("221")
    C_222 = new("222")
    C_223 = new("223")
    C_224 = new("224")
    C_225 = new("225")
    C_226 = new("226")
    C_227 = new("227")
    C_228 = new("228")
    C_229 = new("229")
    C_23 = new("23")
    C_230 = new("230")
    C_231 = new("231")
    C_232 = new("232")
    C_233 = new("233")
    C_234 = new("234")
    C_235 = new("235")
    C_236 = new("236")
    C_237 = new("237")
    C_238 = new("238")
    C_239 = new("239")
    C_24 = new("24")
    C_240 = new("240")
    C_241 = new("241")
    C_244 = new("244")
    C_245 = new("245")
    C_246 = new("246")
    C_247 = new("247")
    C_248 = new("248")
    C_249 = new("249")
    C_25 = new("25")
    C_250 = new("250")
    C_251 = new("251")
    C_252 = new("252")
    C_253 = new("253")
    C_254 = new("254")
    C_255 = new("255")
    C_256 = new("256")
    C_257 = new("257")
    C_258 = new("258")
    C_259 = new("259")
    C_26 = new("26")
    C_260 = new("260")
    C_261 = new("261")
    C_262 = new("262")
    C_263 = new("263")
    C_264 = new("264")
    C_265 = new("265")
    C_266 = new("266")
    C_267 = new("267")
    C_268 = new("268")
    C_269 = new("269")
    C_27 = new("27")
    C_270 = new("270")
    C_271 = new("271")
    C_272 = new("272")
    C_273 = new("273")
    C_274 = new("274")
    C_275 = new("275")
    C_276 = new("276")
    C_277 = new("277")
    C_278 = new("278")
    C_279 = new("279")
    C_28 = new("28")
    C_280 = new("280")
    C_281 = new("281")
    C_282 = new("282")
    C_283 = new("283")
    C_284 = new("284")
    C_285 = new("285")
    C_286 = new("286")
    C_287 = new("287")
    C_288 = new("288")
    C_289 = new("289")
    C_29 = new("29")
    C_290 = new("290")
    C_291 = new("291")
    C_292 = new("292")
    C_293 = new("293")
    C_294 = new("294")
    C_295 = new("295")
    C_296 = new("296")
    C_297 = new("297")
    C_298 = new("298")
    C_299 = new("299")
    C_3 = new("3")
    C_30 = new("30")
    C_300 = new("300")
    C_301 = new("301")
    C_302 = new("302")
    C_303 = new("303")
    C_304 = new("304")
    C_305 = new("305")
    C_306 = new("306")
    C_307 = new("307")
    C_309 = new("309")
    C_31 = new("31")
    C_310 = new("310")
    C_311 = new("311")
    C_312 = new("312")
    C_313 = new("313")
    C_314 = new("314")
    C_315 = new("315")
    C_316 = new("316")
    C_317 = new("317")
    C_318 = new("318")
    C_319 = new("319")
    C_32 = new("32")
    C_320 = new("320")
    C_321 = new("321")
    C_322 = new("322")
    C_323 = new("323")
    C_324 = new("324")
    C_325 = new("325")
    C_326 = new("326")
    C_327 = new("327")
    C_328 = new("328")
    C_329 = new("329")
    C_33 = new("33")
    C_330 = new("330")
    C_331 = new("331")
    C_332 = new("332")
    C_333 = new("333")
    C_334 = new("334")
    C_335 = new("335")
    C_336 = new("336")
    C_337 = new("337")
    C_338 = new("338")
    C_339 = new("339")
    C_34 = new("34")
    C_340 = new("340")
    C_341 = new("341")
    C_342 = new("342")
    C_343 = new("343")
    C_344 = new("344")
    C_345 = new("345")
    C_346 = new("346")
    C_347 = new("347")
    C_348 = new("348")
    C_349 = new("349")
    C_35 = new("35")
    C_350 = new("350")
    C_351 = new("351")
    C_352 = new("352")
    C_353 = new("353")
    C_354 = new("354")
    C_355 = new("355")
    C_356 = new("356")
    C_357 = new("357")
    C_358 = new("358")
    C_359 = new("359")
    C_36 = new("36")
    C_360 = new("360")
    C_361 = new("361")
    C_362 = new("362")
    C_363 = new("363")
    C_364 = new("364")
    C_365 = new("365")
    C_366 = new("366")
    C_367 = new("367")
    C_368 = new("368")
    C_369 = new("369")
    C_37 = new("37")
    C_370 = new("370")
    C_371 = new("371")
    C_372 = new("372")
    C_373 = new("373")
    C_374 = new("374")
    C_375 = new("375")
    C_376 = new("376")
    C_377 = new("377")
    C_378 = new("378")
    C_379 = new("379")
    C_38 = new("38")
    C_380 = new("380")
    C_381 = new("381")
    C_382 = new("382")
    C_383 = new("383")
    C_384 = new("384")
    C_385 = new("385")
    C_386 = new("386")
    C_387 = new("387")
    C_388 = new("388")
    C_389 = new("389")
    C_39 = new("39")
    C_390 = new("390")
    C_391 = new("391")
    C_392 = new("392")
    C_393 = new("393")
    C_394 = new("394")
    C_4 = new("4")
    C_40 = new("40")
    C_41 = new("41")
    C_42 = new("42")
    C_43 = new("43")
    C_44 = new("44")
    C_45 = new("45")
    C_46 = new("46")
    C_47 = new("47")
    C_48 = new("48")
    C_49 = new("49")
    C_5 = new("5")
    C_50 = new("50")
    C_51 = new("51")
    C_52 = new("52")
    C_53 = new("53")
    C_54 = new("54")
    C_55 = new("55")
    C_56 = new("56")
    C_57 = new("57")
    C_58 = new("58")
    C_59 = new("59")
    C_6 = new("6")
    C_60 = new("60")
    C_61 = new("61")
    C_62 = new("62")
    C_63 = new("63")
    C_64 = new("64")
    C_65 = new("65")
    C_66 = new("66")
    C_67 = new("67")
    C_68 = new("68")
    C_69 = new("69")
    C_7 = new("7")
    C_70 = new("70")
    C_71 = new("71")
    C_72 = new("72")
    C_73 = new("73")
    C_74 = new("74")
    C_75 = new("75")
    C_76 = new("76")
    C_77 = new("77")
    C_78 = new("78")
    C_79 = new("79")
    C_8 = new("8")
    C_80 = new("80")
    C_81 = new("81")
    C_82 = new("82")
    C_83 = new("83")
    C_84 = new("84")
    C_85 = new("85")
    C_86 = new("86")
    C_87 = new("87")
    C_88 = new("88")
    C_89 = new("89")
    C_9 = new("9")
    C_90 = new("90")
    C_91 = new("91")
    C_92 = new("92")
    C_93 = new("93")
    C_94 = new("94")
    C_95 = new("95")
    C_96 = new("96")
    C_97 = new("97")
    C_98 = new("98")
    C_99 = new("99")
    ZZZ = new("ZZZ")
  end

# {urn:un:unece:uncefact:identifierlist:standard:5:ISO316612A:SecondEdition2006VI-13}ISOTwoletterCountryCodeIdentifierContentType
  class ISOTwoletterCountryCodeIdentifierContentType < ::String
    AD = new("AD")
    AE = new("AE")
    AF = new("AF")
    AG = new("AG")
    AI = new("AI")
    AL = new("AL")
    AM = new("AM")
    AO = new("AO")
    AQ = new("AQ")
    AR = new("AR")
    AS = new("AS")
    AT = new("AT")
    AU = new("AU")
    AW = new("AW")
    AX = new("AX")
    AZ = new("AZ")
    BA = new("BA")
    BB = new("BB")
    BD = new("BD")
    BE = new("BE")
    BF = new("BF")
    BG = new("BG")
    BH = new("BH")
    BI = new("BI")
    BJ = new("BJ")
    BM = new("BM")
    BN = new("BN")
    BO = new("BO")
    BQ = new("BQ")
    BR = new("BR")
    BS = new("BS")
    BT = new("BT")
    BV = new("BV")
    BW = new("BW")
    BY = new("BY")
    BZ = new("BZ")
    CA = new("CA")
    CC = new("CC")
    CD = new("CD")
    CF = new("CF")
    CG = new("CG")
    CH = new("CH")
    CI = new("CI")
    CK = new("CK")
    CL = new("CL")
    CM = new("CM")
    CN = new("CN")
    CO = new("CO")
    CR = new("CR")
    CU = new("CU")
    CV = new("CV")
    CW = new("CW")
    CX = new("CX")
    CY = new("CY")
    CZ = new("CZ")
    C_IO = new("IO")
    DE = new("DE")
    DJ = new("DJ")
    DK = new("DK")
    DM = new("DM")
    DO = new("DO")
    DZ = new("DZ")
    EC = new("EC")
    EE = new("EE")
    EG = new("EG")
    EH = new("EH")
    ER = new("ER")
    ES = new("ES")
    ET = new("ET")
    FI = new("FI")
    FJ = new("FJ")
    FK = new("FK")
    FM = new("FM")
    FO = new("FO")
    FR = new("FR")
    GA = new("GA")
    GB = new("GB")
    GD = new("GD")
    GE = new("GE")
    GF = new("GF")
    GG = new("GG")
    GH = new("GH")
    GI = new("GI")
    GL = new("GL")
    GM = new("GM")
    GN = new("GN")
    GP = new("GP")
    GQ = new("GQ")
    GR = new("GR")
    GS = new("GS")
    GT = new("GT")
    GU = new("GU")
    GW = new("GW")
    GY = new("GY")
    HK = new("HK")
    HM = new("HM")
    HN = new("HN")
    HR = new("HR")
    HT = new("HT")
    HU = new("HU")
    ID = new("ID")
    IE = new("IE")
    IL = new("IL")
    IM = new("IM")
    IN = new("IN")
    IQ = new("IQ")
    IR = new("IR")
    IS = new("IS")
    IT = new("IT")
    JE = new("JE")
    JM = new("JM")
    JO = new("JO")
    JP = new("JP")
    KE = new("KE")
    KG = new("KG")
    KH = new("KH")
    KI = new("KI")
    KM = new("KM")
    KN = new("KN")
    KP = new("KP")
    KR = new("KR")
    KW = new("KW")
    KY = new("KY")
    KZ = new("KZ")
    LA = new("LA")
    LB = new("LB")
    LC = new("LC")
    LI = new("LI")
    LK = new("LK")
    LR = new("LR")
    LS = new("LS")
    LT = new("LT")
    LU = new("LU")
    LV = new("LV")
    LY = new("LY")
    MA = new("MA")
    MC = new("MC")
    MD = new("MD")
    ME = new("ME")
    MG = new("MG")
    MH = new("MH")
    MK = new("MK")
    ML = new("ML")
    MM = new("MM")
    MN = new("MN")
    MO = new("MO")
    MP = new("MP")
    MQ = new("MQ")
    MR = new("MR")
    MS = new("MS")
    MT = new("MT")
    MU = new("MU")
    MV = new("MV")
    MW = new("MW")
    MX = new("MX")
    MY = new("MY")
    MZ = new("MZ")
    NA = new("NA")
    NC = new("NC")
    NE = new("NE")
    NF = new("NF")
    NG = new("NG")
    NI = new("NI")
    NL = new("NL")
    NO = new("NO")
    NP = new("NP")
    NR = new("NR")
    NU = new("NU")
    NZ = new("NZ")
    OM = new("OM")
    PA = new("PA")
    PE = new("PE")
    PF = new("PF")
    PG = new("PG")
    PH = new("PH")
    PK = new("PK")
    PL = new("PL")
    PM = new("PM")
    PN = new("PN")
    PR = new("PR")
    PS = new("PS")
    PT = new("PT")
    PW = new("PW")
    PY = new("PY")
    QA = new("QA")
    RE = new("RE")
    RO = new("RO")
    RS = new("RS")
    RU = new("RU")
    RW = new("RW")
    SA = new("SA")
    SB = new("SB")
    SC = new("SC")
    SD = new("SD")
    SE = new("SE")
    SG = new("SG")
    SH = new("SH")
    SI = new("SI")
    SJ = new("SJ")
    SK = new("SK")
    SL = new("SL")
    SM = new("SM")
    SN = new("SN")
    SO = new("SO")
    SR = new("SR")
    SS = new("SS")
    ST = new("ST")
    SV = new("SV")
    SX = new("SX")
    SY = new("SY")
    SZ = new("SZ")
    TC = new("TC")
    TD = new("TD")
    TF = new("TF")
    TG = new("TG")
    TH = new("TH")
    TJ = new("TJ")
    TK = new("TK")
    TL = new("TL")
    TM = new("TM")
    TN = new("TN")
    TO = new("TO")
    TR = new("TR")
    TT = new("TT")
    TV = new("TV")
    TW = new("TW")
    TZ = new("TZ")
    UA = new("UA")
    UG = new("UG")
    UM = new("UM")
    US = new("US")
    UY = new("UY")
    UZ = new("UZ")
    VA = new("VA")
    VC = new("VC")
    VE = new("VE")
    VG = new("VG")
    VI = new("VI")
    VN = new("VN")
    VU = new("VU")
    WF = new("WF")
    WS = new("WS")
    YE = new("YE")
    YT = new("YT")
    ZA = new("ZA")
    ZM = new("ZM")
    ZW = new("ZW")
  end

# {urn:it:icar:ade:codelist:GenderCode:1.0}GenderCodeType
  class GenderCodeType < ::String
    F = new("F")
    M = new("M")
  end

# {urn:it:icar:ade:codelist:LivestockLocationIdentifierCode:1.0}LivestockLocationIdentifierCodeType
  class LivestockLocationIdentifierCodeType < ::String
    LEH = new("LEH")
    MRO = new("MRO")
  end

# {urn:it:icar:ade:codelist:LivestockLocationTypeCode:1.0}LivestockLocationTypeCodeType
  class LivestockLocationTypeCodeType < ::String
    LEH = new("LEH")
  end

# {urn:it:icar:ade:codelist:MilkingTypeCode:1.0}MilkingTypeCodeType
  class MilkingTypeCodeType < ::String
    C_1 = new("1")
    C_2 = new("2")
    C_3 = new("3")
  end

# {urn:it:icar:ade:codelist:LabelCode:1.0}LabelCodeType
  class LabelCodeType < ::String
    EVN = new("EVN")
    FAN = new("FAN")
    FNB = new("FNB")
    HBN = new("HBN")
    ISL = new("ISL")
    ISM = new("ISM")
    NKN = new("NKN")
  end

# {urn:it:icar:ade:codelist:ValidSampleFillingIndicatorCode:1.0}ValidSampleFillingIndicatorCodeType
  class ValidSampleFillingIndicatorCodeType < ::String
    C_0 = new("0")
    C_1 = new("1")
    C_2 = new("2")
  end

# {urn:it:icar:ade:codelist:BottleIdentifierCode:1.0}BottleIdentifierCodeType
  class BottleIdentifierCodeType < ::String
    BRC = new("BRC")
    RFD = new("RFD")
  end

# {urn:it:icar:ade:codelist:RequestProcessingStatusCode:1.0}RequestProcessingStatusCodeType
  class RequestProcessingStatusCodeType < ::String
    E = new("E")
    O = new("O")
    P = new("P")
    W = new("W")
  end

# {urn:it:icar:ade:codelist:ErrorSeverityCode:1.0}ErrorSeverityCodeType
  class ErrorSeverityCodeType < ::String
    C_0 = new("0")
    C_1 = new("1")
    C_2 = new("2")
  end

# {urn:it:icar:ade:codelist:SpecieCode:1.0}SpecieCodeType
  class SpecieCodeType < ::String
    BOV = new("BOV")
    BUF = new("BUF")
    GOT = new("GOT")
    OVI = new("OVI")
  end

# {urn:it:icar:ade:codelist:MilkCharacteristicCode:1.0}MilkCharacteristicCodeType
  class MilkCharacteristicCodeType < ::String
    ACETONE = new("ACETONE")
    AVGCOND = new("AVGCOND")
    AVGFLWR = new("AVGFLWR")
    BHB = new("BHB")
    BLOOD = new("BLOOD")
    FAT = new("FAT")
    LAC = new("LAC")
    LDH = new("LDH")
    MAXCOND = new("MAXCOND")
    MAXFLWR = new("MAXFLWR")
    PRO = new("PRO")
    PROTEIN = new("PROTEIN")
    SCC = new("SCC")
    UREA = new("UREA")
    WEIGHT = new("WEIGHT")
  end

# {urn:it:icar:ade:codelist:QuarterCode:1.0}QuarterCodeType
  class QuarterCodeType < ::String
    LF = new("LF")
    LR = new("LR")
    RF = new("RF")
    RR = new("RR")
  end

# {urn:it:icar:ade:codelist:ManufacturerCode:1.0}ManufacturerCodeType
  class ManufacturerCodeType < ::String
    AF = new("AF")
    BM = new("BM")
    DL = new("DL")
    FW = new("FW")
    GE = new("GE")
    LL = new("LL")
  end

# {http://ws.crvholding.com/reproductionMessages/}listTopGestationCalvingRequest
#   contextMessage - CrvApiClient::Api::Reproduction::ContextMessage
#   requestMessage - CrvApiClient::Api::Reproduction::ListTopGestationCalvingRequestType
  class ListTopGestationCalvingRequest
    attr_accessor :contextMessage
    attr_accessor :requestMessage

    def initialize(contextMessage = nil, requestMessage = nil)
      @contextMessage = contextMessage
      @requestMessage = requestMessage
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}listTopGestationCalvingResponse
#   responseMessage - CrvApiClient::Api::Reproduction::ListTopGestationCalvingResponseType
#   serviceMessage - CrvApiClient::Api::Reproduction::ServiceMessage
  class ListTopGestationCalvingResponse
    attr_accessor :responseMessage
    attr_accessor :serviceMessage

    def initialize(responseMessage = nil, serviceMessage = nil)
      @responseMessage = responseMessage
      @serviceMessage = serviceMessage
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}listFertilizationRequest
#   contextMessage - CrvApiClient::Api::Reproduction::ContextMessage
#   requestMessage - CrvApiClient::Api::Reproduction::ListFertilizationRequestType
  class ListFertilizationRequest
    attr_accessor :contextMessage
    attr_accessor :requestMessage

    def initialize(contextMessage = nil, requestMessage = nil)
      @contextMessage = contextMessage
      @requestMessage = requestMessage
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}listFertilizationResponse
#   responseMessage - CrvApiClient::Api::Reproduction::ListFertilizationResponseType
#   serviceMessage - CrvApiClient::Api::Reproduction::ServiceMessage
  class ListFertilizationResponse
    attr_accessor :responseMessage
    attr_accessor :serviceMessage

    def initialize(responseMessage = nil, serviceMessage = nil)
      @responseMessage = responseMessage
      @serviceMessage = serviceMessage
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}listAnimalReproductionRequest
#   contextMessage - CrvApiClient::Api::Reproduction::ContextMessage
#   requestMessage - CrvApiClient::Api::Reproduction::ListAnimalReproductionRequestType
  class ListAnimalReproductionRequest
    attr_accessor :contextMessage
    attr_accessor :requestMessage

    def initialize(contextMessage = nil, requestMessage = nil)
      @contextMessage = contextMessage
      @requestMessage = requestMessage
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}listAnimalReproductionResponse
#   responseMessage - CrvApiClient::Api::Reproduction::ListAnimalReproductionResponseType
#   serviceMessage - CrvApiClient::Api::Reproduction::ServiceMessage
  class ListAnimalReproductionResponse
    attr_accessor :responseMessage
    attr_accessor :serviceMessage

    def initialize(responseMessage = nil, serviceMessage = nil)
      @responseMessage = responseMessage
      @serviceMessage = serviceMessage
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}addAnimalReproductionIndicationRequest
#   contextMessage - CrvApiClient::Api::Reproduction::ContextMessage
#   requestMessage - CrvApiClient::Api::Reproduction::AddAnimalReproductionIndicationRequestType
  class AddAnimalReproductionIndicationRequest
    attr_accessor :contextMessage
    attr_accessor :requestMessage

    def initialize(contextMessage = nil, requestMessage = nil)
      @contextMessage = contextMessage
      @requestMessage = requestMessage
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}addAnimalReproductionIndicationResponse
#   responseMessage - SOAP::SOAPString
#   serviceMessage - CrvApiClient::Api::Reproduction::ServiceMessage
  class AddAnimalReproductionIndicationResponse
    attr_accessor :responseMessage
    attr_accessor :serviceMessage

    def initialize(responseMessage = nil, serviceMessage = nil)
      @responseMessage = responseMessage
      @serviceMessage = serviceMessage
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}addAiEtDeliveryRequest
#   contextMessage - CrvApiClient::Api::Reproduction::ContextMessage
#   requestMessage - CrvApiClient::Api::Reproduction::AddAiEtDeliveryRequestType
  class AddAiEtDeliveryRequest
    attr_accessor :contextMessage
    attr_accessor :requestMessage

    def initialize(contextMessage = nil, requestMessage = nil)
      @contextMessage = contextMessage
      @requestMessage = requestMessage
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}addAiEtDeliveryResponse
#   responseMessage - SOAP::SOAPString
#   serviceMessage - CrvApiClient::Api::Reproduction::ServiceMessage
  class AddAiEtDeliveryResponse
    attr_accessor :responseMessage
    attr_accessor :serviceMessage

    def initialize(responseMessage = nil, serviceMessage = nil)
      @responseMessage = responseMessage
      @serviceMessage = serviceMessage
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}addPreferredBullRequest
#   contextMessage - CrvApiClient::Api::Reproduction::ContextMessage
#   requestMessage - CrvApiClient::Api::Reproduction::AddPreferredBullRequestType
  class AddPreferredBullRequest
    attr_accessor :contextMessage
    attr_accessor :requestMessage

    def initialize(contextMessage = nil, requestMessage = nil)
      @contextMessage = contextMessage
      @requestMessage = requestMessage
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}addPreferredBullResponse
#   responseMessage - SOAP::SOAPString
#   serviceMessage - CrvApiClient::Api::Reproduction::ServiceMessage
  class AddPreferredBullResponse
    attr_accessor :responseMessage
    attr_accessor :serviceMessage

    def initialize(responseMessage = nil, serviceMessage = nil)
      @responseMessage = responseMessage
      @serviceMessage = serviceMessage
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}deletePreferredBullRequest
#   contextMessage - CrvApiClient::Api::Reproduction::ContextMessage
#   requestMessage - CrvApiClient::Api::Reproduction::DeletePreferredBullRequestType
  class DeletePreferredBullRequest
    attr_accessor :contextMessage
    attr_accessor :requestMessage

    def initialize(contextMessage = nil, requestMessage = nil)
      @contextMessage = contextMessage
      @requestMessage = requestMessage
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}deletePreferredBullResponse
#   responseMessage - SOAP::SOAPString
#   serviceMessage - CrvApiClient::Api::Reproduction::ServiceMessage
  class DeletePreferredBullResponse
    attr_accessor :responseMessage
    attr_accessor :serviceMessage

    def initialize(responseMessage = nil, serviceMessage = nil)
      @responseMessage = responseMessage
      @serviceMessage = serviceMessage
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}listPreferredBullRequest
#   contextMessage - CrvApiClient::Api::Reproduction::ContextMessage
#   requestMessage - CrvApiClient::Api::Reproduction::ListPreferredBullRequestType
  class ListPreferredBullRequest
    attr_accessor :contextMessage
    attr_accessor :requestMessage

    def initialize(contextMessage = nil, requestMessage = nil)
      @contextMessage = contextMessage
      @requestMessage = requestMessage
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}listPreferredBullResponse
#   responseMessage - CrvApiClient::Api::Reproduction::ListPreferredBullResponseType
#   serviceMessage - CrvApiClient::Api::Reproduction::ServiceMessage
  class ListPreferredBullResponse
    attr_accessor :responseMessage
    attr_accessor :serviceMessage

    def initialize(responseMessage = nil, serviceMessage = nil)
      @responseMessage = responseMessage
      @serviceMessage = serviceMessage
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}listReproductionLastParityRequest
#   contextMessage - CrvApiClient::Api::Reproduction::ContextMessage
#   requestMessage - CrvApiClient::Api::Reproduction::ListReproductionLastParityRequestType
  class ListReproductionLastParityRequest
    attr_accessor :contextMessage
    attr_accessor :requestMessage

    def initialize(contextMessage = nil, requestMessage = nil)
      @contextMessage = contextMessage
      @requestMessage = requestMessage
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}listReproductionLastParityResponse
#   responseMessage - CrvApiClient::Api::Reproduction::ListReproductionLastParityResponseType
#   serviceMessage - CrvApiClient::Api::Reproduction::ServiceMessage
  class ListReproductionLastParityResponse
    attr_accessor :responseMessage
    attr_accessor :serviceMessage

    def initialize(responseMessage = nil, serviceMessage = nil)
      @responseMessage = responseMessage
      @serviceMessage = serviceMessage
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}listAnimalIndicationRequest
#   contextMessage - CrvApiClient::Api::Reproduction::ContextMessage
#   requestMessage - CrvApiClient::Api::Reproduction::ListAnimalIndicationRequestType
  class ListAnimalIndicationRequest
    attr_accessor :contextMessage
    attr_accessor :requestMessage

    def initialize(contextMessage = nil, requestMessage = nil)
      @contextMessage = contextMessage
      @requestMessage = requestMessage
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}listAnimalIndicationResponse
#   responseMessage - CrvApiClient::Api::Reproduction::ListAnimalIndicationResponseType
#   serviceMessage - CrvApiClient::Api::Reproduction::ServiceMessage
  class ListAnimalIndicationResponse
    attr_accessor :responseMessage
    attr_accessor :serviceMessage

    def initialize(responseMessage = nil, serviceMessage = nil)
      @responseMessage = responseMessage
      @serviceMessage = serviceMessage
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}modifyAnimalIndicationRequest
#   contextMessage - CrvApiClient::Api::Reproduction::ContextMessage
#   requestMessage - CrvApiClient::Api::Reproduction::ModifyAnimalIndicationRequestType
  class ModifyAnimalIndicationRequest
    attr_accessor :contextMessage
    attr_accessor :requestMessage

    def initialize(contextMessage = nil, requestMessage = nil)
      @contextMessage = contextMessage
      @requestMessage = requestMessage
    end
  end

# {http://ws.crvholding.com/reproductionMessages/}modifyAnimalIndicationResponse
#   responseMessage - SOAP::SOAPString
#   serviceMessage - CrvApiClient::Api::Reproduction::ServiceMessage
  class ModifyAnimalIndicationResponse
    attr_accessor :responseMessage
    attr_accessor :serviceMessage

    def initialize(responseMessage = nil, serviceMessage = nil)
      @responseMessage = responseMessage
      @serviceMessage = serviceMessage
    end
  end

# {http://ws.crvholding.com/breedingTypes/}animalOfferType
#   animalOffer - CrvApiClient::Api::Reproduction::AnimalOffer
#   animalOfferStatus - CrvApiClient::Api::Reproduction::AnimalOfferStatus
#   animalOfferAnalysisRequest - CrvApiClient::Api::Reproduction::AnimalOfferAnalysisRequest
#   animalOfferAnalysis - CrvApiClient::Api::Reproduction::AnimalOfferAnalysis
  class AnimalOfferType
    attr_accessor :animalOffer
    attr_accessor :animalOfferStatus
    attr_accessor :animalOfferAnalysisRequest
    attr_accessor :animalOfferAnalysis

    def initialize(animalOffer = nil, animalOfferStatus = nil, animalOfferAnalysisRequest = nil, animalOfferAnalysis = nil)
      @animalOffer = animalOffer
      @animalOfferStatus = animalOfferStatus
      @animalOfferAnalysisRequest = animalOfferAnalysisRequest
      @animalOfferAnalysis = animalOfferAnalysis
    end
  end
end
